/* A Bison parser, made by GNU Bison 3.3.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.3.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* First part of user prologue.  */
#line 1 "gram.y" /* yacc.c:337  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2016, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 258 "gram.c" /* yacc.c:337  */
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTRIBUTE = 296,
    AUTHORIZATION = 297,
    BACKWARD = 298,
    BEFORE = 299,
    BEGIN_P = 300,
    BETWEEN = 301,
    BIGINT = 302,
    BINARY = 303,
    BIT = 304,
    BOOLEAN_P = 305,
    BOTH = 306,
    BY = 307,
    CACHE = 308,
    CALLED = 309,
    CASCADE = 310,
    CASCADED = 311,
    CASE = 312,
    CAST = 313,
    CATALOG_P = 314,
    CHAIN = 315,
    CHAR_P = 316,
    CHARACTER = 317,
    CHARACTERISTICS = 318,
    CHECK = 319,
    CHECKPOINT = 320,
    CLASS = 321,
    CLOSE = 322,
    CLUSTER = 323,
    COALESCE = 324,
    COLLATE = 325,
    COLLATION = 326,
    COLUMN = 327,
    COMMENT = 328,
    COMMENTS = 329,
    COMMIT = 330,
    COMMITTED = 331,
    CONCURRENTLY = 332,
    CONFIGURATION = 333,
    CONFLICT = 334,
    CONNECTION = 335,
    CONSTRAINT = 336,
    CONSTRAINTS = 337,
    CONTENT_P = 338,
    CONTINUE_P = 339,
    CONVERSION_P = 340,
    COPY = 341,
    COST = 342,
    CREATE = 343,
    CROSS = 344,
    CSV = 345,
    CUBE = 346,
    CURRENT_P = 347,
    CURRENT_CATALOG = 348,
    CURRENT_DATE = 349,
    CURRENT_ROLE = 350,
    CURRENT_SCHEMA = 351,
    CURRENT_TIME = 352,
    CURRENT_TIMESTAMP = 353,
    CURRENT_USER = 354,
    CURSOR = 355,
    CYCLE = 356,
    DATA_P = 357,
    DATABASE = 358,
    DAY_P = 359,
    DEALLOCATE = 360,
    DEC = 361,
    DECIMAL_P = 362,
    DECLARE = 363,
    DEFAULT = 364,
    DEFAULTS = 365,
    DEFERRABLE = 366,
    DEFERRED = 367,
    DEFINER = 368,
    DELETE_P = 369,
    DELIMITER = 370,
    DELIMITERS = 371,
    DEPENDS = 372,
    DESC = 373,
    DICTIONARY = 374,
    DISABLE_P = 375,
    DISCARD = 376,
    DISTINCT = 377,
    DO = 378,
    DOCUMENT_P = 379,
    DOMAIN_P = 380,
    DOUBLE_P = 381,
    DROP = 382,
    EACH = 383,
    ELSE = 384,
    ENABLE_P = 385,
    ENCODING = 386,
    ENCRYPTED = 387,
    END_P = 388,
    ENUM_P = 389,
    ESCAPE = 390,
    EVENT = 391,
    EXCEPT = 392,
    EXCLUDE = 393,
    EXCLUDING = 394,
    EXCLUSIVE = 395,
    EXECUTE = 396,
    EXISTS = 397,
    EXPLAIN = 398,
    EXTENSION = 399,
    EXTERNAL = 400,
    EXTRACT = 401,
    FALSE_P = 402,
    FAMILY = 403,
    FETCH = 404,
    FILTER = 405,
    FIRST_P = 406,
    FLOAT_P = 407,
    FOLLOWING = 408,
    FOR = 409,
    FORCE = 410,
    FOREIGN = 411,
    FORWARD = 412,
    FREEZE = 413,
    FROM = 414,
    FULL = 415,
    FUNCTION = 416,
    FUNCTIONS = 417,
    GLOBAL = 418,
    GRANT = 419,
    GRANTED = 420,
    GREATEST = 421,
    GROUP_P = 422,
    GROUPING = 423,
    HANDLER = 424,
    HAVING = 425,
    HEADER_P = 426,
    HOLD = 427,
    HOUR_P = 428,
    IDENTITY_P = 429,
    IF_P = 430,
    ILIKE = 431,
    IMMEDIATE = 432,
    IMMUTABLE = 433,
    IMPLICIT_P = 434,
    IMPORT_P = 435,
    IN_P = 436,
    INCLUDING = 437,
    INCREMENT = 438,
    INDEX = 439,
    INDEXES = 440,
    INHERIT = 441,
    INHERITS = 442,
    INITIALLY = 443,
    INLINE_P = 444,
    INNER_P = 445,
    INOUT = 446,
    INPUT_P = 447,
    INSENSITIVE = 448,
    INSERT = 449,
    INSTEAD = 450,
    INT_P = 451,
    INTEGER = 452,
    INTERSECT = 453,
    INTERVAL = 454,
    INTO = 455,
    INVOKER = 456,
    IS = 457,
    ISNULL = 458,
    ISOLATION = 459,
    JOIN = 460,
    KEY = 461,
    LABEL = 462,
    LANGUAGE = 463,
    LARGE_P = 464,
    LAST_P = 465,
    LATERAL_P = 466,
    LEADING = 467,
    LEAKPROOF = 468,
    LEAST = 469,
    LEFT = 470,
    LEVEL = 471,
    LIKE = 472,
    LIMIT = 473,
    LISTEN = 474,
    LOAD = 475,
    LOCAL = 476,
    LOCALTIME = 477,
    LOCALTIMESTAMP = 478,
    LOCATION = 479,
    LOCK_P = 480,
    LOCKED = 481,
    LOGGED = 482,
    MAPPING = 483,
    MATCH = 484,
    MATERIALIZED = 485,
    MAXVALUE = 486,
    METHOD = 487,
    MINUTE_P = 488,
    MINVALUE = 489,
    MODE = 490,
    MONTH_P = 491,
    MOVE = 492,
    NAME_P = 493,
    NAMES = 494,
    NATIONAL = 495,
    NATURAL = 496,
    NCHAR = 497,
    NEXT = 498,
    NO = 499,
    NONE = 500,
    NOT = 501,
    NOTHING = 502,
    NOTIFY = 503,
    NOTNULL = 504,
    NOWAIT = 505,
    NULL_P = 506,
    NULLIF = 507,
    NULLS_P = 508,
    NUMERIC = 509,
    OBJECT_P = 510,
    OF = 511,
    OFF = 512,
    OFFSET = 513,
    OIDS = 514,
    ON = 515,
    ONLY = 516,
    OPERATOR = 517,
    OPTION = 518,
    OPTIONS = 519,
    OR = 520,
    ORDER = 521,
    ORDINALITY = 522,
    OUT_P = 523,
    OUTER_P = 524,
    OVER = 525,
    OVERLAPS = 526,
    OVERLAY = 527,
    OWNED = 528,
    OWNER = 529,
    PARALLEL = 530,
    PARSER = 531,
    PARTIAL = 532,
    PARTITION = 533,
    PASSING = 534,
    PASSWORD = 535,
    PLACING = 536,
    PLANS = 537,
    POLICY = 538,
    POSITION = 539,
    PRECEDING = 540,
    PRECISION = 541,
    PRESERVE = 542,
    PREPARE = 543,
    PREPARED = 544,
    PRIMARY = 545,
    PRIOR = 546,
    PRIVILEGES = 547,
    PROCEDURAL = 548,
    PROCEDURE = 549,
    PROGRAM = 550,
    QUOTE = 551,
    RANGE = 552,
    READ = 553,
    REAL = 554,
    REASSIGN = 555,
    RECHECK = 556,
    RECURSIVE = 557,
    REF = 558,
    REFERENCES = 559,
    REFRESH = 560,
    REINDEX = 561,
    RELATIVE_P = 562,
    RELEASE = 563,
    RENAME = 564,
    REPEATABLE = 565,
    REPLACE = 566,
    REPLICA = 567,
    RESET = 568,
    RESTART = 569,
    RESTRICT = 570,
    RETURNING = 571,
    RETURNS = 572,
    REVOKE = 573,
    RIGHT = 574,
    ROLE = 575,
    ROLLBACK = 576,
    ROLLUP = 577,
    ROW = 578,
    ROWS = 579,
    RULE = 580,
    SAVEPOINT = 581,
    SCHEMA = 582,
    SCROLL = 583,
    SEARCH = 584,
    SECOND_P = 585,
    SECURITY = 586,
    SELECT = 587,
    SEQUENCE = 588,
    SEQUENCES = 589,
    SERIALIZABLE = 590,
    SERVER = 591,
    SESSION = 592,
    SESSION_USER = 593,
    SET = 594,
    SETS = 595,
    SETOF = 596,
    SHARE = 597,
    SHOW = 598,
    SIMILAR = 599,
    SIMPLE = 600,
    SKIP = 601,
    SMALLINT = 602,
    SNAPSHOT = 603,
    SOME = 604,
    SQL_P = 605,
    STABLE = 606,
    STANDALONE_P = 607,
    START = 608,
    STATEMENT = 609,
    STATISTICS = 610,
    STDIN = 611,
    STDOUT = 612,
    STORAGE = 613,
    STRICT_P = 614,
    STRIP_P = 615,
    SUBSTRING = 616,
    SYMMETRIC = 617,
    SYSID = 618,
    SYSTEM_P = 619,
    TABLE = 620,
    TABLES = 621,
    TABLESAMPLE = 622,
    TABLESPACE = 623,
    TEMP = 624,
    TEMPLATE = 625,
    TEMPORARY = 626,
    TEXT_P = 627,
    THEN = 628,
    TIME = 629,
    TIMESTAMP = 630,
    TO = 631,
    TRAILING = 632,
    TRANSACTION = 633,
    TRANSFORM = 634,
    TREAT = 635,
    TRIGGER = 636,
    TRIM = 637,
    TRUE_P = 638,
    TRUNCATE = 639,
    TRUSTED = 640,
    TYPE_P = 641,
    TYPES_P = 642,
    UNBOUNDED = 643,
    UNCOMMITTED = 644,
    UNENCRYPTED = 645,
    UNION = 646,
    UNIQUE = 647,
    UNKNOWN = 648,
    UNLISTEN = 649,
    UNLOGGED = 650,
    UNTIL = 651,
    UPDATE = 652,
    USER = 653,
    USING = 654,
    VACUUM = 655,
    VALID = 656,
    VALIDATE = 657,
    VALIDATOR = 658,
    VALUE_P = 659,
    VALUES = 660,
    VARCHAR = 661,
    VARIADIC = 662,
    VARYING = 663,
    VERBOSE = 664,
    VERSION_P = 665,
    VIEW = 666,
    VIEWS = 667,
    VOLATILE = 668,
    WHEN = 669,
    WHERE = 670,
    WHITESPACE_P = 671,
    WINDOW = 672,
    WITH = 673,
    WITHIN = 674,
    WITHOUT = 675,
    WORK = 676,
    WRAPPER = 677,
    WRITE = 678,
    XML_P = 679,
    XMLATTRIBUTES = 680,
    XMLCONCAT = 681,
    XMLELEMENT = 682,
    XMLEXISTS = 683,
    XMLFOREST = 684,
    XMLPARSE = 685,
    XMLPI = 686,
    XMLROOT = 687,
    XMLSERIALIZE = 688,
    YEAR_P = 689,
    YES_P = 690,
    ZONE = 691,
    NOT_LA = 692,
    NULLS_LA = 693,
    WITH_LA = 694,
    POSTFIXOP = 695,
    UMINUS = 696
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 192 "gram.y" /* yacc.c:352  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 783 "gram.c" /* yacc.c:352  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  763
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   92660

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  459
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  618
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2515
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5006

#define YYUNDEFTOK  2
#define YYMAXUTOK   696

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   448,     2,     2,
     453,   454,   446,   444,   457,   445,   455,   447,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   458,   456,
     440,   442,   441,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   451,     2,   452,   449,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   443,   450
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   734,   734,   741,   748,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   798,   799,   800,   801,   802,
     803,   804,   805,   806,   807,   808,   809,   810,   811,   812,
     813,   814,   815,   816,   817,   818,   819,   820,   821,   822,
     823,   824,   825,   826,   827,   828,   829,   830,   831,   832,
     833,   834,   835,   836,   837,   838,   839,   840,   841,   842,
     843,   844,   845,   846,   847,   848,   849,   850,   851,   852,
     853,   854,   855,   856,   857,   858,   859,   860,   861,   862,
     863,   864,   865,   866,   867,   868,   869,   870,   871,   872,
     873,   874,   875,   876,   877,   878,   879,   880,   881,   882,
     884,   894,   905,   906,   907,   916,   917,   921,   922,   926,
     931,   935,   940,   945,   949,   953,   958,   962,  1010,  1012,
    1016,  1020,  1024,  1028,  1042,  1060,  1071,  1072,  1076,  1084,
    1102,  1114,  1122,  1143,  1150,  1167,  1174,  1191,  1209,  1220,
    1221,  1233,  1240,  1257,  1267,  1277,  1292,  1310,  1311,  1315,
    1322,  1330,  1331,  1332,  1333,  1334,  1335,  1349,  1355,  1361,
    1370,  1378,  1386,  1390,  1398,  1406,  1413,  1423,  1424,  1432,
    1443,  1451,  1459,  1470,  1478,  1486,  1493,  1502,  1512,  1513,
    1517,  1518,  1521,  1523,  1527,  1528,  1529,  1530,  1534,  1535,
    1536,  1542,  1554,  1558,  1562,  1577,  1584,  1585,  1586,  1590,
    1591,  1592,  1596,  1597,  1601,  1605,  1606,  1613,  1620,  1630,
    1637,  1647,  1648,  1653,  1654,  1659,  1665,  1671,  1677,  1683,
    1693,  1703,  1704,  1708,  1709,  1717,  1732,  1738,  1744,  1750,
    1756,  1775,  1784,  1793,  1804,  1815,  1824,  1833,  1844,  1855,
    1864,  1873,  1882,  1891,  1900,  1909,  1920,  1934,  1935,  1940,
    1949,  1958,  1967,  1976,  1985,  1993,  2001,  2010,  2019,  2028,
    2037,  2047,  2060,  2075,  2084,  2092,  2107,  2115,  2125,  2135,
    2142,  2149,  2157,  2165,  2172,  2179,  2187,  2195,  2203,  2210,
    2217,  2225,  2232,  2239,  2247,  2255,  2263,  2271,  2279,  2287,
    2297,  2304,  2312,  2320,  2328,  2336,  2344,  2351,  2358,  2365,
    2371,  2381,  2382,  2386,  2387,  2388,  2392,  2400,  2404,  2405,
    2409,  2416,  2423,  2430,  2440,  2443,  2444,  2448,  2449,  2454,
    2458,  2462,  2467,  2482,  2495,  2496,  2501,  2510,  2520,  2530,
    2556,  2562,  2595,  2624,  2646,  2647,  2651,  2652,  2661,  2662,
    2663,  2666,  2667,  2672,  2673,  2677,  2681,  2685,  2689,  2693,
    2697,  2701,  2705,  2709,  2713,  2717,  2721,  2725,  2729,  2738,
    2742,  2746,  2750,  2754,  2758,  2762,  2763,  2768,  2772,  2779,
    2786,  2787,  2788,  2789,  2790,  2794,  2798,  2806,  2817,  2833,
    2850,  2867,  2897,  2898,  2899,  2900,  2901,  2908,  2915,  2916,
    2920,  2921,  2925,  2926,  2930,  2934,  2941,  2945,  2952,  2953,
    2954,  2958,  2959,  2962,  2983,  3004,  3005,  3009,  3017,  3018,
    3019,  3050,  3057,  3064,  3075,  3086,  3098,  3107,  3140,  3147,
    3154,  3161,  3172,  3183,  3184,  3185,  3189,  3190,  3191,  3192,
    3193,  3194,  3203,  3211,  3215,  3228,  3243,  3257,  3272,  3286,
    3304,  3325,  3326,  3330,  3331,  3335,  3336,  3339,  3345,  3349,
    3357,  3362,  3368,  3369,  3373,  3378,  3385,  3386,  3396,  3398,
    3400,  3402,  3405,  3408,  3411,  3415,  3416,  3417,  3418,  3419,
    3422,  3423,  3428,  3429,  3430,  3431,  3434,  3435,  3436,  3437,
    3440,  3441,  3444,  3445,  3448,  3463,  3476,  3492,  3506,  3507,
    3508,  3520,  3533,  3549,  3562,  3563,  3575,  3595,  3605,  3618,
    3626,  3637,  3638,  3641,  3642,  3645,  3649,  3653,  3657,  3661,
    3665,  3669,  3673,  3677,  3681,  3685,  3689,  3695,  3696,  3700,
    3701,  3702,  3707,  3710,  3711,  3723,  3735,  3750,  3751,  3759,
    3760,  3764,  3765,  3769,  3770,  3774,  3775,  3779,  3790,  3803,
    3804,  3814,  3825,  3826,  3839,  3846,  3863,  3871,  3882,  3885,
    3889,  3893,  3897,  3901,  3913,  3923,  3926,  3930,  3943,  3952,
    3962,  3972,  3981,  3990,  3999,  4009,  4018,  4028,  4037,  4046,
    4055,  4064,  4073,  4082,  4091,  4100,  4109,  4118,  4127,  4136,
    4145,  4154,  4163,  4173,  4191,  4202,  4203,  4204,  4205,  4209,
    4210,  4214,  4215,  4225,  4236,  4256,  4264,  4276,  4277,  4281,
    4285,  4293,  4297,  4301,  4308,  4312,  4317,  4322,  4329,  4336,
    4341,  4351,  4365,  4366,  4371,  4372,  4376,  4377,  4387,  4398,
    4418,  4427,  4435,  4452,  4472,  4502,  4511,  4532,  4547,  4548,
    4552,  4560,  4575,  4586,  4587,  4599,  4607,  4624,  4646,  4662,
    4676,  4687,  4701,  4702,  4706,  4707,  4711,  4712,  4716,  4717,
    4721,  4722,  4726,  4727,  4728,  4729,  4730,  4740,  4759,  4779,
    4804,  4805,  4806,  4810,  4812,  4834,  4836,  4838,  4840,  4842,
    4847,  4852,  4862,  4863,  4867,  4868,  4872,  4873,  4877,  4878,
    4879,  4883,  4887,  4888,  4889,  4893,  4894,  4899,  4900,  4927,
    4928,  4929,  4930,  4931,  4932,  4937,  4948,  4971,  4981,  4995,
    4997,  5002,  5007,  5009,  5014,  5024,  5025,  5026,  5027,  5039,
    5059,  5082,  5092,  5103,  5113,  5123,  5134,  5143,  5150,  5157,
    5166,  5175,  5184,  5193,  5202,  5213,  5216,  5217,  5220,  5224,
    5231,  5232,  5233,  5234,  5235,  5238,  5241,  5242,  5250,  5257,
    5258,  5261,  5263,  5274,  5284,  5294,  5306,  5307,  5323,  5338,
    5339,  5343,  5353,  5364,  5373,  5383,  5392,  5393,  5396,  5397,
    5400,  5401,  5402,  5405,  5419,  5424,  5434,  5443,  5455,  5456,
    5460,  5468,  5480,  5490,  5503,  5513,  5535,  5545,  5563,  5574,
    5585,  5595,  5605,  5615,  5625,  5636,  5650,  5651,  5652,  5653,
    5654,  5655,  5656,  5657,  5658,  5659,  5660,  5661,  5662,  5663,
    5664,  5665,  5669,  5670,  5673,  5674,  5677,  5679,  5684,  5685,
    5696,  5707,  5708,  5709,  5743,  5752,  5761,  5770,  5779,  5788,
    5797,  5806,  5820,  5829,  5838,  5848,  5857,  5866,  5874,  5883,
    5892,  5901,  5913,  5914,  5915,  5916,  5917,  5918,  5919,  5920,
    5921,  5922,  5923,  5924,  5925,  5926,  5927,  5928,  5929,  5930,
    5931,  5932,  5933,  5934,  5938,  5939,  5953,  5964,  5975,  5986,
    5997,  6008,  6019,  6032,  6033,  6037,  6038,  6039,  6040,  6041,
    6042,  6043,  6044,  6045,  6046,  6047,  6050,  6051,  6061,  6067,
    6075,  6083,  6091,  6099,  6107,  6115,  6123,  6131,  6139,  6147,
    6155,  6163,  6171,  6179,  6187,  6195,  6205,  6206,  6209,  6210,
    6220,  6236,  6250,  6276,  6278,  6280,  6282,  6289,  6298,  6299,
    6302,  6309,  6316,  6323,  6337,  6345,  6353,  6361,  6369,  6377,
    6385,  6393,  6401,  6409,  6417,  6425,  6433,  6441,  6449,  6457,
    6469,  6470,  6474,  6475,  6480,  6481,  6485,  6486,  6491,  6507,
    6520,  6530,  6542,  6543,  6546,  6547,  6557,  6567,  6568,  6572,
    6576,  6580,  6591,  6604,  6618,  6635,  6636,  6637,  6638,  6650,
    6676,  6705,  6706,  6710,  6711,  6715,  6716,  6720,  6721,  6724,
    6725,  6733,  6744,  6755,  6768,  6769,  6772,  6773,  6776,  6777,
    6778,  6781,  6782,  6783,  6799,  6811,  6824,  6839,  6840,  6843,
    6844,  6848,  6849,  6857,  6858,  6862,  6863,  6878,  6887,  6896,
    6905,  6914,  6926,  6927,  6928,  6929,  6930,  6936,  6940,  6955,
    6956,  6962,  6972,  6976,  6981,  6989,  7030,  7034,  7038,  7042,
    7050,  7051,  7056,  7057,  7064,  7068,  7072,  7076,  7080,  7084,
    7088,  7092,  7096,  7100,  7104,  7108,  7112,  7116,  7120,  7125,
    7132,  7136,  7140,  7144,  7148,  7154,  7155,  7162,  7163,  7167,
    7168,  7171,  7183,  7187,  7202,  7213,  7214,  7219,  7220,  7235,
    7246,  7260,  7271,  7285,  7296,  7310,  7318,  7320,  7322,  7327,
    7329,  7342,  7351,  7352,  7356,  7360,  7372,  7383,  7394,  7407,
    7408,  7409,  7413,  7426,  7427,  7437,  7449,  7453,  7457,  7461,
    7468,  7489,  7498,  7507,  7516,  7527,  7528,  7531,  7532,  7533,
    7536,  7537,  7540,  7550,  7559,  7576,  7586,  7595,  7604,  7613,
    7622,  7631,  7640,  7650,  7659,  7668,  7677,  7686,  7696,  7706,
    7715,  7724,  7734,  7744,  7754,  7764,  7774,  7784,  7794,  7804,
    7814,  7824,  7834,  7844,  7855,  7866,  7877,  7888,  7898,  7908,
    7919,  7930,  7940,  7950,  7958,  7967,  7976,  7985,  7994,  8003,
    8012,  8021,  8030,  8044,  8045,  8048,  8049,  8059,  8069,  8079,
    8089,  8108,  8118,  8127,  8136,  8145,  8154,  8164,  8174,  8183,
    8192,  8201,  8210,  8219,  8228,  8237,  8246,  8255,  8264,  8273,
    8282,  8291,  8300,  8309,  8318,  8336,  8346,  8347,  8350,  8352,
    8362,  8371,  8379,  8387,  8395,  8403,  8412,  8420,  8428,  8437,
    8445,  8453,  8461,  8469,  8477,  8485,  8493,  8501,  8509,  8526,
    8543,  8544,  8545,  8550,  8556,  8565,  8566,  8567,  8568,  8569,
    8573,  8574,  8577,  8578,  8579,  8580,  8584,  8585,  8586,  8591,
    8602,  8624,  8634,  8635,  8638,  8647,  8653,  8672,  8679,  8686,
    8693,  8700,  8707,  8714,  8722,  8730,  8738,  8746,  8754,  8761,
    8768,  8777,  8778,  8779,  8783,  8786,  8789,  8792,  8795,  8802,
    8804,  8806,  8811,  8813,  8825,  8838,  8851,  8869,  8890,  8891,
    8892,  8893,  8903,  8919,  8929,  8930,  8934,  8935,  8939,  8943,
    8947,  8965,  8966,  8967,  8968,  8969,  8970,  8971,  8978,  8979,
    8990,  8997,  9004,  9015,  9032,  9039,  9057,  9063,  9079,  9092,
    9101,  9109,  9117,  9126,  9137,  9148,  9158,  9159,  9170,  9180,
    9191,  9202,  9213,  9224,  9233,  9245,  9246,  9260,  9283,  9291,
    9300,  9311,  9312,  9324,  9338,  9352,  9364,  9372,  9385,  9386,
    9390,  9391,  9392,  9393,  9394,  9407,  9417,  9430,  9431,  9435,
    9436,  9439,  9440,  9443,  9444,  9448,  9449,  9462,  9469,  9479,
    9486,  9496,  9497,  9498,  9499,  9500,  9501,  9502,  9503,  9504,
    9508,  9512,  9519,  9526,  9527,  9531,  9532,  9533,  9543,  9553,
    9554,  9558,  9559,  9560,  9561,  9571,  9578,  9595,  9614,  9615,
    9625,  9631,  9637,  9643,  9659,  9677,  9681,  9689,  9695,  9701,
    9710,  9712,  9717,  9728,  9738,  9748,  9754,  9763,  9772,  9778,
    9779,  9790,  9804,  9805,  9816,  9827,  9828,  9831,  9832,  9833,
    9834,  9835,  9836,  9837,  9838,  9841,  9842,  9846,  9847,  9848,
    9859,  9877,  9878,  9882,  9883,  9887,  9903,  9929,  9962,  9973,
    9974,  9984,  9995,  9998,  9999, 10000, 10001, 10002, 10005, 10006,
   10007, 10055, 10056, 10060, 10061, 10076, 10077, 10084, 10092, 10100,
   10108, 10116, 10124, 10135, 10136, 10163, 10177, 10192, 10193, 10212,
   10216, 10220, 10237, 10244, 10251, 10261, 10262, 10265, 10277, 10278,
   10282, 10294, 10302, 10307, 10312, 10317, 10322, 10330, 10338, 10343,
   10348, 10355, 10356, 10360, 10361, 10362, 10369, 10370, 10374, 10375,
   10379, 10380, 10384, 10388, 10389, 10392, 10401, 10414, 10415, 10416,
   10417, 10421, 10422, 10426, 10428, 10444, 10446, 10451, 10454, 10459,
   10460, 10468, 10488, 10489, 10491, 10496, 10497, 10501, 10502, 10505,
   10506, 10531, 10532, 10536, 10537, 10541, 10542, 10543, 10544, 10545,
   10549, 10562, 10569, 10576, 10583, 10584, 10588, 10589, 10593, 10594,
   10598, 10599, 10603, 10614, 10615, 10616, 10617, 10621, 10622, 10627,
   10633, 10651, 10652, 10656, 10657, 10663, 10668, 10676, 10683, 10691,
   10726, 10751, 10755, 10781, 10785, 10797, 10810, 10824, 10835, 10850,
   10856, 10861, 10867, 10874, 10875, 10883, 10887, 10891, 10897, 10904,
   10909, 10910, 10911, 10912, 10916, 10917, 10929, 10930, 10935, 10942,
   10949, 10956, 10967, 10968, 10981, 10985, 10992, 11005, 11018, 11019,
   11034, 11044, 11056, 11061, 11062, 11065, 11066, 11069, 11070, 11075,
   11076, 11081, 11082, 11090, 11095, 11096, 11100, 11104, 11110, 11140,
   11145, 11152, 11157, 11163, 11168, 11177, 11179, 11182, 11186, 11187,
   11188, 11189, 11190, 11191, 11196, 11216, 11217, 11218, 11219, 11230,
   11236, 11244, 11245, 11251, 11256, 11261, 11266, 11271, 11276, 11281,
   11286, 11292, 11298, 11304, 11311, 11333, 11342, 11346, 11354, 11358,
   11366, 11378, 11399, 11403, 11409, 11413, 11426, 11437, 11452, 11454,
   11456, 11458, 11460, 11462, 11467, 11468, 11472, 11473, 11480, 11489,
   11497, 11506, 11517, 11525, 11526, 11527, 11531, 11533, 11535, 11537,
   11539, 11541, 11543, 11548, 11553, 11559, 11567, 11572, 11579, 11586,
   11590, 11594, 11630, 11631, 11633, 11641, 11656, 11658, 11660, 11662,
   11664, 11666, 11668, 11670, 11672, 11674, 11676, 11678, 11680, 11682,
   11685, 11687, 11689, 11692, 11694, 11696, 11698, 11701, 11706, 11714,
   11719, 11727, 11732, 11740, 11745, 11754, 11762, 11770, 11778, 11796,
   11804, 11812, 11820, 11828, 11844, 11852, 11860, 11868, 11876, 11884,
   11892, 11896, 11900, 11904, 11908, 11916, 11924, 11932, 11940, 11960,
   11982, 11993, 12000, 12016, 12021, 12038, 12040, 12042, 12044, 12046,
   12048, 12050, 12052, 12054, 12056, 12058, 12060, 12062, 12064, 12066,
   12068, 12070, 12072, 12074, 12076, 12080, 12084, 12088, 12092, 12097,
   12113, 12114, 12115, 12130, 12164, 12166, 12168, 12179, 12203, 12214,
   12225, 12233, 12243, 12253, 12262, 12266, 12272, 12279, 12286, 12296,
   12303, 12331, 12366, 12377, 12378, 12385, 12391, 12417, 12427, 12440,
   12448, 12461, 12471, 12484, 12494, 12507, 12511, 12515, 12519, 12523,
   12527, 12531, 12533, 12537, 12546, 12551, 12558, 12573, 12580, 12584,
   12588, 12592, 12596, 12603, 12611, 12619, 12623, 12627, 12631, 12635,
   12639, 12645, 12649, 12658, 12662, 12666, 12671, 12685, 12687, 12691,
   12693, 12695, 12698, 12701, 12704, 12705, 12708, 12716, 12726, 12727,
   12730, 12731, 12732, 12737, 12741, 12745, 12749, 12760, 12761, 12765,
   12766, 12774, 12775, 12779, 12780, 12785, 12793, 12795, 12809, 12812,
   12839, 12840, 12843, 12844, 12855, 12873, 12880, 12889, 12906, 12951,
   12959, 12967, 12975, 12983, 13004, 13005, 13006, 13009, 13010, 13013,
   13016, 13017, 13018, 13021, 13022, 13025, 13026, 13027, 13028, 13029,
   13030, 13031, 13032, 13033, 13034, 13035, 13036, 13039, 13041, 13046,
   13048, 13053, 13055, 13057, 13059, 13061, 13063, 13075, 13079, 13086,
   13090, 13096, 13100, 13109, 13120, 13121, 13124, 13128, 13132, 13138,
   13139, 13144, 13148, 13155, 13156, 13157, 13158, 13159, 13160, 13161,
   13162, 13172, 13176, 13183, 13190, 13191, 13207, 13211, 13216, 13220,
   13235, 13240, 13244, 13247, 13250, 13251, 13252, 13255, 13262, 13272,
   13286, 13287, 13291, 13302, 13303, 13306, 13307, 13310, 13314, 13321,
   13325, 13329, 13337, 13348, 13349, 13353, 13354, 13358, 13359, 13362,
   13363, 13374, 13375, 13384, 13385, 13393, 13403, 13404, 13408, 13409,
   13412, 13428, 13436, 13444, 13466, 13467, 13478, 13482, 13509, 13511,
   13516, 13519, 13522, 13524, 13526, 13528, 13538, 13540, 13551, 13555,
   13559, 13563, 13567, 13576, 13583, 13615, 13619, 13625, 13632, 13636,
   13640, 13646, 13647, 13649, 13650, 13651, 13655, 13685, 13712, 13716,
   13722, 13724, 13741, 13742, 13743, 13748, 13749, 13750, 13755, 13756,
   13757, 13758, 13764, 13765, 13766, 13767, 13768, 13788, 13789, 13790,
   13791, 13792, 13793, 13794, 13795, 13796, 13797, 13798, 13799, 13800,
   13801, 13802, 13803, 13804, 13805, 13806, 13807, 13808, 13809, 13810,
   13811, 13812, 13813, 13814, 13815, 13816, 13817, 13818, 13819, 13820,
   13821, 13822, 13823, 13824, 13825, 13826, 13827, 13828, 13829, 13830,
   13831, 13832, 13833, 13834, 13835, 13836, 13837, 13838, 13839, 13840,
   13841, 13842, 13843, 13844, 13845, 13846, 13847, 13848, 13849, 13850,
   13851, 13852, 13853, 13854, 13855, 13856, 13857, 13858, 13859, 13860,
   13861, 13862, 13863, 13864, 13865, 13866, 13867, 13868, 13869, 13870,
   13871, 13872, 13873, 13874, 13875, 13876, 13877, 13878, 13879, 13880,
   13881, 13882, 13883, 13884, 13885, 13886, 13887, 13888, 13889, 13890,
   13891, 13892, 13893, 13894, 13895, 13896, 13897, 13898, 13899, 13900,
   13901, 13902, 13903, 13904, 13905, 13906, 13907, 13908, 13909, 13910,
   13911, 13912, 13913, 13914, 13915, 13916, 13917, 13918, 13919, 13920,
   13921, 13922, 13923, 13924, 13925, 13926, 13927, 13928, 13929, 13930,
   13931, 13932, 13933, 13934, 13935, 13936, 13937, 13938, 13939, 13940,
   13941, 13942, 13943, 13944, 13945, 13946, 13947, 13948, 13949, 13950,
   13951, 13952, 13953, 13954, 13955, 13956, 13957, 13958, 13959, 13960,
   13961, 13962, 13963, 13964, 13965, 13966, 13967, 13968, 13969, 13970,
   13971, 13972, 13973, 13974, 13975, 13976, 13977, 13978, 13979, 13980,
   13981, 13982, 13983, 13984, 13985, 13986, 13987, 13988, 13989, 13990,
   13991, 13992, 13993, 13994, 13995, 13996, 13997, 13998, 13999, 14000,
   14001, 14002, 14003, 14004, 14005, 14006, 14007, 14008, 14009, 14010,
   14011, 14012, 14013, 14014, 14015, 14016, 14017, 14018, 14019, 14020,
   14021, 14022, 14023, 14024, 14025, 14026, 14027, 14028, 14029, 14030,
   14031, 14032, 14033, 14034, 14035, 14036, 14037, 14038, 14039, 14040,
   14041, 14042, 14043, 14044, 14045, 14046, 14047, 14048, 14049, 14050,
   14051, 14052, 14053, 14054, 14055, 14056, 14057, 14058, 14072, 14073,
   14074, 14075, 14076, 14077, 14078, 14079, 14080, 14081, 14082, 14083,
   14084, 14085, 14086, 14087, 14088, 14089, 14090, 14091, 14092, 14093,
   14094, 14095, 14096, 14097, 14098, 14099, 14100, 14101, 14102, 14103,
   14104, 14105, 14106, 14107, 14108, 14109, 14110, 14111, 14112, 14113,
   14114, 14115, 14116, 14117, 14118, 14119, 14133, 14134, 14135, 14136,
   14137, 14138, 14139, 14140, 14141, 14142, 14143, 14144, 14145, 14146,
   14147, 14148, 14149, 14150, 14151, 14152, 14153, 14154, 14155, 14165,
   14166, 14167, 14168, 14169, 14170, 14171, 14172, 14173, 14174, 14175,
   14176, 14177, 14178, 14179, 14180, 14181, 14182, 14183, 14184, 14185,
   14186, 14187, 14188, 14189, 14190, 14191, 14192, 14193, 14194, 14195,
   14196, 14197, 14198, 14199, 14200, 14201, 14202, 14203, 14204, 14205,
   14206, 14207, 14208, 14209, 14210, 14211, 14212, 14213, 14214, 14215,
   14216, 14217, 14218, 14219, 14220, 14221, 14222, 14223, 14224, 14225,
   14226, 14227, 14228, 14229, 14230, 14231, 14232, 14233, 14234, 14235,
   14236, 14237, 14238, 14239, 14240, 14241
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE",
  "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "type_name_list",
  "TruncateStmt", "opt_restart_seqs", "CommentStmt", "comment_type",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label_type",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "AlterObjectSchemaStmt",
  "AlterOperatorStmt", "operator_def_list", "operator_def_elem",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "ctext_expr", "ctext_expr_list", "ctext_row", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst", "Sconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
      60,    62,    61,   695,    43,    45,    42,    47,    37,    94,
     696,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -4355

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4355)))

#define YYTABLE_NINF -2422

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2422)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   12809,    11,  8198, -4355, -4355,    11, -4355, 63688,   485,   667,
    1338,   172, 13901, 64122, 70632,  1025,   313, 13215,    11, 70632,
    2945, 48932, 60650,   848, 70632,   956,   794, 48932, 70632, 71066,
     935,   940,   188, 71500, 64556, 59348,  1370, 70632,  1171,  1156,
   71934, 64990,  1114, 65424,   794, 45470,   148,   826, 72368, 70632,
    1867,  1340,  1150, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,   485,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
    2213, -4355,  1106,  2241,    51,   221,  1203, -4355, -4355, -4355,
   57178, 70632, 70632, 70632,  1412, 70632,  1429, 70632,   186, 57178,
   53272, 65858,  1597,  1461, 41992, 72802, -4355, 51536, 70632, 70632,
   73236, 70632,    92, 61952, 70632,  1550, 70632, 70632, 51970, 73670,
    1698,  1432, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, 70632,
    9909,   956, -4355, -4355,  1867, 70632,  1693, 57178, 70632,  1471,
   70632,  1567, 70632, -4355, 70632,  1576, 74104,   429,  1110, 53272,
    1609, 42427,  1675, 70632, 53272, 74538, 70632, 70632, -4355, -4355,
    1667, 70632, 70632, -4355,  1813, 53706,  1423,  1871,  1917,  1928,
    1438, -4355, 66292, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, 56310,   313, -4355, -4355,  1787, 57612, 70632,  1936, -4355,
   -4355, 74972, 90114,  1737, -4355,   661, 58046, 54140,  2054,  1745,
   42862,  2096, 75406, 54574, 75840, -4355, -4355, 76274, -4355, 76708,
    1856,  1936, 77142, 90536, 55008, -4355,  1966, 77576, -4355,  1727,
    1831,  1510, 38053, -4355, -4355, -4355,   485, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355,   260,  1686,   303,   200,   332,
   -4355, -4355,   209,   211,   212,   260,  2188,  2188, -4355, 70632,
   -4355, -4355,  1686,   679,  1752,  1752,  1752,  1954,   925, -4355,
    1752,  1892, -4355, -4355, -4355, -4355, 65424, -4355,  1767,   956,
    1791,  2201,  1865, -4355, -4355, -4355, -4355, -4355,  1884, 70632,
   70632, 70632, -4355, -4355,  2256,  1881,  2118,  1848, -4355, -4355,
   -4355,  2085,  2102,  2112,    90,   956,  1983, -4355,  2228, -4355,
    2147, 26458, 26458,   956, 66726, 78010,   361, 56310,   956, 67160,
    1985,  1404,  2165, -4355, -4355, -4355,   726, -4355,  2387,  1999,
    2211,  1848,  1432, 39363, -4355,  2017,   -34, 65424, -4355, -4355,
   -4355,   370,  2298, 26909, -4355, 70632,  2012, -4355,  2014,  2012,
    2019,  2024,    51, -4355, 12809, 70632,  1190,  1190,  2431,  1190,
    1451,  1805, -4355,  2297, -4355,  2325,  2289, 65424,   826,   222,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355,  2037,   -34, -4355,   227, -4355,  1248,  2036,
    1329,  1776, -4355, -4355,   512, 70632,  2163,   237,    13,  2081,
   67594,  4946,  2051, -4355, -4355, -4355,  2207,   876, -4355, -4355,
   -4355, -4355,  2330,  2388,  5876,   329, 68028, -4355, -4355, -4355,
   -4355, 70632, 70632, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355,  2082, -4355, -4355,  2089,  2394,  2288,  2371,  2255,
    1460,  2316,  1355,  2447,  4033,  1397, 68462, 70632,  2401,  2452,
    6492,  1758,   901,  2345,  1141,  2371,  2457,  2306,  1460,  2475,
    6904, 70632, -4355,  2406,  2512,    76, -4355,   732, -4355,  2230,
    2386,   745,  2399, 57178,  2183, -4355, -4355, 70632, -4355, -4355,
   90958,  2266, -4355,   727, 57178, -4355,  2395,  2253, 43297, 70632,
   -4355, 70632, -4355, -4355, -4355, -4355, -4355,  2323,  2511, 70632,
   90958, -4355,  2463, 70632, -4355,  2218, -4355, -4355, -4355, -4355,
    1752, 70632,  2220,  2616, 90958,   117, 70632,   -19,  2647, 70632,
    2451,   -19,  2264, 78444, -4355, -4355,   -19, -4355, -4355, -4355,
   70632, 70632,  2265,  1812,  2438,   -19,  2460,  2665,  2675,  2343,
    2464,  1016,  1298,   184,  2577,   -19,  2338, 78878, 79312, 70632,
    2340, 70632,  2678, 57178, 70632,  2604, -4355,  2466, -4355, -4355,
    1221, -4355, -4355, -4355, -4355, -4355,  2618,  2037,   347,  2620,
    2310,  2623, -4355, -4355, -4355,  2361, -4355,  2361,  2361,  2317,
    2317,  2490,  2326,  2638, -4355, -4355, -4355,  1709,  2361,  2317,
   -4355, 91802, -4355,  1427,  1542, -4355,   217, -4355,  2747, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355,   176, -4355,   683,
    1637, -4355, -4355,  2363, -4355,  2641,  2051,  2644, -4355,  2331,
   79746, -4355, 80180, 80614,  2645,  2082, 53272,  2648,  2535,  2655,
    2331,  2658,  2541,  2660,   347,  2661, -4355,  1078,  2651,  2667,
    2550,  2677,   217,  2683,  1766,  2331, 56744,  2685,   299, -4355,
   28713, -4355,  2455, -4355,   826, -4355,  1310, -4355, 48064, -4355,
    1510,  1686, -4355, 70632,  1686, 70632,  1686, 70632,  1686, 70632,
    1686, 70632, 70632, 70632,  1686, -4355, -4355, -4355, 70632,  2364,
   70632, 70632, -4355, -4355, -4355, 61084, 53272, 61518, -4355, 70632,
   -4355,    82,   956, -4355, -4355, 90958,  2798, 53272,  2678, -4355,
    1618, -4355, -4355, -4355, -4355, -4355, -4355,  2624, 70632,  2680,
    2687, 61084, 53272, -4355, 81048, 56310,  2584,  2393, -4355, -4355,
   -4355, -4355, -4355,  1654,  2842,   293,  2845, 28713,  2398,   228,
     228,  2408,  2698, -4355, -4355, -4355,   238,  2409,  2410, -4355,
     243,   243,  2412,  2415, -4355,   279,  2417,  2418,  2854,  2867,
     282,  2421,  2423,  2424,  1709,   228, 28713, -4355,  2425,   243,
    2426,  2428,  2430,  2879,  2433, -4355,  2883,  2441,   302,   319,
    2443,  2444, -4355,  2412, -4355,   280,  2445,  2446,  2448,  2454,
    2456,  2458,  2459,  2461, 28713, 28713, 28713, -4355, 25105,   -34,
     956, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,   287,
    2796, -4355,  2472, -4355, -4355,  2633, -4355, -4355, 28713, -4355,
   -4355,   644, -4355,   292, -4355, -4355, -4355,   -34,  2705,  2453,
   -4355, -4355,  1360,  2465, -4355,  1879, -4355, -4355, -4355, -4355,
   -4355, -4355, 55442,  2873, -4355,   213,   956,   732,   805,  2821,
   47196, 47630, -4355, -4355,  2700, -4355, 70632, -4355, -4355, 28713,
   45036, -4355,   -34,   145, -4355, -4355, -4355, -4355,  1666, -4355,
   -4355, -4355,   485, -4355, 12240, -4355,  1704,  2012, 70632, 70632,
    2884, -4355, -4355, -4355,  2014, -4355, -4355,    51,    51, 28713,
      51,  1076,  1200, 27360, 29164,  2764,  2662,  1276,   230,  2770,
   -4355,  2670,  1451,  1805, 65424, 70632, 81482,  2586, -4355, 45904,
    1595,   -34,  2552,  2553,  2603, 49800,  2476,  2556,  2557,  2609,
   -4355,  2721, -4355, -4355,  2569,  2579, 81916, -4355, -4355,   902,
   -4355, -4355, -4355,   902, -4355,  2510,  1520,  1090,   236,  2580,
     240,   218,  2872, -4355,  1403,  2631, -4355, -4355, -4355,  3835,
   70632,  2817,  7713,  2701,   329,  2713,  2649, -4355, -4355,  2766,
    2606, 70632,  2607,  2734,   329,   275, 82350, -4355, -4355, -4355,
   -4355, -4355, -4355,  3272, 23810, -4355,  2611,  2593,  2625, 70632,
   58480,  1269,  2732,  2735,  1589,  1741,   849,  2681, 70632,  1645,
    2744, 70632,  2554,  2630,  2632,  2835,  2558,  1811,  2929,  2562,
   -4355, -4355, -4355,   414,   415,  2741, -4355,  2846,  2886,  6186,
    2637,  2639, 89270,  1359, 43732, 70632, 70632,  2926,  1331,  2654,
   -4355, -4355, -4355,  1331, 70632,  2663,  2664, 70632,   329, -4355,
    2985,   329,   329,  1628,  2990,  2668,   365,  1797,   -19,  2562,
    2254, -4355,  2674,  2679,   290, -4355,  2782, -4355, -4355,   909,
    2686, 65424,   426,  1950,  2562,  2689,  2690,  2558,  2558, 70632,
   70632, 70632, 70632, 70632,   183,  3010,  3015,  2691,   196,  2730,
    2602, -4355,  1331, 52404,  2692, -4355,  1331, 70632,  2693,  2052,
    2562,  1523,   100, -4355, -4355, -4355,  1432, -4355, 70632, -4355,
   70632, -4355,  2037, 90958,  2802,  2861, -4355,  2657, -4355,  2051,
     329, -4355, 70632, 70632,  2082,  2810,  1089,  1082, 90958,  2816,
    2875, 70632,  2880,  2708,  2673,  2699, 46333, -4355,  2265,  2634,
    3057, 70632, 49800, -4355,  3070,   902, -4355, 90958,  2840,  2953,
   -4355, 70632,  2858,  2659, -4355,  2998,  2711, -4355, -4355,   556,
   70632, -4355,  2969, 53272,   799,   956,  2703, 53272,  2891, 70632,
   70632, 70632, 70632, -4355, -4355,  2860,   877,   131, -4355, 52404,
   -4355, 70632,  2871,  2254,  2887,  3083,   617,  1752, 82784,  2965,
   -4355, 83218,  2672,  3091, 90958,  2922, -4355,  1734, -4355,  2807,
   -4355, 57178,   347, -4355, -4355, -4355, -4355, 90958, 70632, -4355,
    2684, -4355, -4355, 28713, -4355, -4355, -4355,  2188, -4355, 90958,
    2361,  2361, -4355, -4355,  3104,  2765,  2767,  2188, -4355,  2188,
   -4355, 90958, -4355,  2694,  2695,  2805,  2188, -4355,  2771,  2772,
    2773, -4355,  2697,  2781,  2188, -4355, -4355,  1731, -4355, 83652,
   57178,   347, 53272, 53272,  3001,   299,  3016,  2763,  3021,  2768,
   43732,   347,   339, 70632, 70632, 53272, 70632, 70632, 70632, -4355,
   70632, -4355, -4355, -4355, -4355, 90958, 70632, 70632, 90958, -4355,
   53272, 52404,  3022,  3023,   347, 70632, 70632, -4355, 12240,  1714,
   84086,  1510, 55876, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, 70632, -4355, 70632, -4355, 70632, -4355, 70632, -4355, 70632,
   -4355, -4355, -4355, 70632, -4355, 70632,  1721, -4355, -4355,  1759,
     814, 70632, 70632,   214, 57178, 70632,  2911, 70632, 70632, 70632,
   70632, 70632,  2792,  2465,  1118, -4355,   223,   772, 65424,  2919,
   -4355, -4355,  1788,  1867,   959, 70632,   178,  1884, -4355, -4355,
   61518, 60650,  3011,   169, 70632, -4355, -4355,  3332, 28713,   -34,
   26007, -4355, -4355, 12240,  2759, 28713, 28713,  2722,  2188,  2188,
   -4355,   905, 28713, 28713, 28713,  2188,  2188,  9899, 28713, 43732,
   28713, 32772, 22032, 28713, 28713, 25556, -4355, 28713,  2936, 34564,
   28713,   805,  2940, 28713,   805,  9899,  3169,  3169,  2669,  4345,
    2725,   -34, -4355,  2188,   951, -4355,   220, 90958, 28713, 28713,
   28713, 28713, 49800,  2812,   215, 70632, 28713,  2740,  1534, -4355,
   28713, -4355,  2742, 28713,  2813,  1017, 28713, 28713, 28713, 28713,
   28713, 28713, 28713, 28713, 28713, -4355, 35436,   297,  3027,  3038,
     519,   550, 68896, 26458,  3044, 21128, -4355,   274,  3044, -4355,
   -4355, -4355, 70632,  2873, -4355, -4355,  2826, -4355, -4355, -4355,
   -4355, -4355,   296, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
    2749, -4355, -4355, -4355, -4355,  2749, -4355,  2753,  8935,  2750,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355,  3035,  3036,   347, 70632,
     370, 62386, -4355, 26909, -4355,  1789, -4355,  2760, -4355,  3014,
   -4355,  2762, -4355,  9056,  3014, -4355, -4355, 33668,  2874,  3012,
    2959, -4355, -4355, -4355,  2769, 12240, 29615, 29615, -4355,  1502,
   12240,  1688, -4355, -4355, -4355, -4355, -4355, -4355,   781, -4355,
   70632,   714,  2764,   230,  2824,   950,  3190, 70632, -4355, 39799,
    2962, -4355,  3175, -4355, 91802, -4355,  2777, -4355, 91380, 87992,
   -4355, -4355,   947, -4355,  1139,  2856,  2863,  2907, 53272, 70632,
   70632, -4355, 49800, 53272, 70632, 70632, -4355, 53272, 70632, 70632,
   -4355, -4355, -4355, -4355, -4355, 48498,    67, 60650,  2920, 59782,
   -4355, -4355,  2793, 70632,  2849,  3043,  3045,    -4, -4355, -4355,
   84520, -4355,  3003, 53272, 70632, 70632, 28713,  3004, 70632, 70632,
   -4355,   251,  2876,  2885, -4355, 70632,  2888,  3028, 57178,  2809,
   70632, 70632, 90958,  2889,   734, 57178,  2855, 44167, 70632, 70632,
   70632, 70632,  2938,  3111, 90958, 70632,  3061,  1398, 65424,   189,
    2373,  2562,  3025, -4355,  3128,  1225, -4355, 53272, -4355, 70632,
    3013, -4355, -4355, -4355, 69330,  3232,  2931, -4355, -4355, 84954,
   -4355, -4355, -4355,  1794, -4355, 53272, 53272, 70632,  8264, 85388,
     964,  3034, -4355, -4355, 90958, -4355, 70632, 70632, 70632,  3139,
    3071, 70632, 62820, 85822, 86256,  1199,  1305,  3072, 70632, 63254,
    3074, -4355,  2963, 70632, -4355, -4355, 50234, 53272, 70632,  1184,
   49800, -4355, -4355, 70632, -4355,  3032,   770, -4355, 70632,  3638,
   -4355, -4355,  2916,  2932, 70632,  3041,   430,  2376,  2562, 70632,
   70632,  2847,  1821,  2933,    22, -4355,  3042,    77, 70632, 78010,
   -4355, 53272,   972, -4355,  2996, 53272, 70632, 10451, -4355, -4355,
     329, -4355, -4355, -4355, -4355, -4355, 70632, 70632,   329, 70632,
     329,   252, -4355, 53272, 70632, -4355, -4355, -4355, 70632,  8529,
   70632, 70632, 70632, 70632, 53272, 70632, -4355, -4355,  1238,  1181,
      94,  1433,   840, 70632,  3133, 70632, 86690, 53272, 70632, 70632,
   70632,  1449, -4355, -4355,  2975, -4355, 53272,   972, -4355,  8879,
   70632, 70632,  2939,  2941,   155,  3020, -4355, -4355, -4355, -4355,
   -4355, -4355,  3110,  3284, 87124,   433, -4355,  3119,  3121,  2928,
    2930,  3126, 70632,   433, 70632, -4355, -4355, -4355, -4355,  3122,
   70632,   433,  3130,   433,  3040,  3078,   150,  3149,  2897,  1826,
   -4355, -4355, 28713, 90958, -4355,  1827, -4355,  2898,   877, -4355,
   -4355, 49800, 70632,   187,  1072,  3199, 58914,   886,  3188, 70632,
    2934, 70632,  3192,   886, 70632, -4355,  1598, 60650, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355,  3187, -4355,   956,
    2265,  2265,  2265,  2265, -4355, -4355, -4355, -4355,  3092,  1739,
   -4355,  2896,  2265, 70632,  3017,   886,  2899,  3209, -4355,  2254,
    3213,  1126, 70632, 58914,  1775,  2942,  3112,  3321,  1752,   956,
    3116,  3106, -4355, 24232,  4937,  3107,  3156, 56310,  3196,  3197,
    3217, -4355,  2037, -4355,  3337, -4355, 28713,  1834,  2921,   217,
   -4355, -4355,  2923,  2695,  2943,  2944,  2924,  2927, -4355,  2188,
     190, 70632,  2935,  1280,   128,  3047,  2188,  3146,  2937, -4355,
    3241,   347,  2051, -4355,  2331, -4355, 70632, -4355, 70632, 70632,
   70632, 70632,  2082, -4355, -4355,  3125,   347,  2331,  3127,   347,
     347, -4355,  3178,  3132,   347,   217,  2331,  3052,  3239, 56310,
   -4355,   299, -4355, -4355, 28713,  3148,  1752, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355,  1835, -4355, 70632, -4355,  3214,
    3215,  3216,  2946,  2948,  2977, 70632,  2950, -4355,  2946,   329,
    2946,  2465,  2465,  2946,  2948, 52838,  3377,  3236, -4355,  3026,
    2955,  3251,   180, -4355,   692,    42,  3176, -4355, -4355, -4355,
   -4355, 90958, -4355, 53272,  2994, 70632, 70632, -4355,   116,  3153,
    2957, 52838,  3363,   347, -4355, 57178, -4355, -4355, 90958,  3037,
    3051, 57178,  3164,  3009, -4355, -4355, -4355, -4355, -4355, 90958,
   -4355,  3219, 70632,  1845, -4355, -4355,  1568, -4355,  1624, 28713,
     177, -4355,  9682,  1847, 28713,  2967,  2968, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355,  2971,  3264, -4355,  1855,  1862,  1878,
    2974,  2976,  3082,  2978, 10964,  2979,  2981, 32772, 32772, 25105,
    1247, -4355, 32772,  2982,  3158,  1882,  9583,  2980,  2986, 11322,
   27811, 28713, 27811, 27811, 11440,  2980,  2987,  1883, 49800,  3160,
   12026,  1900, -4355, 28713, 49800,  4193, 28713, -4355, 28713,  2988,
   -4355, -4355,  2193,  2193,  2193,  9899, -4355,  3007, -4355, 32772,
   32772, -4355,  3189, 25105, -4355, -4355,  3285, -4355, -4355,  1189,
   -4355,  2992, -4355, -4355,  4936, 43732,  7768, 28713,   232, 28713,
    2740, 28713,  3073,  2193,  2193,  2193,   568,   568,   249,   249,
     249,  1849,   550, -4355, -4355, -4355,  2993,  2995,  2999,  3183,
    3002, 28713, -4355,  1889,  2002, 70632,  2736,  3681,  4358, -4355,
   -4355, -4355, 36309,  3039, 28713, 28713, 28713,  3005, -4355,  1851,
   12240,   581, -4355,   309,  3039, -4355,  1432,  2188,   951, 48064,
   -4355, -4355, 28713, -4355, -4355, -4355,  2014, -4355, -4355, -4355,
   -4355, -4355, 70632,  1867, 28713, -4355, -4355,  1491,  3018,    65,
    3200,  2078,  2078,  1502,  3204, -4355, -4355,  3069, -4355, 28713,
    1755, -4355,  1846, -4355, -4355, -4355, -4355,  2465, -4355,  3243,
   -4355, -4355, -4355, 36309,  3055,  3053, 38926,  3207, -4355, 70632,
   -4355, 70632,   118, -4355, -4355, -4355,  3029, -4355, -4355, 87992,
    1637, -4355, 91380, -4355, 91380, -4355,  1637,  3420, -4355, 87992,
    1593, 53272, 70632, 70632, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, 53272, 53272,  3218,
   70632,  3210,  3221, 28713,   741, 70632,  3024,  3030,  1133,  3290,
   70632, -4355,  3333,   347, -4355, -4355,  3103, -4355, 12240, -4355,
   -4355, -4355, -4355, -4355, 53272, 70632, -4355, 56310, -4355, 70632,
    2037, 90958, -4355, -4355, -4355, 70632,  3060, 70632, -4355, 70632,
   70632, 70632,  2082, -4355, -4355, -4355, -4355,  1146, 90958, -4355,
   -4355, 70632, 70632,   671,  3114,  3115, 70632, -4355,   887,  2782,
    9090, 70632, 70632, 70632,  3294, 70632, -4355, -4355, -4355, -4355,
    3248, -4355, -4355, 87992, -4355,  2331,   638,  3118,  2562,  3246,
   -4355,  3361,  3245, -4355,   719, -4355, 70632,  3174, -4355, -4355,
   -4355, -4355,  3365,   347,  3368,   347, 70632, 70632, 70632, 70632,
    3181, -4355, -4355, -4355, -4355,  3184,  3298, -4355, 49800, 49800,
   49800,  1904, -4355, -4355,   956, -4355, -4355, -4355, -4355, -4355,
   -4355,  3336, -4355,  1906, -4355,   760, -4355, -4355, -4355, -4355,
   -4355, -4355, 53272, 70632,  9647,  3373, 70632, 70632, 70632,  1678,
   -4355,   938, 90958, -4355, 89692, 53272, 70632, 49800, 70632,  3145,
   53272,  3135, -4355, -4355, -4355,  3307,  3255, -4355,   825,  3256,
   53272,  3141, -4355,  3162, -4355, -4355,  3166,  2440,  2562,  2254,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,  1230,   444,
    2462,  2562,  3167, -4355,  3168, -4355, -4355, -4355,  3317,  3320,
    3322,  3180,  3182,  3227,  3191,  3193,  3230, -4355,  3198,  3233,
    3201,  3238,  3299,  3202,   347, 90958,  3326,   956,  3224,  3424,
     347, -4355,  3203, -4355, -4355,  3527, -4355, 70632, -4355,  3205,
    2594,  2562, -4355, -4355, 53272, 70632, -4355, -4355, -4355,   433,
   90958, 70632,  3371, -4355, -4355, -4355,   433,   433, 70632, 70632,
     433,  3374, -4355,  3378, 70632,  3380, -4355,   433, -4355, -4355,
     225, -4355, -4355, -4355,  3040,  3406, 41557, -4355,  3580,  4648,
    3134, -4355, 49800, 41557,  1844,  2010,   153,   -19, -4355, 56310,
   70632, 56310, -4355,  1072,  3245, 70632, 70632,  3137,  3129, -4355,
   -4355, -4355, -4355, 53272,   688, 53272,  2188, -4355, -4355,  3206,
   -4355, 70632,  1752,   808,  3208,  3551,  2675,   799,  3283,  1580,
    3493,  2942, -4355, -4355, -4355, -4355, 70632, 70632,   877,   956,
   -4355,  3143,  3142, -4355, 70632, 70632, 70632, 70632, 70632,  2994,
    3147,  3144, 90958,    84,  3342,  3344,  2558,  3567,  3463,  1867,
    2942,  3231,  3464, 70632, -4355,  1923,   146, -4355,   956, 56310,
   88414,  3456, -4355,  6776, -4355, -4355,   897, 70632,  3443, -4355,
   -4355,  1867,   347, 90958,  1927, -4355, -4355, -4355,  2188, -4355,
   -4355,    -9,    -9,  3161, -4355,  3163, -4355,  3552, -4355, -4355,
   -4355, -4355, -4355, -4355,  3165, -4355, -4355, 70632, -4355,   347,
     299,  3222,   347,  3223,   347,   347, 70632, -4355, 70632, -4355,
   -4355, 70632, 70632, -4355, -4355, 70632, 52404,   347, -4355, 12240,
    3474, -4355, -4355,  3291,  3293,  3297, 70632,  2946, 57178, -4355,
    3170, 53272,  1219, -4355, -4355,  3354, -4355, -4355, 65424,  3296,
   -4355, -4355, -4355, -4355,  3489,  3490, -4355, -4355, -4355,   248,
   -4355, -4355, -4355, 53272, 61084,   439, 53272, -4355,  2037,  3437,
   -4355, -4355,  2051,   329, -4355,  3439, 70632,  3440, -4355, -4355,
   -4355,  3211, 12111, 28713, -4355,  3510, 90958, -4355,  4731, -4355,
   -4355, -4355, 28713, -4355, -4355, -4355, -4355, -4355, 28713, -4355,
   28713,  3485, -4355, 22484,  3637,  3637,  3194, 90958, 32772, 32772,
   32772, 32772,  1444,  2426, 32772, 32772, 32772, 32772, 32772, 32772,
   32772, 32772, 32772, 34119,   774, -4355,  3379, 28713, 28713,  3495,
    3485, -4355, 90958,  3220,  2980,  3228,  3229, 28713, -4355, -4355,
    1932, 35000,  3234, 49800, -4355, 28713, 10809,  1934,  3247, 12559,
     -34,  5347,   956, 28713,   595,  1446, 28713,  1939, 28713,  3494,
   -4355, -4355, -4355,  3225, -4355, -4355, 90958, 28713,  3235,  5233,
   32772, 32772,  5296, -4355,  5711, 28713, 25105, -4355,  3390,  3249,
   40235, -4355, 22936,  3242,   794,   794,   794,   794, -4355, 70632,
   70632, 70632, 36745,  3499, 35872, 69764,  3244,  2334, -4355, 69764,
   70198, -4355,  3237, -4355,  3240,   -34, 28713,  3505,   611,   611,
    3390, -4355, 28713, 28713, 28262,  3250, -4355,  3505,   732,  3253,
   -4355, -4355, 12240,  3259, -4355, -4355,  3254, -4355,  3252, -4355,
    3018,   245, -4355, -4355, -4355,  3400, -4355, -4355, -4355, -4355,
    3244, 30066,  3357, -4355,  1947, -4355, -4355,  3598,  3357, -4355,
   -4355,  1952, 39799,  3055, 26909,   -34,  1962,  1601, -4355, -4355,
   87992, -4355,  3300, -4355, -4355, -4355,  2331,  2331,  1134,  2946,
    3530,  1134,  5390, -4355, -4355, 37181, 70632, 70632, -4355, 70632,
    1968,  1665, 70632, -4355, 70632, -4355, -4355, -4355, -4355, -4355,
    3652, -4355, 70632, -4355, -4355,  3303,  3304, -4355, 70632, 70632,
   70632, 70632,  3482, -4355, -4355,  2036, -4355, -4355, 53272, 70632,
   -4355, -4355, -4355,   451,  2761,  2562, -4355,  3316, -4355, -4355,
   -4355,  3503, -4355,  3644,  3330, 70632,  3570, 70632,  3260, -4355,
    1665,   740,  2558,   979, -4355, -4355,  3328, -4355, -4355, 70632,
   -4355, 70632, -4355, -4355, -4355, -4355, -4355, -4355, -4355,  3384,
   -4355, -4355, -4355, -4355, 50234, -4355, -4355, 70632, -4355, 49800,
   41557, 49800, -4355,  1246,   452,  2804,  2562, 70632, -4355,  3340,
   -4355,  3341,  3343,  3393,   846,  1024,  3345,  3346,  3396,  3270,
    3273,  3276, -4355, -4355,  1979, -4355,  3292,  3423, 70632,  2331,
    3282,  3318,   260,   956, -4355, -4355,   956,  2331,   956, 70632,
   70632, 70632,  3685,  3370, 70632, 70632, 70632, 70632, 70632, 70632,
    3585,   962,  1801, 53272, 70632, 70632, 53272, 70632, 70632, 70632,
   70632, 70632, 70632,  3596, 70632, -4355,  3671,  3600,  1622,  3642,
    3362, 70632, -4355, 70632,  2782, 70632, 70632, -4355, -4355, -4355,
    3295,  3545,   433, -4355, -4355,  3548,  3549, -4355,   433,   433,
    3550,   433, -4355, -4355, -4355,   -19, -4355,   225, 70632,  3252,
     414,   415, -4355, -4355, -4355, -4355, -4355, -4355,  2897, -4355,
   -4355,  1800, -4355, -4355, 70632,  3306, 70632, 70632, 32772, -4355,
    1541,   244, -4355,  3547, 70632,  3338, -4355, -4355, -4355,  3466,
   70632, -4355, -4355, -4355, -4355, -4355,  3308, -4355,  3575, 58914,
    2331, 53272, 53272,  2331, -4355, 90958,  3310,  2942, -4355, -4355,
   -4355, -4355, -4355, -4355, 53272,  3135, 53272,   799,  1304, 87558,
    3335, -4355,  3309,  3610, -4355,  3313,  3314, -4355, -4355, 70632,
    3245,  1987,  2254,  3735,   627,  1727, -4355, 60216,  1775,  3575,
   -4355, -4355, -4355,  3697,  3405, -4355,  1867, 70632,  2994,  3405,
     956, 70632,  2849, -4355, 87992, 28713, 28713, -4355,  3319, -4355,
    3324,  8770, -4355,  3388,  3331,  2265, -4355, -4355, -4355, -4355,
   -4355, -4355,  3403,  3334, 70632, -4355, -4355,  3327, -4355,  3348,
   -4355, -4355, -4355, -4355, -4355, -4355,   347, -4355, -4355, 70632,
   -4355, 70632, -4355, -4355,   347,   347,   347,   347, -4355,  3447,
   -4355, 70632, 70632, 70632, 70632,  2946, -4355,   329, -4355,  3621,
   52838, -4355, -4355,  1991, 70632, -4355, -4355, -4355,  3687,   169,
    3633, -4355, -4355,  3592,   834,  3599,  3602,   834,  3604,   834,
   -4355, 28713, 12240, -4355,  3355, -4355, 12240,  5424, 12240,  3495,
   -4355,  1996, 28713, -4355,   884,   884,   884,  1175,  3639, -4355,
    1173,  3358,   884,   884,   884,   352,   352,   203,   203,   203,
    3637,   774, 12240, 12240, -4355, -4355,  3359, -4355, -4355, -4355,
    2980, -4355, 30517,  3509,  3756, -4355, -4355, -4355,  3398,  3399,
    3366, -4355, 28713, 30968,  3360, 91802,  3554, -4355,  1537, 28713,
   28713,  2520, -4355, 10210, 28713, 90958,  2011,  2520,   411, 28713,
    2279,  2576, 28713, 28713,  5848,  5916,  3369, 28713, 88836, -4355,
   -4355, -4355,  2023, 28713, 70632, 70632, 70632, 70632, -4355, -4355,
   -4355, 69764, 70198,  3375, 23373,  2334,  3372, 70632, -4355, -4355,
    3376, 36309,  3611,  3553, -4355, 36309,  3553,  1591,  3553,  3614,
    3460, 40671, -4355, -4355,  3383,  3564, -4355, 21128,  1692, 12240,
    3780,  3668, 28713,  3385,  3387,  3389, 12240, 12240, 28713, -4355,
     956,  3668,   956, -4355, -4355, 43732, -4355, -4355, -4355, -4355,
    3588, 12240, 26458, -4355,  1867, 70632,   -34,   115, -4355,  3404,
   70632, -4355,  3357, -4355, -4355,  3461,  2055, -4355, -4355, -4355,
   -4355, -4355,  3473, 60650,  3691, -4355, 28713,  2075, -4355,  3434,
    3784,   158,  2086,  2088,  1665, -4355,  3338, -4355,  1545,  3670,
     374, -4355,   347, -4355, 90958, -4355, 70632, 70632, -4355, -4355,
   -4355, -4355, 70632,  2476, -4355, -4355, 70632, 70632, 70632, 70632,
   -4355, 53272, 70632, -4355, 70632, -4355, 49800,  2010,  3607, -4355,
   -4355,  3608,   260, 70632, -4355, 90958,   347,   347, -4355, -4355,
   -4355, -4355, -4355,  3419,  3810,  3497, 70632, 70632, 70632, -4355,
   70632, 53272, 70632, 70632,  2188,  2188, 90958,  3410, -4355,  2188,
    2188,  3411, -4355, 53272, 70632, 70632, -4355, -4355, -4355, -4355,
   49800, 41110,  3487, -4355, 28713,  3806, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, 53272, 70632,  3496, -4355,  3498, -4355,
   -4355, -4355, 70632, 70632, 70632, 70632,  3729, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, 70632, -4355, 70632,
   -4355, -4355,   956,   956, 90958,   347,   347, -4355, -4355, -4355,
    3673,   433, -4355,   433,   433, -4355, -4355,   433, -4355,  3425,
     224, -4355,  1665,   729,  3712,  3717, 28713, -4355,   206,  1175,
   -4355, -4355, -4355, -4355,  3338,  1752,  3478, 57178,   346, -4355,
    3699,   187, 58914,   258,  3428,  3555, -4355,  2331,  2331,  3484,
   70632,  3850,  2331,  3318, -4355,  3640,   686, 70632,  3759,  3475,
   -4355,   956, -4355, -4355,  2942, -4355,  1511, 70632, 58914,  2994,
    2099, -4355, -4355, -4355,  3470,  3344,  1775,   790, 70632, -4355,
    3472,  3863, -4355, -4355,  3741,  3641,  3450, -4355, 12240, 12240,
     956, 92224,  6776, 90958,  3750, -4355, 70632,   151,  3716,   347,
   -4355, -4355,   347,   347, -4355, -4355, -4355, -4355, 70632,  2946,
    2946,  2946, -4355,  3645, -4355, -4355,  3707, -4355,   347, 52838,
     834, -4355, -4355, -4355,   834,   834, -4355,   834, -4355, 12240,
   -4355, -4355, -4355, -4355,  5973, 32772,  3751, -4355,  3458, 90958,
   -4355,  3462,  2100,  2104, 34564,  3606, -4355, -4355, -4355,  6042,
    3512, 12240,  3561,  3465,  3467,  2520,  2520, 10210,  2108, -4355,
    2520, 28713, 28713,  2520,  2520, 28713, -4355, -4355,  6432,  3636,
   -4355, -4355,  6496, -4355, -4355, -4355, -4355, -4355, -4355, 50668,
   69764,  3471, 70632,  2334, 36309, -4355, -4355,  2006, -4355, 36309,
    3713, -4355, 36309, 57178, -4355, 70632,  3476, 70632, -4355,   581,
   31419, 28713,  3500, -4355, -4355, -4355,  3390, -4355,  3500, -4355,
    3477, 70632,  2453, -4355, -4355,  3844, 37181,  3803,  3479, -4355,
   -4355, -4355, -4355, 52838,  3667, 52838,  1665,  6515,  3338, 37181,
   44602, 70632, 70632, 70632,  3624,  3338,  3478, -4355, -4355, -4355,
   -4355, -4355, -4355,  3480, -4355, -4355, -4355, -4355,  3557, -4355,
   -4355,    46,  2919, -4355,  2115, -4355, -4355, -4355, -4355, -4355,
    3671, -4355, -4355, 41557, 53272, 70632, -4355,  3560, -4355, -4355,
   -4355, -4355, -4355, 38490, 43732, -4355,   846,  3491,  3492,  1024,
   -4355, -4355, -4355, -4355, -4355, -4355, 70632,  7097,  3511,   528,
    2919, 70632, 70632,  1264,   927,  1512,  2946,  3776, -4355, -4355,
   -4355, -4355,  3671, -4355, -4355,   433, -4355, -4355, -4355, -4355,
   49800, -4355,  1726, -4355,   -19,  3822, 57178,  3905,  3905, 70632,
   -4355,  7242,  3692, -4355,  3478,  3719,  3758, -4355,  3515, 70632,
    3655,  3516,  3504,   257,   257, 70632, 70632, 70632,  2116,  1867,
   -4355,   799,  3804, 58914,  3245, -4355,  1497,  3517,  3821, -4355,
    3930, 70632,  2994,  3147,  3519, -4355, -4355, 60216,  3710,  3405,
    3344,  3654, -4355,  3656, -4355,   789, -4355,  1867, 70632, 70632,
   37181, -4355, 91380, -4355,  2120, -4355, -4355, -4355,  3590,  3039,
    3632,  3634,  3529, 70632,   103, -4355, -4355, -4355, -4355, -4355,
   70632, -4355,   439, -4355, -4355, -4355, -4355, -4355,  2502, 32772,
   90958,  2129, 28713, -4355, 28713, -4355,  3935, -4355, -4355, -4355,
     640, -4355, -4355, -4355,  2520,  2520,  2520, -4355,  3936,  3390,
   -4355, -4355,  2131,  3954, -4355, 70632,  2142, -4355, 28713,  3539,
   -4355, -4355, 36309,  2006,  3540,  2144, 70632,  2152, 90958,  3541,
    3556,  1020,  3558, 21580,  3537, -4355, -4355, -4355, -4355, -4355,
   12240, 12240, 70632, -4355,  3544, -4355, -4355, -4355, 70632,  2156,
   -4355,    81, 24654, -4355, -4355,  1219,  1134,   439,  3784,  3478,
   -4355,  3562, -4355, -4355, -4355,  1108,  1108, 70632,  3478, -4355,
   -4355, 70632,  3635, -4355, -4355, 49800,  3601, -4355,   967,  2919,
   70632, 90958,  2051,   113, -4355, 90958, 90958, -4355, -4355, -4355,
   28713,  3646, -4355, -4355, -4355, -4355, -4355, 70632, 70632, 70632,
   70632, 70632,   347, -4355,  2162, -4355, 37617, -4355, -4355,  2647,
     956,  2647,  1707, -4355, -4355,  2647, -4355,  2647, -4355,  3425,
     956,  3905,   338, -4355, -4355, -4355,  1772,  3757, -4355,   965,
    3742,  3648,  3565, -4355, 57178,  3999,  3575, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355,  2167,  3245,  3857,  2942,  3472,
   70632, -4355, -4355, -4355, -4355, 28713,  3714,  1867,  1727, -4355,
    1775,  3575, -4355, -4355, -4355,  3405, -4355, -4355,  3942,  3744,
    3946,  2994, -4355,  2849,  2191, -4355,  8770, 92224, 90958,  3897,
    3603,  3605, -4355, -4355,  3619, 70632, -4355, -4355,  3245, -4355,
    2502,  2197, -4355,  2202,  2203,  3722,  3626, -4355, 28713,  1177,
    3237, 50668,  3579, -4355,  2204, -4355, 12240, 70632, -4355, -4355,
   28713, -4355,  2212, -4355, -4355, 28713,  3581, 28713, -4355, 31419,
    3576, -4355,  4001, -4355, -4355,  3039, 37181, -4355,  3703, -4355,
    3886, -4355, 70632,  3643, 43732,  3018,  3018,  1752, -4355,  1665,
   -4355, 70632, -4355, 28713, -4355,  3679, -4355, -4355,  2227, -4355,
    1262,  3747,  3896,  2236,  2237,  7446, 70632,  2948,  1512,  2948,
   -4355,  2946, -4355, -4355, 49800, -4355, 51102, -4355, -4355, -4355,
     956, -4355,   956,  3800, 70632, 46762,   956,   956, -4355, -4355,
   -4355, -4355, -4355,  3926,  3870, -4355, -4355, -4355, -4355,   179,
   -4355,  3797,  3799, 70632, -4355,  3609, -4355,  2238,  3724, -4355,
   -4355, 70632,  4028,  4029, -4355,   709,  7802, 57178,  3472,  2994,
    3344,  1775,  2010, -4355,  3805, -4355,  3807, -4355,  3613,  2942,
    6776, -4355, -4355,   317,  3906,  3908, -4355, -4355, -4355, -4355,
   -4355, -4355, -4355, -4355,  2980, 31870, 31870,  3617, -4355, -4355,
   70632, -4355,  2245,  2257, -4355,  2258, 31419,  2259, -4355, 70632,
    3620, -4355, -4355, 39799, 52838,  1108,  3622, -4355,  3629, -4355,
   -4355,  3719,  1665,  2919, 12240, 70632, 57178,  4022, -4355, -4355,
   -4355,  3747, -4355, -4355, -4355,  2919, 70632, -4355, -4355,  2285,
   -4355, -4355, -4355, 70632,  3309, -4355,  3309, -4355, -4355,  3755,
   -4355,   256,   256,  3966, -4355,  3690, -4355, -4355,  3630, -4355,
    4083, 70632, -4355,   846,  1867, 58914, -4355,  3647, -4355, -4355,
    3405,  3344, -4355, -4355, 37181,  3405, -4355, -4355, -4355,  2128,
   57178, 57178, 33223,  3767,   868,  9663, -4355, -4355, -4355, -4355,
    2286, -4355,  3781, -4355,  2291, -4355, -4355, -4355,   912,   439,
    3018, 28713,  1665, -4355,  3742, -4355,  2919,  2051, 70632, -4355,
   -4355, -4355, -4355, 51102,  3309,  3475, -4355,  4071, -4355,   242,
   -4355, -4355, -4355, -4355,  3245,  3410,  3472, 49366, -4355,  3405,
    2293,  3039, -4355,  2484, -4355, -4355, -4355, -4355, -4355, -4355,
   -4355,  3649,  3653,  4061, -4355, -4355, -4355, -4355, -4355, -4355,
    3651, -4355, -4355, -4355, -4355, -4355,  8425, -4355, -4355, -4355,
   -4355, -4355,  3953, -4355, -4355, -4355, -4355, -4355, -4355,  2299,
   -4355, -4355, -4355, -4355, -4355,  2942, -4355,  1798, -4355, -4355,
    1854,  2024,  3726,  3950, 32321, 28713, -4355,  1665,  3801, -4355,
   49366,  3405, -4355,  2484,  3761,  3763, -4355,  8724, 57178, -4355,
    3039, -4355,  3698,  3700, -4355,  3662, -4355,  3956,  3958, 49366,
   57178, 57178,  2300, -4355, -4355, -4355
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1499,  1283,   570,  1368,  1367,  1283,   255,     0,  1370,     0,
    1283,   390,  1018,     0,     0,     0,     0,   570,  1283,     0,
    1499,     0,     0,     0,     0,     0,  1512,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1283,     0,     0,  1519,
       0,     0,     0,     0,  1512,     0,  1372,     0,     0,     0,
       0,     0,     2,     4,    67,    68,    29,    28,    34,    33,
      92,    93,    53,    17,    81,    60,   127,   126,   128,    40,
      36,    75,    25,    27,    37,    41,    62,    43,    54,   105,
      61,    23,    59,    86,    63,    89,    48,    11,    12,    49,
      79,    13,    50,    80,    14,    51,    15,   101,    69,    94,
      32,    58,    22,    85,    42,    65,    91,    66,     5,    44,
      77,    73,    10,    55,    56,    57,    82,    83,    84,   110,
      88,   122,    39,   119,    98,    99,   116,   100,   117,     8,
     102,    52,    16,   113,   112,   114,    76,    45,    78,    64,
      90,   111,    26,   115,    18,    19,    21,    20,   118,    87,
     108,   104,   123,   121,   129,   106,    70,     6,     7,    95,
      24,    47,     9,    31,    30,    46,    38,   125,    35,  1370,
      97,   109,    96,    71,   103,    74,   107,   124,    72,   120,
    1472,  1471,  1521,  1475,  1498,     0,  1487,  1282,  1281,  1267,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   569,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1293,  2082,  2097,  2098,  2099,  2100,  2101,  2102,  2103,
    2104,   361,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2368,  2369,  2370,  2371,  2115,  2116,  2117,  2118,
    2119,  2120,  2121,  2372,  2373,  2122,  2123,  2124,  2125,  2126,
    2374,  2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,  2135,
    2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,
    2146,  2147,  2148,  2375,  2376,  2149,  2150,  2151,  2152,  2153,
    2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,
    2174,  2377,  2175,  2176,  2177,  2378,  2178,  2179,  2180,  2379,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,  2380,  2381,  2188,
    2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,
    2199,  2200,  2201,  2202,  2203,  2204,  2382,  2205,  2206,  2207,
    2208,  2383,  2384,  2385,  2209,  2210,  2211,  2212,  2213,  2214,
    2215,  2216,  2386,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,
    2234,  2235,  2236,  2387,  2388,  2237,  2238,  2389,  2239,  2240,
    2241,  2390,  2242,  2391,  2243,  2244,  2245,  2246,  2247,  2248,
    2249,  2250,  2392,  2251,  2393,  2252,  2253,  2254,  2255,  2256,
    2257,  2258,  2259,  2260,  2261,  2394,  2262,  2395,  2265,  2263,
    2264,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,  2396,
    2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,
    2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,
    2397,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,
    2303,  2304,  2305,  2306,  2307,  2308,  2398,  2309,  2310,  2311,
    2312,  2399,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,
    2321,  2322,  2323,  2324,  2400,  2325,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,  2401,  2402,  2333,  2334,  2403,  2335,  2404,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2405,  2406,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,
    2364,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,
    2365,  2366,  2367,   360,  1462,  2050,  2083,  2084,  1369,  1349,
     570,     0,  1270,   389,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,   786,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,     0,     0,   413,   412,
       0,     0,     0,   991,   418,     0,     0,     0,     0,     0,
     558,  1412,  2263,  1410,  1463,   256,   259,   260,   257,   258,
    2072,     0,  1101,  1102,  1104,     0,     0,     0,  1114,   824,
     825,     0,     0,     0,   827,     0,     0,     0,   820,     0,
       0,     0,     0,     0,     0,   826,   817,     0,   816,     0,
       0,  1114,     0,     0,     0,   818,     0,     0,  1271,  1409,
     419,  1499,     0,  1386,  1387,  1388,  1370,  1377,  1389,  1382,
    1384,  1383,  1385,  1381,  2071,  2098,   929,   929,   929,   929,
     926,   927,   929,   929,   929,  2280,     0,     0,   908,     0,
     910,  2073,   929,   934,   474,   474,   474,     0,   933,   938,
     474,     0,  1264,  1302,  2055,  1511,     0,   909,  1263,  2333,
    1400,     0,     0,  1129,  1125,  1127,  1128,  1126,     0,     0,
       0,  2296,  1275,   240,  2306,  2401,  2333,   239,   234,   235,
     208,  2102,     0,     0,   933,     0,  1272,  1273,   894,  1518,
    1516,     0,  2037,  2120,  2134,  2220,   231,  2291,  2297,  2306,
    2401,  2333,  2364,   187,   197,   192,     0,   249,  2306,  2401,
    2333,   245,  1293,     0,  1488,  1618,  2046,     0,  1266,  1265,
    1371,     0,  1374,     0,  1579,  2276,  1492,  1495,  1376,  1493,
    1484,     0,     0,     1,  1499,  1365,  1515,  1515,     0,  1515,
       0,  1476,  1484,  1479,  1483,     0,     0,     0,     0,  2082,
    2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,     0,     0,  2056,  2083,  2087,     0,   834,
       0,  1305,  2051,   978,     0,     0,     0,     0,  2050,     0,
       0,     0,     0,  2088,  2078,  2079,     0,  2076,  2077,  2089,
    2090,  2091,     0,  2193,     0,     0,     0,  1943,  1954,  1955,
    1956,  2124,  2178,  1951,  1952,  1953,  1945,  1946,  1947,  1948,
    1949,  1950,     0,  1099,  1944,     0,  2193,     0,   156,     0,
     134,     0,     0,  2193,     0,     0,     0,     0,     0,  2193,
       0,     0,     0,     0,     0,   156,  2225,     0,   134,  2193,
       0,     0,  1287,     0,     0,     0,  1289,  1292,  1268,  1352,
       0,  2046,     0,     0,     0,   871,   863,     0,   872,   864,
       0,     0,   874,     0,     0,   866,     0,     0,     0,     0,
     875,     0,   865,   867,   877,   868,   873,     0,     0,     0,
       0,   869,     0,     0,  1279,     0,  1402,  1404,  1403,  1401,
     474,     0,     0,     0,     0,     0,     0,   134,  1337,     0,
    2193,   134,     0,     0,   417,   416,   134,  2076,   415,   414,
    2124,  2178,     0,  1017,     0,   134,  2193,     0,   180,   643,
     573,     0,     0,   745,  2225,   134,     0,     0,     0,     0,
       0,     0,   994,     0,     0,     0,   557,   570,  1413,  1411,
       0,  1105,   233,   232,  1103,   822,  2193,     0,   335,     0,
       0,  2193,  1324,  2085,  1676,  1705,  1683,  1705,  1705,  1672,
    1672,  2162,  1685,  2193,  1673,  1674,  1712,     0,  1705,  1672,
    1677,     0,  1675,  1715,  1715,  1700,   335,   838,  1657,  1658,
    1659,  1660,  1686,  1687,  1661,  1692,  1693,  1707,  1662,  1729,
    1672,  2086,   823,     0,   821,  2193,     0,  2193,  2080,   171,
       0,   819,  2124,  2178,  2193,     0,     0,  2193,     0,  2193,
     163,  2193,     0,  2193,   335,  2193,   574,     0,     0,  2193,
       0,  2193,   335,  2193,  2225,   165,     0,  2193,   335,   832,
       0,  1405,     0,  1379,  2405,  1394,     0,  1390,  1397,  1393,
    1499,   929,   928,     0,   929,     0,   929,     0,   929,     0,
     929,     0,     0,     0,   929,  2074,  2075,   911,     0,   935,
       0,     0,   942,   941,   940,     0,     0,     0,   943,     0,
    1622,  1436,     0,  1261,  1278,     0,     0,     0,   994,  1132,
       0,  1130,  1121,  1122,  1274,   238,   236,     0,     0,     0,
       0,     0,     0,  1280,     0,     0,     0,     0,  2059,  2061,
    2062,  1957,  2027,     0,  2369,  2370,  2371,  2016,     0,  2372,
    2373,  2374,  2418,  1859,  1846,  1855,  1860,  1847,  1849,  1856,
    2375,  2376,  2377,  2378,  2069,  2379,  2380,  2381,  2383,  2384,
    2385,  2386,  1851,  1853,  2387,  2388,     0,  2070,  2390,  2391,
    2247,  2393,  2394,  2396,  2397,  1857,  2399,  2400,  2401,  2402,
    2403,  2404,  2068,     0,  1858,  2406,  2408,  2409,  2410,  2411,
    2412,  2413,  2414,  2415,     0,     0,     0,  2043,     0,  1826,
       0,  1665,  1666,  1688,  1689,  1667,  1694,  1695,  1668,     0,
    2042,  1732,  1908,  1825,  1842,     0,  1831,  1832,     0,  1824,
    1820,  1501,  2038,     0,  1821,  2058,  2060,  2017,  1501,  2036,
     200,   251,     0,   252,  2044,  2306,   188,   230,   202,   229,
     203,   201,     0,  2122,   189,     0,     0,   190,     0,     0,
       0,     0,   248,   246,     0,  1269,     0,  1620,  1619,  2024,
       0,  2025,  2047,   843,  1364,  1362,  1363,  1361,     0,  1358,
    1360,  1373,  1370,  2032,  2031,  2033,     0,  1494,     0,     0,
       0,  1474,  1473,     3,  1376,  1513,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,  1569,  1529,  1530,  1532,  1566,
    1570,  1578,     0,  1480,     0,     0,  1624,     0,  1580,     0,
       0,  2057,     0,     0,     0,     0,   835,     0,     0,     0,
    1311,     0,  1313,  1314,  1315,     0,     0,  1316,  1317,  1305,
     242,  1323,  1321,  1304,  1306,  1319,     0,     0,     0,     0,
       0,     0,     0,  1329,     0,     0,   169,   170,   586,   570,
       0,  2193,     0,     0,     0,     0,     0,  1057,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,  1058,  1056,  1059,
     244,  1068,  1085,  1088,     0,   968,     0,     0,     0,     0,
       0,  1184,     0,     0,     0,  1184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   265,
     277,   330,   549,     0,     0,     0,   552,     0,  2193,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,   133,   138,     0,     0,     0,     0,     0,     0,   536,
     548,     0,     0,     0,     0,     0,   545,     0,   134,   269,
     529,   533,     0,     0,     0,   652,   651,  1327,  1326,     0,
       0,     0,  1184,     0,   261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     353,   354,     0,     0,     0,   138,     0,     0,     0,     0,
     271,     0,     0,  1288,  1285,  1286,     0,  1291,     0,  1348,
       0,   862,     0,     0,     0,     0,   879,     0,   876,     0,
       0,   870,  2124,  2178,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   392,     0,     0,   742,     0,     0,
       0,     0,     0,   753,     0,  1305,  1336,     0,     0,     0,
     579,     0,  2193,     0,   136,   787,     0,   743,   418,     0,
       0,   136,     0,     0,   174,     0,   647,     0,     0,     0,
       0,     0,     0,   691,   690,     0,     0,     0,   744,     0,
     136,     0,  2193,   532,  2193,     0,   474,   474,     0,     0,
     993,   996,     0,     0,     0,     0,  1466,  1468,  1467,     0,
    1465,     0,   335,   333,   334,   740,  1113,     0,     0,  1704,
    1691,  1699,  1698,     0,  1681,  1680,  1679,     0,  1678,     0,
    1705,  1705,  1703,  1682,  1657,     0,     0,     0,  1711,     0,
    1709,     0,   812,  1653,  1649,     0,     0,  1697,  1718,  1719,
    1720,  1717,  1730,  1716,     0,  1663,  1721,  1672,  1669,     0,
       0,   335,     0,     0,  2193,   335,  2193,     0,  2193,     0,
       0,   335,   335,     0,     0,     0,     0,     0,     0,   648,
       0,   831,   829,   828,   830,     0,     0,     0,     0,   810,
       0,     0,     0,  2193,   335,     0,     0,   809,  1967,     0,
       0,  1499,     0,   219,   220,   218,  1395,   221,  1396,  1392,
    1378,     0,   919,     0,   923,     0,   914,     0,   920,     0,
     915,   912,   913,     0,   918,     0,     0,   475,   477,     0,
       0,  2146,  2161,     0,  2184,  2213,  2214,  2297,  2302,     0,
    2328,  2338,     0,   944,   973,   939,   661,     0,     0,  1446,
    1262,  1974,     0,  1499,     0,     0,     0,     0,   237,   209,
       0,     0,     0,   975,  2296,  1277,   893,   570,     0,  1822,
       0,  1829,  1830,  2015,     0,     0,     0,     0,     0,     0,
    1828,  1982,     0,     0,     0,     0,     0,  1755,     0,     0,
       0,  1995,     0,  2001,     0,     0,  1792,     0,     0,     0,
       0,     0,     0,     0,     0,  1756,  1736,  1737,  1826,  1967,
       0,  1827,  2065,     0,  1729,  2041,  1957,     0,  1954,  1955,
    1956,     0,     0,     0,  2030,     0,  1965,     0,     0,  1770,
    1963,  1772,     0,     0,     0,     0,  1951,  1952,  1953,  1945,
    1946,  1947,  1948,  1949,  1950,  1961,  1752,     0,     0,  1910,
       0,  1751,     0,     0,  1582,     0,  2063,  2018,  1582,   253,
     254,   250,     0,     0,   205,   204,     0,   223,   227,   228,
     199,   226,     0,   222,   207,  1899,  1898,   206,   198,   195,
     193,   210,   212,   213,   196,   194,   247,     0,  2023,     0,
    2092,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,  2457,
    2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,
    2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,  2497,
    2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,
    2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2020,  2019,
    2053,  2093,  2094,  2095,  2096,  2026,     0,     0,   335,  1356,
       0,  1353,  2035,     0,  1496,     0,  2048,     0,  1366,  1491,
    1490,  1522,  1523,  1010,  1489,  1549,  1550,     0,     0,     0,
       0,  1575,  1573,  1540,  1533,  1539,     0,     0,  1537,     0,
    1541,  1732,  1568,  1478,  1527,  1528,  1531,  1477,     0,  1571,
       0,  1449,  1569,  1532,  1433,     0,  1415,     0,  1625,     0,
    1032,  1034,     0,  1033,     0,  1036,     0,  1045,     0,     0,
    1031,  1050,     0,  1039,  1037,     0,     0,     0,     0,     0,
       0,   836,     0,     0,     0,     0,  1312,     0,     0,  2328,
     241,  1315,  1320,  1307,  1318,     0,     0,     0,     0,     0,
     977,   976,     0,     0,   998,     0,     0,     0,  1332,   463,
       0,   332,     0,     0,     0,     0,     0,     0,     0,     0,
     738,   735,     0,     0,   734,     0,   584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   622,     0,  1184,
       0,   655,     0,  1066,     0,     0,  1065,     0,  1069,     0,
       0,  1067,  1062,  1063,  2297,  2306,  2333,   243,  1087,     0,
    1086,  1084,  1020,     0,  1021,     0,     0,     0,     0,     0,
    2171,  2193,   279,   294,     0,  1183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   317,     0,     0,   320,   319,     0,     0,     0,     0,
       0,   324,   303,     0,   304,     0,     0,   323,     0,     0,
     550,   551,     0,     0,     0,     0,  1184,     0,   273,     0,
       0,     0,     0,     0,     0,  1100,     0,   679,     0,     0,
     159,     0,   155,   158,     0,     0,     0,     0,   535,   547,
       0,   539,   540,   537,   541,   542,     0,     0,     0,     0,
       0,     0,   534,     0,     0,   645,   644,   650,     0,     0,
       0,     0,     0,     0,     0,     0,  1134,  1133,     0,     0,
       0,     0,     0,     0,   777,     0,     0,     0,     0,     0,
       0,     0,   162,   664,     0,   663,     0,   160,   161,     0,
       0,     0,     0,     0,     0,     0,   217,  1284,  1290,  1351,
    2054,  1350,     0,     0,     0,     0,   878,     0,     0,     0,
       0,     0,     0,     0,     0,   880,   881,   882,   883,     0,
       0,     0,     0,     0,   367,     0,     0,     0,  2085,     0,
     766,   741,     0,     0,   754,     0,   756,   759,     0,  1303,
     436,     0,     0,   576,   622,     0,   421,   167,     0,     0,
       0,     0,   681,   131,   178,   180,   419,     0,   179,   181,
     183,   184,   185,   182,   186,   642,   646,     0,   572,     0,
       0,     0,     0,     0,   692,   696,   695,   699,   697,     0,
     693,     0,     0,  1645,     0,   154,     0,     0,   527,   531,
       0,     0,     0,   421,   505,   346,  2193,     0,   474,     0,
    2193,     0,   995,     0,     0,     0,     0,     0,     0,     0,
       0,  1464,     0,  1091,     0,  1325,     0,     0,     0,   335,
    1702,  1701,  1654,  1650,     0,     0,     0,     0,   839,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1670,
    2193,   335,     0,  1089,   172,  2081,     0,   814,     0,     0,
       0,     0,     0,  1093,   806,     0,   335,   164,     0,   335,
     335,   575,     0,     0,   335,   335,   166,     0,     0,     0,
     567,   335,   833,  1408,     0,  2193,   474,  1380,  1391,   916,
     925,   924,   922,   921,   917,     0,   936,     0,   473,     0,
       0,     0,   950,   951,     0,     0,   949,   966,   952,     0,
     954,   946,   945,   955,   956,     0,     0,   975,   659,     0,
       0,     0,     0,  1443,     0,  1441,     0,  1623,  1445,  1434,
    1399,     0,  1398,     0,   520,     0,     0,  1131,     0,     0,
     933,     0,     0,   335,  1276,     0,   895,   896,     0,     0,
       0,     0,     0,     0,   902,   899,   900,   901,   903,     0,
     904,     0,     0,     0,  2028,  1978,     0,  1979,     0,     0,
    2014,  2010,     0,     0,     0,     0,     0,  1983,  1986,  1987,
    1988,  1985,  1989,  1984,     0,     0,  1990,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2397,     0,     0,     0,
       0,  1795,     0,     0,  1938,     0,  1967,  2000,     0,     0,
       0,     0,     0,     0,  1967,  2006,     0,     0,     0,     0,
    1897,     0,  1894,     0,     0,     0,     0,  2027,     0,     0,
    2066,  1733,  1747,  1748,  1749,  1753,  2040,     0,  2029,     0,
       0,  1734,  1761,     0,  2007,  1788,     0,  1793,  1776,     0,
    1769,     0,  1774,  1778,  1757,     0,  1754,     0,  2030,  1966,
       0,  1964,     0,  1744,  1745,  1746,  1738,  1739,  1740,  1741,
    1742,  1743,  1750,  1942,  1940,  1941,     0,     0,     0,  1918,
       0,     0,  1773,  2186,  2220,     0,  1512,  1512,  1512,  1500,
    1510,  2039,     0,  1640,     0,     0,     0,     0,  1834,     0,
    1971,  1521,  1969,  1037,  1640,  2045,     0,     0,  1729,     0,
    1621,  2021,  2024,   841,   842,   840,  1376,  1359,  1355,  1354,
    2034,  1375,     0,  1499,     0,  1008,  1009,     0,  1013,  2397,
    2294,     0,     0,     0,     0,  1542,  1576,     0,  1567,     0,
    2059,  1543,  2058,  1544,  1547,  1548,  1538,  1577,  1447,     0,
    1572,  1482,  1481,     0,  1643,     0,     0,  1425,  1417,     0,
    1626,     0,  1582,  1451,  1453,  1454,     0,  2027,  1035,     0,
    1672,  1046,     0,  1030,     0,  1029,  1672,     0,  1047,     0,
    1672,     0,     0,     0,  1221,  1136,  1192,   837,  1222,  1137,
    1193,  1223,  1138,  1322,  1310,  1309,  1308,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   717,  2193,   335,  1330,  1224,     0,  1139,   331,  1331,
    1194,  1335,   737,   736,     0,     0,  1195,     0,   585,     0,
       0,     0,   591,   592,   593,     0,     0,     0,   594,     0,
    2124,  2178,     0,   599,   606,   611,   601,     0,     0,   613,
     607,     0,     0,     0,     0,     0,     0,   619,   626,     0,
       0,     0,     0,     0,     0,     0,  1060,  1061,  1225,  1142,
       0,  1196,  1019,     0,  1143,   168,     0,     0,   266,  2193,
     281,     0,   628,   717,  1186,   301,     0,     0,   316,   311,
     312,   310,  2193,   335,  2193,   335,     0,     0,     0,     0,
       0,   313,   308,   309,   305,     0,     0,   318,  2101,  2163,
    2307,     0,   632,   634,     0,   639,   321,  1159,   342,   341,
     340,     0,   325,     0,   347,   350,   322,   299,   302,   300,
     296,   278,     0,     0,     0,     0,     0,     0,     0,     0,
    2052,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,   673,   157,  1174,   147,     0,     0,   143,     0,     0,
       0,     0,   137,     0,  1231,  1149,     0,     0,   270,   530,
     538,   543,  1153,   546,  1206,   544,  1237,  1150,     0,  1184,
       0,   262,     0,  1151,     0,  1200,  1233,  1176,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,     0,     0,     0,   335,     0,     0,     0,  1186,  2193,
     335,  1232,     0,  1181,  1214,     0,   355,     0,  1175,     0,
       0,   272,  1155,  1208,     0,     0,   215,   214,   216,     0,
       0,  2161,     0,   885,   846,   884,     0,     0,     0,     0,
       0,     0,   854,     0,     0,     0,   845,     0,   844,   366,
       0,   391,   364,   365,   367,     0,     0,   765,     0,     0,
       0,   755,     0,     0,     0,  1328,     0,   134,   583,     0,
       0,     0,   578,   621,   628,     0,     0,     0,   420,   424,
     428,   429,   430,     0,     0,     0,     0,   148,   135,     0,
     795,     0,   474,     0,   677,     0,   180,   173,     0,     0,
       0,   346,   752,   750,   749,   751,     0,     0,     0,   770,
     748,     0,  1644,  1646,     0,     0,     0,     0,     0,   520,
     423,     0,   477,     0,     0,   509,     0,     0,     0,     0,
     346,     0,     0,     0,  1024,     0,  1042,  1025,     0,     0,
       0,     0,  1073,  1080,  1074,  1052,     0,     0,   555,  1469,
    1470,     0,   335,     0,     0,  1671,  1684,   813,     0,  1714,
    1713,  1715,  1715,     0,  1655,     0,  1706,  1707,  1723,  1724,
    1725,  1726,  1727,  1728,     0,  1722,  1664,     0,   623,   335,
     335,     0,   335,     0,   335,   335,     0,   670,     0,  1259,
     649,     0,     0,   725,   811,     0,     0,   335,   808,  1968,
       0,   937,   476,     0,     0,     0,     0,   948,     0,   553,
     953,     0,   965,   960,   962,     0,   969,   658,     0,     0,
    1444,  1437,  1439,  1438,     0,     0,  1435,  1975,   807,     0,
     526,  1123,  1124,     0,     0,   335,     0,   970,     0,     0,
     897,   898,     0,     0,   905,     0,     0,     0,  1517,  1976,
    1977,     0,     0,     0,  2011,     0,     0,  1872,     0,  1848,
    1850,  1862,     0,  1873,  1833,  1874,  1852,  1854,     0,  1958,
       0,     0,  1863,     0,  1797,  1798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1813,  1812,  1864,  1937,     0,     0,  1998,
    1999,  1865,     0,     0,  2005,     0,     0,     0,  1870,  1875,
       0,     0,     0,     0,  1881,     0,  1902,     0,     0,     0,
    1823,  1968,     0,     0,     0,     0,     0,     0,     0,     0,
    1794,  1777,  1771,     0,  1775,  1779,     0,     0,     0,  1765,
       0,     0,  1763,  1789,  1759,     0,     0,  1790,     0,     0,
       0,  1841,     0,     0,  1512,  1512,  1512,  1512,  1509,     0,
       0,     0,     0,  2294,     0,  1604,  1581,  1583,  1591,  1604,
    1609,  1843,  1638,  1844,     0,  2046,     0,  1552,  1521,  1521,
    1521,  1840,     0,     0,     0,     0,  1520,  1552,   191,     0,
     224,   211,  2023,     0,  1357,  2049,     0,  1524,     0,  1959,
    1013,     0,  1526,  1546,  1545,     0,  1536,  1574,  1534,  1448,
    1432,     0,  1430,  1419,     0,  1420,  2027,     0,  1430,  1416,
    1459,     0,     0,  1643,     0,  1458,     0,  1672,  1027,  1028,
       0,  1051,     0,  1220,  1135,  1191,   980,   981,     0,   979,
       0,     0,     0,   462,   997,     0,     0,     0,   717,     0,
       0,   466,     0,  1333,     0,  1238,  1173,   587,   588,   589,
       0,   600,     0,   609,   608,     0,     0,   596,     0,     0,
       0,     0,     0,   595,   615,   559,   616,   618,     0,     0,
     617,   620,   625,  1184,     0,   656,  1161,     0,  1212,  1054,
    1187,     0,  1022,     0,     0,     0,     0,     0,     0,   436,
     295,     0,     0,     0,   283,   293,     0,  1190,   327,     0,
     298,     0,   291,   314,   306,   315,   307,   326,   328,     0,
     636,   637,   635,   631,     0,   638,   640,     0,   344,     0,
       0,     0,  1227,     0,  1184,     0,   274,     0,  1157,     0,
    1210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,  1197,     0,  1216,     0,     0,     0,   678,
       0,   675,     0,     0,   140,   139,     0,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   356,   337,     0,   773,     0,
       0,     0,   358,     0,     0,     0,     0,  1226,  1144,   847,
       0,     0,     0,   848,   859,     0,     0,   849,     0,     0,
       0,     0,   861,   369,   370,   134,   368,     0,     0,  2247,
    1945,  1946,   763,   768,   760,   762,   764,   761,     0,   767,
     717,     0,   757,   758,     0,     0,     0,     0,     0,   448,
       0,     0,   442,     0,     0,  1080,   435,   438,   439,     0,
       0,   579,   582,   580,   581,   614,     0,   455,   501,     0,
     150,     0,     0,   151,   149,     0,     0,   346,   682,   686,
     684,   683,   685,   680,     0,   673,     0,   176,   419,     0,
       0,   571,   698,   701,   694,     0,   769,   771,   746,     0,
     628,     0,   532,     0,   474,  1409,   515,     0,   505,   501,
     503,   502,   504,     0,   511,   345,     0,     0,   520,   511,
       0,     0,   998,  1023,     0,     0,     0,  1070,  1075,  1071,
       0,     0,  1038,     0,  1072,     0,  1053,  1016,  1254,  1255,
    1252,  1253,     0,     0,     0,  1461,  1092,     0,  1690,     0,
    1710,  1708,  1651,  1656,  1696,  1731,   335,  1090,   815,     0,
     802,     0,   804,  1094,   335,   335,   335,   335,   665,     0,
     568,     0,     0,     0,     0,   947,   967,     0,   963,     0,
       0,   930,   972,     0,     0,  1442,  1440,   518,     0,   975,
       0,   931,   974,     0,     0,     0,     0,     0,     0,     0,
    1980,     0,  2013,  2009,     0,  1845,  1981,     0,  1993,  1992,
    1938,     0,     0,  1796,  1808,  1809,  1810,  1994,     0,  1818,
       0,     0,  1805,  1806,  1807,  1799,  1800,  1801,  1802,  1803,
    1804,  1811,  2003,  2002,  1996,  1997,     0,  1867,  1868,  1869,
    2004,  1876,     0,  2115,  1903,  1880,  1896,  1895,     0,     0,
       0,  1883,     0,     0,  1892,     0,  1939,  2067,  1735,     0,
       0,  1762,  2008,  1780,     0,     0,     0,  1758,  1958,     0,
       0,     0,     0,     0,  1767,     0,     0,     0,  1921,  1916,
    1917,  1935,     0,     0,     0,     0,     0,     0,  1503,  1502,
    1508,  1604,  1609,     0,  1484,     0,  1591,     0,  1603,  1589,
    1602,     0,     0,  1615,  1613,     0,  1615,     0,  1615,     0,
    1585,     0,  1605,  1587,  1602,     0,  1630,     0,  2047,  1639,
       0,  1565,     0,     0,     0,     0,  1972,  1973,     0,  1970,
    1835,  1565,     0,  2022,  1497,     0,  1525,  1011,  1012,  1535,
    2142,  1641,     0,  1431,     0,     0,  1422,  1428,  1414,     0,
       0,  1452,  1430,  1455,  1048,     0,     0,  1040,   986,   987,
     985,   988,     0,     0,     0,   717,     0,     0,   482,     0,
    1005,  1005,     0,     0,   468,   514,  1080,   720,     0,     0,
       0,   718,   335,  1140,     0,   610,     0,     0,   605,   603,
     602,   604,     0,   560,  1236,  1141,     0,     0,     0,     0,
    1055,     0,     0,  1160,     0,   280,     0,   433,     0,   288,
    1185,     0,     0,     0,   287,     0,   335,   335,   329,   633,
     343,   348,   349,   352,     0,     0,     0,     0,     0,  1189,
       0,     0,     0,     0,     0,     0,     0,   796,   779,     0,
       0,   797,   798,     0,     0,     0,  1097,  1098,  1096,  1215,
       0,     0,     0,  1147,     0,     0,   669,   144,   141,   142,
     145,  1171,  1154,  1207,     0,     0,     0,  1152,     0,  1201,
    1167,  1163,     0,     0,     0,     0,     0,  1235,  1180,  1205,
    1234,  1178,  1203,  1177,  1202,  1179,  1204,     0,  1172,     0,
    1648,   776,     0,     0,     0,   335,   335,   667,  1156,  1209,
       0,     0,   850,     0,     0,   852,   853,     0,   856,   374,
     394,   687,   739,     0,     0,   716,     0,   440,     0,   446,
     450,   451,   449,   441,  1080,   474,   513,     0,     0,   729,
       0,   577,   421,   452,     0,     0,   425,   153,   152,     0,
       0,     0,   676,   675,   180,  2193,     0,     0,   703,   707,
     747,     0,  1647,   662,   346,   528,     0,     0,   421,   520,
       0,   426,   431,   432,     0,   509,   505,     0,     0,   517,
    1301,     0,   521,   523,     0,     0,     0,  1026,  1043,  1044,
       0,     0,  1080,     0,     0,  1079,     0,     0,   562,   335,
    1652,   624,   335,   335,   671,  1260,  1120,   726,     0,   959,
     958,   957,   554,     0,   961,   660,     0,   519,   335,     0,
       0,   907,   888,   906,     0,     0,   887,     0,   886,  2012,
    1861,  1871,  1991,  1937,  1968,     0,     0,  1819,     0,     0,
    1866,  2407,     0,     0,     0,     0,  1900,  1901,  1882,     0,
    2238,  1887,     0,     0,     0,  1786,  1784,  1781,     0,  1782,
    1766,     0,     0,  1764,  1760,     0,  1791,  1907,     0,  1923,
    1920,  1934,  1968,  1507,  1506,  1505,  1504,  1590,  1588,     0,
    1593,  1600,     0,  1584,     0,  1614,  1610,     0,  1611,     0,
       0,  1612,     0,     0,  1586,     0,  1600,     0,  1637,  1521,
       0,     0,  1912,  1838,  1839,  1836,  1521,  2064,  1912,   225,
       0,     0,  1429,  1418,  1421,     0,     0,     0,     0,  1460,
    1450,  1041,  1049,     0,     0,     0,   464,     0,  1080,     0,
       0,     0,  1007,  1007,     0,  1080,   513,   722,   721,   724,
     719,   723,  1334,     0,   597,   598,   612,  1162,     0,  1213,
    1169,     0,  1446,   282,     0,   629,   284,   285,   286,   289,
     337,   297,   290,     0,     0,     0,  1158,     0,  1211,  1165,
    1229,  1145,  1198,     0,     0,   785,     0,     0,     0,     0,
    1230,  1146,  1199,  1217,  1218,  1219,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,  1343,     0,  1188,   336,
     775,   774,   337,   357,  1182,     0,   851,   857,   858,   855,
       0,   363,   371,   395,   134,     0,     0,  1111,  1111,     0,
     717,     0,     0,   437,   513,   481,     0,   443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     668,   175,     0,   421,   628,   702,     0,     0,     0,   772,
       0,     0,   520,   423,     0,  1406,   422,     0,     0,   511,
     509,     0,   506,     0,   510,     0,  1294,     0,     0,     0,
       0,  1076,     0,  1082,     0,  1037,  1014,  1077,     0,  1640,
       0,     0,     0,     0,   566,  1112,   803,   805,   666,   964,
       0,   971,   335,   889,   890,   891,   892,  1939,  1814,     0,
       0,     0,     0,  1877,     0,  1878,  1905,  1904,  1884,  1888,
       0,  1885,  1886,  1783,  1787,  1785,  1768,  1909,     0,  1521,
    1936,  1633,     0,  1636,  1592,     0,     0,  1594,     0,     0,
    1596,  1598,     0,     0,     0,     0,     0,     0,  2050,     0,
    2141,  2381,  2293,     0,  1551,  1553,  1556,  1558,  1557,  1559,
    1555,  1564,     0,  1486,     0,  1485,  1960,  1642,     0,     0,
     999,     0,     0,  1457,  1456,   965,     0,   335,  1005,   513,
     483,  2247,   484,  1004,  1006,  1010,  1010,     0,   513,   717,
     590,     0,     0,   267,   627,     0,   339,   351,     0,  1446,
       0,     0,     0,   792,   780,     0,     0,   799,  1148,   672,
       0,     0,   263,  1168,  1164,  1345,  1346,     0,     0,     0,
       0,     0,   335,   860,     0,   397,   404,   375,   380,  1337,
       0,  1337,     0,   377,   381,  1337,   376,  1337,   373,   374,
       0,  1111,     0,  1108,  1107,   715,     0,   472,   444,     0,
     492,     0,     0,   730,     0,     0,   501,   461,   460,   457,
     456,   458,   459,   454,   453,     0,   628,   789,   346,  1301,
       0,   641,   704,   705,   700,     0,     0,     0,  1409,   516,
     505,   501,   427,   436,   410,   511,   507,   508,     0,     0,
       0,   520,  1347,   998,     0,  1081,     0,     0,     0,     0,
       0,     0,  1115,   561,     0,     0,   565,   556,   628,   932,
    1815,     0,  1816,     0,     0,     0,  1890,  1889,     0,  1926,
    1638,     0,     0,  1632,     0,  1601,  1617,     0,  1597,  1595,
       0,  1606,     0,  1608,  1835,     0,     0,     0,  1560,     0,
    1911,  1913,     0,  1837,  1427,  1640,     0,  1424,     0,   982,
       0,   983,  1007,   487,     0,  1013,  1013,   474,   717,   465,
    1170,     0,   630,     0,   292,     0,   275,  1166,     0,   783,
       0,   794,   792,     0,     0,     0,     0,  1339,     0,  1340,
    1341,  1344,   359,   372,     0,   402,     0,   400,   399,   401,
       0,   388,     0,     0,     0,     0,     0,     0,   362,   393,
    1106,  1110,  1109,     0,     0,   445,   478,   479,   480,     0,
     447,   488,   489,     0,   727,     0,   732,     0,     0,   500,
     653,     0,     0,     0,  1295,     0,     0,     0,  1301,   520,
     509,   505,   434,   408,     0,  1298,     0,   522,     0,   346,
    1080,  1083,  1078,  1258,     0,     0,   564,   563,   657,  1817,
    1893,  1879,  1906,  1891,  1922,     0,     0,     0,  1631,  1634,
       0,  1599,     0,     0,  1607,     0,     0,     0,  1554,     0,
       0,  1426,  1000,     0,     0,  1010,     0,   717,     0,  1002,
    1001,   481,   467,  1446,   338,     0,     0,     0,   790,   793,
     781,   794,   801,   800,   674,  1446,     0,   398,   407,     0,
     405,   378,   383,     0,   387,   385,   384,   379,   382,     0,
     471,     0,     0,     0,   490,     0,   491,   512,     0,   731,
       0,     0,   788,     0,     0,   421,   706,     0,  1296,  1407,
     511,   509,  1299,  1300,     0,   511,  1015,  1257,  1256,  1499,
       0,     0,  2368,  2142,  2340,     0,  1924,  1927,  1925,  1919,
       0,  1616,  1629,  1562,     0,  1561,  1914,  1915,  1640,   335,
    1013,     0,   469,   485,   492,   268,  1446,     0,     0,   782,
     264,  1342,   403,     0,   386,   707,   497,     0,   496,     0,
     494,   493,   728,   733,   628,   778,  1301,   710,   411,   511,
       0,  1640,  1240,  1499,  1239,  1241,  1249,  1246,  1248,  1247,
    1245,  1118,  1119,     0,  1931,  1930,  1929,  1933,  1932,  1635,
       0,  1627,  1563,  1423,   984,  1003,     0,   717,   276,   784,
     791,   406,     0,   495,   499,   498,   654,  1297,   712,     0,
     708,   711,   713,   714,   409,   346,   989,     0,  1250,  1244,
    1484,  1471,     0,     0,     0,     0,   486,   470,     0,   688,
       0,   511,  1242,  1499,     0,     0,  1928,     0,     0,   709,
    1640,  1243,     0,     0,  1628,     0,   990,     0,     0,   710,
       0,     0,     0,  1116,  1117,   689
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4355, -4355, -4355,  3356, -4355,  -841,   267,  2636, -1340, -4355,
   -4355, -4355,  1187, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
    3302, -4355, -4355,  1808, -2239, -4355, -4355,   143,  3258, -1216,
     122,  2865,  1472, -4355, -1061, -4355, -4355,  -555,   102, -4355,
    3274,   181, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -4355,
    -693,  1961,  1307,  -861, -2553, -4355, -4355, -1327, -2967, -4355,
     659, -4355, -4355,  1898, -4355, -4355, -4355,  1138,   566,  -424,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355,  -568, -4355, -4355,
    -756,   157,    50, -2258,  -243, -4355, -4355,   533,  -242, -1334,
   -4355, -3338, -4355,    86, -4355, -4355, -4355,  -218, -1308,  1405,
   -4355,  -644, -1055,  1710,  -653, -4355,  -108, -4355,  -730,  -577,
    -575,  -675, -3513, -3524, -3946, -3562, -3980,  1411,   159, -2886,
   -2982,   161,   503, -4355,   162,   164, -4355,   520,  -770, -1359,
   -4355,  -810, -4355, -4355, -4355, -2713, -4355, -4355, -4355, -4355,
      80, -4355, -4355, -4355, -4355,   562, -4355, -4355, -4355, -4355,
   -4355, -4355, -2483,  1873,  1874, -4355, -4355, -2941, -4355,  -821,
   -4355,   701, -2768,  1320, -4355, -4355, -4355,  2626, -4355, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -1481, -4355, -4355,
   -4355, -4355, -4355,   545,    88, -4355, -4355, -4355, -4355, -4355,
     166, -4355,  1885,  1127, -4355, -4355, -4355,  -721,  -813,  -791,
   -4355, -2765, -4355, -4355, -4355, -4355,  -182, -4355, -4355, -4355,
   -4355, -4355, -4355,  -846, -4355,  1178, -2880, -4355, -4355,  1183,
   -4355, -4355, -4355, -4355, -4355,  -661,  -123,  2650, -4355,  -508,
    -625, -4355, -4355, -4355,  -122, -4355, -4355, -4355, -4355, -4355,
   -4355,  -998,  5823,  -976,  -489, -4355, -4355, -4355, -4355, -2017,
   -4355, -4355, -4355, -3341, -4355,  4171,   386,  1069,   168, -4355,
     -21,    64,  3095, -1062, -2419,   469,  -302, -4355, -1694, -4355,
   -4355, -4355, -2358, -4355, -4355, -4355, -4355, -3275,   170, -4355,
    3087, -4355, -3523, -4200, -3277, -3737, -4060, -4055, -3265, -4355,
   -4355, -1028, -4355, -4355, -4355, -1318,  2187, -1784, -4355, -1891,
     537,  1483,  -862, -2539, -3539,  -632, -3004, -4355, -4355, -3453,
    -414, -4355, -4355, -4355, -4355, -4355, -4355, -4355, -1017,  -560,
   -4355, -4355,  3615, -4355, -4022, -4355,  3584, -4355, -4355, -4355,
   -4355,  2482,  2486, -4355,  2483, -4355, -4355, -1317,  1265, -4355,
   -4355, -4355, -4355,   229, -4355, -4355, -4355, -4355,  -645,  -755,
   -4355, -4355, -4355,   173, -4355, -4355, -4355, -4355,  1956,  -830,
    -651,  3501,   191, -4354, -4355, -4355, -1026, -4355,  2892, -4355,
   -4355, -4355, -4355, -4355, -4355, -4355, -4355, -2459, -4355, -4355,
   -4061, -4355, -4355, -4355, -4355, -4355,  2267,  2271,    61,   -50,
   -4355, -4355, -1190, -4355,  -506, -4355,  2555, -4355, -4355, -4355,
   -4355, -1594,   194, -3519, -4355,     3, -4355, -4355, -4355,   341,
   -4355, -4355, -3186,     5, -4355, -4355, -4355, -4355, -4107, -4355,
       6,  -565,   869, -4355, -4355, -2582, -4355,   195,    20, -4355,
   -4355,     1,     2,   -43,   -47,   -41,     4,   125,  2952, -4355,
    3006, -4355,   -11,  1625, -4355, -4355,  -750,  -156, -4355,  1571,
    -578,  2239,  2947,  2949, -4355,  1558,  2272, -1811, -1814, -4355,
     911,  -546,  -418, -4355, -4355, -4355, -4355,   372,  -574,  2260,
   -4355,  2956, -4355, -4355, -4355, -1685,  1553, -3163,   944, -3166,
   -3122,   417,   404, -1404,  -207,    34,  -686,  2954, -4355, -4355,
     957,  -381, -4355, -4355,  -378, -2591,   900, -4355, -4029, -2132,
    -454,  2666,  -968, -4355, -4355,  -935, 13040, -4355, -4355, -4355,
   13482, 13612, -4355, -4355, 14798, 14989, -4355,  -793,  1157, 15114,
   12843,  -939, -1646,  -335, 12025, -2290, -1101, -2464, -4355, -3263,
   -2421, -4355, -4355, -4355,  -167,  1011,   478, -4355, -4355, -4355,
   -4355,    30, -4355,  -518, -4355,  -517, -4355, -4355, -4355,  -502,
   -3720,  2468, -4355, -4355, -4355,  -191, -4355, 16270,  1608, -4355,
   -1020, -2514, -2526, -3160, -1655, -4355, -4355, -4355, -4355, -4355,
   -4355, -4355, -1350, -3051,  -494,  1676, -4355, -4355,  1768, -4355,
   -4355, -4355, -1213,  1629,  -766, -2412,  1682, -1860, -4355,  -760,
   -4355,  -687,  2467,  -695,  7840, -1248,  6638,  -464, -2107, -1158,
   -1431, -4355,  -180, -4355,    28,   -16,    -6,   -95,  -160,  -513,
    3762, 10814,  -589, -1254,  8714,   301, 11536, -2891
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1432,  2307,  2192,  3037,  3038,
      55,    56,  1428,    57,    58,    59,    60,    61,    62,    63,
    1359,    64,    65,   957,  1554,  2318,    66,  2040,   734,   735,
     736,  1860,  1861,  2257,  1862,  1850,  1248,  1687,  1380,   708,
     709,  1341,  1381,    68,    69,  1242,  1841,    70,    71,    72,
    1409,  1410,  1353,  1595,  4040,  4694,  2872,  2167,  3077,  2873,
    2874,    73,  1480,  1481,    74,    75,  3004,  3000,  3575,  4351,
    4352,  4568,   555,  2286,  4354,  4355,  4554,  4555,  4718,  4829,
    4830,  2319,  1549,  3071,  3658,  3028,  4110,  3029,  4111,  3030,
    4112,  3015,  3606,  3607,  3608,  3031,  4083,  4593,  3032,  2059,
    4735,  2354,  1709,  1707,  4580,  3917,  3918,  4807,  4740,  4741,
    4742,  4910,  4085,  3075,  3664,  4119,  4367,  2761,   643,  1575,
    3180,   644,  2357,   587,   645,  2320,    81,  2348,  2349,  1451,
    2200,  3582,  3160,    82,   977,  3424,  4424,  4636,  4637,    83,
     220,    84,  1558,    85,    86,  2303,  3022,    87,  2076,  2778,
      88,    89,  2807,  2808,  2809,    90,    91,  3449,  4294,  1411,
    2861,  2862,  2863,  2864,  3475,    92,  1556,  1456,  2327,    93,
      94,    95,    96,    97,  2470,  2471,    98,  2244,    99,   100,
     101,   102,   103,  3511,  4006,  3635,  2901,  3044,  3633,   104,
    2321,  1566,  2339,  2340,  4099,  4386,  4604,  4388,  4959,  4960,
    4360,  3401,  3931,   106,   107,  4078,  4079,  4747,   108,  2074,
     109,   110,   111,  1533,  2295,  2296,  3583,  1527,  2289,  2290,
    3645,  3646,   112,  2957,   113,  3987,  3988,   588,  4752,  4701,
    4820,   114,   115,  3991,  3992,   116,   117,   118,   119,   120,
     637,  1068,  1069,  1326,  1016,   121,  1958,   122,   923,  2984,
     123,  1136,  2512,  4162,   124,   668,  1082,  1083,  2322,   126,
     677,  2490,   679,  1722,  3162,  3163,  3731,  2456,   821,   127,
     128,  2467,  2493,   129,  1346,  2050,  2051,  3912,  2323,   589,
    1581,  2361,  2756,  4499,  4500,  4272,  4515,  2678,  3352,   131,
     590,  1385,  2123,  2364,  3085,  2017,  2018,  2019,  3681,  2020,
    3087,  2021,  1320,  2022,  3093,  3094,  3095,  3677,  3684,  3687,
    4413,  4414,   132,  1383,  2121,   133,   134,   135,  1423,   852,
     136,   602,   603,   137,  4573,   138,   990,   139,  4422,   140,
     141,   699,   700,  1120,  1121,   142,   143,  2137,  3456,   144,
     145,   146,  3504,  3505,   147,   148,  4924,  4967,  4968,  4969,
    3692,  4869,   149,  4926,  1113,   151,   152,   153,   189,   886,
     887,   888,  2324,  4406,   155,   156,  1342,  1343,  1344,  1345,
    2045,   157,   158,   159,   160,   161,   162,  1537,   163,   164,
    4547,   165,   166,  1499,   167,  1278,  1279,   168,   169,   549,
     752,  1282,  1290,   170,   647,  1076,  1077,  1078,  1689,   171,
    1116,   925,   648,  1071,   173,   649,  2005,  2707,  3364,  3365,
    3368,  4257,  3893,   650,  2704,   176,  1729,  2476,  2479,  2700,
     651,  2712,  2713,  2714,  2715,  2716,  3371,   652,   670,   980,
    2370,   653,  1209,   181,   182,   183,   762,   756,   757,   185,
    1834,  2639,   686,  1297,   721,   722,   770,  3336,  1971,  1972,
    1996,  1997,  1306,  1307,  1984,  1988,  1989,  2691,  2684,  1977,
    3871,  4484,  4485,  4486,  4487,  4488,  4489,  4242,  1992,  1993,
    1309,  1310,  1311,  2001,   186,  2643,  3316,  3317,  3318,  3848,
    3849,  3863,  3859,  4226,  4470,  3319,  1111,  1317,  4234,  4941,
    3320,  4461,  4462,  4653,  3866,  3327,  3362,  3061,  3062,  3063,
    2023,  1624,  1018,  1210,  1019,  1638,  1211,  1608,  1021,  1212,
    1213,  1214,  1024,  1215,  1216,  1217,  1027,  1600,  1627,  1218,
    1219,  1618,  1635,  1636,  1678,  2550,  1221,  1222,  1223,  3322,
    1224,  3804,  4193,  4182,  2571,  2572,  1857,  3800,  3262,  1829,
    2629,  4493,  4670,  4671,  3301,  3829,  4209,  4459,  4787,  4876,
    4877,  1225,  1226,  1227,  2626,  1825,   854,  1228,  3585,  1827,
    2565,  2651,  2652,  1732,  1752,  2518,  2534,  2535,  2545,  3221,
    2553,  2558,  3249,  3250,  2566,  2595,  1229,  2520,  2521,  3205,
    1754,  1230,  1271,  1869,  1272,  1749,  2590,  1285,  1286,   754,
    1238,  1231,  1232,  1723,   745,  4466,   544,   811,  2889,  1949,
     890,   683,  1233,  1234,  1235,  1236,  1416,   826,  1038,  1039,
     545,   805,   828,  2865,   546,   547,   807,  1954
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     604,   179,   180,   174,   184,   175,   177,   761,  1641,   684,
     803,   952,   983,   853,   713,   672,  1950,  1686,  1318,   822,
    2457,   672,   180,  1312,   184,  1415,   771,   543,  1651,  1243,
    1102,  1103,  1104,   747,   594,  1239,  1108,  1485,  1321,  2058,
     827,  1965,  1645,  1614,  1455,  1706,   981,   860,  3027,   671,
    1679,  2649,   760,  1079,  1637,   671,  2132,  1497,   878,  1955,
    1045,  1273,   586,  3337,  1604,  1605,  2124,  2259,  3450,  1742,
    1528,  1950,  3185,  2891,  1613,  1620,  3047,   744,  2144,  2161,
    1257,   646,  2133,  3615,  3641,  3886,   678,  3656,  2344,  3686,
    3470,  2212,  3472,  3430,  1450,  2517,  1535,   636,   937,   714,
    1540,  2954,    67,  2670,  1968,  1544,  1547,  4123,  1955,  3166,
    1050,  3957,   859,  3669,  1551,  3587,  3914,  1568,  3919,   765,
    3330,  1065,  3587,   877,  1570,  1592,  3816,  2723,  2725,  3370,
    3328,  3329,  3920,  3593,  4115,  1073,  4109,   773,   983,  2482,
    2226,  2227,  4132,   774,  1062,  2222,  4116,   992,  2580,  4126,
    2362,  3845,  4076,  2654,  3862,  1622,   707,    76,  1017,    77,
    2117,    78,    79,   741,    80,  3270,   105,  2031,   125,  4399,
     130,  1449,  1250,   150,   759,  2696,  2693,  1464,  3321,  1017,
    3376,  3653,  3898,   733,  4273,  4523,   772,  1490,  1790,  1382,
    2427,   154,  1305,  1659,   172,   178,  1308,  3860,  3784,   654,
   -2180,  1669,  3040,  1991,  1601,  1602,  4475,  1677,  4477, -2215,
    4624, -2237, -2266,  4516,  3227,  1612,  1847,  1412,   600,  1567,
     553,  3323,   654,  4542,  2233,  1604,  1605, -2085,  4271,  1956,
     600,  2976, -2086, -1705,  2722, -2085, -2085,  2238,  1625,  3321,
   -2086, -2086,  3018, -2421,  1613,  4754, -1943,   870, -1672,  1132,
    1620, -2421, -2421, -1943,  2588,  3675,  2992,  3224,  3225,  1356,
    1797,  2135,  3244,  1727,  2996,  2341,  2998,  4700,  1688,   654,
    3595,  2588,  1593,  4549,  4550,  3183,  1531,  2642,  2297, -2057,
    2772,   693,  3323,  4587, -1685, -1700,  1524, -1712,   819,  1803,
   -1705,   693,   600,  4841,  3609,   600,  4519,   600, -1705,  3274,
    3275,   600,  3132, -2112,  3134,  3375,  3203, -1715,   750,  3002,
    4420,  4906,   654,  2042, -2056,  3598,  2454,  2060,   600,  1805,
    3170,  2064,  1848,  2623, -1715,  3431, -1547,  2066,  4677,  1084,
    2624,  4588, -2183,  1412,  2492,   775,  4574,  1494,   654,  4589,
    -396,   654, -1700,  3660,  4867,  2061,  3019,  4634,  1514,  2896,
    3737,  4954,  -834,  2203,  1593,  4072,  1601,  1602,  1088,   660,
    2468,  3121,   694,  3227,  1357,  3174,   600,  4590,   660,  -134,
     660,   660,   694,  1274,  -134,  4255,  4731,   932,  4369,  1301,
     853,   661,  1612,    39,  4578,  4522,  2899,  2747,  2112,   187,
     661,  2788,   661,   661,  1593,  2759,  3887,  4373,  2254,  1430,
       3,     4,  1593,  2948,  4858,   866,  4166,   669,  4168,   947,
    2255,  1615,  1006,   669,   947,   776,    43,  1269,  2170,  2171,
    1431,  1270,  4696,   654,   654,   947,   987,  1497,  2342,   853,
    1616,   867,   188,  2949,  1849,  2256,  1036, -1962,   600,  3175,
    4374,  2469,  4591,  1791, -1962,  1851,  1505,  4662,  1303,  2760,
    1863,  1863,  4362,  2900,  4615,  3888,    47,  3602,  1632,  1957,
    4685,  4686,   660,  2452,  2067,  2748,  1520,  2458,  1325,  2460,
    1247,  1837,  2463,  4276,   946,  2897,  2113,   983,  4678,   955,
    1530,  2267,  2062,  2204,   661,  4280,  2205,  4370,  1304,   983,
     965,   660,  3738,  4955,  1593,  4073,  3603,  2271,  2135,  1495,
    4907,   830,  2135,  1643,    50,   695,  4635,  2220,   830,  2299,
    3604,  1674,  4868,   661,  3020,   695,  2135,  4732,  3223,   830,
   -2236,   601,  3171,  2135,  2135,  3524,  3003,  4421,  1275,  4683,
    1276,   942,  1594,  1652,  1347,   924,  2514,  2160,  4688,  1728,
    3431,  2215,   696,   697,  2977,  2068,   983,  1107,  2586,  4730,
    2455,   820,   696,   697,  2103,   929,   180,   926,   184,   927,
     928,  1797,  4957,  2773,  2111,  2811,  1422,  3610,  4256, -1943,
    1532,  4908,  2239,  1107,  1690,  3372,  4842,  2589,  1955,  1797,
    1746,  3573,  3574,  2377,  2343,   982,   604,  2234,  3676,  3587,
    1803,  2519,  4400,  1724,  3290,  4909,  1080,  3021,  3605,   761,
    3972,   751,  1728,  1141,  1734,  2208,  3227,  2210,  1803,  1269,
    3228,  3229,  3230,  1270,  1594,  4592,  2065,  1313,   777,  1743,
    1805,  4364,  4805,  4353,  1955,   554,  1643,  3809,  2198,  1626,
     922,  2201,  2202,  3924,  1358,  2217,  1599,  1532,  1805,  1348,
    2262,   698,  3114,   180,   760,   184,  2625,  4826,  3394,  1081,
    2445,  1086,  3242,  1090,  1594,  4198, -2180,  1413,  1414,  1094,
    4091,  1731,  1594,   983,  4920, -2215,  2258, -2237, -2266,  2101,
    2551,   983,   983,  1114,  1621, -2085,  3862,  2431,  2569,  4416,
   -2086, -1705,  2291,   671,  2983,   671,  4122,   671,  4223,  1097,
    1072, -2421,  4227,   671,  1095,  1096,  1603,  1845,  1824,  1133,
    2268,  1599,  2399,  1075,   666,   667,  4895,  1240,  4172,  4103,
    1249,   982,  1251,  1502,  2453,   773,  4260,   853,  4900,  4217,
    1110,   774,  1615,  2464,  1509,  1269,  2178, -2057,  2513,  1270,
    2516,  2373,  1607, -1700,  2002, -1712,  2523, -2236,  2003,  1615,
    1793,  1616,  2537,  2538,  2539,  1835, -1705,   666,   667,  2657,
    4890,  2120,  2555,  2557,  1594,  1617,  1676,  2567,  1616, -2112,
   -1962,  4880, -2056,  1033,   772,   179,   180,   174,   184,   175,
     177,  4682,  1619,  1413,  1414,  4281,   666,   667,  1950,  1277,
    2403,  1110,  2812,  1430,  2407,  3227,  1349,  1628, -2183,  4948,
    2413,  2414,  2472,  1582,   943,  2830,  1643,  3232,  3239,  3240,
    3241,  3242,  2221, -2236,  1431,  2052,  2886,  3637,  3879,  -134,
    -134,  1316,  1280,  2430,  4860,  4509, -2236,  2380,  2381,  4433,
    3525,  1350,  4518,  4434,  4435,  4062,  4436,  3946,  3976,  1507,
     600,  3378,  3172,  3379,  3628,  3653,  2786,  4614,  2878,   600,
    3426,  3906,  2630,   882,  1832,  4618,  3451,   768,  3321,  2061,
    3321,  1351,  2912,  4619,  1362,  3621,  1629,  3233,  2310,  2887,
    2649,  2649,  2649,   671,  2185,  4061,    67,  4541,  1246,  3355,
     830,  2693,  1254,  2352,  2737,   830,  2685,   768,  2145,  2054,
    1287,  3565,  3566,  4107,  4646,  1259,   830,  2316,  1855,  2904,
    4356,  3323,  1141,  3323,   548,  3227,  3730,  2055,  1356, -2422,
   -2422, -2422,   830,  2117,  4401,  1330,  2875,  2912,  2527,  3033,
     600,  3443,  2473,  1340,  1352,  4919,  1630,  4402,   830,  1631,
    4357,    76,  3629,    77,   830,    78,    79,   550,    80,  1856,
     105,  3321,   125,  2355,   130,   830,   883,   150,  3764,  3765,
    3766,  3767,  2352,   830,  3772,  3773,  3774,  3775,  3776,  3777,
    3778,  3779,  3780,  3781,  3896,   154,  4463,  2952,   172,   178,
    3494,   600,  3559,  2317,  2698,  4107,  2905,  2311,  2182,  3563,
    3564,  1099,  2631,  3567,  3323,  2904,  2449,  3444,   884,  1469,
    3572,  4138,  1331,  1402,  2745,  1643,  3958,  1978,   707,  1459,
    2212,  2335,  3919,  3920,  1819,  1820,  1821,  1822,  1823,  1824,
    3820,  3821,  3630,  1357,   681, -2054,  3920,  3984,  3622,  2528,
    4620,  3688,  3340,  1632,  1821,  1822,  1823,  1824,  2906,  4441,
    1470,  4935,  1791,  2461,  2462,  1979,  1034,  3373,   830,  2879,
     885,  2056,  3452,  1332,  3173,  3234,  3235,  3236,  3334,  3237,
    3238,  3239,  3240,  3241,  3242,  3086,  1614,  3016,  2730,  2263,
     982,   595,  2905,  4763,  4464,  1628,  2802,  1585,  3453,  2705,
    2699,  4467,   982,  2608,  2279,  3495,  4471,  3034,  3872,  4473,
    2353,  2336,  2907,  4748,  3427,  4647,  3514,  4403,  2529,  3346,
    4108,  3960,   180,  2300,   184,  4161,  4760,  4770,  2066,  4759,
    2412,  3689,  1508,  1079,  1559,  2474,  1730,  2665,  4761,  2787,
    4768,  1833,  1260,  1692,  2906,  1694,   671,  1696,  3985,  1698,
    3587,  1700,  1701,  1702,  2475,  3584,  4023,  1633,  1704,   982,
    2379,  4325,  3584,  1981,  1629,  4736,  1333,  4395,  3686,  2404,
    2366,  2803,  1100,  2057,  2375,  1560,  1634,  4390,  2530,  4383,
    3631,  2531,  2417,  2374,  2675,  1751,  3233,  3920,  2450,  2953,
    4266,  -621,  4933,  4936,  2052,  1017,  1661,  2426,  2907,   685,
    2275,  2146,  4855,  1474,  1760,   761,  2908,  2388,  1261,  1475,
     692,  2053,  2147, -1672,  2148,  2437,  2041,  1471,  1982,  2425,
    2451,  1128,   719,  1141,  1630,  3989,  3227,  1631,  4295,  1496,
    3228,  3229,  3230,  2609,  1792,  1776,  1269,  1662,  2610,  3682,
    1270,  2276,  3480,  1794,  3986,  3632,  3035,  3157,   691,  2543,
    1788,  2422,  3496,  2727,  1017,  3481,  1295,  1836,  3237,  3238,
    3239,  3240,  3241,  3242,  3418,  3961,  2676,  1975,  2054,  3690,
    2149,  4680,  1961,   853,  2611,  2532,   982,  4861,  4548,  1853,
    1854,  2802,  4737,   766,   982,   982,  2055,  3497, -1672,  3036,
    1969,  1970,  2908,  1974,  4986,  1141,   774,   774,  3227,   774,
    2938,  2337,  3228,  3229,  3230,  3419,  2939,  3068,  1476,  1586,
    1337,  1472,  1338,  4024,  2338,  4762,  2909,  3498,   720,   753,
    4641,  1632,    39,   671,  2910,  1260,  3990,  2911,   671,   671,
    2806,  2273,  1561,  2868,  3691,  4176,  3908,  4177,  4918,   772,
     772,  1106,   772,  4921,   767,  2697,  4695,   596,  4069,  4658,
    4738,  3279,  1296,  3280,  3260,    43,  2803,  4866,  4259,  1976,
    3267,  1587,  1563,  2245, -2422, -2422, -2422,  3326,  3237,  3238,
    3239,  3240,  3241,  3242,  3962,  2483,  3281,  3963,  2816,  2533,
     763,  2135,  1564,  2581,  2869,  4545,  3879,   830,  1316,  2274,
    2136,  1261,  4246,  4239,  1663,    47,  3104,  4964,  2277,   597,
    4666,  2612,  2909,  2755,  1128,  2940,  4546,   830,    48,  3372,
    2910,  4698,   768,  2911,  3129,  4703,  4704,  3232,   718,   830,
    2056,  4158,  1107,  2947,  2672,  1633,  1562,  3321,  4463,    49,
    2920,  3321,   671,  2315,   598,  3135,   599,  2328,  2923,  4802,
    2925,  2728,   671,  2706,  2729, -1672,  1978,   830,  3130,  2245,
    4609,  2372,  3587,  3920,  1588,  1477,  1643,  -998,   830,  4990,
    4809,  4810,  3420,  4527,  1643,  1301,  2817,  2919,  3231,  4178,
    3323,  2870,  2160,   830,  3323,  2828,   830,  3233,  2216,  2096,
    3282,  1095,  1096,  4601,  1979,  3283,  2551,  2551,  1664,  3232,
    1478,  2551,  2278,  3118,  1141,  2944,   983,  3227,    39,   853,
    2402,  3228,  3229,  3230,  3726,  1589,   671,   568,  3909,   671,
     671,  2965,  1839,  1763,  4785,  2806,  3344,  1475,  3810,   944,
    1479,   945,  2057,  2405,  3052,  3053,  3054,  3055,  2551,  2551,
    2945,    43,   742,  1565,  1303,  2219,  3060,   769,  1980,   837,
    3910,  4786,  3389,  3522,  2918,  3442,   838,   839,   840,  3233,
    3102,  2245,  2941,  3119,  3903,   882,  3421,  4102,  3107,  3974,
    2946,  3911,  1322,  2070,  2846,   570,  2931,  2792,  4817,  3226,
    1340,    47,  2759,  2071,   822,  1340,  2466,  1840,   671,  2325,
    3128,  3254,  1981,   882,    48,  4052,  3750,  2942,  1797,  1590,
    2649,  4055,  4056,   830,  4058,  3137,  2971,  1323,  3139,  3140,
    2212,   830,   830,  3143,  3144,    49,  3768,  2802,  3769,  3523,
    3148,  1952,  3284,  3277,  2742,  1643,  1476,  2943,   853,    50,
    2847, -1672,  3285,  2871,  1340,  3975,  3397,  1324,  1340,  3584,
   -1672,  4818,  1603, -1672,  1325,  4576, -1672,  1982,   640,   973,
    1301,  3920,  4142,  1327,  4143,  1302,   764,  1805,   883,  2190,
    1632,  3303,  3526,  2825,  2193,  3234,  3235,  3236,    14,  3237,
    3238,  3239,  3240,  3241,  3242,  4945,  1952,   551,  2784,  1435,
    2848,  4753,  3187,  2183,  1532,  2378,   883,  3729,  1328,  4767,
    2799,  1427,  2803,  3506,    34,  2386,  4042,  2387,  3232,  3159,
     884,    19,  4391,  4070,  2392,  4750,  2596,  4277,  2597,   715,
     778,  1402,  2398,  2242,  1436,  3719,  4043,  2248,  1329,  1303,
    2189,  1452,  2804,   578,  2046,   579,  3730,  2072,   884,   561,
    2832,  2598,  4545,   180,  2047,   184,  2849,  3234,  3235,  3236,
    3770,  3237,  3238,  3239,  3240,  3241,  3242,  4778,  2184,  1548,
    3771,  2048,   885,  4546,   813,  3400,  1453,  2805,  3233,  1304,
    4633,  2439,  2073,  2440,  3080,  2441,   187,  2442,  4071,  2443,
    2489,  2672,  4278,  2444,  2902,   966,  1085,  1087,  1089,  2203,
     885,  1091,  1092,  1093,   929,   180,   926,   184,   927,   928,
    4432,  1098,  2950,  1075,  3377,  2536,  3661,  4526,   187,  3665,
    2730,  3853,  1256,  3348,  4689,  3321,   967,  4692,  2297,   188,
    3321,   568,  2477,   974,  1681,  3321,  3686,  1682,  3321, -2076,
    1610,  1611,  2951,  -156,  4557,  3417,  3927,  4859,   983,  1330,
    2599,  3854,  -992,  2152,   830,  2600,  2525,  2526,   968,  4552,
    2601,   188,  3321,  2540,  2541,  2399,  4229,  2252,  3323,  -156,
    2152,  2806,  4865,  3323,  2488,  3321,  3856,  1454,  3323,  2594,
     815,  3323,  3098,  2135,  2153,    31,  4558,   975,  2313,   570,
    4602,  2579,  2143,   976,  4372,  2694,  2695,  2511,  4629,  4284,
    4285,  2153,  2253,  1952,   969,  3323,  2658,  2345,  2049,  3010,
     983,  4559,    39,    39,  4505,   660,  4507,  1615,  3323,  1863,
    4394,  4603,   835,  3928,   830,  4381,  1331,  4560,   830,  2204,
    1797,  4561,  2205,  3048,  3332,  3333,  1616,   661,  2734,  2025,
     830,  3759,   836,  2738,  3147,    43,    43,  2741,  1430,   872,
    1617,  4562,   966,  3927,  4563,  4438,  3234,  3235,  3236,  1803,
    3237,  3238,  3239,  3240,  3241,  3242,   853,  4564,  2780,  1431,
    3785,  3335,  3403,  2765,  2026,   822,   881,  1332,  3725,  3929,
    3858,  3930,  2140,   967,  2141,    47,    47,  2602,  3409,  1805,
    1671,  1252,  4777,  4812,   934,   931,  4733,  2603,    48,    48,
    4545,   843,   844,   845,  2027,   846,   847,   848,   849,   850,
     851,  1672,  1843,   830,   830,  3639,  3321,  2818,   936,    49,
      49,  4546,  3491,  4723, -1520,  4025,   830,   939,  4724, -1520,
    3928,   221,  1615,    50,    50,   947,   552,   578,  3925,   579,
    2142,   830,   830,  4956,   638,   568,  4026,  4565,   948,   581,
     949,  1616,  3460,   830,  3462,  4566,   953,  3492,  3432,  3323,
     583,   969,   716,  1548,   568,  1619,   961,  2866,  4981,  3057,
    1333,  3642,   971,  4725,  3058,  3338,  2708,   180,  3321,  3796,
    3651, -1542, -1542,  3455,  2692,  2692,  3929,  3493,  3930,   985,
    3199,  1280,  4567, -1520,  2162,  2434,  2749,  3177,  2752,   982,
    2824,   947,  1465,   570,  4346,  2914,  4347,  4348,  2162,  2746,
    4349,  3382,  4892,  -524,  3189,  3288,  1603,  1433,  2032,  3905,
    1334,  3323,   570,  2926,  1603,  3195,  2032,  2514,  3120,  3122,
    3123,  -525,  1482, -1520,  2936,  1486,  3253,  1466,  3255,  3256,
     983,  1467,  1736,   671,  3595,  1737,  3200,  2961, -1546, -1546,
    3596,  3201,  3353,  2649,  4801,  1335,   947,   654,  2649,    34,
    1603,  3597,  1325,  3545,  2649,  3852,  2903,  1468,  1251,  3552,
    4720,   970,  4722,  1952,  3594,  1750,  4726,    50,  4727,  3058,
    3584,   989,   972,  3955,  -419,  1336,  3947,  3435,  1032,  3598,
    1959,  3599,  3740,  1960,  2209,  3959,  3964,  2551,  2551,  2551,
    2551,  1040,  2810,  2551,  2551,  2551,  2551,  2551,  2551,  2551,
    2551,  2551,  2551,  1269,  1337, -2057,  1338,  1270,  1046,  4640,
    1691,  2968,  2368,  1693,  2369,  1695,  1041,  1697,  1962,  1699,
    3794,  1963,  2514,  1703,  3745,  2163,  3853,  3977,  2433, -1545,
   -1545,  2434,  3700,  3701,  1066,  2446,  3611,  2162,  2447,  2163,
    1070,   578,  4977,   579,  1603,  1057,  2032,  3321,   983,  2551,
    2551,  3486,  2164,  3073,  1339,  3074,  3854,   654,  3600,    39,
     578,  1796,   579,  3761,  1797,  1101,  2164,  1548, -2422, -2422,
   -2422,  3855,  3321,  2448,  1105,  2165,  2447,  2166,  4063,  1109,
    4064,  3856,  3407,  -419,  1112,  2875,   584,  3973,   671,  2165,
    3323,  2166,    43,  1803,  3386,  3387,   671,  3790,   671,  1804,
    4125,  3696,  2480,  2671,  1115,  2481,  2672,  3857,  2822,  2985,
    2160,  2823,  4982,  1117,  4983,  3323,  3601,  2985,  3304,  2573,
    3305,  3602,  2576,  1805,  2160,  2985,  4468,  2985,  3707,  3708,
    4597,  3710,    47,  3712,  3713,  2893,  1118,  2223,  2894,  2162,
    3007,  3011,  3832,  3008,  3012,    48,  3720,  1141,  3105,  3151,
    3227,  2434,  2447,  1119,  3228,  3229,  3230,  4943,  1125,  3198,
    3603,  3207,  2434,  1128,  2434,  3164,    49,  1438,  1291,  3213,
   -1472,  4201,  2434,  3051,  3604,  3188,  3214,  1126,  2163,  2434,
      50,  3192,  1127,  3178,  3741,  3858,  3743,  3410,  4553,   830,
    4966,  3164,  3215,  1952,   830,  2434,  3246,  3259,   830,  2434,
    2434,  3922,  3923,  3081,  3422,  2164,   830,  4412,  1129,  4113,
   -1484,   982,  3069,   180,  3264,  1439,  3086,  3265,  3473,  1134,
    3478,  3474, -1484,  3479,   830,  1130,  3049, -1484,  2165,  1806,
    2166,  3306,  1131,  3307,  1807,  4922,    28,  3673, -1483,  2251,
    3674,  3698,  1135,  3746,  2434,  4889,  3791,  3509,  3801,  3792,
   -1483,  3802,  1298,  3812,  1300, -1483,  2434,  3517,  3627,  4996,
    3321,  3894,  3605,  2160,  3895,  4469,  3899,  1137,   830,  3900,
    1810, -1484,  3584,   982,   853,  1264,  3904,  3113,  3115,  2729,
    2163,  1255,  3926,  3852,  3124,  2447,   830,   830,  1258,  1262,
     983, -1484,   983,  3999,   766,  1263,  4000,  1440,  3499, -1483,
    3501,  4104,  2399,  3323,  2447,  4155, -1521,  2164,  1728,  3943,
    4173, -1521,  4228,  2434,  4231,  1812,  1281,  1952,   830, -1483,
      39,  1952,  3324,  1268,  3612,  4199,  3614,  1289,  2481,  1288,
    2165, -1484,  2166,  1291,  4149,  4150,  4151,  4211,  1292, -1484,
    2434,  3232,  3733,  1299,  1314,  1441,  3349,   671,  1442,  1315,
    1319,  1325,   830,    43,  3853,   767,   830,  2551,  2211, -1483,
     983,  3546,  1355,  1360,  1384,  2160,   761, -1483,  1497,  4262,
    1141,  1388,  2729,  3227,   830, -1521,  1386,  3228,  3229,  3230,
    3620,  4625,  3623,  3324,  3854,   830,  3560,  1444,  1796,  4268,
    1389,  1797,  4269,    47,  3679,  1422,  1425,  1814,   830,  3855,
    4274,  3233,  4275,  2447,  1424,  2447,    48,   830,  1426,  3856,
     761,  1788,  1427,  4396,  4443, -1521,  4397,  4444,  4445,  3868,
    1803,  2434,  4453,   768,  1429,  2481, -2422,    49,  1446,  4524,
    4598,  3383,  4525,  2447,  4626,  3857,  1434,  4627,  3873,  3874,
    3875,  4923,  1460,  4642,  1141,  4650,  2481,  3227,  4651,  1437,
    1805,  3228,  3229,  3230,  1461,  1788,  4655,  4394,  4661,  2672,
    2162,  3649,  1952,  2162, -1484,  1473,  4663,  1448,  4202,  3649,
    4675,  1483,  2594,  4676,  3405,  1484,  4713,  1487,  2832,  4714,
    4293,  4749,  1492,  1493,  1842,  3309,  3310,  3311,  3297,  1498,
    1815,  1501, -1483, -2422, -2422, -2422,  1503,  1819,  1820,  1821,
    1822,  1823,  1824,   982,  3315,  4769,  1500,  1506,  4676,  3697,
    1510,  4779,  1517,  3858,  2481,  1955,  4780,  4781,  4791,  3265,
    2434,  2672,  4571,   761,  1511,  1518,  4794,  2162,   830,  3649,
    3739,  1521,  1523,  1526,   929,   180,   926,   184,   927,   928,
    1529,  4816,  1536,  2514,  2481,  3339,  1541,   671,   769,  2162,
    4822,  4823,  4849,  2481,  2481,  4850, -2422,  1539,  1550,  4881,
    2813, -2422,  2672,  2888, -2422,  3315,  1552,  1553,   760,  3354,
    3354,  4882,  4883,  4885,  2434,  2434,  2434,  -177,  1532,  3234,
    3235,  3236,  3482,  3237,  3238,  3239,  3240,  3241,  3242,  1555,
     830,  1569,    28,  4047,  4059,  3502, -2329, -2422,  1557,  4902,
    4939,  2163,  4903,  3649,  2163,  4942,  3506,  4965,  4669,  1571,
    4676,  1578,  3754,  4979,  5005,  1580,  4980,  4980,  1584,   206,
    1591,   982,  1596,  1597,  3233,  1598,   830,  3521,  2164,  1599,
    1603,  2164,  4183,  3763,  4333,  4334,  1606,  4336,  3232,  1607,
    1609,  1623,  1812,  1640,   830,  1639,  1642,  1650,  1643,  3527,
    1653,  2165,   830,  2166,  2165,  1654,  2166,  1655,  3786,  1795,
    1656,  1657,  1658,  1660,  1796,  1665, -1484,  1797,  2163,  1666,
    1667,  1798,  1799,  1800,  3557,  3349,    39,  1705, -1484,  1668,
    1680,  2162,  3349, -1484, -2329,  1670,  2160,  1675,  1801,  2160,
    2163,  1802,  1731,  1733,  1740,  2164,  1803,  4194,  3233,  4135,
    1738,  1741,  1804,  4412,  1747,  4141,  1748, -1676,  3476,    43,
   -1683,  1755,  1757,  4144,  4145,  4146,  4147,  2164,  2165, -1673,
    2166,  1756,  1758,  1759, -2422,    50,  1805, -1484,  1761,  1952,
    1762,  1763, -1674, -2329,  1764,  1952,  1765,  1766,  1768,  1769,
    2165,  1770,  2166,  1771, -1677, -2329,  1772, -1484, -1675,    47,
   -2329,  1828,  3515,  2160,  1773, -2329,  1774,  1775,  1777,  1778,
   -2329,  1779,    48, -2329,  1830,  1832, -2329,  1780,  1846,  1781,
    1833,  1782,  1783,  1858,  1784,  2160,  1866,  4152,  1302,  1967,
    1304,  3556,  1842,    49,  1998,  2009,  2000, -1484,  2028,  2029,
    2030,  2032,  2033,  2034, -2329, -1484,  2035,    50, -1251,  2036,
   -1251,  3548,  3234,  3235,  3236,  2037,  3237,  3238,  3239,  3240,
    3241,  3242,  2044,  2069, -2329,  2038,  2063, -2422,  2075,  2098,
     830,  2102,  2163,  2985,  1819,  1820,  1821,  1822,  1823,  1824,
    2985,  2985,  1806,  2104,  2985,     3,     4,  1807,   822,  2106,
    2105,  2985,  2107,  2109,  3576,  2110,  2245,  2125,  2162,  2164,
    3586,  2126,  2138,  2127, -2329,  2139, -2329,  3586,  1808,  1809,
    2154,  3728, -2329,   982,  2150,   982,  2157,  2156,  2158,  2159,
    2168,  2160,  2165,  1810,  2166,  2172,  3234,  3235,  3236,  2169,
    3237,  3238,  3239,  3240,  3241,  3242,  3742,  2173,  2174,  2188,
    2191,  2162,   830,   640,   671,  4378,  2179,  2199,  2180,  2195,
    2196,   671,  2206,  3647,  2207,  1811,  1402,  2160,   830,   830,
    2213,  2235, -2329,    14,  2218,  2214,  2236,  2240,  1812,  2241,
   -1484,  1813,  2264,  2265,  3624,  2224,  2225,  2237,  2246,  2250,
    2272,  4282,  3678,   982,  2551,   830,  2280,  2281,   830,  2266,
    3668,   180,  2283,  4446,  2284,  2287,    19,  2292,  3948,  4113,
    1796,  2285,  2293,  1797,  2298,  2302,  4556,  1798,  1799,  1800,
    2301,   685,  3695,   180,  2305,  4301,  4302,   563,  4087,  4088,
    2309,  2314,  2306,  1454,  1801,  2329,  2334,  2347,  2351,  2359,
    1269,  4092,  1803,  1291,  1270,  2363,  2365, -2329,  1804,  2163,
    2367,  3978,  3324,  2350,  3324,  2371,  3699,  2376,  2382,  2384,
    1814,  2385,  3826,  2406,  2391,  2389,  2390,  2393,  2394,  2395,
    2396, -2329,  1805, -2329, -2329,  1321,  2164,  2397,  2408,  1952,
    1952,  1952,  2409,  2410,  2428,  2429,  2459,  2411,  2465,  2478,
    2491,  4089,  2163,  2519,  2568,  2524,  4931,  4932,  2574,  2165,
    1797,  2166,  2578,   830,  4343,  4344,  2587, -2329,  2628,  2607,
   -2329, -2329, -2329,  2593,  2627,  2605,   830,  1796,  1952,  2164,
    1797,   830,  1110,  2642,  2656,  4252,  2659,  2660,  2662,  2663,
    2664,   830,   767,  2673,  2160,  3324,  2686,  4654,  2687,  2674,
    2688,   671,  2165,  2703,  2166,  2709,  2689,  2719,  4654,  1803,
    2718,  2721,  2731,  1815,  2733, -2422,  1816,  1817,  1818,  2732,
    1819,  1820,  1821,  1822,  1823,  1824,  2753,  2750,  2755,  2757,
      31,  2758,  2774,   761,  2764,  2769,  3807,  2160,  1806,  1805,
    2779,  2775,  2781,  1807,  2777,  2798,  2789,  2797,  3944,  2801,
    2785,   761,  2815,  2820,  1252,   830,  2814,    39,  4425,  1256,
    2831,  4426,  4427,  2836,  1808,  1809,  2856,  2837,  2850,  3349,
    2855,  2877,  2882,  3834,  3835,  3836,  3837,  4431,  1788,  1810,
    2883,  2885,  2898,  4711,  2892,  2913,  5003,  5004,  2956,  2895,
      43,  2967,  2979,  1952,  3841,  2974,  3844,  2975,  2978,  2980,
     830,  2986,   830,  2987,  3276,  4250,  1363,  2988,  2990,  2989,
    2994,  1811,  2997,  3005,   830,  2999,   830,  3001,  2551,  3006,
    3013,  3025,  3039,  3050,  1812,  3041,  3043,  1813,  3056,  3059,
      47,  3066,  3065,  3064,   641,  3067,  3079,  2495,  3078,  1364,
    3076,  1731,  3082,    48,  3097, -2422,  3083,  3096,  3099,  3100,
   -2422,  3101,  3103,  4027,  3108,  3106,  4030,  1632,  3111,  3109,
    3110,  3112,  3125,  3127,    49,  3136,  3141,  3138,  3145,  3117,
     830,  3126,  3142,  3146,  3150,  3153,  3154,  3155,   642,  3156,
    3165,  2492,  3167,  2672,  2496,  1676, -2422,  3158,  3168,  4792,
    3169,  3176,  3179,  3184,  1107,  3186,  3191,  1366,  3190,  3193,
    3194,  3209,  3210,  3212,  4644,  3211,  1814,  3196,  3216, -1935,
    3217,  4365,  3219,  3222,  3223,  2497,  3245,  2434,  4291,  3261,
    3251,  3258,  3272,  3273,  3278,  3286,  3296,   830,  3298,  3295,
    1367,  1812,  3299,  3300,  3326,  3302,  3351,  2498,  3363,  3331,
    4556, -1548,   830,  1790,  3586,  3356,  3357,  3367,  2499,  3359,
    3361,  3374,  3380,  3390,  3399,  3402,  4094,  3395,  3388,  3404,
    4283,  3391,  3412,  3396,   830,  1368,  3439,   830,  2500,  4479,
    3428,  3429,  3446,  2501,  3445,  4717,  4494,  4008,  4504,  3441,
    4009,  4329,  4010,  3447,  4699,  3458,  4007,  3459,   671,  3448,
    3461,  4300,  3467,  4569,  3469,  3468,  4702,  3487,  1369,  1815,
    3477,  3508,  1816,  1817,  1818,  3512,  1819,  1820,  1821,  1822,
    1823,  1824,  4315, -2422,  3510,  3513,  3516,  3518,  3519,  3218,
     671,  2502,  3520,  3528,  3529,  3530,  2985,  1371,  3531,  4707,
    3532,  4709,  2985,  2985,  3535,  2985,  3533,  3538,  3534,  3543,
    3540,  3576,  2503,  3549,  1952,  3542,  3551,  3536,  2233,  3537,
    3164,  4639,  3547,  3562,  3539,  3578,  3568,  3541,  3544,  3553,
    3569,  3555,  3571,  3588,  3634,    34,  3619,  2118,  3591,  1373,
    4342,  3618,  3625,  3636,  3638,  3640,  1374,  3648,  3659,  3649,
    3657,  3662,  3666,  1375,  3663,  3667,  3671,  3670,  1095,  1096,
    3683,  2119,  3694,  3702,  1625,  3703,  3721,  3732,  3722,  3705,
    3723,  3709,  3711,  1377,  3724,   206, -2422,  3727,  4784,  3735,
    3736,  1378,  3734,  1819,  1820,  1821,  1822,  1823,  1824,  3744,
    4793,  3747,  3749,  3753,  3248,  4795,  4681,  4797,  3227,  3247,
   -1934,  3762,  2504,  3814,  4124,  4828,   768,  3803,  3843,  2505,
    1390,  3889,  1750,  4963,  3827,  2506,  1391,  4120,   180,  4834,
    4836,  3324,  3870,  3892,  3787,  3324,  3865,  3897,  3815,  4417,
    4595, -2331,  3788,  3789,  3913,  1379,  3907,  3934,  3795,  3818,
    3942,  4712,  3949,  3867,   853,  3950,  3951,  2507,  3952,  3833,
    2508,  3851,  3936,  3937,  3880,  3885,  1392,  3882,  3884,  4649,
    4512,  3883,  3954,  3956,  3965,  3968,  3980,  3981,  2509,  3982,
    3983,  3993,  3994,  3995,  3996,  1731,  4963,  3997,  4163,   830,
    3998,  4163,  4002,  4163,  4001,  4004,  4005,  4014,  4015,  4022,
    4037,  4039,  4041,  2510,  3960,  4963,  4719,  4051,  4044,  4050,
    4053,  4054,  4057,  4074,  4533,   671,  3685,  4097,  1394,  4066,
    4077,  4082,  4084,  4090,  4098,  1395,  2447,  4100,  1396, -2331,
    4106,  4101,  4117,  4118,  4133,  1952,  4130,  4131,  4904,  4136,
    1952,  4139,  1952,  4148,   680,  4153,   682,  4137,  4134,  4157,
     688,  4528,  4159,  1397,  4160,   702,   710,   680,  4175,   717,
    4140,  4164,   710,   710,  4165,   746,  4167,   749,  4185,  4170,
    3349,  4179,  4184,  4180,  4186,  4187,  4224,  4192, -2331,  4232,
    4188,  4310,  4225,  4207,  1398, -1936,  4220,  4233,  4219,  4222,
   -2331,  4238,  4240,  4320,   830, -2331,  4237,   830,  4241,  4243,
   -2331,  4244,  4828,  4245,  4251, -2331,  4258,  4261, -2331,  4263,
    4265, -2331,  4270,  3315,  4271,  2077,  4279,  3315,  4296,  4297,
    2078,  4303,  4304,  4326,  4247,  4305,  4249,  4316,  4319,  4949,
    4328,  4337,  4331,  4358,  4332,  4345,  4359,  4366,  4350, -2331,
    4371,  4375,  1399,  4377,  1400,  4379,  4382,  4385,  4398,  4387,
    4405,  4376,  4264,  2079,  1401,  4253,   180,  4368,  4407, -2331,
    4408,  4409,  1402,  4410,  4418,  4423,  2080,  4430,  4429,  4447,
    4439,  4440,  1403,  4450,  4458,  4442,  4449,  4492,  4472,  4451,
    2081,  4452,   830,   830,  4465,  4498,  4501,  4506,  4517,  4476,
    4551,  4496,  4502,  4521,  4520,   830,  4530,   830,  4570, -2331,
    4572, -2331,  4581,  4073,  4535,  4536,  4600, -2331,  4579,  4584,
    1405,  1406,   804,   809,   809,   812,  4298,   809,  4586,   818,
    2082,   804,  4606,   746,  4540,  4607,   855,   983,  4582,  4585,
    4605,  2083,   746,  4611,  4613,   746,  4628,  1407,  4616,   809,
    4617,   746,  4630,  4632,  4631,  3586,  1731,  4645,  4648,  4652,
     671,  2084,  4657,  4660,  4669,  4664,  2085, -2331,  4673,  3164,
    4693,  4734,  4739,  4691,  4746,  4751,  4764,  4765,  4757,  4665,
    4766,  4667,  4313,  4314,  4706,  4684,  4743,  4317,  4318,  4744,
    4773,  4774,  4776,  4775,  3546,  4782,  4340,  4341,  4944,   671,
    4783,   830,  4790,  4799,  4796,  2985,  4800,  2985,  2985,  3324,
    1408,  2985,  4803,  4811,  3324,  4804,   685,  4815,  4819,  3324,
    4700,  4833,  3324,  4474,  4839,  1390,  4840,  4843,  4806,  4845,
    4851,  1391,  4848,  4853,  4854,  2086,  4864,  4870,  4862,  4871,
    4863,  4879, -2331,  3828,  4898,  4891,  3324,  1731,  4905,   853,
    4841,  1731,  1731,  4893,  4912,  4389,  1438,  4842,  4913,  3324,
    4934,  4940,  4953,  4974,  4978,  4988, -2331,  2087, -2331, -2331,
    4917,  1392,  4984,  3164,  4975,  3164,  4972,  4392,   180,  4985,
    4973,  4992,  3349,  4993,  4411,  4999,  4997,  5000,  4998,  5001,
    1293,  2247,  3045,   853,  4808,  1458,  1865,   983,   206,  1387,
    2881,  3341, -2331,  4532,  1439, -2331, -2331, -2331,  3971,  2966,
    1457,  3454,  3577,  4060,  4163,  4728,  4827,  4951,  4163,  4163,
    4610,  4163,  4086,  1394,  4363,  4612,  4594,  3152,  4894,  3393,
    1395,  4510,  2088,  1396,  4947,  4846,  4844,  4911,  2089,  3398,
    4121,  2090,  4105,  4081,  4772,  3969,   822,  3023,  3024,  3471,
    4093,  4380,  2326,  3014,  4952,  3644,  5002,  4583,  1397,  4989,
    3592,  3589,  4915,  4534,  4821,  2308,  4899,  4537,   687,  4154,
    2091,  1796,  1725,  4679,  1797,  1735,  2724,  2092,  1798,  1799,
    1800,  4127,  3381,  4771,  2093,  1058,  1440,   984,  2485,  1398,
    2487,  2094,  2486,  3550,  4925,  1801,  3315,  2667,  4991,  4323,
    3324,  3315,  2668,  1803,  3315,  2043,  4254,  2438,  4888,  1804,
    1964,  3901,  2702,  1265,  1838,  3347,  2095,  3358,  3881,  2683,
    4884,  4798,   830,  4248,  1995,  1994,  3360,  1952,  3846,  4218,
    4503,  4230,  2701,  1805,  1441,  1999,  4659,  1442,  2004,  3842,
    4789,  4497,  4788,  3902,  3704,  4643,  3797,  1443,  4495,  1400,
    2383,  4886,   830,  4887,  4878,  3350,  3293,  3586,  3204,  1401,
    3291,  3343,  3324,     0,   830,     0,     0,  1402,  2632,     0,
    2641,  1952,     0,     0,     0,     0,  1444,  1403,     0,     0,
       0,   891,     0,     0,   983,   830,     0,   746,     0,   804,
       0,     0,   809,     0,   812,     0,   809,     0,     0,  2985,
       0,   671,     0,   855,     0,     0,     0,   958,     0,     0,
       0,     0,  1445,     0,   809,  1405,  1406,  1446,     0,     0,
       0,     0,     0,  1796,     0,     0,  1797,     0, -2345,     0,
    1798,  1799,  1800,     0,     0,     0,     0,     0,   804,  1806,
       0,     0,  1447,   812,  1807,     0,     0,  1801,   804,     0,
    4599,   180,   855,     0,     0,  1803,  1448,     0,     0,     0,
       0,  1804,     0,     0,     0,  1808,  1809,     0,     0,   809,
       0,     0,     0,     0,  4745,     0,     0,     0,  4621,   180,
    1810,     0,     0,     0,     0,  1805,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1408,     0,     0,     0,     0,
     761,     0,  1811,     0,     0,     0, -2345,     0,   746,     0,
       0,     0,     0,     0,     0,  1812,     0,     0,  1813,   761,
     830,   746,     0,  1124,     0,     0,     0,     0,     0,     0,
       0,  3324,     0,     0,  3315,     0,     0,     0,     0,     0,
       0,     0,     0,  1237,  1237,  1788,   746,   710,     0,     0,
       0,   710,     0,   853,     0, -2345,  3324,     0,     0,     0,
       0,     0,     0,     0,  1788,   746,     0, -2345,     0,   746,
       0,     0, -2345,     0,     0,  1237,     0, -2345,     0,     0,
       0,  1806, -2345,     0,     0, -2345,  1807,   746, -2345,     0,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,   746,
     982,     0,     0,     0,  4721,     0,     0,  1808,  1809,     0,
       0,     0,     0,     0,  4729,     0, -2345,     0,     0,     0,
       0,     0,  1810,     0,   830,     0,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2345,  4857,     0,     0,
       0,     0,   746,     0,   671,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1811,     0,     0,     0,   746,     0,
       0,     0,     0,   809,   809,   830,     0,  1812,  4758,   180,
    1813,     0,     0,     0,     0,     0, -2345,     0, -2345,     0,
       0,     0,     0,     0, -2345,     0,     0,     0,   710,   710,
    1815,     0,     0,  1816,  1817,  1818,  4897,  1819,  1820,  1821,
    1822,  1823,  1824,     0,  3164,     0,     0,     0,     0,     0,
    3268,  1952,     0,     0,     0,   804,  1796,     0,     0,  1797,
       0,     0,     0,  1798,  1799,  1800,   804,     0,     0,     0,
     855,     0,     0,     0, -2345,     0,     0,     0,     0,     0,
    1801,     0,     0,     0,  3324,   809,     0,     0,  1803,  1814,
     822,   822,     0,     0,  1804,     0,     0,     0,     0,     0,
     982,     0,     0,     0,  4831,   746,  4832,     0,     0,     0,
    4837,  4838,   809,   809,     0,     0,     0,     0,  1805,     0,
       0,     0,     0,   685,     0,     0,     0,     0,     0,   746,
     746,   746,     0,   809,     0,   804,     0,     0,     0,  1796,
       0,     0,  1797,     0,     0,     0,  1798,  1799,  1800, -2345,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1801,     0,     0,     0,     0,     0,     0,
       0,  1803,     0, -2345,     0, -2345, -2345,  1804,     0,     0,
       0,     0,  1815,     0,     0,  1816,  1817,  1818,     0,  1819,
    1820,  1821,  1822,  1823,  1824,     0,     0,     0,     0,  2577,
       0,  1805,   809,     0,   809,   809,     0,     0,  4995, -2345,
       0,     0, -2345, -2345, -2345,     0,     0,     0,     0,     0,
     822,   822,     0,     0,  1806,     0,  1952,     0,     0,  1807,
       0,     0,  1237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1808,  1809,     0,     0,     0,  4916,   180,   830,     0,     0,
       0,     0,  1708,  1708,     0,  1810,     0,   746,     0,   680,
    4930,   180,  4927,   184,  4928,  4929,     0,     0,     0,     0,
    4971,     0,     0,     0,     0,     0,     0,   982,     0,     0,
    1739,     0,     0,   746,     0,     0,  1745,  1811,     0,     0,
       0,  4962,     0,     0,     0,     0,     0,  1806,     0,  1237,
    1812,     0,  1807,  1813,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4930,  4970,  4927,   184,  4928,  4929,
       0,     0,     0,  1808,  1809,     0,     0,     0,  1237,     0,
       0,     0,     0,     0,  1796,  4961,     0,  1797,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4962,     0,  1237,  1237,  1237,     0,
    1237,     0,  3088,     0,     0,     0,  1803,     0,     0,     0,
    1811,     0, -2422,  4962,  4930,   180,  4927,   184,  4928,  4929,
    1237,  1363,  1814,  1812,     0,     0,  1813,     0,     0,     0,
    1363,     0,     0,     0,     0,     0,  1805,     0,  4961,     0,
       0,     0,     0,     0,     0,  1952,     0,   830,     0,     0,
       0,     0,     0,     0,  1364,     0,     0,  4961,   746,     0,
       0,  1237,     0,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1237,     0,  1365,     0,  1237,  1237,     0,     0,     0,
       0,  3287,     0,     0,     0,  1814,   746,   746,  2008,     0,
       0,     0,  1366,     0,     0,  1815,     0,     0,  1816,  1817,
    1818,  1366,  1819,  1820,  1821,  1822,  1823,  1824,   710,     0,
       0,     0,  3590,     0,     0,   830,     0,     0,     0,     0,
       0,     0, -2422,     0,     0,  1367,     0, -2422,     0,     0,
       0,     0,     0,     0,  1367,     0,     0,     0,     0,     0,
       0,     0,     0,  2108,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,     0,  3089,     0,     0,     0,     0,
    1368,   746,  2134, -2422,     0,     0,     0,     0,     0,  1368,
     746,     0,     0,   809,     0,     0,     0,     0,  1815,     0,
       0,  1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,
    1824,     0,     0,  1369,     0,  3755,   855,     0,   746,     0,
       0,     0,  1369,     0,     0,     0,   746,     0,  1812,   746,
       0,     0,     0,     0,   830,     0,     0,     0,     0,     0,
       0,     0,  1371,     0,     0,     0,     0,     0,  1952,     0,
    1370,  1371,     0,   746,     0,     0,     0,     0,     0,     0,
       0,   809,   809,   809,   809,   746,     0,     0,     0,     0,
       0,  1796,     0,     0,  1797,     0,     0,     0,     0,   746,
      34,     0,     0,     0,  3090,  1372,     0,     0,     0,    34,
    2260,  1374,   746,  1373,     0,     0,     0,     0,  1375,     0,
    1374,     0,     0,  1803,   809,   809,  2119,  1375,     0, -2422,
   -2422,  1952,     0,   809,     0,  1376,     0,     0,  1377,     0,
       0,     0,     0,   809,     0,     0,  1378,  1377,     0,     0,
    1952,     0,     0,  1805,  1796,  1378,     0,  1797,     0,     0,
       0,     0,   746,     0,     0,     0,  3091,     0,     0,     0,
       0,   809,   809,   809,   809,     0,     0,     0,     0,     0,
       0,     0,     0,   746,     0,     0,  1803,     0,     0,     0,
     746,     0, -2422,  2260,     0,     0,     0,     0,     0,     0,
    1379,     0,     0,   804,  3092,  1796,     0,     0,  1797,  1379,
     812,     0,  1798,  1799,  1800,  1237,  1805,     0,  3819,     0,
       0,     0,     0, -2422,     0,     0,     0,     0,     0,  1801,
    1819,  1820,  1821,  1822,  1823,  1824,     0,  1803,     0,     0,
       0,     0,     0,  1804,     0,     0,     0,     0,  1796,     0,
       0,  1797,   804,     0,     0,  1798,  1799,  1800,     0, -2422,
       0,     0,   855,     0, -2422,     0,   809,  1805,     0,   809,
       0,     0,  1801,     0,     0,     0,     0,     0,     0,   809,
    1803,  3822,  1796,     0,     0,  1797,  1804,   809,   809,  1798,
    1799,  1800,   746,     0,     0,     0,     0,     0,     0,     0,
   -2422,     0,     0,     0,     0,     0,  1801,     0,     0,     0,
    1805,     0,     0,     0,  1803,     0,     0,  1708,     0,     0,
    1804,     0, -2422,     0,   809,     0,   804, -2422,     0,     0,
     746,   746,     0,   809,     0,     0,     0,     0,     0,     0,
     746,     0,     0,     0,  1805,  1812,     0,   746,     0,     0,
       0,     0,   680,   680,     0,     0,  2494,     0,     0,     0,
    1237,     0,  1237, -2422,     0,     0,     0,  1237,  1237,     0,
       0,     0,     0,  1806,  1237,  1237,  1237,     0,  1807,     0,
    1237,   855,  1237,  1237,  1237,  1237,  1237,  1237,     0,  1237,
       0,  1237,  1237,     0,     0,  1237,     0,     0,     0,  1808,
    1809,     0,     0,     0,     0,     0,     0,     0,  1812,     0,
    1237,  1237,  1237,  1237,  1810,     0,  1806,   809,  1237,     0,
       0,  1807,  1237,     0,     0,  1237,     0, -2422,  1237,  1237,
    1237,  1237,  1237,  1237,  1237,  1237,  1237,     0,  1237,     0,
       0,     0,  1808,  1809,   746,  1237,  1811,  1237,     0,     0,
    1806,     0,     0,     0,   746,  1807,     0,  1810,     0,  1812,
       0,     0,  1813,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1808,  1809,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1811,
   -2422,  1810,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1812,     0,     0,  1813,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2422,     0,     0,  1811,     0,     0,     0,  1819,  1820,  1821,
    1822,  1823,  1824,     0,     0,     0,  1812,     0,     0,  1813,
       0,  1814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1796,
       0,   746,  1797,   746,     0,  1237,     0,     0,     0,     0,
       0,     0,     0, -2422,  1814,     0,     0,     0,     0,  1237,
    1819,  1820,  1821,  1822,  1823,  1824,     0,     0,  1237,  1237,
       0,  1803,     0,     0,     0,     0,     0, -2422,     0,     0,
       0,     0,   746,     0,     0,     0,     0,     0,  1814,  2710,
       0,  2717,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1805,     0,     0,  1815,     0,     0,  1816,  1817,  1818,
       0,  1819,  1820,  1821,  1822,  1823,  1824,     0,     0,     0,
     812,  3806,     0,     0,     0,     0,     0,     0,     0,   680,
       0,   680,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1815,  1237,     0,
    1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,  1824,
     804,     0,   809,   809,  3915,     0,  3823,   804,     0,   855,
       0,   809,     0,   809,     0,     0,  1796,   809,     0,  1797,
     746,  1815,     0,     0,  1816,  1817,  1818,     0,  1819,  1820,
    1821,  1822,  1823,  1824,     0,     0,     0,     0,  4171,     0,
       0,   710,     0,     0,     0,     0,     0, -2422,  1803,     0,
       0,  2134, -2422,     0, -2422,     0,     0,     0,  1390,  2834,
       0,     0,     0,     0,  1391,     0,  2845,     0,     0,     0,
       0,     0,     0,     0,     0,   746,     0,     0,  1805,     0,
       0,     0,     0,     0,  1796,     0,     0,  1797, -2422,     0,
       0,  1798,  1799,  1800,     0,     0,   746,     0,     0,     0,
       0,  2890,  2890,     0,  1392,     0,     0,     0,  1801,     0,
     812,   710,     0,     0,     0,     0,  1803,     0,     0,     0,
       0,     0,  1804,     0,     0,     0,     0,     0,   809,     0,
       0,     0,     0,  1812,     0,     0,     0,     0,     0,     0,
       0,  1796,     0,  4205,  1797,     0,  1805,     0,  1798,  1799,
    1800,     0,     0,  1393,     0,  2955,  1394,  2958,  2960,     0,
       0,     0,     0,  1395,     0,  1801,  1396,     0,     0,     0,
       0,     0,     0,  1803,   808,   810,     0,     0,   814,  1804,
     816,     0,     0,     0, -2422,     0,   809,     0,     0, -2422,
       0,  1397,     0,     0,   809,     0,   809,     0,     0,     0,
     874,     0,   809,  1805,     0,     0,     0,     0,     0,     0,
    1796,     0,     0,  1797,  1237, -2422,     0,  1798,  1799,  1800,
       0,     0,  1398,     0,     0, -2422,     0,     0,  2134,     0,
       0,  2890,     0,   746,  1801,     0,  3046,     0,     0,   680,
       0,     0,  1803,     0,     0,     0,     0,     0,  1804,     0,
       0,     0,  1806,     0,     0,     0,     0,  1807,     0,     0,
       0,     0,     0,     0,     0,  2955,     0,     0,     0,     0,
    1812,     0,  1805,     0,   809,  3072,     0,     0,  1808,  1809,
    1399,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1401,  1810,     0,     0,     0,     0,  1237,     0,
    1402,     0,     0,     0,     0,     0,     0,     0, -2422,  1806,
    1403,     0,     0,  3116,  1807,  1819,  1820,  1821,  1822,  1823,
    1824,     0,     0,     0,     0,  1811,     0,     0,   809,     0,
     809,  2890,   809,  2890,     0,  1808,  1809,     0,  1812,     0,
       0,  1813,     0,     0,     0,  1404,     0,     0,  1405,  1406,
    1810,     0, -2422,     0,     0,     0,  1237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1390,  1708,
       0,     0,     0,     0,  1391,  1407,     0,     0,  1806,     0,
       0,     0,  1811,  1807,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1812,     0,     0,  1813,     0,
       0,     0,     0,     0,  1808,  1809,     0,   746,     0,     0,
       0,     0,     0,     0,  1392,     0,     0,   804,     0,  1810,
    1814,     0,     0,   804,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   809,     0,     0,     0,  1408,     0,
       0,  1237,     0,     0,     0, -2422,  1237,     0,     0,     0,
       0,  1811,  1819,  1820,  1821,  1822,  1823,  1824,     0,     0,
       0,     0,     0,  2175,  1812,     0,  1394,  1813,     0,  1237,
    1237,  1237,     0,  1395,  1237,     0,  1396,  1814,     0,     0,
       0,     0,  1237,  1237,  1237,  1237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1237,     0,     0,  1237,     0,
    1237,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1237,  1237,  1815,     0,  1237,  1816,  1817,  1818,     0,
    1819,  1820,  1821,  1822,  1823,  1824,     0,   855,     0,  1237,
    4206,  1237,  1398,  1237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   935,     0,     0,  1814,   938,     0,     0,
       0,     0,     0,  1237,     0,     0,     0,   746,     0,     0,
       0,     0,     0,     0,  3325,   963,  1237,  1237,  1237,     0,
    1815,     0,     0,  1816,  1817,  1818,     0,  1819,  1820,  1821,
    1822,  1823,  1824,     0,  1237,     0,     0,  4437,     0,     0,
    1399,     0,  1400,     0,     0,     0,  1237,     0,     0,     0,
    1796,     0,  1401,  1797,     0,     0,     0,  1798,  1799,  1800,
    1402,  1237,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,     0,  1801,  3325,     0,     0,  3366,     0,
       0,  3369,  1803,  2717,     0,     0,     0,     0,  1804,  1815,
       0,     0,  1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,
    1823,  1824,     0,     0,     0,  2176,  4448,     0,  1405,  1406,
       0,     0,  1805,     0,  1796,     0,     0,  1797,     0,     0,
       0,  1798,  1799,  1800,  1390,  1237,     0,  2890,     0,     0,
    1391,     0,  1708,  1796,     0,  2177,  1797,     0,  1801,     0,
    1798,  1799,  1800,     0,     0,     0,  1803,     0,     0,     0,
       0,     0,  1804,     0,     0,     0,     0,  1801,     0,   809,
       0,   809,   809,   809,     0,  1803,     0,     0,     0,     0,
    1392,  1804,     0,     0,     0,     0,  1805,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1805,     0,     0,  1408,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1806,     0,
       0,     0,  1394,  1807,     0,     0,     0,     0,     0,  1395,
       0,     0,  1396,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1808,  1809,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1397,     0,  1810,
       0,   593,     0,     0,     0,     0,     0,   639,     0,     0,
     746,     0,     0,     0,  1420,  1421,     0,   690,     0,     0,
       0,     0,  1806,     0,     0,     0,     0,  1807,  1398,     0,
       0,  1811,     0,     0,     0,     0,   758,   758,     0,     0,
       0,  1806,     0,     0,  1812,     0,  1807,  1813,  1808,  1809,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1810,     0,     0,     0,  1808,  1809,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1810,     0,     0,     0,  1399,     0,  1400,     0,
       0,     0,     0,   809,     0,  1811,  1522,     0,  1401,     0,
    2890,  2890,     0,     0,     0,     0,  1402,     0,  1812,     0,
       0,  1813,     0,     0,  1811,     0,  1403,     0,     0,     0,
       0,     0,     0,  1545,  1546,     0,  1814,  1812,     0,     0,
    1813,     0,     0,     0,     0,     0,     0,   746,   746,     0,
       0,     0,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,  1462,     0,   746,  1405,  1406,     0,     0,     0,     0,
       0,  3088,     0,     0,     0,     0,     0,     0,  1708,   746,
       0,     0,     0,     0,     0,     0,     0,  1708,   746,   746,
    1363,  1463,     0,     0,     0,   817,     0,     0,     0,     0,
    1814,     0,     0,   857,     0,   746,   861,   862,     0,   865,
       0,     0,   871,     0,   873,     0,     0,     0,     0,  1814,
       0,     0,     0,  1364,     0,  1647,  1649,     0,     0,  1815,
       0,     0,  1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,
    1823,  1824,     0,     0,     0,     0,  4457,     0,     0,     0,
       0,     0,     0,     0,  1408,     0,     0,     0,   809,     0,
     809,     0,     0,     0,   809,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     804,  1366,     0,     0,     0,     0,  1390,     0,     0,     0,
     746,     0,  1391,  1815,     0,     0,  1816,  1817,  1818,     0,
    1819,  1820,  1821,  1822,  1823,  1824,   746,     0,     0,     0,
    4460,     0,  1815,     0,  1367,  1816,  1817,  1818,   809,  1819,
    1820,  1821,  1822,  1823,  1824,  1237,     0,     0,     0,  4508,
       0,     0,  1392,     0,  1237,     0,     0,     0,     0,     0,
    1237,     0,  1237,     0,  3089,  1237,     0,     0,     0,  1368,
    1237,  1237,  1237,  1237,     0,     0,  1237,  1237,  1237,  1237,
    1237,  1237,  1237,  1237,  1237,  1237,     0,     0,     0,  1237,
    1237,     0,     0,     0,     0,     0,     0,     0,     0,  1237,
       0,     0,  1369,  1237,  1394,     0,     0,  1237,     0,     0,
       0,  1395,     0,     0,  1396,  1237,     0,     0,  1237,     0,
    1237,     0,     0,     0,     0,     0,     0,     0,     0,  1237,
       0,  1371,  1237,  1237,     0,     0,     0,  1237,  1237,  1397,
       0,     0,  3830,     0,  1237,     0,     0,     0,     0,     0,
       0,   746,   746,   746,   804,     0,  3325,  3850,     0,     0,
       0,  3850,  3864,     0,     0,     0,     0,     0,  1237,    34,
    1398,     0,     0,  1373,  1237,  1237,  1237,     0,     0,     0,
    1374,     0,     0,     0,     0,  1796,     0,  1375,  1797,     0,
       0,     0,  1798,  1799,  1800,  2119,     0,     0,     0,     0,
       0,     0,     0,  1237,     0,     0,     0,  1377,     0,  1801,
       0,     0,     0,     0,  2717,  1378,  1237,  1803,     0,     0,
       0,     0,     0,  1804,     0,     0,     0,     0,  1399,     0,
    1400,     0,     0,     0,     0,  3091,     0,  3921,  1708,  1708,
    1401,  2260,     0,     0,     0,     0,     0,  1805,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1403,     0,
     809,   809,   809,   809,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,  3092,  3685,     0,   933,     0,     0,     0,
       0,     0,     0,     0,   941,     0,     0,     0,     0,  2134,
       0,   954,     0,  1488,   959,   960,  1405,  1406,     0,   962,
       0,     0,     0,  3967,  2155,     0,     0,     0,     0,     0,
     979,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1489,     0,   988,     0,     0,     0,     0,
    1796,     0,     0,  1797,     0,     0,     0,  1798,  1799,  1800,
    1048,     0,  1052,     0,     0,  1054,     0,  1056,     0,     0,
    1060,     0,     0,  1806,  1801,     0,     0,     0,  1807,     0,
       0,     0,  1803,     0,     0,     0,     0,     0,  1804,     0,
       0,     0,  2228,  2229,  2230,  2231,     0,     0,     0,  1808,
    1809,     0,     0,     0,     0,     0,  1408,     0,     0,     0,
       0,     0,  1805,  4045,  1810,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2269,  2270,     0,  1123,     0,
       0,     0,     0,     0,  2282,     0,  1811,     0,     0,     0,
       0,     0,     0,     0,  2294,     0,   746,     0,   809,  1812,
    1237,     0,  1813,     0,     0,     0,   746,     0,     0,     0,
       0,     0,  4080,     0,     0,     0,     0,     0,     0,     0,
       0,  2134,  2330,  2331,  2332,  2333,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,   746,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2955,     0,     0,     0,     0,     0,     0,  1806,  4114,
       0,     0,     0,  1807,     0,     0,     0,     0,     0,   746,
       0,     0,     0,  2260,     0,     0,     0,  1237,  1237,     0,
       0,  1814,     0,     0,  1808,  1809,     0,     0,     0,     0,
       0,     0,     0,  1354,  1796,     0,     0,  1797,     0,  1810,
       0,  1798,  1799,  1800,     0,     0,     0,     0,     0,     0,
       0,  2890,     0,  2890,     0,     0,     0,  2416,  1801,     0,
    2419,     0,     0,   746,     0,     0,  1803,     0,     0,     0,
    2424,  1811,  1804,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,  1812,     0,     0,  1813,     0,     0,
       0,     0,     0,  1237,     0,     0,  1805,     0,     0,  1491,
       0,     0,     0,     0,  1237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1815,  1504,     0,  1816,  1817,  1818,
       0,  1819,  1820,  1821,  1822,  1823,  1824,  1515,     0,  1516,
       0,  4539,     0,     0,  1237,     0,     0,  1519,     0,     0,
       0,     0,     0,     0,  1237,  1237,     0,     0,     0,  1525,
       0,  1237,  1237,     0,  1534,     0,  1237,  1538,     0,     0,
       0,  1237,     0,     0,  1237,  1237,  1814,     0,     0,  1237,
    4210,     0,     0,     0,     0,  1237,   746,   746,   746,   746,
       0,     0,     0,  3850,  3864,     0,  3850,     0,     0,  4221,
       0,     0,  1583,  3325,     0,     0,     0,  3325,     0,     0,
       0,     0,  1806,  4236,     0,     0,     0,  1807,  2591,  1237,
       0,     0,     0,     0,  1237,     0,     0,     0,     0,     0,
    1237,     0,     0,     0,     0,     0,     0,   855,  1808,  1809,
       0,     0,     0,     0,  1237,     0,     0,  3366,     0,     0,
       0,     0,  2717,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   680,     0,     0,  1237,  1815,
       0,     0,  1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,
    1823,  1824,     0,     0,     0,  1811,  4577,     0,  2890,  2890,
       0,     0,     0,     0,     0,     0,     0,     0,  1812,     0,
       0,  1813,     0,     0,     0,     0,  2134,     0,     0,     0,
       0,     0,     0,     0,     0,  4299,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1390,     0,     0,     0,     0,
       0,  1391,     0,     0,     0,     0,     0,  1726,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1796,     0,     0,  1797,
       0,  1392,     0,  1798,  1799,  1800,   809,     0,     0,     0,
    1814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1801,   809,     0,     0,     0,     0,     0,     0,  1803,     0,
    1796,     0,     0,  1797,  1804,     0,     0,  1798,  1799,  1800,
       0,     0,     0,     0,     0,     0,     0,     0,  1237,     0,
       0,     0,     0,  1394,  1801,     0,     0,     0,  1805,   804,
    1395,     0,  1803,  1396,  2134,     0,     0,     0,  1804,     0,
       0,     0,  1708,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,   809,
    3072,     0,  1805,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1815,     0,     0,  1816,  1817,  1818,     0,
    1819,  1820,  1821,  1822,  1823,  1824,     0,     0,   746,  1398,
    4824,     0,     0,  2782,  2783,     0,     0,     0,     0,     0,
       0,     0,  2794,     0,  2796,     0,     0,     0,  2800,     0,
       0,     0,     0,     0,     0,     0,   758,  1966,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1237,     0,     0,
       0,     0,     0,     0,  1806,     0,  1237,     0,     0,  1807,
       0,     0,     0,     0,     0,     0,     0,  1399,     0,  1400,
       0,     0,     0,  1237,  1237,     0,     0,  1237,     0,  1401,
    1808,  1809,     0,     0,     0,     0,     0,  1402,  1806,     0,
       0,   804,  3850,  1807,     0,  1810,  3325,  1403,     0,     0,
       0,  3325,     0,     0,  3325,   804,     0,  2955,  2097,  4478,
       0,     0,  1237,  1237,  1808,  1809,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1811,  3921,  1810,
       0,     0,  2099,     0,     0,  1405,  1406,     0,     0,  2921,
    1812,  3921,   855,   809,   809,   809,     0,     0,     0,     0,
       0,   834,     0,     0,     0,     0,     0,     0,     0,     0,
     864,  1811,  2100,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,  2186,  1812,     0,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,   804,   855,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2982,     0,     0,
       0,     0,     0,     0,     0,  2991,     0,  2993,     0,     0,
       0,     0,     0,  2995,     0,     0,     0,     0,     0,     0,
       0,     0,  1814,     0,     0,  1408,     0,     0,   804,     0,
       0,   746,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4080,     0,     0,     0,     0,     0,   746,     0,  2890,
       0,     0,     0,     0,     0,  2134,  1814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     809,   746,  3921,     0,     0,  3070,     0,     0,     0,  2304,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1237,     0,     0,  1237,  1815,  1237,     0,  1816,  1817,
    1818,     0,  1819,  1820,  1821,  1822,  1823,  1824,     0,     0,
       0,     0,     0,   190,     0,     0,     0,     0,     0,     0,
    1237,  3131,     0,  3133,  3325,     0,     0,     0,  4478,  1815,
       0,     0,  1816,  1817,  1818,  1237,  1819,  1820,  1821,  1822,
    1823,  1824,     0,     0,  4672,     0,  4856,     0,     0,     0,
       0,     0,     0,     0,  1237,     0,     0,     0,     0,   191,
       0,     0,     0,     0,     0,     0,     0,  2401,     0,   746,
       0,     0,     0,   192,     0,     0,  1390,     0,     0,     0,
       0,  2415,  1391,     0,  2418,     0,  2420,     0,  2421,     0,
       0,   193,  1237,     0,  2423,     0,     0,   194,     0,   809,
     809,   809,   809,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,  1392,     0,   196,  3197,     0,     0,     0,     0,
       0,     0,   197,     0,     0,     0,   804,     0,     0,  1966,
       0,     0,     0,  1966,   198,  1966,     0,     0,  1966,   199,
       0,     0,   746,     0,     0,   200,     0,  1237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,  1394,     0,     0,     0,     0,   889,
       0,  1395,     0,     0,  1396,   930,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   202,     0,     0,
    1237,     0,     0,   804,     0,     0,     0,     0,     0,  1397,
       0,     0,  1237,     0,     0,     0,     0,  1237,   203,  1237,
       0,  1237,     0,  1796,     0,     0,  1797,     0,  3921,     0,
    1798,  1799,  1800,     0,   809,     0,   855,     0,     0,     0,
    1398,     0,     0,     0,     0,  1237,     0,  1801,     0,     0,
     204,     0,     0,     0,     0,  1803,     0,     0,     0,     0,
       0,  1804,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   205,     0,     0,     0,     0,  1708,  1708,     0,     0,
       0,   206,     0,     0,     0,  1805,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1399,     0,
    1400,     0,     0,   809,     0,     0,     0,     0,   207,   804,
    1401,     0,     0,   208,     0,   209,     0,     0,  1402,     0,
       0,   210,     0,     0,   211,     0,     0,     0,  1403,  1122,
       0,     0,     0,     0,     0,     0,     0,  1237,  1237,     0,
       0,  1390,  2955,     0,     0,     0,     0,  1391,  1237,     0,
       0,  4672,   212,   213,  1244,  2717,   214,     0,     0,     0,
     215,     0,     0,  2827,     0,     0,  1405,  1406,   804,   216,
       0,     0,     0,  1267,   217,     0,     0,     0,   809,     0,
       0,     0,     0,     0,     0,  1708,   218,  1392,     0,     0,
       0,  1806,     0,  1407,     0,  1294,  1807,     0,     0,   219,
    3413,     0,  3414,  3415,  3416,     0,     0,  2134,     0,     0,
       0,     0,     0,     0,     0,     0,  3921,  1808,  1809,     0,
       0,     0,   804,   804,  1237,     0,     0,     0,     0,     0,
       0,     0,  1810,     0,     0,     0,     0,     0,     0,  1394,
       0,     0,     0,  1237,     0,     0,  1395,     0,     0,  1396,
     809,     0,     0,     0,     0,     0,  1408,  2735,  2736,     0,
       0,     0,  2739,  2740,  1811,     0,  1419,  2743,     0,     0,
       0,     0,     0,     0,  1397,     0,     0,  1812,     0,     0,
    1813,  2754,     0,     0,     0,     0,     0,     0,  2763,     0,
       0,     0,  2766,  2767,     0,     0,  2770,  2771,     0,     0,
       0,     0,     0,  2776,     0,  1398,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2793,     0,  2795,     0,
       0,     0,  1796,     0,     0,  1797,  1237,  1237,     0,  1798,
    1799,  1800,     0,     0,     0,     0,     0,  2819,     0,     0,
     804,     0,  2821,     0,     0,     0,  1801,     0,     0,     0,
       0,     0,   804,   804,  1803,  2826,     0,     0,     0,  1814,
    1804,     0,     0,  1399,  2833,  1400,  2835,     0,     0,  2838,
    2841,  2843,     0,  1543,     0,  1401,  2851,  2854,     0,     0,
       0,     0,     0,  1402,  1805,     0,  2867,     0,     0,     0,
       0,  2876,     0,  1403,  3561,  3088,  2880,  1573,  1576,  1577,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2915,     0,     0,     0,  2929,     0,
       0,  1405,  1406,     0,     0,  2922,     0,  2924,     0,     0,
       0,     0,  2927,     0,     0,     0,  2928,  1364,  2932,  2933,
    2934,  2935,  1815,  2937,     0,  1816,  1817,  1818,  2930,  1819,
    1820,  1821,  1822,  1823,  1824,     0,  2962,  2963,  2964,  4976,
       0,     0,     0,     0,     0,     0,     0,     0,  2972,  2973,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1806,  1390,     0,     0,   806,  1807,     0,  1391,     0,     0,
       0,     0,     0,   806,   829,  1366,     0,     0,     0,     0,
       0,   829,     0,     0,     0,     0,  1808,  1809,     0,     0,
       0,  1408,   829,     0,     0,     0,     0,     0,     0,     0,
    3017,  1810,     0,  1796,     0,  1244,  1797,  1392,  1367,     0,
    1798,  1799,  1800,     0,     0,     0,     0,     0,     0,  3714,
       0,  3715,     0,     0,     0,  3717,     0,  1801,     0,     0,
       0,  1244,     0,  1811,     0,  1803,     0,     0,  3089,     0,
       0,  1804,     0,  1368,     0,     0,  1812,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1394,
       0,     0,     0,     0,     0,  1805,  1395,     0,     0,  1396,
       0,     0,     0,     0,     0,     0,  1369,     0,     0,  3748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1397,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1371,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1796,  1398,     0,  1797,  1814,     0,
       0,  1798,  1799,  1800,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    34,     0,     0,     0,  1373,  1801,     0,
       0,     0,  2675,  1966,  1374,     0,  1803,     0,     0,     0,
       0,  1375,  1804,     0,     0,     0,  1867,     0,     0,  2119,
       0,  1806,  1390,     0,     0,     0,  1807,     0,  1391,     0,
       0,  1377,     0,  1399,  3182,  1400,  1805,     0,     0,  1378,
       0,     0,     0,     0,     0,  1401,     0,  1808,  1809,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,  3091,
       0,     0,  1810,  1403,     0,  2006,     0,     0,  1392,     0,
       0,  1815,     0,     0,  1816,  1817,  1818,     0,  1819,  1820,
    1821,  1822,  1823,  1824,  2676,     0,     0,     0,  4994,     0,
       0,     0,     0,  1379,  1811,     0,     0,  3092,  2969,     0,
       0,  1405,  1406,     0,     0,     0,     0,  1812,     0,     0,
    1813,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1394,     0,     0,     0,     0,     0,     0,  1395,  2970,     0,
    1396,     0,     0,     0,     0,     0,     0,     0,     0,  2128,
       0,     0,  1806,     0,     0,     0,     0,  1807,  2151,     0,
       0,  3938,  3939,  3940,  3941,  1397,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1808,  1809,
       0,     0,     0,     0,     0,     0,  2187,     0,     0,     0,
       0,   806,     0,  1810,  2194,     0,  1398,  2197,     0,  1814,
       0,  1408,     0,   829,     0,     0,     0,     0,   829,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   829,
       0,     0,     0,     0,     0,  1811,     0,     0,     0,     0,
    3345,     0,     0,  2232,     0,   829,     0,     0,  1812,     0,
     806,  1813,     0,     0,     0,     0,  1031,  2249,     0,     0,
     806,   829,     0,     0,  1399,     0,  1400,   829,     0,     0,
    2261,     0,     0,     0,     0,     0,  1401,  1031,   829,     0,
       0,     0,     0,     0,  1402,     0,   829,     0,     0,     0,
       0,     0,     0,     0,  1403,     0,     0,     0,     0,     0,
    3384,  3385,  1815,     0,     0,  1816,  1817,  1818,     0,  1819,
    1820,  1821,  1822,  1823,  1824,     0,     0,  2661,  1966,     0,
    2312,     0,     0,     0,     0,     0,     0,     0,     0,  3433,
    1814,     0,  1405,  1406,     0,     0,     0,     0,     0,     0,
       0,  2346,     0,  3406,     0,     0,     0,  3408,  2358,  4067,
       0,     0,     0,  3411,     0,     0,     0,     0,     0,  3434,
       0,     0,     0,     0,     0,   806,   806,     0,     0,  3423,
    3425,   829,     0,     0,  3425,     0,     0,     0,     0,  3436,
    3437,  3438,     0,  3440,     0,  2677,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,     0,     0,     0,  3457,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3463,  3464,  3465,  3466,     0,     0,
       0,     0,  1408,  1815,     0,     0,  1816,  1817,  1818,     0,
    1819,  1820,  1821,  1822,  1823,  1824,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,  3483,     0,     0,  3488,  3489,  3490,     0,     0,     0,
       0,     0,     0,     0,  3503,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1244,  1244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2484,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1796,     0,     0,  1797,     0,     0,     0,  1798,  1799,
    1800,     0,     0,     0,     0,  3554,     0,   806,     0,     0,
       0,     0,     0,  3558,  1031,  1801,     0,     0,   806,     0,
       0,     0,     0,  1803,     0,     0,     0,     0,     0,  1804,
       0,     0,  3570,     0,  1031,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1031,     0,
       0,     0,     0,  1805,     0,     0,     0,     0,  3613,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1390,
       0,  1796,  2640,     0,  1797,  1391,     0,     0,  1798,  1799,
    1800,     0,  2655,     0,     0,     0,     0,   806,     0,     0,
    1796,     0,     0,  1797,     0,  1801,     0,  1798,  1799,  1800,
       0,     0,  3650,  1803,     0,     0,  3655,     0,     0,  1804,
       0,     0,     0,     0,  1801,  1392,     0,  3206,     0,     0,
       0,     0,  1803,     0,     0,  1031,     0,     0,  1804,     0,
       0,     0,     0,  1805,     0,  3693,     0,  3247,     0,     0,
       0,     0,  3248,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1805,     0,     0,     0,     0,     0,     0,  1806,
     829,     0,     0,     0,  1807,  3706,     0,  1394,     0,     0,
       0,     0,     0,     0,  1395,     0,     0,  1396,     0,  3716,
     829,     0,     0,  3718,   806,  1808,  1809,     0,     0,     0,
       0,     0,   829,     0,  1966,     0,     0,     0,     0,  2666,
    1810,  2669,  1397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4937,     0,     0,     0,
     829,     0,     0,     0,     0,     0,     0,     0,     0,  1031,
       0,   829,  1811,  1398,     0,     0,     0,     0,     0,  1806,
    1244,     0,     0,     0,  1807,  1812,   829,  4335,  1813,   829,
       0,     0,     0,     0,     0,     0,     0,     0,  1806,     0,
       0,   806,  4339,  1807,     0,  1808,  1809,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1810,     0,     0,     0,  1808,  1809,     0,     0,     0,     0,
     806,  1399,     0,  1400,     0,     0,     0,     0,     0,  1810,
       0,     0,     0,  1401,     0,     0,     0,  1796,     0,     0,
    1797,  1402,  1811,     0,  1798,  1799,  1800,     0,   806,   806,
     806,  1403,   806,     0,     0,  1812,     0,  1814,  1813,   892,
    4393,  1811,     0,     0,   893,     0,     0,     0,     0,  1803,
       0,     0,   806,     0,  1812,  1804,     0,  1813,  4938,     0,
       0,     0,     0,     0,     0,     0,  3484,     0,     0,  1405,
    1406,     0,     0,     0,     0,     0,   829,   894,     0,  1805,
       0,     0,     0,     0,   829,   829,     0,     0,     0,     0,
     895,   896,     0,   806,  1951,     0,  3485,     0,     0,     0,
     897,     0,     0,  2857,   898,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,   899,   806,  2884,     0,     0,   806,   806,     0,
    1815,     0,     0,  1816,  1817,  1818,  1814,  1819,  1820,  1821,
    1822,  1823,  1824,  1031,   900,     0,     0,     0,     0,  1951,
    3932,     0,  3933,     0,     0,   901,     0,     0,     0,  1408,
    3935,     0,     0,   902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   903,     0,  3945,     0,     0,
     904,     0,     0,     0,     0,  1806,     0,     0,     0,     0,
    1807,     0,     0,  3953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   905,  4513,  4514,  4514,  3966,  1031,     0,
    1815,  1808,  1809,  1816,  1817,  1818,     0,  1819,  1820,  1821,
    1822,  1823,  1824,     0,     0,  3970,  1810,     0,   906,  1815,
       0,     0,  1816,  1817,  1818,  3979,  1819,  1820,  1821,  1822,
    1823,  1824,     0,     0,     0,     0,  1031,     0,     0,   907,
       0,     0,     0,     0,     0,     0,  4003,     0,  1811,     0,
       0,  3042,     0,     0,     0,     0,     0,  4011,  4012,  4013,
       0,  1812,  4016,  4017,  4018,  4019,  4020,  4021,     0,     0,
       0,   908,  4028,  4029,     0,  4031,  4032,  4033,  4034,  4035,
    4036,     0,  4038,     0,     0,     0,     0,     0,     0,     0,
       0,  4046,   909,  4048,  4049,     0,     0,   829,     0,     0,
       0,     0,   206,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3425,  1031,  1796,     0,
       0,  1797,     0,     0,     0,  1798,  1799,  1800,     0,   910,
       0,  4622,  1031,     0,   911,  4068,   912,     0,     0,     0,
    1031,     0,   913,  1814,     0,   914,  1951,     0,     0,     0,
    1803,  1031,     0,     0,     0,     0,  1804,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   829,     0,     0,
       0,   829,     0,     0,   915,     0,     0,   916,     0,     0,
    1805,   917,     0,   829,     0,     0,     0,     0,   918,     0,
     919,     0,     0,     0,     0,   920,     0,     0,  1031,     0,
       0,     0,     0,     0,     0,   806,     0,     0,     0,     0,
       0,  1031,     0,     0,     0,     0,     0,   806,     0,     0,
     921,     0,     0,  1031,     0,  3181,     0,     0,     0,     0,
       0,     0,  3425,     0,     0,  1031,  1815,     0,     0,  1816,
    1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,  1824,     0,
       0,     0,     0,     0,   806,     0,   829,   829,     0,     0,
    1966,  1966,  1966,     0,     0,     0,     0,     0,     0,   829,
       0,  4708,  4156,  4710,     0,     0,     0,     0,     0,  1031,
       0,     0,  1031,     0,   829,   829,  1806,     0,     0,     0,
       0,  1807,     0,     0,     0,     0,   829,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2422, -2422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1810,   806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2422,
       0,     0,   806,     0,   806,     0,     0,     0,     0,   806,
     806,     0,  1812,  1390,     0,  3308,   806,   806,   806,  1391,
       0,     0,   806,     0,   806,   806,   806,   806,   806,   806,
       0,   806,     0,   806,   806,     0,     0,   806,     0,     0,
       0,     0,     0,     0,  1438,  4514,     0,     0,     0,     0,
       0,  1031,   806,   806,   806,   806,  1951,     0,     0,  1392,
     806,     0,     0,     0,   806,     0,     0,   806,     0,     0,
     806,   806,   806,   806,   806,   806,   806,   806,   806,     0,
     806,     0,     0,     0,     0,     0,     0,   806,     0,   806,
       0,     0,  1439,     0,  1814,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1394,     0,     0,  4852,     0,     0,     0,  1395,     0,
    4286,  1396,     0,     0,  4287,  4288,  4289,  4290,     0,     0,
    4292,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,  4306,  4307,  4308,     0,  4309,     0,
    4311,  4312,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4321,  4322,  1440,     0,     0,  1398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1815,     0,  4901,
    1816,  1817,  1818,  4330,  1819,  1820,  1821,  1822,  1823,  1824,
    1966,  1966,     0,  1966,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4338,     0,   806,     0,     0,
       0,     0,  1441,     0,     0,  1442,     0,     0,     0,     0,
       0,   806,     0,     0,     0,  1443,     0,  1400,     0,     0,
     806,   806,     0,     0,     0,     0,     0,  1401,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,  4950,     0,     0,  1444,  1403,     0,     0,  1031,     0,
       0,     0,  1031,  1031,     0,  4384,     0,     0,  3507,     0,
       0,     0,   829,     0,     0,     0,  1951,   829,     0,     0,
       0,   829,     0,     0,     0,     0,  4404,     0,     0,   829,
    2916,     0,     0,  1405,  1406,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   829,     0,     0,
     806,     0,     0,     0,     0,     0,  4428,     0,     0,     0,
    2917,     0,   806,     0,     0,     0,  1031,     0,     0,   806,
       0,     0,     0,     0,  1448,     0,     0,     0,  1031,     0,
       0,     0,     0,     0,     0,     0,     0,  1796,     0,     0,
    1797,   829,     0,     0,  1798,  1799,  1800,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   829,
     829,  1801,     0,     0,     0,     0,     0,     0,  1031,  1803,
       0,     0,     0,  1408,     0,  1804,     0,     0,     0,     0,
    1966,     0,     0,     0,     0,  3616,  3617,     0,     0,     0,
    1951,   829,     0,     0,  1951,  1966,     0,     0,     0,  1805,
       0,  3626,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3643,     0,     0,
       0,     0,     0,     0,     0,   829,  3652,  3654,     0,   829,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3672,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   829,     0,
       0,     0,     0,  4529,     0,     0,     0,     0,     0,     0,
       0,   829,     0,     0,     0,     0,     0,     0,     0,     0,
     829,     0,     0,     0,  4538,     0,     0,     0,     0,  4543,
    4544,     0,  1796,     0,     0,  1797,     0,     0,     0,  1798,
    1799,  1800,     0,     0,     0,  1806,     0,     0,     0,     0,
    1807,     0,     0,     0,     0,     0,  1801,     0,     0,     0,
       0,     0,     0,     0,  1803,     0,   806,  1031,     0,     0,
    1804,  1808,  1809,     0,  4596,  1951,     0,     0,     0,     0,
       0,     0,     0,     0,  1244,     0,  1810,     0,     0,  4608,
       0,     0,     0,     0,  1805,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1811,     0,
       0,  3425,     0,     0,     0,     0,     0,     0,  4638,     0,
       0,  1812,     0,     0,  1813,     0,     0,  1031,     0,     0,
       0,   829,     0,     0,     0,     0,     0,     0,     0,     0,
     806,     0,     0,     0,     0,     0,  3798,     0,     0,     0,
       0,     0,     0,  1966,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1966,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4674,     0,     0,     0,
    1806,     0,     0,   829,     0,  1807,     0,     0,   806,  3838,
    3839,  3840,     0,  1814,     0,     0,     0,     0,     0,  4690,
       0,     0,     0,     0,     0,     0,  1808,  1809,  4697,  3799,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   829,
       0,  1810,     0,     0,     0,     0,     0,     0,     0,  1966,
       0,     0,     0,     0,     0,  1031,     0,   829,     0,     0,
       0,     0,     0,     0,     0,   829,     0,     0,     0,   806,
       0,     0,  1031,  1811,     0,   806,     0,     0,     0,     0,
       0,     0,     0,  1031,     0,     0,  1812,     0,     0,  1813,
       0,     0,     0,   806,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,     0,  3220,  1815,     0,     0,  1816,
    1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,  1824,     0,
       0,   806,   806,   806,     0,     0,   806,     0,     0,     0,
       0,     0,     0,  3425,   806,   806,   806,   806,     0,     0,
       0,     0,  1951,     0,     0,     0,     0,   806,  1951,     0,
     806,     0,   806,     0,     0,  1966,     0,     0,     0,     0,
       0,     0,     0,   806,   806,     0,     0,   806,  1814,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,   806,     0,   806,     0,     0,     0,  4813,
    1796,     0,     0,  1797,     0,     0,     0,  1798,  1799,  1800,
       0,     0,     0,     0,  4825,   806,     0,     0,     0,     0,
       0,     0,     0,     0,  1801,     0,   806,  3252,   806,   806,
     806,     0,  1803,     0,     0,     0,     0,     0,  1804,     0,
       0,     0,     0,   829,     0,     0,   806,     0,     0,     0,
       0,  4847,     0,     0,     0,     0,     0,     0,   806,     0,
       0,     0,  1805,     0,     0,     0,     0,     0,     0,     0,
       0,  1815,     0,   806,  1816,  1817,  1818,     0,  1819,  1820,
    1821,  1822,  1823,  1824,     0,     0,     0,   806,     0,     0,
       0,     0,     0,     0,     0,     0,  1030,     0,     0,     0,
       0,     0,     0,  1031,  4065,     0,  1031,     0,  1031,     0,
       0,     0,     0,  1031,  4075,   829,     0,  1030,  1796,     0,
       0,  1797,     0,  4896,     0,  1798,  1799,  1800,     0,     0,
       0,   829,   829,     0,     0,     0,     0,   806,     0,     0,
       0,     0,  1801,     0,     0,     0,     0,     0,     0,  4096,
    1803,     0,     0,     0,     0,     0,  1804,     0,   829,  4914,
       0,   829,     0,     0,     0,  1031,     0,     0,  1806,     0,
       0,     0,     0,  1807,     0,     0,     0,  2358,     0,     0,
    1805,     0,  1031,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1808,  1809,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1031,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1811,  1951,  1951,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1812,     0,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,   829,     0,     0,  3257,
       0,     0,     0,     0,     0,     0,  1031,     0,  1031,   829,
       0,  1951,     0,     0,   829,     0,  1806,     0,     0,     0,
       0,  1807,     0,     0,   829,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1808,  1809,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1810,     0,     0,
       0,     0,     0,     0,     0,     0,  1814,     0,     0,  1031,
       0,     0,     0,     0,  4213,  4214,  4215,  4216,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   829,  1811,
       0,     0,     0,     0,  1031,     0,     0,     0,     0,     0,
       0,     0,  1812,     0,     0,  1813,     0,     0,     0,     0,
       0,     0,     0,     0,  1030,     0,     0,     0,     0,     0,
    1031,     0,     0,     0,     0,     0,  1951,  1031,     0,     0,
       0,     0,     0,   829,  1030,   829,   831,     0,     0,     0,
       0,     0,     0,   831,     0,     0,     0,   829,  1030,   829,
       0,     0,     0,     0,   831,     0,     0,     0,     0,  1815,
       0,     0,  1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,
    1823,  1824,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1814,     0,  1031,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   829,  1031,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1031,     0,     0,
       0,     0,     0,     0,     0,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     829,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   806,     0,     0,   829,     0,  1815,     0,     0,
    1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,  1824,
       0,     0,     0,     0,     0,     0,     0,   829,     0,     0,
     829,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
    1031,     0,     0,     0,     0,     0,   806,     0,     0,  1030,
       0,     0,   806,     0,   806,     0,     0,   806,     0,     0,
       0,  1031,   806,   806,   806,   806,     0,     0,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,     0,     0,
       0,   806,   806,     0,     0,     0,  1031,     0,     0,     0,
       0,   806,     0,     0,     0,   806,  4419,  1951,     0,   806,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
     806,     0,   806,     0,     0,     0,     0,     0,     0,     0,
    1031,   806,     0,     0,   806,   806,     0,     0,     0,   806,
     806,     0,     0,     0,     0,     0,   806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   806,     0,   806,     0,
       0,     0,     0,     0,  1796,     0,     0,  1797,     0,     0,
     806,  1798,  1799,  1800,     0,     0,   806,   806,   806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,  3263,     0,     0,     0,     0,  1803,     0,     0,     0,
       0,     0,  1804,     0,     0,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,  1031,     0,  1805,     0,     0,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,   806,
     831,     0,     0,     0,     0,     0,     0,     0,     0,  1796,
       0,   831,  1797,     0,     0,     0,  1798,  1799,  1800,     0,
       0,     0,     0,  2024,     0,     0,     0,   831,     0,     0,
       0,     0,   829,  1801,     0,     0,     0,     0,     0,     0,
       0,  1803,     0,   831,     0,     0,     0,  1804,     0,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,     0,     0,   831,     0,
       0,  1805,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,  1951,  1031,  1951,     0,     0,  2024,  4575,
       0,     0,  1806,     0,     0,     0,     0,  1807,     0,     0,
       0,     0,     0,     0,     0,  1244,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1808,  1809,
       0,     0,     0,     0,     0,     0,  1030,     0,     0,     0,
       0,     0,     0,  1810,     0,     0,     0,   829,  1796,  4623,
     829,  1797,     0,     0,     0,  1798,  1799,  1800,     0,     0,
       0,     0,     0,   831,     0,     0,     0,     0,     0,     0,
       0,     0,  1801,     0,     0,  1811,     0,     0,     0,     0,
    1803,     0,     0,     0,     0,     0,  1804,  1806,  1812,     0,
       0,  1813,  1807,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1805,     0,   806,  1808,  1809,     0,     0,  1030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1810,     0,
       0,     0,  1030,     0,     0,   829,   829,     0,     0,  1031,
    2024,     0,     0,     0,     0,     0,     0,     0,   829,     0,
     829,  1030,     0,     0,     0,     0,     0,  4687,     0,     0,
    1811,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1814,     0,     0,  1812,     0,     0,  1813,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1031,   806,
     806,     0,     0,     0,     0,     0,     0,     0,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1030,     0,     0,     0,     0,  1806,     0,     0,     0,
       0,  1807,     0,  1030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1030,     0,     0,     0,     0,
    4755,     0,  1808,  1809,   829,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1814,     0,  1810,     0,     0,
       0,     0,     0,  1815,     0,   806,  1816,  1817,  1818,     0,
    1819,  1820,  1821,  1822,  1823,  1824,   806,     0,     0,  1030,
       0,     0,  1030,     0,  3751,     0,     0,     0,     0,  1811,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1812,     0,     0,  1813,   806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   806,   806,     0,  1031,
       0,     0,     0,   806,   806,     0,     0,     0,   806,  1031,
       0,     0,     0,   806,     0,     0,   806,   806,     0,     0,
       0,   806,     0,     0,     0,     0,     0,   806,  1815,     0,
       0,  1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,
    1824,     0,     0,     0,     0,   806,     0,  1796,     0,   806,
    1797,     0,     0,     0,  1798,  1799,  1800,     0,     0,     0,
       0,   806,   831,     0,  1814,     0,   806,     0,     0,     0,
       0,  1801,   806,     0,  3805,     0,     0,     0,     0,  1803,
       0,     0,   831,     0,     0,  1804,   806,     0,     0,     0,
       0,  1030,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1805,
     806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   831,     0,     0,     0,     0,     0,  1031,  2653,
       0,     0,     0,   831,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   829,     0,     0,   831,     0,
    1951,   831,     0,     0,     0,     0,     0,  1815,     0,  1031,
    1816,  1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,  1824,
       0,     0,     0,     0,     0,   829,     0,     0,     0,     0,
    1031,     0,     0,     0,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,  1951,  1031,     0,     0,   806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   829,     0,
       0,     0,     0,     0,     0,  1806,     0,     0,     0,     0,
    1807,     0,     0,     0,     0,     0,  1220,  1220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1031,     0,
       0,  1808,  1809,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1810,     0,  1284,     0,
     806,     0,     0,     0,     0,     0,     0,     0,   831,     0,
       0,   806,     0,     0,     0,     0,   831,   831,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,  1811,  -130,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1812,     0,     0,  1813,     0,     0,     1,  2720,     0,
       0,     0,  2024,  2726,     0,     0,     0,     2,     0,     3,
       4,     0,     0,     0,     0,  1031,     0,  1031,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   829,     6,     0,     7,     8,     0,     0,
       0,     0,     9,     0,    10,     0,     0,     0,     0,   806,
       0,     0,     0,  1031,     0,    11,  1030,    12,   806,     0,
       0,     0,     0,  1814,     0,     0,     0,     0,  1030,     0,
       0,     0,     0,     0,    13,   806,   806,    14,     0,   806,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      15,     0,    16,   806,     0,     0,    17,     0,   806,     0,
       0,     0,    18,   806,     0,     0,   806,   806,  1030,     0,
      19,     0,    20,     0,   806,   806,     0,     0,    21,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     806,     0,     0,    22,     0,     0,     0,   829,     0,   829,
       0,     0,     0,   806,     0,     0,     0,     0,     0,    23,
       0,     0,     0,     0,     0,     0,  1815,     0,     0,  1816,
    1817,  1818,     0,  1819,  1820,  1821,  1822,  1823,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,  1031,   829,   831,
       0,     0,     0,     0,     0,     0,     0,   806,    24,    25,
       0,     0,     0,     0,    26,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    27,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    28,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,     0,  1953,     0,
     806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   831,
       0,     0,     0,   831,     0,     0,     0,    29,     0,     0,
       0,     0,     0,     0,     0,   831,     0,  1030,     0,    30,
       0,     0,     0,     0,    31,    32,     0,    33,     0,     0,
       0,     0,    34,     0,   806,     0,  1031,    35,     0,     0,
      36,     0,     0,     0,     0,    37,     0,     0,     0,     0,
      38,    39,     0,     0,     0,     0,     0,     0,    40,     0,
       0,     0,    41,   806,  1031,     0,   806,     0,   806,     0,
       0,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1753,     0,    43,     0,     0,  2024,   831,   831,
       0,     0,   806,     0,     0,     0,   806,     0,     0,     0,
       0,   831,  1031,    44,     0,     0,     0,   806,     0,     0,
       0,  1767,     0,    45,     0,     0,   831,   831,     0,    46,
       0,     0,     0,     0,    47,     0,   806,     0,   831,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,  1785,
    1786,  1787,     0,  1789,     0,   605,     0,     0,     0,  1951,
     606,     0,     0,     0,     0,  1031,     0,     0,    49,  1031,
    1031,     0,   607,  1831,   806,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,  -130,     0,     0,     0,     0,
     829,     0,     0,   608,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   609,     0,     0,     0,
       0,     0,     0,     0,  1868,  1030,     0,     0,   806,     0,
     610,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1030,     0,     0,     0,     0,     0,   611,   806,
       0,     0,     0,  1030,  1973,     0,     0,     0,  1985,  1990,
       0,     0,     0,     0,     0,     0,     0,     0,  1953,     0,
     612,  1031,  1031,     0,     0,     0,     0,     0,     0,     0,
       0,   613,     0,     0,     0,     0,     0,     0,     0,   614,
       0,     0,   806,     0,     0,   806,     0,     0,     0,     0,
       0,   615,     0,     0,   806,     0,   616,     0,     0,   806,
       0,   806,   617,   806,     0,     0,     0,     0,     0,     0,
     806,     0,     0,     0,     0,     0,     0,     0,     0,   618,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
     829,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   619,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,  2653,  2653,
    2653,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,     0,     0,     0,  1029,   620,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   621,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   622,   806,
     806,     0,     0,     0,     0,     0,     0,     0,   206,     0,
     806,     0,     0,     0,     0,     0,     0,     0,   829,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     806,     0,     0,  2024,     0,   623,  2726,     0,  2726,     0,
     624,     0,   625,  2024,     0,     0,     0,     0,   626,     0,
       0,   627,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   831,     0,     0,     0,  1953,   831,
       0,     0,     0,   831,     0,     0,     0,     0,   806,     0,
     628,   831,     0,   629,   806,   806,   806,   630,     0,     0,
       0,     0,     0,     0,   631,  1030,   632,     0,     0,   831,
       0,   633,     0,     0,     0,   806,     0,     0,     0,     0,
       0,     0,  1030,   634,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,     0,     0,   635,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,  2024,     0,     0,
       0,     0,     0,   831,     0,     0,     0,     0,     0,     0,
       0,     0,  1020,     0,     0,     0,     0,     0,     0,     0,
       0,   831,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   806,   806,
       0,     0,  1953,   831,  1951,     0,  1953,     0,     0,     0,
       0,     0,   806,     0,     0,     0,  1030,     0,  1030,     0,
       0,     0,     0,  1951,   806,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   831,     0,     0,
       0,   831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1029,     0,     0,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,     0,  1029,     0,     0,     0,     0,     0,  1030,
       0,     0,     0,   831,     0,     0,     0,  1029,     0,     0,
    2522,     0,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2542,  1030,  2544,     0,     0,  2556,  2559,
    2564,     0,     0,     0,     0,  2570,     0,     0,  2575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2726,     0,     0,  2582,  2583,  2584,  2585,  2726,     0,     0,
       0,  2592,     0,     0,     0,  2604,     0,  1953,  2606,     0,
       0,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,
       0,  2622,     0,     0,  1029,     0,     0,     0,  1220,     0,
    2650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   831,  2726,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1030,     0,     0,
       0,   556,     0,     0,     0,     0,   557,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   558,     0,
    1020,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,   559,
    1020,     0,     0,     0,     0,   831,     0,     0,     0,     0,
       0,     0,   560,     0,  1020,     0,     0,     0,     0,     0,
       0,     0,   561,     0,     0,     0,  -787,     0,  1284,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   831,     0,     0,   562,     0,     0,     0,     0,     0,
     563,  1786,  1787,     0,     0,     0,     0,     0,     0,   831,
    1030,     0,     0,     0,     0,     0,   564,   831,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   565,     0,     0,
       0,  1030,     0,     0,     0,   566,     0,     0,     0,     0,
       0,  1020,     0,     0,     0,     0,     0,   567,     0,     0,
       0,     0,     0,     0,   568,     0,  1030,     0,   569,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -992,     0,     0,     0,     0,
       0,  2768,     0,     0,  1022,     0,     0,     0,  1852,     0,
    1030,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,  1022,     0,     0,     0,     0,
       0,     0,   570,     0,     0,     0,     0,     0,     0,     0,
       0,  -525,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2653,     0,
       0,     0,     0,     0,     0,  1020,     0,     0,     0,     0,
       0,     0,  1029,   571,     0,     0,   572,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   573,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2024,   831,     0,     0,     0,     0,
       0,     0,     0,  -419,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   574,     0,     0,  1023,     0,     0,  1029,   575,     0,
       0,     0,     0,     0,  -419,     0,     0,   576,     0,     0,
       0,     0,     0,     0,     0,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,  -419,   831,     0,   577,
     578,     0,   579,   580,     0,     0,     0,     0,     0,     0,
       0,     0,   581,   831,   831,     0,     0,   582,     0,     0,
       0,     0,     0,   583,  2726,     0,   584,     0,     0,   585,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,  -419,   831,     0,     0,     0,  3009,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
       0,  1029,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,     0,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,  1953,  1953,     0,     0,     0,
       0,     0,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1022,     0,   831,     0,
       0,     0,     0,     0,  1020,     0,     0,  1029,     0,     0,
       0,   831,     0,  1953,     0,     0,   831,     0,     0,  1030,
    1029,     0,     0,     0,     0,     0,   831,     0,     0,     0,
       0,     0,  1029,     0,     0,     0,     0,     0,     0,  3149,
       0,     0,  1020,     0,  1029,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2024,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
     831,  1029,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,  3202,     0,  1023,     0,  1953,  3208,
       0,     0,     0,     0,     0,   831,     0,   831,  1020,     0,
       0,     0,     0,     0,     0,     0,  1020,     0,     0,   831,
       0,   831,     0,     0,  1789,     0,     0,  1020,     0,     0,
       0,     0,     0,     0,     0,  2564,     0,  2564,  2564,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,  3266,     0,
       0,  3269,     0,  3271,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1030,
       0,     0,     0,  1023,  1020,   831,     0,     0,     0,  1030,
       0,     0,  3289,     0,  3292,     0,  3294,  1020,     0,     0,
    1029,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1020,     0,     0,     0,     0,     0,     0,     0,  2650,
    2650,  2650,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2653,   831,     0,     0,     0,  2653,  3342,     0,     0,
       0,     0,  2653,     0,     0,     0,     0,   831,     0,  1973,
       0,     0,     0,     0,     0,  1020,     0,     0,  1020,     0,
       0,     0,     0,     0,  1990,     0,     0,     0,     0,   831,
       0,     0,   831,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3392,  1030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
    1030,  1022,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2726,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1020,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1029,  1030,     0,
       0,  1029,  1029,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,     0,
       0,  1023,     0,     0,     0,     0,     0,  1029,     0,     0,
       0,     0,     0,     0,     0,  4415,     0,  1030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1029,     0,     0,
       0,     0,     0,     0,     0,  1022,     0,     0,     0,     0,
       0,     0,     0,  1030,     0,     0,  1023,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
    1953,     0,     0,     0,     0,  1953,     0,  1953,     0,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,     0,     0,  1020,  1020,
       0,     0,     0,     0,     0,     0,  1022,     0,     0,   831,
       0,     0,   831,     0,     0,     0,     0,     0,     0,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1022,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1023,     0,  2726,     0,     0,
       0,     0,  1020,     0,     0,     0,     0,     0,     0,     0,
    1023,     0,     0,     0,  1020,     0,  1029,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,  1023,
    1022,     0,     0,     0,     0,     0,     0,   831,   831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,   831,     0,  1020,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1029,     0,     0,  1023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1023,     0,     0,     0,     0,  2726,     0,  3752,     0,
       0,     0,     0,  1023,     0,     0,     0,  3756,     0,     0,
       0,     0,     0,  3757,     0,  3758,     0,     0,     0,     0,
       0,     0,     0,     0,  1030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   831,     0,     0,     0,
       0,     0,  3782,  3783,     0,     0,     0,  1023,     0,  1022,
    1023,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2570,     0,  1030,     0,     0,     0,     0,     0,  3808,     0,
       0,  3811,     0,  3813,     0,     0,     0,     0,     0,     0,
       0,     0,  3817,     0,     0,     0,     0,     0,     0,     0,
    3824,  3825,     0,     0,  1029,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,  1029,     0,     0,     0,  1030,     0,     0,     0,  1030,
    1030,  3869,  1029,     0,     0,     0,     0,  3876,  3877,  2650,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1284,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,  1023,
    1025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4415,  1030,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   831,     0,     0,
       0,     0,  1953,     0,     0,     0,  1022,     0,     0,     0,
    1022,  1022,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   831,     0,     0,
       0,  1020,     0,     0,     0,     0,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,  1953,     0,  1020,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
     831,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1029,     0,  1022,  1029,     0,  1029,     0,     0,
       0,     0,  1029,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1026,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,  1026,     0,  1029,     0,  1023,     0,     0,     0,
    1023,  1023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,   831,     0,     0,  1025,     0,
    4128,  4129,     0,     0,     0,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,  1028,     0,     0,     0,
       0,     0,  1025,     0,     0,  1029,     0,  1029,     0,     0,
       0,     0,     0,     0,     0,     0,  1023,  1028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
       0,     0,  1020,     0,  1020,     0,     0,     0,     0,  1020,
       0,     0,     0,     0,     0,  1022,  4169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4174,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,   831,
       0,   831,     0,     0,     0,     0,     0,     0,     0,  1025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1020,     0,  1029,     0,     0,     0,  4189,  4191,     0,
       0,     0,     0,     0,  4195,  4196,     0,     0,  1020,  4197,
     831,     0,     0,     0,  4200,  1022,     0,  4203,  4204,  1029,
       0,     0,  4208,     0,     0,     0,  1029,     0,  4212,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,  1026,
       0,     0,  2650,     0,     0,     0,     0,  2650,     0,     0,
       0,     0,     0,  2650,     0,  1023,     0,     0,     0,  1026,
       0,     0,     0,  1025,     0,  1029,     0,  1220,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,     0,     0,
       0,     0,  1020,  1029,  1020,     0,     0,     0,     0,     0,
       0,  4267,     0,     0,     0,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1023,     0,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1022,     0,     0,     0,  1020,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
    1020,     0,     0,     0,     0,     0,     0,     0,     0,  4327,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1020,     0,  1028,  1029,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4361,   831,  1023,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,  1026,     0,     0,     0,     0,     0,
    1023,     0,  1020,     0,     0,     0,     0,  1025,     0,     0,
       0,  1023,     0,     0,     0,  1028,     0,     0,     0,  1029,
    1020,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1022,     0,     0,  1022,     0,  1022,     0,     0,     0,
       0,  1022,     0,     0,     0,     0,     0,     0,     0,     0,
    1025,     0,     0,  1029,     0,     0,  4454,  4455,     0,  1028,
    4456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1020,     0,     0,     0,
    1953,     0,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,  4490,  4491,  1020,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1020,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,  1022,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,     0,
       0,     0,     0,  1029,  1025,     0,  1020,     0,     0,     0,
       0,  1023,     0,     0,  1023,  1025,  1023,     0,     0,     0,
     831,  1023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,  1022,     0,  1022,     0,     0,     0,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1023,     0,  1025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1025,     0,     0,
    1023,  1026,     0,     0,     0,     0,     0,     0,     0,  1025,
    1020,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1028,     0,  1023,     0,  1022,     0,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,  1022,  1025,     0,     0,  1025,  2570,  1029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,  1026,  4656,     0,  1022,     0,     0,  1028,     0,
       0,     0,     0,     0,  1023,     0,  1023,  1026,  1789,     0,
       0,     0,     0,     0,     0,  1026,  1953,  1029,     0,     0,
    1020,     0,     0,     0,     0,     0,  1026,  1284,     0,     0,
       0,     0,     0,     0,     0,  1953,  1028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4705,     0,  1023,     0,     0,
       0,     0,  1022,  1026,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1022,  1026,     0,     0,     0,
       0,     0,  1023,     0,     0,  1025,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,     0,     0,  1028,  1023,     0,
       0,     0,     0,     0,     0,  1023,     0,     0,     0,     0,
    4756,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
    1028,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
       0,  1028,     0,     0,  1026,     0,     0,  1026,  1029,     0,
       0,     0,     0,     0,     0,  1020,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,  4490,     0,     0,     0,  1028,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,  1022,
       0,  1028,     0,     0,  1020,  1023,     0,     0,  4814,     0,
       0,     0,     0,  1028,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,  1028,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,     0,     0,  1029,     0,  1028,
       0,     0,  1028,     0,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
    4875,  4875,  1025,     0,     0,     0,  1025,  1025,  1023,     0,
       0,  4490,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,     0,     0,     0,  1029,  1020,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1020,     0,     0,     0,     0,
       0,     0,  1022,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1025,     0,     0,     0,     0,     0,     0,  1029,     0,     0,
       0,     0,  1025,     0,     0,     0,     0,  4875,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1028,     0,     0,     0,     0,  4946,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,  4875,
    4987,     0,     0,  1026,     0,  1020,     0,  1026,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1029,     0,     0,     0,  1020,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1020,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1026,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,  1020,     0,     0,     0,     0,     0,
       0,  1025,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,  1028,     0,
       0,     0,  1028,  1028,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1025,
       0,     0,  1026,  1029,     0,     0,  1023,  1022,     0,     0,
       0,     0,     0,     0,     0,     0,  1025,  1022,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,  1026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1029,     0,     0,     0,  1029,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1028,     0,     0,
       0,     0,     0,     0,     0,     0,  1022,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,     0,
       0,     0,  1020,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
    1026,  1029,     0,     0,     0,     0,     0,  1028,     0,     0,
    1020,     0,     0,  1022,     0,     0,     0,  1026,     0,     0,
    1826,     0,     0,     0,     0,     0,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1025,  1020,     0,
    1025,     0,  1025,     0,     0,     0,  1022,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,  1826,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1020,     0,     0,     0,  1020,  1020,  1023,     0,  1025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1028,  1025,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,  1023,     0,  1022,     0,     0,     0,     0,
       0,  1025,     0,  1028,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1023,     0,     0,     0,
       0,  1022,     0,     0,     0,     0,     0,     0,  1020,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1025,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1026,     0,
       0,  1026,     0,  1026,     0,     0,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1023,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,  1022,     0,  1026,     0,     0,
       0,  1023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1025,     0,     0,     0,     0,     0,
       0,  1025,  1026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1028,     0,     0,  1028,     0,  1028,     0,
       0,     0,     0,  1028,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1026,     0,  1026,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,  1022,  1028,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,  1023,     0,     0,     0,     0,
       0,     0,  1022,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1028,     0,     0,
       0,     0,     0,     0,  1026,     0,     0,     0,  1826,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,  1026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,  1026,     0,  1025,     0,  1028,     0,  1028,     0,
       0,     0,     0,  1022,     0,     0,     0,  1022,  1022,     0,
       0,     0,     0,  1826,  1023,  1025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1826,     0,     0,
       0,  2552,     0,     0,     0,     0,     0,     0,     0,     0,
    1025,     0,  1023,     0,     0,  1826,  1826,  1826,     0,  1826,
       0,  1026,     0,     0,     0,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1026,
       0,     0,     0,     0,  1025,     0,     0,     0,     0,     0,
    1023,     0,  1026,     0,  1028,     0,     0,     0,     0,     0,
       0,  1826,     0,     0,     0,     0,     0,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,     0,     0,     0,     0,     0,     0,  1028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1826,     0,
       0,     0,     0,  1023,     0,     0,     0,  1023,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,  1028,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1026,  1028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1023,  1026,     0,  1826,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1826,     0,     0,     0,     0,
    1826,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1028,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1028,     0,     0,  1026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1026,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,  1026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1025,     0,     0,     0,  1028,     0,
       0,     0,  1826,     0,  1026,     0,     0,     0,     0,  1025,
       0,     0,     0,     0,  1026,     0,     0,     0,     0,     0,
       0,     0,  1826,     0,  1826,     0,     0,  2552,  2552,     0,
    3243,     0,  2552,     0,     0,     0,  1826,     0,     0,  1826,
       0,     0,     0,     0,  1826,     0,     0,     0,     0,     0,
    1826,     0,  1025,     0,     0,  1826,     0,     0,     0,     0,
       0,     0,  1826,  1826,  1826,  1826,     0,     0,     0,  2552,
    2552,     0,  1826,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1826,     0,  1826,     0,     0,     0,
       0,     0,     0,  1826,  1826,  1826,  1826,  1826,  1826,  1826,
    1826,  1826,  1826,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1028,
    1826,     0,     0,  1026,     0,     0,     0,     0,     0,  1028,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,  1826,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1028,     0,     0,     0,     0,
       0,     0,  1026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,     0,  1028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,  1826,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1026,  1028,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1025,
       0,     0,     0,  1025,  1025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1026,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1028,     0,  1826,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,  1026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1026,     0,     0,
       0,     0,  1826,     0,     0,     0,     0,     0,  1826,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3243,  3243,     0,     0,  2552,  2552,
    2552,  2552,     0,     0,  2552,  2552,  2552,  2552,  2552,  2552,
    2552,  2552,  2552,  2552,  3243,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,  1026,  1026,  1028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1826,     0,     0,  1826,
       0,  1826,     0,     0,  3243,  3243,     0,     0,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,  1826,
    2552,  2552,  1826,     0,  1826,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1826,     0,     0,     0,     0,  1026,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1028,     0,     0,     0,  1028,
    1028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1826,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2552,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1826,     0,     0,     0,  1826,  1826,  1826,     0,
       0,     0,     0,     0,  3243,  3243,  3243,  3243,     0,     0,
       0,     0,  3243,  3243,  3243,  3243,  3243,  3243,  3243,  3243,
    3243,  3243,  1826,  1826,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1826,     0,
       0,  1826,     0,  1826,     0,     0,     0,  1826,     0,     0,
    3243,  3243,     0,     0,  1826,  1826,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1826,
       0,     0,     0,     0,     0,     0,  1826,  1826,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1826,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3243,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1826,  1826,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1826,
       0,     0,     0,     0,  1826,  2552,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1826,
       0,  1826,     0,     0,     0,  1826,  1826,  1826,     0,     0,
    1826,     0,     0,  1826,  1826,     0,     0,     0,  1826,     0,
       0,     0,  1826,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1826,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1826,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1826,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3243,  2552,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1826,  1826,  1826,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1826,  1826,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3243,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1826,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1826,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1826,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1826,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   779,  1138,   600,  1139,  1140,  1141,   654,  1142,     0,
       0,     0,     0,     0,     0,  1826,   223,   224,   225,   226,
     227,   228,   229,   230,  2644,   232,   233,   234,     0,     0,
       0,     0,  1143,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1144,   781,  1145,  1146,     0,
     246,   247,   248,   249,   250,  1147,  1148,   251,   252,  1149,
    1150,   255,     0,   256,   257,   258,   259,  1151,     0,  1152,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,  1826,   784,   274,   275,
     276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,   278,
     279,   280,   281,   282,  1160,  1161,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
    2645,     0,   296,   297,  1001,   299,   300,  1826,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1162,   312,   313,   314,  1163,  1164,   316,     0,   317,   318,
    1165,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1166,     0,  1167,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1168,  1169,     0,  1170,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1171,   793,   363,   794,     0,   364,   365,   366,
    1172,  1173,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1174,   795,
    1175,   385,   386,   387,  1176,   388,   389,   796,   390,  1177,
    1178,   392,  1179,   394,   395,   396,     0,   397,     0,     0,
    1180,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1181,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1182,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1183,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  1184,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1185,   464,   465,   466,
     467,   468,   800,   469,   470,  1186,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1187,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1188,  1189,     0,     0,   495,   496,  1190,   498,
    1191,  1192,   500,   501,   502,   503,   504,   505,   506,     0,
    1193,   507,   508,   509,   510,   511,  1194,     0,   512,   513,
     514,   515,   516,   517,  1195,  2646,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,  1203,   540,   541,   542,  1204,     0,     0,     0,     0,
       0,     0,  1205,  1206,  2647,     0,     0,     0,     0,     0,
       0,  1208,  2648,   779,  1138,   600,  1139,  1140,  1141,   654,
    1142,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1143,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,  1144,   781,  1145,
    1146,     0,   246,   247,   248,   249,   250,  1147,  1148,   251,
     252,  1149,  1150,   255,     0,   256,   257,   258,   259,  1151,
       0,  1152,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,
     277,   278,   279,   280,   281,   282,  1160,  1161,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1001,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1162,   312,   313,   314,  1163,  1164,   316,     0,
     317,   318,  1165,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1166,     0,  1167,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1168,  1169,     0,  1170,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1171,   793,   363,   794,     0,   364,
     365,   366,  1172,  1173,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1174,   795,  1175,   385,   386,   387,  1176,   388,   389,   796,
     390,  1177,  1178,   392,  1179,   394,   395,   396,     0,   397,
       0,     0,  1180,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1181,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1182,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1183,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  1184,   451,   452,   453,   454,   455,   456,
     457,   458,    39,   459,   460,   461,   462,   463,  1185,   464,
     465,   466,   467,   468,   800,   469,   470,  1186,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1187,     0,   485,   486,    43,   487,   801,   488,   489,
     490,   491,   492,     0,  1188,  1189,     0,     0,   495,   496,
    1190,   498,  1191,  1192,   500,   501,   502,   503,   504,   505,
     506,     0,  1193,   507,   508,   509,   510,   511,  1194,     0,
     512,   513,   514,   515,   516,  1074,  1195,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,    48,   525,
     526,   527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,  1203,   540,   541,   542,  1204,     0,    49,
       0,     0,     0,     0,  1205,  1206,     0,     0,     0,     0,
       0,     0,     0,  1208,  4668,   779,  1138,   600,  1139,  1140,
    1141,   654,  1142,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,  1143,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,  1144,
     781,  1145,  1146,     0,   246,   247,   248,   249,   250,  1147,
    1148,   251,   252,  1149,  1150,   255,     0,   256,   257,   258,
     259,  1151,     0,  1152,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1153,  1154,  1155,  1156,  1157,
    1158,  1159,   277,   278,   279,   280,   281,   282,  1160,  1161,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1001,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,  1162,   312,   313,   314,  1163,  1164,
     316,     0,   317,   318,  1165,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1166,     0,
    1167,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,  1168,  1169,
       0,  1170,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1171,   793,   363,   794,
       0,   364,   365,   366,  1172,  1173,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1174,   795,  1175,   385,   386,   387,  1176,   388,
     389,   796,   390,  1177,  1178,   392,  1179,   394,   395,   396,
       0,   397,     0,     0,  1180,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1181,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1182,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1183,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,  1184,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
    1185,   464,   465,   466,   467,   468,   800,   469,   470,  1186,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1187,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1188,  1189,     0,     0,
     495,   496,  1190,   498,  1191,  1192,   500,   501,   502,   503,
     504,   505,   506,     0,  1193,   507,   508,   509,   510,   511,
    1194,     0,   512,   513,   514,   515,   516,   517,  1195,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,  1203,   540,   541,   542,  1204,
       0,     0,     0,     0,     0,     0,  1205,  1206,     0,     0,
       0,     0,     0,     0,     0,  1208,  2554,   779,  1138,   600,
    1139,  1140,  1141,   654,  1142,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1143,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1144,   781,  1145,  1146,     0,   246,   247,   248,   249,
     250,  1147,  1148,   251,   252,  1149,  1150,   255,     0,   256,
     257,   258,   259,  1151,     0,  1152,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1153,  1154,  1155,
    1156,  1157,  1158,  1159,   277,   278,   279,   280,   281,   282,
    1160,  1161,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1001,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1162,   312,   313,   314,
    1163,  1164,   316,     0,   317,   318,  1165,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1166,     0,  1167,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1168,  1169,     0,  1170,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1171,   793,
     363,   794,     0,   364,   365,   366,  1172,  1173,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1174,   795,  1175,   385,   386,   387,
    1176,   388,   389,   796,   390,  1177,  1178,   392,  1179,   394,
     395,   396,     0,   397,     0,     0,  1180,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1181,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1182,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1183,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  1184,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1185,   464,   465,   466,   467,   468,   800,   469,
     470,  1186,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1187,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1188,  1189,
       0,     0,   495,   496,  1190,   498,  1191,  1192,   500,   501,
     502,   503,   504,   505,   506,     0,  1193,   507,   508,   509,
     510,   511,  1194,     0,   512,   513,   514,   515,   516,   517,
    1195,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,   541,
     542,  1204,     0,     0,     0,     0,     0,     0,  1205,  1206,
       0,     0,     0,     0,     0,     0,     0,  1208,  3760,   779,
    1138,   600,  1139,  1140,  1141,   654,  1142,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1143,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,  1144,   781,  1145,  1146,     0,   246,   247,
     248,   249,   250,  1147,  1148,   251,   252,  1149,  1150,   255,
       0,   256,   257,   258,   259,  1151,     0,  1152,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1153,
    1154,  1155,  1156,  1157,  1158,  1159,   277,   278,   279,   280,
     281,   282,  1160,  1161,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1001,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,  1162,   312,
     313,   314,  1163,  1164,   316,     0,   317,   318,  1165,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1166,     0,  1167,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1168,  1169,     0,  1170,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1171,   793,   363,   794,     0,   364,   365,   366,  1172,  1173,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1174,   795,  1175,   385,
     386,   387,  1176,   388,   389,   796,   390,  1177,  1178,   392,
    1179,   394,   395,   396,     0,   397,     0,     0,  1180,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1181,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1182,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1183,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1184,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1185,   464,   465,   466,   467,   468,
     800,   469,   470,  1186,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1187,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1188,  1189,     0,     0,   495,   496,  1190,   498,  1191,  1192,
     500,   501,   502,   503,   504,   505,   506,     0,  1193,   507,
     508,   509,   510,   511,  1194,     0,   512,   513,   514,   515,
     516,   517,  1195,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,
     540,   541,   542,  1204,     0,     0,   222,     0,     0,     0,
    1205,  1206,     0,     0,     0,     0,     0,     0,     0,  1208,
    3831,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,     0,  3847,     0,
     235,   236,     0,   237,   238,     0,   239,   240,   241,   242,
     243,     0,   244,   245,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   253,   254,   255,     0,   256,   257,
     258,   259,   260,     0,     0,     0,   261,   262,   263,   264,
       0,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0, -1604,   274,   275,   276,     0,     0,     0,     0,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   298,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,     0,   321,     0,
     322,     0,     0, -1604,   323,   324,   325,     0,   326,   327,
       0,   328,   329,     0,   330,   331,   332,   333,   334,     0,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345, -1604,   346,   347,   348,   349,   350,   351,
     352,     0,   353,     0,   354,     0,     0,   355, -1604,   356,
     357,   358,   359,   360,     0,     0,   361,   362, -1604,   363,
       0,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383, -1604,   384,   385,   386,   387,     0,
     388,   389,     0,   390,     0,   391,   392,   393,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,     0,
     401,   402,     0,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446, -1604,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,     0,   485,   486,     0,   487,
       0,   488,   489,   490,   491,   492,     0,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,   519,     0,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
       0,     0,     0,   993,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1291,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,     0,   994,   781,   995,
     996,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   997,   998,   255,     0,   256,   257,   258,   259,     0,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   999,  1000,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1001,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,     0,   312,   313,   314,     0,     0,   316,     0,
     317,   318,  1002,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,     0,     0,     0,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,  2010,   339,   340,   341,   342,   343,   344,     0,   345,
     789,  2011,   347,   348,   349,   350,  1004,  1005,     0,  1006,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,     0,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1007,   795,  1008,   385,   386,     0,     0,   388,   389,   796,
     390,     0,     0,   392,  1009,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,  2013,   797,
     403,   798,     0,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,     0,   416,     0,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1010,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,     0,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,  2014,   467,   468,   800,   469,   470,  1012,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1013,  1014,     0,     0,   495,   496,
       0,   498,     0,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,     0,  1015,  2015,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   993,     0,     0,     0,     0,
       0,     0,     0,     0,   540,   541,   542,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,  2122,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,     0,   994,
     781,   995,   996,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   997,   998,   255,     0,   256,   257,   258,
     259,     0,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   999,  1000,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1001,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,     0,   312,   313,   314,     0,     0,
     316,     0,   317,   318,  1002,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,     0,     0,
       0,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,  2010,   339,   340,   341,   342,   343,   344,
       0,   345,   789,  2011,   347,   348,   349,   350,  1004,  1005,
       0,  1006,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,     0,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1007,   795,  1008,   385,   386,     0,     0,   388,
     389,   796,   390,     0,     0,   392,  1009,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
    2013,   797,   403,   798,     0,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,     0,   416,     0,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1010,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,     0,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,  2014,   467,   468,   800,   469,   470,  1012,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     0,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1013,  1014,     0,     0,
     495,   496,     0,   498,     0,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,     0,  1015,  2015,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   779,  1138,   600,
    1139,  1140,  1141,   654,  1142,     0,   540,   541,   542,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,  3084,     0,  1143,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1144,   781,  1145,  1146,     0,   246,   247,   248,   249,
     250,  1147,  1148,   251,   252,  1149,  1150,   255,     0,   256,
     257,   258,   259,  1151,     0,  1152,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1153,  1154,  1155,
    1156,  1157,  1158,  1159,   277,   278,   279,   280,   281,   282,
    1160,  1161,   285,  1283,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1001,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1162,   312,   313,   314,
    1163,  1164,   316,     0,   317,   318,  1165,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1166,     0,  1167,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1168,  1169,     0,  1170,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1171,   793,
     363,   794,     0,   364,   365,   366,  1172,  1173,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1174,   795,  1175,   385,   386,   387,
    1176,   388,   389,   796,   390,  1177,  1178,   392,  1179,   394,
     395,   396,     0,   397,     0,     0,  1180,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1181,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1182,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1183,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  1184,   451,   452,
     453,   454,   455,   456,   457,   458,    39,   459,   460,   461,
     462,   463,  1185,   464,   465,   466,   467,   468,   800,   469,
     470,  1186,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1187,     0,   485,   486,    43,
     487,   801,   488,   489,   490,   491,   492,     0,  1188,  1189,
       0,     0,   495,   496,  1190,   498,  1191,  1192,   500,   501,
     502,   503,   504,   505,   506,     0,  1193,   507,   508,   509,
     510,   511,  1194,     0,   512,   513,   514,   515,   516,  1074,
    1195,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,    48,   525,   526,   527,   528,   529,   530,   531,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,   541,
     542,  1204,     0,    49,     0,     0,     0,     0,  1205,  1206,
       0,     0,     0,     0,     0,     0,     0,  1208,   779,  1138,
     600,  1139,  1140,  1141,   654,  1142,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,  1143,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,  1144,   781,  1145,  1146,     0,   246,   247,   248,
     249,   250,  1147,  1148,   251,   252,  1149,  1150,   255,     0,
     256,   257,   258,   259,  1151,     0,  1152,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1153,  1154,
    1155,  1156,  1157,  1158,  1159,   277,   278,   279,   280,   281,
     282,  1160,  1161,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,  1001,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1162,   312,   313,
     314,  1163,  1164,   316,     0,   317,   318,  1165,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1166,     0,  1167,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1168,  1169,     0,  1170,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1171,
     793,   363,   794,     0,   364,   365,   366,  1172,  1173,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1174,   795,  1175,   385,   386,
     387,  1176,   388,   389,   796,   390,  1177,  1178,   392,  1179,
     394,   395,   396,     0,   397,     0,     0,  1180,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1181,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1182,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1183,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1184,   451,
     452,   453,   454,   455,   456,   457,   458,    39,   459,   460,
     461,   462,   463,  1185,   464,   465,   466,   467,   468,   800,
     469,   470,  1186,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1187,     0,   485,   486,
      43,   487,   801,   488,   489,   490,   491,   492,     0,  1188,
    1189,     0,     0,   495,   496,  1190,   498,  1191,  1192,   500,
     501,   502,   503,   504,   505,   506,     0,  1193,   507,   508,
     509,   510,   511,  1194,     0,   512,   513,   514,   515,   516,
    1074,  1195,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,    48,   525,   526,   527,   528,   529,   530,
     531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,
     541,   542,  1204,     0,    49,     0,     0,     0,     0,  1205,
    1206,     0,     0,     0,     0,     0,     0,     0,  1208,   779,
    1138,   600,  1139,  1140,  1141,   654,  1142,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1143,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,  1144,   781,  1145,  1146,  2560,   246,   247,
     248,   249,   250,  1147,  1148,   251,   252,  1149,  1150,   255,
       0,   256,   257,   258,   259,  1151,     0,  1152,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1153,
    1154,  1155,  1156,  1157,  1158,  1159,   277,   278,   279,   280,
     281,   282,  1160,  1161,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1001,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,  1162,   312,
     313,   314,  1163,  1164,   316,     0,   317,   318,  1165,   320,
       0,   321,     0,   322,   786,  2561,   787,   323,   324,   325,
       0,   326,  1166,     0,  1167,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1168,  1169,     0,  1170,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,  2562,   361,
    1171,   793,   363,   794,     0,   364,   365,   366,  1172,  1173,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1174,   795,  1175,   385,
     386,   387,  1176,   388,   389,   796,   390,  1177,  1178,   392,
    1179,   394,   395,   396,     0,   397,     0,     0,  1180,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1181,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1182,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1183,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1184,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1185,   464,   465,   466,   467,   468,
     800,   469,   470,  1186,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1187,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1188,  1189,     0,  2563,   495,   496,  1190,   498,  1191,  1192,
     500,   501,   502,   503,   504,   505,   506,     0,  1193,   507,
     508,   509,   510,   511,  1194,     0,   512,   513,   514,   515,
     516,   517,  1195,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,
     540,   541,   542,  1204,     0,     0,     0,     0,     0,     0,
    1205,  1206,     0,     0,     0,     0,     0,     0,     0,  1208,
     779,  1138,   600,  1139,  1140,  1141,   654,  1142,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,  1143,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1144,   781,  1145,  1146,     0,   246,
     247,   248,   249,   250,  1147,  1148,   251,   252,  1149,  1150,
     255,     0,   256,   257,   258,   259,  1151,     0,  1152,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,   278,   279,
     280,   281,   282,  1160,  1161,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,  1001,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1162,
     312,   313,   314,  1163,  1164,   316,     0,   317,   318,  1165,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,  1166,     0,  1167,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1168,  1169,     0,  1170,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,  1171,   793,   363,   794,     0,   364,   365,   366,  1172,
    1173,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1174,   795,  1175,
     385,   386,   387,  1176,   388,   389,   796,   390,  1177,  1178,
     392,  1179,   394,   395,   396,     0,   397,     0,     0,  1180,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1181,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1182,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1183,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    1184,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,  1185,   464,   465,   466,   467,
     468,   800,   469,   470,  1186,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1187,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1188,  1189,     0,     0,   495,   496,  1190,   498,  1191,
    1192,   500,   501,   502,   503,   504,   505,   506,     0,  1193,
     507,   508,   509,   510,   511,  1194,     0,   512,   513,   514,
     515,   516,   517,  1195,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,
    1203,   540,   541,   542,  1204,     0,     0,     0,     0,     0,
       0,  1205,  1206,     0,     0,     0,     0,     0,  1750,  2515,
    1208,   779,  1138,   600,  1139,  1140,  1141,   654,  1142,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1143,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1144,   781,  1145,  1146,     0,
     246,   247,   248,   249,   250,  1147,  1148,   251,   252,  1149,
    1150,   255,     0,   256,   257,   258,   259,  1151,     0,  1152,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,   278,
     279,   280,   281,   282,  1160,  1161,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1001,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1162,   312,   313,   314,  1163,  1164,   316,     0,   317,   318,
    1165,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1166,     0,  1167,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1168,  1169,     0,  1170,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1171,   793,   363,   794,     0,   364,   365,   366,
    1172,  1173,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1174,   795,
    1175,   385,   386,   387,  1176,   388,   389,   796,   390,  1177,
    1178,   392,  1179,   394,   395,   396,     0,   397,     0,     0,
    1180,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1181,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1182,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1183,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  1184,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1185,   464,   465,   466,
     467,   468,   800,   469,   470,  1186,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1187,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1188,  1189,     0,     0,   495,   496,  1190,   498,
    1191,  1192,   500,   501,   502,   503,   504,   505,   506,     0,
    1193,   507,   508,   509,   510,   511,  1194,     0,   512,   513,
     514,   515,   516,   517,  1195,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,  1203,   540,   541,   542,  1204,     0,     0,     0,     0,
       0,     0,  1205,  1206,  1207,     0,     0,     0,     0,     0,
       0,  1208,   779,  1138,   600,  1139,  1140,  1141,   654,  1142,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1143,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1144,   781,  1145,  1146,
       0,   246,   247,   248,   249,   250,  1147,  1148,   251,   252,
    1149,  1150,   255,     0,   256,   257,   258,   259,  1151,     0,
    1152,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,
     278,   279,   280,   281,   282,  1160,  1161,   285,  1283,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,  1001,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1162,   312,   313,   314,  1163,  1164,   316,     0,   317,
     318,  1165,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1166,     0,  1167,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1168,  1169,     0,  1170,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1171,   793,   363,   794,     0,   364,   365,
     366,  1172,  1173,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1174,
     795,  1175,   385,   386,   387,  1176,   388,   389,   796,   390,
    1177,  1178,   392,  1179,   394,   395,   396,     0,   397,     0,
       0,  1180,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1181,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1182,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1183,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  1184,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1185,   464,   465,
     466,   467,   468,   800,   469,   470,  1186,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1187,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1188,  1189,     0,     0,   495,   496,  1190,
     498,  1191,  1192,   500,   501,   502,   503,   504,   505,   506,
       0,  1193,   507,   508,   509,   510,   511,  1194,     0,   512,
     513,   514,   515,   516,   517,  1195,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,
    1201,  1202,  1203,   540,   541,   542,  1204,     0,     0,     0,
       0,     0,     0,  1205,  1206,     0,     0,     0,     0,     0,
       0,     0,  1208,   779,  1138,   600,  1139,  1140,  1141,   654,
    1142,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  1983,   232,   233,   234,
       0,     0,     0,     0,  1143,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,  1144,   781,  1145,
    1146,     0,   246,   247,   248,   249,   250,  1147,  1148,   251,
     252,  1149,  1150,   255,     0,   256,   257,   258,   259,  1151,
       0,  1152,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,
     277,   278,   279,   280,   281,   282,  1160,  1161,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1001,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1162,   312,   313,   314,  1163,  1164,   316,     0,
     317,   318,  1165,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1166,     0,  1167,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1168,  1169,     0,  1170,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1171,   793,   363,   794,     0,   364,
     365,   366,  1172,  1173,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1174,   795,  1175,   385,   386,   387,  1176,   388,   389,   796,
     390,  1177,  1178,   392,  1179,   394,   395,   396,     0,   397,
       0,     0,  1180,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1181,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1182,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1183,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  1184,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1185,   464,
     465,   466,   467,   468,   800,   469,   470,  1186,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1187,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1188,  1189,     0,     0,   495,   496,
    1190,   498,  1191,  1192,   500,   501,   502,   503,   504,   505,
     506,     0,  1193,   507,   508,   509,   510,   511,  1194,     0,
     512,   513,   514,   515,   516,   517,  1195,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,  1203,   540,   541,   542,  1204,     0,     0,
       0,     0,     0,     0,  1205,  1206,     0,     0,     0,     0,
       0,     0,     0,  1208,   779,  1138,   600,  1139,  1140,  1141,
     654,  1142,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,  1143,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1144,   781,
    1145,  1146,     0,   246,   247,   248,   249,   250,  1147,  1148,
     251,   252,  1149,  1150,   255,     0,   256,   257,   258,   259,
    1151,     0,  1152,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1153,  1154,  1155,  1156,  1157,  1158,
    1159,   277,   278,   279,   280,   281,   282,  1160,  1161,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,  1001,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1162,   312,   313,   314,  1163,  1164,   316,
       0,   317,   318,  1165,   320,     0,   321,     0,   322,   786,
    2561,   787,   323,   324,   325,     0,   326,  1166,     0,  1167,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1168,  1169,     0,
    1170,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1171,   793,   363,   794,     0,
     364,   365,   366,  1172,  1173,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1174,   795,  1175,   385,   386,   387,  1176,   388,   389,
     796,   390,  1177,  1178,   392,  1179,   394,   395,   396,     0,
     397,     0,     0,  1180,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1181,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1182,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1183,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  1184,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1185,
     464,   465,   466,   467,   468,   800,   469,   470,  1186,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1187,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,  1188,  1189,     0,     0,   495,
     496,  1190,   498,  1191,  1192,   500,   501,   502,   503,   504,
     505,   506,     0,  1193,   507,   508,   509,   510,   511,  1194,
       0,   512,   513,   514,   515,   516,   517,  1195,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1196,  1197,  1198,
    1199,  1200,  1201,  1202,  1203,   540,   541,   542,  1204,     0,
       0,     0,     0,     0,     0,  1205,  1206,     0,     0,     0,
       0,     0,     0,     0,  1208,   779,  1138,   600,  1139,  1140,
    1141,   654,  1142,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,  1143,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,  1144,
     781,  1145,  1146,     0,   246,   247,   248,   249,   250,  1147,
    1148,   251,   252,  1149,  1150,   255,     0,   256,   257,   258,
     259,  1151,     0,  1152,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1153,  1154,  1155,  1156,  1157,
    1158,  1159,   277,   278,   279,   280,   281,   282,  1160,  1161,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1001,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,  1162,   312,   313,   314,  1163,  1164,
     316,     0,   317,   318,  1165,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1166,     0,
    1167,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,  1168,  1169,
       0,  1170,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1171,   793,   363,   794,
       0,   364,   365,   366,  1172,  1173,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1174,   795,  1175,   385,   386,   387,  1176,   388,
     389,   796,   390,  1177,  1178,   392,  1179,   394,   395,   396,
       0,   397,     0,     0,  1180,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1181,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1182,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1183,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,  1184,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
    1185,   464,   465,   466,   467,   468,   800,   469,   470,  1186,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1187,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1188,  1189,     0,     0,
     495,   496,  1190,   498,  1191,  1192,   500,   501,   502,   503,
     504,   505,   506,     0,  1193,   507,   508,   509,   510,   511,
    1194,     0,   512,   513,   514,   515,   516,   517,  1195,  3878,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,  1203,   540,   541,   542,  1204,
       0,     0,     0,     0,     0,     0,  1205,  1206,     0,     0,
       0,     0,     0,     0,     0,  1208,   779,  1138,   600,  1139,
    1140,  1141,   654,  1142,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1143,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
    1144,   781,  1145,  1146,     0,   246,   247,   248,   249,   250,
    1147,  1148,   251,   252,  1149,  1150,   255,     0,   256,   257,
     258,   259,  1151,     0,  1152,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1153,  1154,  1155,  1156,
    1157,  1158,  1159,   277,   278,   279,   280,   281,   282,  1160,
    1161,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,  1001,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1162,   312,   313,   314,  1163,
    1164,   316,     0,   317,   318,  1165,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1166,
       0,  1167,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1168,
    1169,     0,  1170,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,  1171,   793,   363,
     794,     0,   364,   365,   366,  1172,  1173,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1174,   795,  1175,   385,   386,   387,  1176,
     388,   389,   796,   390,  1177,  1178,   392,  1179,   394,   395,
     396,     0,   397,     0,     0,  1180,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1181,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1182,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1183,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  1184,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1185,   464,   465,   466,   467,   468,   800,   469,   470,
    1186,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1187,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1188,  1189,     0,
       0,   495,   496,  1190,   498,  1191,  1192,   500,   501,   502,
     503,   504,   505,   506,     0,  1193,   507,   508,   509,   510,
     511,  1194,     0,   512,   513,   514,   515,   516,   517,  1195,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1196,
    1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,   541,   542,
    1204,     0,     0,     0,     0,     0,     0,  1205,  1206,     0,
       0,     0,     0,     0,     0,     0,  1208,   779,  1138,   600,
    1139,  1140,  1141,   654,  1142,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1143,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1144,   781,  1145,  1146,     0,   246,   247,   248,   249,
     250,  1147,  1148,   251,   252,  1149,  1150,   255,     0,   256,
     257,   258,   259,  1151,     0,  1152,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1153,  1154,  1155,
    1156,  1157,  1158,  1159,   277,   278,   279,   280,   281,   282,
    1160,  1161,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1001,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1162,   312,   313,   314,
    1163,  1164,   316,     0,   317,   318,  1165,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1166,     0,  1167,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1168,  1169,     0,  1170,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1171,   793,
     363,   794,     0,   364,   365,   366,  1172,  1173,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1174,   795,  1175,   385,   386,   387,
    1176,   388,   389,   796,   390,  1177,  1178,   392,  1179,   394,
     395,   396,     0,   397,     0,     0,  1180,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1181,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1182,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1183,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  1184,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1185,   464,   465,   466,   467,   468,   800,   469,
     470,  1186,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1187,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1188,  1189,
       0,     0,   495,   496,  1190,   498,  1191,  1192,   500,   501,
     502,   503,   504,   505,   506,     0,  1193,   507,   508,   509,
     510,   511,  1194,     0,   512,   513,   514,   515,   516,   517,
    1195,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,   541,
     542,  1204,     0,     0,     0,     0,     0,     0,  1986,  1987,
       0,     0,     0,     0,     0,     0,     0,  1208,   779,  2690,
     600,  1139,  1140,  1141,   654,  1142,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,  1143,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,  1144,   781,  1145,  1146,     0,   246,   247,   248,
     249,   250,  1147,  1148,   251,   252,  1149,  1150,   255,     0,
     256,   257,   258,   259,  1151,     0,  1152,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1153,  1154,
    1155,  1156,  1157,  1158,  1159,   277,   278,   279,   280,   281,
     282,  1160,  1161,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,  1001,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1162,   312,   313,
     314,  1163,  1164,   316,     0,   317,   318,  1165,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1166,     0,  1167,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1168,  1169,     0,  1170,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1171,
     793,   363,   794,     0,   364,   365,   366,  1172,  1173,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1174,   795,  1175,   385,   386,
     387,  1176,   388,   389,   796,   390,  1177,  1178,   392,  1179,
     394,   395,   396,     0,   397,     0,     0,  1180,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1181,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1182,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1183,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1184,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1185,   464,   465,   466,   467,   468,   800,
     469,   470,  1186,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1187,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,  1188,
    1189,     0,     0,   495,   496,  1190,   498,  1191,  1192,   500,
     501,   502,   503,   504,   505,   506,     0,  1193,   507,   508,
     509,   510,   511,  1194,     0,   512,   513,   514,   515,   516,
     517,  1195,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,
     541,   542,  1204,     0,     0,     0,     0,     0,     0,  1205,
    1206,     0,     0,     0,     0,     0,     0,     0,  1208,   779,
    1138,   600,  1139,  1140,  1141,   654,  1142,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1143,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,  1144,   781,  1145,  1146,     0,   246,   247,
     248,   249,   250,  1147,  1148,   251,   252,  1149,  1150,   255,
       0,   256,   257,   258,   259,  1151,     0,  1152,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,  3890,  1153,
    1154,  1155,  1156,  1157,  1158,  1159,   277,   278,   279,   280,
     281,   282,  1160,  1161,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1001,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,  1162,   312,
     313,   314,  1163,  1164,   316,     0,   317,   318,  1165,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1166,     0,  1167,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1168,  1169,     0,  1170,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1171,   793,   363,   794,     0,   364,   365,   366,  1172,  1173,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1174,   795,  1175,   385,
     386,   387,  1176,   388,   389,   796,   390,  1177,  1178,   392,
    1179,   394,   395,   396,     0,   397,     0,     0,  1180,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1181,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1182,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1183,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1184,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1185,   464,   465,   466,   467,   468,
     800,   469,   470,  1186,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1187,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1188,  1189,     0,     0,   495,   496,  1190,   498,  1191,  1192,
     500,   501,   502,   503,   504,   505,   506,     0,  1193,   507,
     508,   509,   510,   511,  1194,     0,   512,   513,   514,   515,
     516,   517,  1195,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,
     540,   541,   542,  1204,     0,     0,     0,     0,     0,     0,
    1205,  1206,     0,     0,     0,     0,     0,     0,     0,  1208,
     779,  1138,   600,  1139,  1140,  1141,   654,  1142,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,  1143,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1144,   781,  1145,  1146,     0,   246,
     247,   248,   249,   250,  1147,  1148,   251,   252,  1149,  1150,
     255,     0,   256,   257,   258,   259,  1151,     0,  1152,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,   278,   279,
     280,   281,   282,  1160,  1161,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,  1001,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1162,
     312,   313,   314,  1163,  1164,   316,     0,   317,   318,  1165,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,  1166,     0,  1167,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1168,  1169,     0,  1170,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,  1171,   793,   363,   794,     0,   364,   365,   366,  1172,
    1173,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1174,   795,  1175,
     385,   386,   387,  1176,   388,   389,   796,   390,  1177,  1178,
     392,  1179,   394,   395,   396,     0,   397,     0,     0,  1180,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1181,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1182,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1183,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    1184,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,  1185,   464,   465,   466,   467,
     468,   800,   469,   470,  1186,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1187,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1188,  1189,     0,     0,   495,   496,  1190,   498,  1191,
    1192,   500,   501,   502,   503,   504,   505,   506,     0,  1193,
     507,   508,   509,   510,   511,  1194,     0,   512,   513,   514,
     515,   516,   517,  1195,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,  4181,  1196,  1197,  1198,  1199,  1200,  1201,  1202,
    1203,   540,   541,   542,  1204,     0,     0,     0,     0,     0,
       0,  1205,  1206,     0,     0,     0,     0,     0,     0,     0,
    1208,   779,  1138,   600,  1139,  1140,  1141,   654,  1142,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1143,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1144,   781,  1145,  1146,     0,
     246,   247,   248,   249,   250,  1147,  1148,   251,   252,  1149,
    1150,   255,     0,   256,   257,   258,   259,  1151,     0,  1152,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,   278,
     279,   280,   281,   282,  1160,  1161,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1001,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1162,   312,   313,   314,  1163,  1164,   316,     0,   317,   318,
    1165,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1166,     0,  1167,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1168,  1169,     0,  1170,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1171,   793,   363,   794,     0,   364,   365,   366,
    1172,  1173,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1174,   795,
    1175,   385,  4190,   387,  1176,   388,   389,   796,   390,  1177,
    1178,   392,  1179,   394,   395,   396,     0,   397,     0,     0,
    1180,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1181,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1182,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1183,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  1184,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1185,   464,   465,   466,
     467,   468,   800,   469,   470,  1186,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1187,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1188,  1189,     0,     0,   495,   496,  1190,   498,
    1191,  1192,   500,   501,   502,   503,   504,   505,   506,     0,
    1193,   507,   508,   509,   510,   511,  1194,     0,   512,   513,
     514,   515,   516,   517,  1195,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,  1203,   540,   541,   542,  1204,     0,     0,     0,     0,
       0,     0,  1205,  1206,     0,     0,     0,     0,     0,     0,
       0,  1208,   779,  1138,   600,  1139,  1140,  1141,   654,  1142,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1143,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1144,   781,  1145,  1146,
       0,   246,   247,   248,   249,   250,  1147,  1148,   251,   252,
    1149,  1150,   255,     0,   256,   257,   258,   259,  1151,     0,
    1152,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
    4480,   276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,
     278,   279,   280,   281,   282,  1160,  1161,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,  1001,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1162,   312,   313,   314,  1163,  1164,   316,     0,   317,
     318,  1165,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1166,     0,  4481,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1168,  1169,     0,  1170,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1171,   793,   363,   794,     0,   364,   365,
     366,  1172,  1173,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1174,
     795,  1175,   385,   386,   387,  1176,   388,   389,   796,   390,
    1177,  1178,   392,  1179,   394,   395,   396,     0,   397,     0,
       0,  1180,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1181,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1182,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1183,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,  4482,  1184,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1185,   464,   465,
     466,   467,   468,   800,   469,   470,  1186,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1187,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1188,  1189,     0,     0,   495,   496,  1190,
     498,  1191,  1192,   500,   501,   502,   503,   504,   505,   506,
       0,  1193,   507,   508,   509,   510,   511,  1194,     0,   512,
     513,   514,   515,   516,   517,  1195,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,
    1201,  1202,  1203,   540,   541,   542,  1204,     0,     0,     0,
       0,     0,     0,  1205,  1206,     0,     0,     0,     0,     0,
       0,     0,  4483,   779,  1138,   600,  1139,  1140,  1141,   654,
    1142,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1143,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,  4872,  1144,   781,  1145,
    1146,     0,   246,   247,   248,   249,   250,  1147,  1148,   251,
     252,  1149,  1150,   255,     0,   256,   257,   258,   259,  1151,
       0,  1152,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,  4873,  1153,  1154,  1155,  1156,  1157,  1158,  1159,
     277,   278,   279,   280,   281,   282,  1160,  1161,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1001,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1162,   312,   313,   314,  1163,  1164,   316,     0,
     317,   318,  1165,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1166,     0,  1167,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1168,  1169,     0,  1170,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1171,   793,   363,   794,     0,   364,
     365,   366,  1172,  1173,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1174,   795,  1175,   385,   386,   387,  1176,   388,   389,   796,
     390,  1177,  1178,   392,  1179,   394,   395,   396,     0,   397,
       0,     0,  1180,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1181,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1182,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1183,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  1184,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1185,   464,
     465,   466,   467,   468,   800,   469,   470,  1186,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1187,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1188,  1189,     0,     0,   495,   496,
    1190,   498,  1191,  1192,   500,   501,   502,   503,  4874,   505,
     506,     0,  1193,   507,   508,   509,   510,   511,  1194,     0,
     512,   513,   514,   515,   516,   517,  1195,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,  1203,   540,   541,   542,  1204,     0,     0,
       0,     0,     0,     0,  1205,  1206,     0,     0,     0,     0,
       0,     0,     0,  1208,   779,  1138,   600,  1139,  1140,  1141,
     654,  1142,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,  1143,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1144,   781,
    1145,  1146,     0,   246,   247,   248,   249,   250,  1147,  1148,
     251,   252,  1149,  1150,   255,     0,   256,   257,   258,   259,
    1151,     0,  1152,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,  4873,  1153,  1154,  1155,  1156,  1157,  1158,
    1159,   277,   278,   279,   280,   281,   282,  1160,  1161,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,  1001,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1162,   312,   313,   314,  1163,  1164,   316,
       0,   317,   318,  1165,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1166,     0,  1167,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1168,  1169,     0,
    1170,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1171,   793,   363,   794,     0,
     364,   365,   366,  1172,  1173,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1174,   795,  1175,   385,   386,   387,  1176,   388,   389,
     796,   390,  1177,  1178,   392,  1179,   394,   395,   396,     0,
     397,     0,     0,  1180,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1181,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1182,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1183,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  1184,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1185,
     464,   465,   466,   467,   468,   800,   469,   470,  1186,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1187,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,  1188,  1189,     0,     0,   495,
     496,  1190,   498,  1191,  1192,   500,   501,   502,   503,  4874,
     505,   506,     0,  1193,   507,   508,   509,   510,   511,  1194,
       0,   512,   513,   514,   515,   516,   517,  1195,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1196,  1197,  1198,
    1199,  1200,  1201,  1202,  1203,   540,   541,   542,  1204,     0,
       0,     0,     0,     0,     0,  1205,  1206,     0,     0,     0,
       0,     0,     0,     0,  1208,   779,  1138,   600,  1139,  1140,
    1141,   654,  1142,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,  1143,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,  1144,
     781,  1145,  1146,     0,   246,   247,   248,   249,   250,  1147,
    1148,   251,   252,  1149,  1150,   255,     0,   256,   257,   258,
     259,  1151,     0,  1152,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1153,  1154,  1155,  1156,  1157,
    1158,  1159,   277,   278,   279,   280,   281,   282,  1160,  1161,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1001,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,  1162,   312,   313,   314,  1163,  1164,
     316,     0,   317,   318,  1165,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1166,     0,
    1167,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,  1168,  1169,
       0,  1170,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1171,   793,   363,   794,
       0,   364,   365,   366,  1172,  1173,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1174,   795,  1175,   385,   386,   387,     0,   388,
     389,   796,   390,  1177,  1178,   392,  1179,   394,   395,   396,
       0,   397,     0,     0,  1180,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1181,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1182,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1183,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,  2546,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
    1185,   464,   465,   466,   467,   468,   800,   469,   470,  1186,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1187,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1188,  1189,     0,     0,
     495,   496,  1190,   498,  1191,  1192,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
    1194,     0,   512,   513,   514,   515,   516,   517,  1195,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,  1203,   540,   541,   542,     0,
       0,     0,     0,     0,     0,     0,  2547,  2548,     0,     0,
       0,     0,     0,     0,     0,  2549,   779,  1138,   600,  1139,
    1140,  1141,   654,  1142,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1143,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241, -2422,
    1144,   781,  1145,  1146,     0,   246,   247,   248,   249,   250,
    1147,  1148,   251,   252,  1149,  1150,   255,     0,   256,   257,
     258,   259,  1151,     0,  1152,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,  4873,  1153,  1154,  1155,  1156,
    1157,  1158,  1159,   277,   278,   279,   280,   281,   282,  1160,
    1161,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,  1001,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1162,   312,   313,   314,  1163,
    1164,   316,     0,   317,   318,  1165,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1166,
       0,  1167,   329,     0,   330,   331,   332,   333,   334, -2422,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1168,
    1169,     0,  1170,     0,   354,     0,     0,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,  1171,   793,   363,
   -2422,     0,   364,   365,   366,  1172,  1173,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1174,   795,  1175,   385,   386,   387,  1176,
     388,   389,     0,   390,  1177,  1178,   392,  1179,   394,   395,
     396,     0,   397,     0,     0,  1180,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1181,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1182,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1183,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  1184,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1185,   464,   465,   466,   467,   468, -2422,   469,   470,
    1186,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1187,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1188,  1189,     0,
       0,   495,   496,  1190,   498,  1191,  1192,   500,   501,   502,
     503,  4874,   505,   506,     0,  1193,   507,   508,   509,   510,
     511,  1194,     0,   512,   513,   514,   515,   516,   517,  1195,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1196,
    1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,   541,   542,
   -2422,     0,     0,     0,     0,     0,     0,  1205,  1206,     0,
       0,   779,  1138,   600,  1139,  1140,  1208,   654,  1142,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1143,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1144,   781,  1145,  1146,     0,
     246,   247,   248,   249,   250,  1147,  1148,   251,   252,  1149,
    1150,   255,     0,   256,   257,   258,   259,  1151,     0,  1152,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,   278,
     279,   280,   281,   282,  1160,  1161,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1001,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1162,   312,   313,   314,  1163,  1164,   316,     0,   317,   318,
    1165,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1166,     0,  1167,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1168,  1169,     0,  1170,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1171,   793,   363,   794,     0,   364,   365,   366,
    1172,  1173,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1174,   795,
    1175,   385,   386,   387,     0,   388,   389,   796,   390,  1177,
    1178,   392,  1179,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1181,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1182,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1183,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  2679,  2680,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1185,   464,   465,   466,
     467,   468,   800,   469,   470,  1186,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1187,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1188,  1189,     0,     0,   495,   496,  1190,   498,
    1191,  1192,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,  1194,     0,   512,   513,
     514,   515,   516,   517,  1195,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,  1203,   540,   541,   542,     0,     0,     0,     0,     0,
       0,     0,  2681,  2682,     0,     0,     0,     0,     0,     0,
       0,  2549,   779,  1138,   600,  1139,  1140,  1141,   654,  1142,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1143,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1144,   781,  1145,  1146,
       0,   246,   247,   248,   249,   250,  1147,  1148,   251,   252,
    1149,  1150,   255,     0,   256,   257,   258,   259,  1151,     0,
    1152,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,
     278,   279,   280,   281,   282,  1160,  1161,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,  1001,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1162,   312,   313,   314,  1163,  1164,   316,     0,   317,
     318,  1165,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1166,     0,  1167,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1168,  1169,     0,  1170,     0,
     354,     0,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1171,   793,   363,   794,     0,   364,   365,
     366,  1172,  1173,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1174,
     795,  1175,   385,   386,   387,     0,   388,   389,   796,   390,
    1177,  1178,   392,  1179,   394,   395,   396,     0,   397,     0,
       0,  1180,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1181,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1182,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1183,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  2546,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1185,   464,   465,
     466,   467,   468,   800,   469,   470,  1186,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1187,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1188,  1189,     0,     0,   495,   496,  1190,
     498,  1191,  1192,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,  1194,     0,   512,
     513,   514,   515,   516,   517,  1195,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,
    1201,  1202,  1203,   540,   541,   542,     0,     0,     0,     0,
       0,     0,     0,  2547,  2548,     0,     0,   779,  1138,   600,
    1139,  1140,  2549,   654,  1142,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1143,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1144,   781,  1145,  1146,     0,   246,   247,   248,   249,
     250,  1147,  1148,   251,   252,  1149,  1150,   255,     0,   256,
     257,   258,   259,  1151,     0,  1152,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1153,  1154,  1155,
    1156,  1157,  1158,  1159,   277,   278,   279,   280,   281,   282,
    1160,  1161,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1001,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1162,   312,   313,   314,
    1163,  1164,   316,     0,   317,   318,  1165,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1166,     0,  1167,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1168,  1169,     0,  1170,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1171,   793,
     363,   794,     0,   364,   365,   366,  1172,  1173,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1174,   795,  1175,   385,   386,   387,
       0,   388,   389,   796,   390,  1177,  1178,   392,  1179,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1181,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1182,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1183,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  2546,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1185,   464,   465,   466,   467,   468,   800,   469,
     470,  1186,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1187,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1188,  1189,
       0,     0,   495,   496,  1190,   498,  1191,  1192,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  1194,     0,   512,   513,   514,   515,   516,   517,
    1195,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,   541,
     542,     0,     0,   779,  1138,   600,  1139,  1140,     0,   654,
    1142,     0,     0,     0,     0,     0,     0,  2549,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1143,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,  1144,   781,  1145,
    1146,     0,  3793,   247,   248,   249,   250,  1147,  1148,   251,
     252,  1149,  1150,   255,     0,   256,   257,   258,   259,  1151,
       0,  1152,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,
     277,   278,   279,   280,   281,   282,  1160,  1161,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1001,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1162,   312,   313,   314,  1163,  1164,   316,     0,
     317,   318,  1165,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1166,     0,  1167,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1168,  1169,     0,  1170,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1171,   793,   363,   794,     0,   364,
     365,   366,  1172,  1173,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1174,   795,  1175,   385,   386,   387,     0,   388,   389,   796,
     390,  1177,  1178,   392,  1179,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1181,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1182,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1183,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  2546,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1185,   464,
     465,   466,   467,   468,   800,   469,   470,  1186,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1187,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1188,  1189,     0,     0,   495,   496,
    1190,   498,  1191,  1192,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,  1194,     0,
     512,   513,   514,   515,   516,   517,  1195,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,  1203,   540,   541,   542,     0,     0,   779,
    1138,   600,  1139,  1140,  1141,   654,  1142,     0,     0,     0,
       0,     0,     0,  2549,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1143,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,  1144,   781,  1145,  1146,     0,   246,   247,
     248,   249,   250,  1147,  1148,   251,   252,  1149,  1150,   255,
       0,   256,   257,   258,   259,  1151,     0,  1152,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1153,
    1154,  1155,  1156,  1157,  1158,  1159,   277,   278,   279,   280,
     281,   282,  1160,  1161,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1001,   299,   300,     0,   301,   302,   303,     0,
     304,     0,   306,     0,   307,   308,   309,   310,  1162,   312,
     313,   314,  1163,  1164,   316,     0,   317,   318,  1165,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1166,     0,  1167,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1168,  1169,     0,  1170,     0,   354,     0,     0,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1171,   793,   363,     0,     0,   364,   365,   366,  1172,  1173,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1174,   795,  1175,   385,
     386,   387,  1176,   388,   389,     0,   390,  1177,  1178,   392,
    1179,   394,   395,   396,     0,   397,     0,     0,  1180,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1181,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1182,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1183,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1184,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1185,   464,   465,   466,   467,   468,
       0,   469,   470,  1186,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1187,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1188,  1189,     0,     0,   495,   496,  1190,   498,  1191,  1192,
     500,   501,   502,   503,   504,   505,   506,     0,  1193,   507,
     508,   509,   510,   511,  1194,     0,   512,   513,   514,   515,
     516,   517,  1195,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,
     540,   541,   542,     0,     0,   779,     0,     0,     0,     0,
    1205,  1206,     0,     0,     0,     0,     0,     0,     0,  1208,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
    1148,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,  1151,     0,  1152,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1153,  1154,  1155,  1156,  1157,
    1158,  1159,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,  1163,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1166,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,  3312,     0,   361,  1171,   793,   363,   794,
       0,   364,   365,   366,  1172,  1173,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,  1178,   392,   393,   394,   395,   396,
       0,   397,     0,   743,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1181,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1182,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,  3313,   452,   453,   454,
     455,   456,   457,   458,    39,   459,   460,   461,   462,   463,
    1185,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1187,     0,   485,   486,    43,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,  1190,   498,  1191,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
    1194,     0,   512,   513,   514,   515,   516,  1074,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
      48,   525,   526,   527,   528,   529,   530,   531,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,  1203,   540,   541,   542,     0,
       0,    49,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3314,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,     0,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,   243,   781,   244,   245,
       0,   246,   247,   248,   249,   250,     0,  1148,   251,   252,
     253,   254,   255,     0,   256,   257,   258,   259,  1151,     0,
    1152,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,
     278,   279,   280,   281,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   298,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,   311,   312,   313,   314,  1163,     0,   316,     0,   317,
     318,   319,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1166,     0,   328,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
    3312,     0,   361,  1171,   793,   363,   794,     0,   364,   365,
     366,  1172,  1173,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     795,   384,   385,   386,   387,     0,   388,   389,   796,   390,
       0,  1178,   392,   393,   394,   395,   396,     0,   397,     0,
     743,   398,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1181,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1182,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,   450,  3313,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1185,   464,   465,
     466,   467,   468,   800,   469,   470,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1187,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,   493,   494,     0,     0,   495,   496,  1190,
     498,  1191,     0,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,  1194,     0,   512,
     513,   514,   515,   516,   517,   518,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,
    1201,  1202,  1203,   540,   541,   542,     0,     0,   779,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3314,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,   243,   781,   244,   245,     0,   246,   247,   248,
     249,   250,     0,  1148,   251,   252,   253,   254,   255,     0,
     256,   257,   258,   259,  1151,     0,  1152,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1153,  1154,
    1155,  1156,  1157,  1158,  1159,   277,   278,   279,   280,   281,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   298,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,   311,   312,   313,
     314,  1163,     0,   316,     0,   317,   318,   319,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1166,     0,   328,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1171,
     793,   363,   794,     0,   364,   365,   366,  1172,  1173,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   795,   384,   385,   386,
     387,     0,   388,   389,   796,   390,     0,  1178,   392,   393,
     394,   395,   396,     0,   397,     0,     0,   398,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1181,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1182,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,   450,  3313,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1185,   464,   465,   466,   467,   468,   800,
     469,   470,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1187,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,   493,
     494,     0,     0,   495,   496,  1190,   498,  1191,     0,   500,
     501,   502,   503,   504,   505,   506,     0,     0,   507,   508,
     509,   510,   511,  1194,     0,   512,   513,   514,   515,   516,
     517,   518,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,   540,
     541,   542,     0,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,   243,   781,
     244,   245,     0,   246,   247,   248,   249,   250,     0,  1148,
     251,   252,   253,   254,   255,     0,   256,   257,   258,   259,
    1151,     0,  1152,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1153,  1154,  1155,  1156,  1157,  1158,
    1159,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,  1163,     0,   316,
       0,   317,   318,   319,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1166,     0,   328,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1171,   793,   363,   794,     0,
     364,   365,   366,  1172,  1173,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   795,   384,   385,   386,   387,     0,   388,   389,
     796,   390,     0,  1178,   392,   393,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1181,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1182,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1185,
     464,   465,   466,   467,   468,   800,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1187,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,  1190,   498,  1191,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,  1194,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1196,  1197,  1198,
    1199,  1200,  1201,  1202,  1203,   540,   541,   542,     0,     0,
     823,  1412,   600,     0,     0,     0,   654,     0,     0,     0,
       0,     0,     0,     0,  3916,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,   243,   781,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,   257,   258,   259,   260,     0,   782,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
       0,     0,     0,   785,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,  1683,   316,     0,   317,   318,   319,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,   362,   793,   363,   794,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   795,   384,
     385,   386,   387,     0,   388,   389,   796,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,  1684,     0,   398,
     399,   400,     0,     0,   401,   402,   797,   403,   798,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,   800,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
    1685,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,     0,   823,     0,     0,     0,
       0,  1413,  1414,  4715,     0,     0,     0,     0,     0,     0,
    4716,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     3,     4,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
     243,   781,   244,   245,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   253,   254,   255,     0,   256,   257,
     258,   259,   260,     0,   782,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,     0,     0,     0,   785,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   298,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,   327,
       0,   328,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,   362,   793,   363,
     794,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   795,   384,   385,   386,   387,     0,
     388,   389,   796,   390,     0,   391,   392,   393,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,     0,
     401,   402,   797,   403,   798,   404,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    39,   459,   460,   461,   462,
     463,     0,   464,   465,   466,   467,   468,   800,   469,   470,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,     0,   485,   486,    43,   487,
     801,   488,   489,   490,   491,   492,     0,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,  1074,   518,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,    48,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
       0,     0,    49,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4531,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    39,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,    43,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,  1074,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,    48,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,     0,     0,    49,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,     0,   239,   240,   241,   242,
     243,     0,   244,   245,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   253,   254,   255,     0,   256,   257,
     258,   259,   260,     0,     0,     0,   261,   262,   263,   264,
       0,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,     0,   274,   275,   276,     0,     0,     0,     0,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   298,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,     0,   321,     0,
     322,     0,     0,     0,   323,   324,   325,     0,   326,   327,
       0,   328,   329,     0,   330,   331,   332,   333,   334,     0,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,   351,
     352,     0,   353,     0,   354,     0,     0,   355,     0,   356,
     357,   358,   359,   360,     0,     0,   361,   362,     0,   363,
       0,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,     0,
     388,   389,     0,   390,     0,   391,   392,   393,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,     0,
     401,   402,     0,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,     0,   485,   486,     0,   487,
       0,   488,   489,   490,   491,   492,     0,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,   519,     0,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1266,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,     0,     0,     0,   235,   236,     0,   237,
     238,     0,   239,   240,   241,   242,   243,     0,   244,   245,
       0,   246,   247,   248,   249,   250,     0,     0,   251,   252,
     253,   254,   255,     0,   256,   257,   258,   259,   260,     0,
       0,     0,   261,   262,   263,   264,     0,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,     0,   274,
     275,   276,     0,     0,     0,     0,     0,     0,     0,   277,
     278,   279,   280,   281,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   298,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,     0,   321,     0,   322,     0,     0,     0,
     323,   324,   325,     0,   326,   327,     0,   328,   329,     0,
     330,   331,   332,   333,   334,     0,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,   351,   352,     0,   353,     0,
     354,     0,     0,   355,     0,   356,   357,   358,   359,   360,
       0,     0,   361,   362,     0,   363,     0,     0,   364,   365,
     366,     0,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,     0,   388,   389,     0,   390,
       0,   391,   392,   393,   394,   395,   396,     0,   397,     0,
       0,   398,   399,   400,     0,     0,   401,   402,     0,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,     0,   485,   486,     0,   487,     0,   488,   489,   490,
     491,   492,     0,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,   519,     0,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2711,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,   237,   238,     0,   239,   240,
     241,   242,   243,     0,   244,   245,     0,   246,   247,   248,
     249,   250,     0,     0,   251,   252,   253,   254,   255,     0,
     256,   257,   258,   259,   260,     0,     0,     0,   261,   262,
     263,   264,     0,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,     0,   274,   275,   276,     0,     0,
       0,     0,     0,     0,     0,   277,   278,   279,   280,   281,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   298,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,     0,
     321,     0,   322,     0,     0,     0,   323,   324,   325,     0,
     326,   327,     0,   328,   329,     0,   330,   331,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,   351,   352,     0,   353,     0,   354,     0,     0,   355,
       0,   356,   357,   358,   359,   360,     0,     0,   361,   362,
       0,   363,     0,     0,   364,   365,   366,     0,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,     0,   388,   389,     0,   390,     0,   391,   392,   393,
     394,   395,   396,     0,   397,     0,     0,   398,   399,   400,
       0,     0,   401,   402,     0,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,     0,   485,   486,
       0,   487,     0,   488,   489,   490,   491,   492,     0,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,   519,     0,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3828,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,     0,   239,   240,   241,   242,   243,     0,
     244,   245,     0,   246,   247,   248,   249,   250,     0,     0,
     251,   252,   253,   254,   255,     0,   256,   257,   258,   259,
     260,     0,     0,     0,   261,   262,   263,   264,     0,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
       0,   274,   275,   276,     0,     0,     0,     0,     0,     0,
       0,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,     0,   321,     0,   322,     0,
       0,     0,   323,   324,   325,     0,   326,   327,     0,   328,
     329,     0,   330,   331,   332,   333,   334,     0,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,     0,     0,   355,     0,   356,   357,   358,
     359,   360,     0,     0,   361,   362,     0,   363,     0,     0,
     364,   365,   366,     0,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,     0,   388,   389,
       0,   390,     0,   391,   392,   393,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,   402,
       0,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,     0,   485,   486,     0,   487,     0,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
       0,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,     0,     0,
       0,     0,     0,   993,  1412,   600,     0,     0,   837,   654,
       0,     0,     0,     0,  4235,   838,   839,   840,   223,   224,
     225,   226,   227,   228,   229,   230,  1871,   232,   233,   234,
    1872,  1873,  1874,  1875,  1876,  1877,  1878,   235,   236,  1879,
     237,   238,   780,   239,   240,   241,     0,   994,   781,   995,
     996,  1880,   246,   247,   248,   249,   250,  1881,  1882,   251,
     252,   997,   998,   255,  1883,   256,   257,   258,   259,     0,
    1884,   782,  1885,   261,   262,   263,   264,   783,   265,   266,
     267,  1886,   268,   269,   270,   271,   272,   273,  1887,   784,
     274,   275,   276,  1888,  1889,  1890,   785,  1891,  1892,  1893,
     277,   278,   279,   280,   281,   282,   999,  1000,   285,  1894,
     286,  1895,   287,   288,   289,   290,   291,   292,  1896,   293,
     294,   295,  1897,  1898,   296,   297,  1001,   299,   300,  1899,
     301,   302,   303,  1900,   304,   305,   306,  1901,   307,   308,
     309,   310,     0,   312,   313,   314,     0,  1902,   316,  1903,
     317,   318,  1002,   320,  1904,   321,  1905,   322,   786,  1906,
     787,   323,   324,   325,  1907,   326,     0,  1908,     0,   329,
    1909,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,  1910,   339,   340,   341,   342,   343,   344,  1911,   345,
     789,     0,   347,   348,   349,   350,  1004,  1005,  1912,  1006,
    1913,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,  1914,  1915,   361,     0,   793,   363,   794,  1916,   364,
     365,   366,  1917,  1918,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1007,   795,  1008,   385,   386,  4324,  1919,   388,   389,   796,
     390,  1920,     0,   392,  1009,   394,   395,   396,  1921,   397,
    1922,  1923,  3579,   399,   400,  1924,  1925,   401,     0,   797,
     403,   798,     0,   405,   406,   407,   408,   409,   410,   411,
     412,  1926,   413,   414,     0,   416,     0,   418,   419,   420,
    1927,   421,   422,   423,   424,   425,   426,   427,   428,  1010,
     430,   431,   432,   433,  1928,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,  1929,   445,   446,   799,
     447,   448,   449,     0,   451,   452,   453,   454,   455,   456,
     457,   458,  1930,   459,   460,   461,   462,   463,  1931,   464,
     465,  2014,   467,   468,   800,   469,   470,  1012,   472,  1932,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,  1933,   485,   486,  1934,   487,   801,   488,   489,
     490,   491,   492,  1935,  1013,  1014,  1936,  1937,   495,   496,
       0,   498,     0,  1938,   500,   501,   502,   503,   504,   505,
     506,  1939,  1940,   507,   508,   509,   510,   511,  1941,  1942,
     512,   513,   514,   515,   516,     0,  1015,  1943,   519,   802,
     520,   521,   522,   523,  1944,  1945,   524,  1946,  1947,   525,
     526,   527,   528,   529,   530,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   540,   541,   542,     0,     0,     0,
     843,   844,   845,     0,  3580,  3581,   848,   849,   850,   851,
     993,  1412,   600,     0,     0,   837,   654,     0,     0,     0,
       0,     0,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,  1871,   232,   233,   234,  1872,  1873,  1874,
    1875,  1876,  1877,  1878,   235,   236,  1879,   237,   238,   780,
     239,   240,   241,     0,   994,   781,   995,   996,  1880,   246,
     247,   248,   249,   250,  1881,  1882,   251,   252,   997,   998,
     255,  1883,   256,   257,   258,   259,     0,  1884,   782,  1885,
     261,   262,   263,   264,   783,   265,   266,   267,  1886,   268,
     269,   270,   271,   272,   273,  1887,   784,   274,   275,   276,
    1888,  1889,  1890,   785,  1891,  1892,  1893,   277,   278,   279,
     280,   281,   282,   999,  1000,   285,  1894,   286,  1895,   287,
     288,   289,   290,   291,   292,  1896,   293,   294,   295,  1897,
    1898,   296,   297,  1001,   299,   300,  1899,   301,   302,   303,
    1900,   304,   305,   306,  1901,   307,   308,   309,   310,     0,
     312,   313,   314,     0,  1902,   316,  1903,   317,   318,  1002,
     320,  1904,   321,  1905,   322,   786,  1906,   787,   323,   324,
     325,  1907,   326,     0,  1908,     0,   329,  1909,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,  1910,   339,
     340,   341,   342,   343,   344,  1911,   345,   789,     0,   347,
     348,   349,   350,  1004,  1005,  1912,  1006,  1913,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,  1914,  1915,
     361,     0,   793,   363,   794,  1916,   364,   365,   366,  1917,
    1918,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1007,   795,  1008,
     385,   386,     0,  1919,   388,   389,   796,   390,  1920,     0,
     392,  1009,   394,   395,   396,  1921,   397,  1922,  1923,  3579,
     399,   400,  1924,  1925,   401,     0,   797,   403,   798,     0,
     405,   406,   407,   408,   409,   410,   411,   412,  1926,   413,
     414,     0,   416,     0,   418,   419,   420,  1927,   421,   422,
     423,   424,   425,   426,   427,   428,  1010,   430,   431,   432,
     433,  1928,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,  1929,   445,   446,   799,   447,   448,   449,
       0,   451,   452,   453,   454,   455,   456,   457,   458,  1930,
     459,   460,   461,   462,   463,  1931,   464,   465,  2014,   467,
     468,   800,   469,   470,  1012,   472,  1932,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     0,  1933,
     485,   486,  1934,   487,   801,   488,   489,   490,   491,   492,
    1935,  1013,  1014,  1936,  1937,   495,   496,     0,   498,     0,
    1938,   500,   501,   502,   503,   504,   505,   506,  1939,  1940,
     507,   508,   509,   510,   511,  1941,  1942,   512,   513,   514,
     515,   516,     0,  1015,  1943,   519,   802,   520,   521,   522,
     523,  1944,  1945,   524,  1946,  1947,   525,   526,   527,   528,
     529,   530,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,  3580,  3581,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   841,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     842,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,     0,
     222,     0,   843,   844,   845,   837,   846,   847,   848,   849,
     850,   851,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,     0,
     239,   240,   241,   242,   243,     0,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,   950,   258,   259,   260,     0,     0,     0,
     261,   262,   263,   264,     0,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,     0,   274,   275,   276,
       0,     0,     0,     0,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,   951,     0,   317,   318,   319,
     320,     0,   321,     0,   322,     0,     0,     0,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,     0,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,     0,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,   362,     0,   363,     0,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,     0,   388,   389,     0,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,     0,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,     0,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,     0,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,   846,   847,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,  1042,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
    1043,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1044,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,     0,
     222,     0,   843,   844,   845,   837,   846,   847,   848,   849,
     850,   851,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,     0,
     239,   240,   241,   242,   243,     0,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,  1512,   258,   259,   260,     0,     0,     0,
     261,   262,   263,   264,     0,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,     0,   274,   275,   276,
       0,     0,     0,     0,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,  1513,     0,   317,   318,   319,
     320,     0,   321,     0,   322,     0,     0,     0,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,     0,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,     0,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,   362,     0,   363,     0,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,     0,   388,   389,     0,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,     0,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,     0,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,     0,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,   846,   847,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,     0,
     222,     0,   843,   844,   845,   837,   846,   847,   848,   849,
     850,   851,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,     0,
     239,   240,   241,   242,   243,     0,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,  2790,   258,   259,   260,     0,     0,     0,
     261,   262,   263,   264,     0,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,     0,   274,   275,   276,
       0,     0,     0,     0,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,  2791,     0,   317,   318,   319,
     320,     0,   321,     0,   322,     0,     0,     0,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,     0,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,     0,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,   362,     0,   363,     0,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,     0,   388,   389,     0,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,     0,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,     0,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,     0,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,   846,   847,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,  4511,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,  1870,
       0,     0,   843,   844,   845,     0,   846,   847,   848,   849,
     850,   851,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,  1871,   232,   233,   234,  1872,  1873,  1874,  1875,
    1876,  1877,  1878,   235,   236,  1879,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,  1880,   246,   247,
     248,   249,   250,  1881,  1882,   251,   252,   253,   254,   255,
    1883,   256,   257,   258,   259,   260,  1884,   782,  1885,   261,
     262,   263,   264,   783,   265,   266,   267,  1886,   268,   269,
     270,   271,   272,   273,  1887,   784,   274,   275,   276,  1888,
    1889,  1890,   785,  1891,  1892,  1893,   277,   278,   279,   280,
     281,   282,   283,   284,   285,  1894,   286,  1895,   287,   288,
     289,   290,   291,   292,  1896,   293,   294,   295,  1897,  1898,
     296,   297,   298,   299,   300,  1899,   301,   302,   303,  1900,
     304,   305,   306,  1901,   307,   308,   309,   310,   311,   312,
     313,   314,   315,  1902,   316,  1903,   317,   318,   319,   320,
    1904,   321,  1905,   322,   786,  1906,   787,   323,   324,   325,
    1907,   326,   327,  1908,   328,   329,  1909,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,  1910,   339,   340,
     341,   342,   343,   344,  1911,   345,   789,   346,   347,   348,
     349,   350,   351,   352,  1912,   353,  1913,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,  1914,  1915,   361,
     362,   793,   363,   794,  1916,   364,   365,   366,  1917,  1918,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,  1919,   388,   389,   796,   390,  1920,   391,   392,
     393,   394,   395,   396,  1921,   397,  1922,  1923,   398,   399,
     400,  1924,  1925,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,  1926,   413,   414,
     415,   416,   417,   418,   419,   420,  1927,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
    1928,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,  1929,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,  1930,   459,
     460,   461,   462,   463,  1931,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,  1932,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,  1933,   485,
     486,  1934,   487,   801,   488,   489,   490,   491,   492,  1935,
     493,   494,  1936,  1937,   495,   496,   497,   498,   499,  1938,
     500,   501,   502,   503,   504,   505,   506,  1939,  1940,   507,
     508,   509,   510,   511,  1941,  1942,   512,   513,   514,   515,
     516,   517,   518,  1943,   519,   802,   520,   521,   522,   523,
    1944,  1945,   524,  1946,  1947,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   993,     0,     0,
       0,     0,     0,     0,     0,     0,   748,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   994,   781,   995,   996,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   997,   998,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     999,  1000,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1001,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1002,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,  2010,   339,   340,   341,   342,
     343,   344,     0,   345,   789,  2011,   347,   348,   349,   350,
    1004,  1005,     0,  1006,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1007,   795,  1008,   385,   386,     0,
       0,   388,   389,   796,   390,     0,     0,   392,  1009,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
    2012,   401,  2013,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1010,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  2014,   467,   468,   800,   469,
     470,  1012,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1013,  1014,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1015,  2015,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,     0,
       0,     0,     0,     0,     0,     0,  2288,     0,   540,   541,
     542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2016,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,     0,
     994,   781,   995,   996,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   997,   998,   255,     0,   256,   257,
     258,   259,     0,     0,   782,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,     0,     0,     0,   785,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   999,
    1000,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,  1001,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,     0,   312,   313,   314,     0,
       0,   316,     0,   317,   318,  1002,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,     0,
       0,     0,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,  2010,   339,   340,   341,   342,   343,
     344,     0,   345,   789,  2011,   347,   348,   349,   350,  1004,
    1005,     0,  1006,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,     0,   793,   363,
     794,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1007,   795,  1008,   385,   386,     0,     0,
     388,   389,   796,   390,     0,     0,   392,  1009,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,  2012,
     401,  2013,   797,   403,   798,     0,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,     0,   416,     0,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1010,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,     0,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,     0,   464,   465,  2014,   467,   468,   800,   469,   470,
    1012,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     0,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1013,  1014,     0,
       0,   495,   496,     0,   498,     0,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,     0,  1015,
    2015,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,     0,     0,
       0,     0,     0,     0,     0,   222,     0,   540,   541,   542,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2016,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
    1412,   600,     0,     0,     0,   654,     0,     0,  4835,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,  1859,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,  1683,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,  1684,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,  1685,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,  1412,   600,     0,     0,     0,   654,
    1413,  1414,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,  1864,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,  1683,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
    1684,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,  1685,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,  1412,   600,
       0,     0,     0,   654,  1413,  1414,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,  1683,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,  1684,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,  1685,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,   600,     0,     0,     0,   654,  1413,  1414,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,  2744,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,  1683,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,  1684,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,  1685,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,   654,   666,   667,     0,     0,     0,     0,     0,     0,
     223,   655,   225,   226,   227,   228,   229,   230,   656,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   657,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   658,   319,   320,     0,   321,     0,   659,
       0,   660,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   661,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   662,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   663,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   664,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   665,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,  1870,
    4958,   600,     0,     0,     0,   654,   666,   667,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,  1871,   232,   233,   234,  1872,  1873,  1874,  1875,
    1876,  1877,  1878,   235,   236,  1879,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,  1880,   246,   247,
     248,   249,   250,  1881,  1882,   251,   252,   253,   254,   255,
    1883,   256,   257,   258,   259,   260,  1884,   782,  1885,   261,
     262,   263,   264,   783,   265,   266,   267,  1886,   268,   269,
     270,   271,   272,   273,  1887,   784,   274,   275,   276,  1888,
    1889,  1890,   785,  1891,  1892,  1893,   277,   278,   279,   280,
     281,   282,   283,   284,   285,  1894,   286,  1895,   287,   288,
     289,   290,   291,   292,  1896,   293,   294,   295,  1897,  1898,
     296,   297,   298,   299,   300,  1899,   301,   302,   303,  1900,
     304,   305,   306,  1901,   307,   308,   309,   310,   311,   312,
     313,   314,   315,  1902,   316,  1903,   317,   318,   319,   320,
    1904,   321,  1905,   322,   786,  1906,   787,   323,   324,   325,
    1907,   326,   327,  1908,   328,   329,  1909,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,  1910,   339,   340,
     341,   342,   343,   344,  1911,   345,   789,   346,   347,   348,
     349,   350,   351,   352,  1912,   353,  1913,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,  1914,  1915,   361,
     362,   793,   363,   794,  1916,   364,   365,   366,  1917,  1918,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,  1919,   388,   389,   796,   390,  1920,   391,   392,
     393,   394,   395,   396,  1921,   397,  1922,  1923,   398,   399,
     400,  1924,  1925,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,  1926,   413,   414,
     415,   416,   417,   418,   419,   420,  1927,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
    1928,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,  1929,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,  1930,   459,
     460,   461,   462,   463,  1931,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,  1932,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,  1933,   485,
     486,  1934,   487,   801,   488,   489,   490,   491,   492,  1935,
     493,   494,  1936,  1937,   495,   496,   497,   498,   499,  1938,
     500,   501,   502,   503,   504,   505,   506,  1939,  1940,   507,
     508,   509,   510,   511,  1941,  1942,   512,   513,   514,   515,
     516,   517,   518,  1943,   519,   802,   520,   521,   522,   523,
    1944,  1945,   524,  1946,  1947,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,  1870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  1871,   232,   233,   234,
    1872,  1873,  1874,  1875,  1876,  1877,  1878,   235,   236,  1879,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,  1880,   246,   247,   248,   249,   250,  1881,  1882,   251,
     252,   253,   254,   255,  1883,   256,   257,   258,   259,   260,
    1884,   782,  1885,   261,   262,   263,   264,   783,   265,   266,
     267,  1886,   268,   269,   270,   271,   272,   273,  1887,   784,
     274,   275,   276,  1888,  1889,  1890,   785,  1891,  1892,  1893,
     277,   278,   279,   280,   281,   282,   283,   284,   285,  1894,
     286,  1895,   287,   288,   289,   290,   291,   292,  1896,   293,
     294,   295,  1897,  1898,   296,   297,   298,   299,   300,  1899,
     301,   302,   303,  1900,   304,   305,   306,  1901,   307,   308,
     309,   310,   311,   312,   313,   314,   315,  1902,   316,  1903,
     317,   318,   319,   320,  1904,   321,  1905,   322,   786,  1906,
     787,   323,   324,   325,  1907,   326,   327,  1908,   328,   329,
    1909,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,  1910,   339,   340,   341,   342,   343,   344,  1911,   345,
     789,   346,   347,   348,   349,   350,   351,   352,  1912,   353,
    1913,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,  1914,  1915,   361,   362,   793,   363,   794,  1916,   364,
     365,   366,  1917,  1918,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,  1919,   388,   389,   796,
     390,  1920,   391,   392,   393,   394,   395,   396,  1921,   397,
    1922,  1923,   398,   399,   400,  1924,  1925,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,  1926,   413,   414,   415,   416,   417,   418,   419,   420,
    1927,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,  1928,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,  1929,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  1930,   459,   460,   461,   462,   463,  1931,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,  1932,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,  1933,   485,   486,  1934,   487,   801,   488,   489,
     490,   491,   492,  1935,   493,   494,  1936,  1937,   495,   496,
     497,   498,   499,  1938,   500,   501,   502,   503,   504,   505,
     506,  1939,  1940,   507,   508,   509,   510,   511,  1941,  1942,
     512,   513,   514,   515,   516,   517,   518,  1943,   519,   802,
     520,   521,   522,   523,  1944,  1945,   524,  1946,  1947,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,  1870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,  2858,   228,   229,   230,
    1871,   232,   233,   234,  1872,  1873,  1874,  1875,  1876,  1877,
    1878,   235,   236,  1879,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,  1880,   246,   247,   248,   249,
     250,  1881,  1882,   251,   252,   253,   254,   255,  1883,   256,
     257,   258,   259,   260,  1884,   782,  1885,   261,   262,   263,
     264,   783,   265,   266,   267,  1886,   268,   269,   270,   271,
     272,   273,  1887,   784,   274,   275,   276,  1888,  1889,  1890,
     785,  1891,  1892,  1893,   277,   278,   279,   280,   281,   282,
     283,   284,   285,  1894,   286,  1895,   287,   288,   289,   290,
     291,   292,  1896,   293,   294,   295,  1897,  1898,   296,   297,
     298,  2859,   300,  1899,   301,   302,   303,  1900,   304,   305,
     306,  1901,   307,   308,   309,   310,   311,   312,   313,   314,
     315,  1902,   316,  1903,   317,   318,   319,   320,  1904,   321,
    1905,   322,   786,  1906,   787,   323,   324,   325,  1907,   326,
     327,  1908,   328,   329,  1909,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,  1910,   339,   340,   341,   342,
     343,   344,  1911,   345,   789,   346,   347,   348,   349,   350,
     351,   352,  1912,   353,  1913,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,  1914,  1915,   361,   362,   793,
     363,   794,  1916,   364,   365,   366,  1917,  1918,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
    1919,   388,   389,   796,   390,  1920,   391,   392,   393,   394,
     395,   396,  1921,   397,  1922,  1923,   398,   399,   400,  1924,
    1925,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,  1926,   413,   414,   415,   416,
     417,   418,   419,   420,  1927,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,  1928,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
    1929,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,  1930,   459,   460,   461,
     462,   463,  1931,  2860,   465,   466,   467,   468,   800,   469,
     470,   471,   472,  1932,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,  1933,   485,   486,  1934,
     487,   801,   488,   489,   490,   491,   492,  1935,   493,   494,
    1936,  1937,   495,   496,   497,   498,   499,  1938,   500,   501,
     502,   503,   504,   505,   506,  1939,  1940,   507,   508,   509,
     510,   511,  1941,  1942,   512,   513,   514,   515,   516,   517,
     518,  1943,   519,   802,   520,   521,   522,   523,  1944,  1945,
     524,  1946,  1947,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,  1148,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,  1151,     0,  1152,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1153,  1154,  1155,  1156,  1157,  1158,  1159,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,  1163,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1166,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1171,   793,   363,   794,     0,   364,   365,   366,
    1172,  1173,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
    1178,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1181,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1182,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1185,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1187,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,  1190,   498,
    1191,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,  1194,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,  1203,   540,   541,   542,   823,     0,   600,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,  1683,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,  1684,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,  1685,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   858,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,   824,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,   825,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   875,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,   824,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   876,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,   825,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,   824,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,   825,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  2243,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,   824,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,  3161,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,   825,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,   824,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
     825,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,   824,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   964,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,   825,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,   824,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1037,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,   825,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,   824,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1049,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,   825,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,   824,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1063,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,  1064,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,   825,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   823,     0,   600,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,  1844,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     3,     4,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,   600,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,   600,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1673,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   986,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1035,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,  2052,   256,   257,   258,   259,   260,
       0,     0,  2129,   261,   262,   263,   264,     0,   265,   266,
     267,  2053,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,  2130,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,  2055,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2131,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
    2056,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,  2057,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,  2052,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,  2053,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,  2130,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
    2055,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,  3026,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,  2056,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,  2057,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   711,   229,   230,   673,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,   674,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,   712,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   675,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     676,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   673,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
     674,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,  2751,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   675,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   676,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
    2052,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,  2053,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,  2130,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,  2055,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,  2056,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,  2057,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   673,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,   674,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   675,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   676,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
    1710,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,  1711,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,  1712,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
    1713,   322,     0,     0,     0,  1714,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,  1715,  1716,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,  1717,   455,   456,   457,   458,     0,  1718,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,  1719,
     487,     0,  1720,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
    1721,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,   674,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   675,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     676,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   868,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   869,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,   743,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     3,     4,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  2839,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,  2840,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
    2852,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  2853,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   591,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     592,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   703,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   704,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     705,   494,     0,     0,   706,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   737,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   738,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   739,   494,     0,     0,   740,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,   743,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   832,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   833,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   978,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,  1241,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,  1252,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   723,
     252,   253,   254,  1253,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   726,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     727,   448,   449,   450,   451,   452,   453,   728,   455,   456,
     457,   458,     0,   459,   460,   461,   462,  1245,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   730,   494,     0,     0,   731,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   732,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1361,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,   743,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,  1417,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1418,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   703,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,  2633,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,  2634,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,  2635,   487,     0,   488,  2636,   490,  2637,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,  2638,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,   600,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,  3847,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,  3861,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   689,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   701,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   723,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   724,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   725,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   726,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   727,   448,   449,   450,   451,   452,
     453,   728,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   729,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   730,   494,
       0,     0,   731,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   732,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     755,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   856,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   863,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   879,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   940,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   956,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   991,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1047,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1051,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1053,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1055,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1059,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1067,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   723,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   726,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     727,   448,   449,   450,   451,   452,   453,   728,   455,   456,
     457,   458,     0,   459,   460,   461,   462,  1245,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   730,   494,     0,     0,   731,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   732,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1542,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1572,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1574,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1644,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1646,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1648,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,  1744,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,  2007,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   723,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   726,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   727,   448,   449,   450,
     451,   452,   453,   728,   455,   456,   457,   458,     0,   459,
     460,   461,   462,  1245,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,  2039,   489,   490,   491,   492,     0,
     730,   494,     0,     0,   731,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     732,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   723,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   726,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     727,   448,   449,   450,   451,   452,   453,  2114,   455,   456,
     457,   458,     0,   459,   460,   461,   462,  2115,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   730,   494,     0,     0,  2116,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   732,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  2356,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  2360,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  2400,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  2435,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2762,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   723,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   726,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   727,   448,   449,   450,   451,   452,
     453,   728,   455,   456,   457,   458,     0,   459,   460,   461,
     462,  2115,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   730,   494,
       0,     0,  2116,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   732,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  2829,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  2842,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  2844,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2959,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,  2981,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  4095,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   993,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,     0,   994,
     781,   995,   996,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   997,   998,   255,     0,   256,   257,   258,
     259,     0,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   999,  1000,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1001,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,     0,   312,   313,   314,     0,     0,
     316,     0,   317,   318,  1002,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,     0,     0,
       0,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,  2010,   339,   340,   341,   342,   343,   344,
       0,   345,   789,  2011,   347,   348,   349,   350,  1004,  1005,
       0,  1006,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,     0,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1007,   795,  1008,   385,   386,     0,     0,   388,
     389,   796,   390,     0,     0,   392,  1009,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
    2013,   797,   403,   798,     0,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,     0,   416,     0,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1010,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,     0,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,  2014,   467,   468,   800,   469,   470,  1012,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     0,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1013,  1014,     0,     0,
     495,   496,     0,   498,     0,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,     0,  1015,  2015,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   993,     0,     0,
       0,     0,     0,     0,     0,     0,   540,   541,   542,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   994,   781,   995,   996,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   997,   998,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     999,  1000,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1001,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1002,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,     0,   347,   348,   349,   350,
    1004,  1005,     0,  1006,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1007,   795,  1008,   385,   386,     0,
       0,   388,   389,   796,   390,  2110,     0,   392,  1009,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1010,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  2014,   467,   468,   800,   469,
     470,  1012,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,  3680,
     487,   801,   488,   489,   490,   491,   492,     0,  1013,  1014,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1015,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   222,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,     0,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
       0,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   993,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,     0,   994,   781,   995,
     996,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   997,   998,   255,     0,   256,   257,   258,   259,     0,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   999,  1000,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1001,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,     0,   312,   313,   314,     0,     0,   316,     0,
     317,   318,  1002,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,     0,     0,     0,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,     0,   347,   348,   349,   350,  1004,  1005,     0,  1006,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,     0,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1007,   795,  1008,   385,   386,  2181,     0,   388,   389,   796,
     390,     0,     0,   392,  1009,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,     0,   797,
     403,   798,     0,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,     0,   416,     0,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1010,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,     0,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,  1011,   467,   468,   800,   469,   470,  1012,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1013,  1014,     0,     0,   495,   496,
       0,   498,     0,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,     0,  1015,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   993,     0,     0,     0,     0,
       0,     0,     0,     0,   540,   541,   542,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,     0,   994,
     781,   995,   996,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   997,   998,   255,     0,   256,   257,   258,
     259,     0,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   999,  1000,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1001,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,     0,   312,   313,   314,     0,     0,
     316,     0,   317,   318,  1002,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,     0,     0,
       0,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,     0,   347,   348,   349,   350,  1004,  1005,
       0,  1006,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,     0,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1007,   795,  1008,   385,   386,  3500,     0,   388,
     389,   796,   390,     0,     0,   392,  1009,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
       0,   797,   403,   798,     0,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,     0,   416,     0,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1010,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,     0,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,  1011,   467,   468,   800,   469,   470,  1012,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     0,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1013,  1014,     0,     0,
     495,   496,     0,   498,     0,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,     0,  1015,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   993,     0,     0,
       0,     0,     0,     0,     0,     0,   540,   541,   542,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   994,   781,   995,   996,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   997,   998,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     999,  1000,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1001,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1002,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,  1003,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,     0,   347,   348,   349,   350,
    1004,  1005,     0,  1006,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1007,   795,  1008,   385,   386,     0,
       0,   388,   389,   796,   390,     0,     0,   392,  1009,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1010,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  1011,   467,   468,   800,   469,
     470,  1012,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1013,  1014,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1015,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   993,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,   994,   781,   995,   996,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   997,   998,   255,
       0,   256,   257,   258,   259,     0,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   999,  1000,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1001,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,     0,   312,
     313,   314,     0,     0,   316,     0,   317,   318,  1002,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,     0,     0,     0,   329,     0,   330,   331,   332,
     333,  1061,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,     0,   347,   348,
     349,   350,  1004,  1005,     0,  1006,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
       0,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1007,   795,  1008,   385,
     386,     0,     0,   388,   389,   796,   390,     0,     0,   392,
    1009,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,     0,   797,   403,   798,     0,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
       0,   416,     0,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1010,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,     0,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,  1011,   467,   468,
     800,   469,   470,  1012,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     0,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1013,  1014,     0,     0,   495,   496,     0,   498,     0,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,     0,  1015,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   993,     0,     0,     0,     0,     0,     0,     0,     0,
     540,   541,   542,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,   994,   781,   995,   996,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   997,
     998,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   999,  1000,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1001,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
    1002,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,     0,
     347,   348,   349,   350,  1004,  1005,     0,  1006,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1007,   795,
    1008,   385,   386,     0,     0,   388,   389,   796,   390,     0,
       0,   392,  1009,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,     0,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1010,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,  1011,
     467,   468,   800,   469,   470,  1012,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1013,  1014,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,  1015,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   993,     0,     0,     0,     0,     0,     0,
       0,     0,   540,   541,   542,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,     0,   994,   781,   995,
     996,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   997,   998,   255,     0,   256,   257,   258,   259,     0,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   999,  1000,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1001,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,     0,   312,   313,   314,     0,     0,   316,     0,
     317,   318,  1002,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,     0,     0,     0,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,     0,   347,   348,   349,   350,  1004,  1005,     0,  1006,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,     0,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1007,   795,  1008,   385,   386,     0,     0,   388,   389,   796,
     390,     0,     0,   392,  1009,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,     0,   797,
     403,   798,     0,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,     0,   416,     0,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1010,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,     0,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,  2014,   467,   468,   800,   469,   470,  1012,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1013,  1014,     0,     0,   495,   496,
       0,   498,     0,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,     0,  1015,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   993,     0,     0,     0,     0,
       0,     0,     0,     0,   540,   541,   542,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,     0,   994,
     781,   995,   996,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   997,   998,   255,     0,   256,   257,   258,
     259,     0,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   999,  1000,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1001,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,     0,   312,   313,   314,     0,     0,
     316,     0,   317,   318,  1002,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,     0,     0,
       0,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,     0,   347,   348,   349,   350,  1004,  1005,
       0,  1006,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,     0,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1007,   795,  1008,   385,   386,     0,     0,   388,
     389,   796,   390,     0,     0,   392,  1009,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
       0,   797,   403,   798,     0,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,     0,   416,     0,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1010,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,     0,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,     0,   467,   468,   800,   469,   470,  1012,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     0,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1013,  1014,     0,     0,
     495,   496,     0,   498,     0,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,     0,  1015,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   993,     0,     0,
       0,     0,     0,     0,     0,     0,   540,   541,   542,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,     0,   781,     0,     0,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
       0,     0,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,     0,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,     0,   347,   348,   349,   350,
       0,     0,     0,     0,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   795,     0,   385,   386,     0,
       0,   388,   389,   796,   390,     0,     0,   392,     0,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,     0,   467,   468,   800,   469,
     470,     0,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,     0,     0,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
       0,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542
};

static const yytype_int16 yycheck[] =
{
      16,     0,     0,     0,     0,     0,     0,    50,  1036,    25,
     190,   571,   601,   204,    35,    21,  1270,  1078,   778,   199,
    1714,    27,    20,   773,    20,   835,   182,     7,  1045,   724,
     674,   675,   676,    44,    14,   722,   680,   878,   804,  1347,
     200,  1289,  1040,  1011,   865,  1100,   601,   207,  2306,    21,
    1070,  1835,    50,   642,  1030,    27,  1390,   887,   218,  1272,
     620,   747,    12,  2654,   999,  1000,  1384,  1498,  2833,  1131,
     932,  1325,  2491,  2180,  1009,  1014,  2315,    43,  1395,  1406,
     731,    20,  1390,  3024,  3051,  3350,    22,  3069,  1569,  3093,
    2858,  1450,  2860,  2806,   864,  1750,   937,    17,   562,    35,
     941,  2233,     0,  1963,  1294,   946,   952,  3669,  1321,  2467,
     623,  3449,   207,  3080,   955,  3006,  3391,   963,  3395,   169,
    2646,   634,  3013,   218,   965,   987,  3286,  2018,  2019,  2711,
    2644,  2645,  3395,  3013,  3658,   641,  3655,   184,   727,  1733,
    1467,  1468,  3681,   184,   633,  1462,  3659,   611,  1794,  3672,
    1581,  3314,  3605,  1838,  3320,  1016,    34,     0,   612,     0,
    1376,     0,     0,    41,     0,  2577,     0,  1325,     0,  4115,
       0,   864,   727,     0,    49,  1989,  1987,   870,  2642,   633,
    2719,  3067,  3368,    40,  3921,  4292,   184,   880,  1208,   821,
    1671,     0,   770,  1054,     0,     0,   770,  3319,  3249,     9,
       0,  1062,  2309,  1304,   997,   998,  4235,  1068,  4237,     0,
    4410,     0,     0,  4273,    11,  1008,     3,     4,     5,    35,
      48,  2642,     9,  4330,    41,  1160,  1161,     5,    70,    84,
       5,    76,     5,     5,  2018,    13,    14,    41,    62,  2703,
      13,    14,    55,     5,  1179,  4599,    26,   213,     5,   159,
    1189,    13,    14,    33,    39,   109,  2273,  2547,  2548,    22,
      11,    72,  2552,   181,  2281,   134,  2283,   154,  1078,     9,
      64,    39,    55,  4334,  4335,   159,   159,   159,  1532,     5,
      29,   103,  2703,    26,     5,     5,   930,     5,   102,    40,
      62,   103,     5,   114,   141,     5,  4276,     5,     5,  2589,
    2590,     5,  2409,     0,  2411,  2717,   129,     5,   160,   159,
     159,    55,     9,  1339,     5,   109,   102,    81,     5,    70,
     140,    81,   109,    26,     5,  2808,   261,   109,   247,    26,
      33,    74,     0,     4,   165,   114,  4358,   261,     9,    82,
     116,     9,    62,   259,    27,   109,   159,   244,   908,   327,
     102,   109,   339,   101,    55,   111,  1149,  1150,    26,   159,
     137,   233,   184,    11,   127,   323,     5,   110,   159,     4,
     159,   159,   184,     3,     9,   260,    38,   557,    32,   149,
     571,   181,  1175,   332,  4364,   339,   309,   320,   113,   378,
     181,  2085,   181,   181,    55,   399,   151,   139,   298,   418,
      30,    31,    55,   309,  4758,   313,  3747,    21,  3749,   569,
     310,   420,   199,    27,   574,   194,   365,   451,     4,     4,
     439,   455,  4529,     9,     9,   585,   606,  1257,   297,   620,
     439,   339,   421,   339,   221,   335,   616,    26,     5,   397,
     182,   218,   185,  1209,    33,  1255,   900,  4476,   218,   453,
    1260,  1261,   246,   376,  4400,   210,   405,   251,   330,   314,
    4515,  4516,   159,  1711,   246,   398,   920,  1715,   455,  1717,
     109,  1237,  1720,  3926,   569,   453,   201,  1066,   397,   574,
     934,  1509,   246,   231,   181,   111,   234,   141,   258,  1078,
     585,   159,   244,   251,    55,   251,   290,  1514,    72,   423,
     244,   200,    72,   457,   453,   327,   403,    81,   207,  1535,
     304,  1066,   195,   181,   327,   327,    72,   179,   453,   218,
     159,   208,   342,    72,    72,    81,   376,   376,   158,  4509,
     160,   102,   315,  1046,    22,   551,  1749,   453,  4518,   457,
    3023,   251,   364,   365,   389,   327,  1135,   457,  1802,  4571,
     336,   365,   364,   365,  1364,   554,   554,   554,   554,   554,
     554,    11,  4916,   312,  1374,   376,   453,   414,   453,   349,
     453,   315,   376,   457,  1080,   457,   397,   362,  1791,    11,
    1135,   356,   357,  1603,   453,   601,   602,   404,   442,  3480,
      40,   414,  4116,  1106,   362,   339,   646,   410,   392,   642,
    3480,   453,   457,     8,  1117,  1446,    11,  1448,    40,   451,
      15,    16,    17,   455,   315,   358,   376,   773,   397,  1132,
      70,  4074,  4682,   399,  1837,   453,   457,    32,  1438,   453,
     550,  1441,  1442,  3398,   397,  1456,   408,   453,    70,   127,
    1502,   453,   452,   641,   642,   641,   349,  4708,  2755,   655,
    1705,   657,   449,   659,   315,  3815,   456,   444,   445,   665,
    3627,  1115,   315,  1252,  4864,   456,  1496,   456,   456,  1362,
    1771,  1260,  1261,   689,   457,   453,  3842,  1675,  1779,  4132,
     453,   453,  1528,   655,   251,   657,  3668,   659,  3851,   669,
     640,   453,  3855,   665,   666,   667,   453,  1252,   449,   715,
    1510,   408,  1637,   642,   444,   445,  4813,   723,  3759,  3650,
     726,   727,   728,   893,  1712,   762,  3902,   908,  4825,  3841,
     686,   762,   420,  1721,   904,   451,  1419,   453,  1748,   455,
    1750,  1592,   453,   453,  1312,   453,  1756,   376,  1312,   420,
     453,   439,  1762,  1763,  1764,   453,   453,   444,   445,   453,
    4805,  1383,  1772,  1773,   315,   453,   457,  1777,   439,   456,
     349,  4790,   453,   102,   762,   764,   764,   764,   764,   764,
     764,  4508,   453,   444,   445,   401,   444,   445,  2032,   409,
    1641,   747,  2099,   418,  1645,    11,   274,   104,   456,  4896,
    1651,  1652,    20,   973,   365,  2129,   457,   202,   446,   447,
     448,   449,   376,   442,   439,    64,   376,  3046,  3334,   444,
     445,   777,   751,  1674,  4760,  4268,   455,  1610,  1611,  4160,
     376,   309,  4275,  4164,  4165,  3590,  4167,   376,   376,   102,
       5,  2722,   140,  2724,    26,  3721,   102,  4399,    68,     5,
     169,  3380,   323,   111,   200,    56,   127,   266,  3312,   109,
    3314,   339,  2192,    64,   820,   167,   173,   262,   302,  2176,
    2644,  2645,  2646,   835,  1424,  3578,   764,   339,   725,  2683,
     569,  2682,   729,   256,  2032,   574,  1977,   266,    29,   138,
     755,  2988,  2989,   256,   244,   159,   585,    88,    83,     3,
     161,  3312,     8,  3314,   409,    11,   457,   156,    22,    15,
      16,    17,   601,  2119,   114,     3,  2160,  2247,     3,    23,
       5,   273,   140,   811,   402,  4861,   233,   127,   617,   236,
     191,   764,   114,   764,   623,   764,   764,   260,   764,   124,
     764,  3395,   764,  1577,   764,   634,   204,   764,  3228,  3229,
    3230,  3231,   256,   642,  3234,  3235,  3236,  3237,  3238,  3239,
    3240,  3241,  3242,  3243,  3366,   764,  4219,   117,   764,   764,
      22,     5,  2979,   164,   250,   256,    80,   411,  1422,  2986,
    2987,   292,   453,  2990,  3395,     3,   162,   339,   246,    78,
    2997,  3694,    80,   264,  2045,   457,   246,   206,   866,   867,
    2349,   114,  4269,  4256,   444,   445,   446,   447,   448,   449,
    3290,  3291,   194,   127,   156,   260,  4269,   161,   320,   104,
     221,   114,  2658,   330,   446,   447,   448,   449,   132,  4179,
     119,   153,  1788,  1718,  1719,   244,   365,  2712,   727,   259,
     298,   290,   313,   131,   342,   440,   441,   442,   457,   444,
     445,   446,   447,   448,   449,  2363,  2014,  2301,  2024,  1503,
    1066,    26,    80,  4615,  4220,   104,   169,   977,   339,   109,
     346,  4224,  1078,    46,  1518,   127,  4229,   181,   457,  4232,
     453,   194,   186,  4586,   403,   435,   251,   287,   173,  2673,
     453,   102,  1080,  1537,  1080,   251,  4610,  4626,   109,  4608,
    1650,   194,   365,  1682,    78,   323,  1112,  1958,  4611,   365,
    4623,   457,   376,  1083,   132,  1085,  1078,  1087,   262,  1089,
    4001,  1091,  1092,  1093,   342,  3006,   154,   434,  1098,  1135,
    1609,  4001,  3013,   342,   173,   160,   224,  4109,  4132,  1642,
    1584,   244,   453,   392,  1598,   119,   453,  4104,   233,   453,
     332,   236,  1655,  1597,    36,  1143,   262,  4410,   334,   309,
    3915,   264,  4872,   285,    64,  1609,    78,  1670,   186,   365,
      78,   312,   453,    22,  1162,  1208,   280,  1621,   442,    28,
     230,    81,   323,    34,   325,  1681,   274,   276,   397,  1668,
     366,   455,    26,     8,   233,   161,    11,   236,  3956,   457,
      15,    16,    17,   176,  1210,  1193,   451,   119,   181,  3090,
     455,   119,   442,  1219,   358,   397,   320,  2455,   273,  1769,
    1208,  1665,   274,   266,  1668,   455,    26,  1233,   444,   445,
     446,   447,   448,   449,    78,   246,   118,   151,   138,   332,
     381,  4506,  1282,  1424,   217,   330,  1252,  4761,   311,  1255,
    1256,   169,   277,   137,  1260,  1261,   156,   309,   109,   363,
    1297,  1298,   280,  1300,  4974,     8,  1297,  1298,    11,  1300,
      22,   384,    15,    16,    17,   119,    28,   141,   127,    48,
     368,   370,   370,   311,   397,  4613,   390,   339,   122,   453,
    4440,   330,   332,  1255,   398,   376,   262,   401,  1260,  1261,
     403,   202,   276,   109,   397,   122,   162,   124,  4860,  1297,
    1298,   376,  1300,  4865,   198,  2000,   339,   282,  3598,  4472,
     345,   122,   122,   124,  2568,   365,   244,  4770,  3900,   243,
    2574,   100,    24,  1483,   440,   441,   442,   415,   444,   445,
     446,   447,   448,   449,   355,   376,   147,   358,   113,   434,
       0,    72,    44,  1797,   160,   418,  3872,  1046,  1314,   260,
      81,   442,  3878,  3867,   276,   405,  2376,  4919,   276,   334,
     340,   344,   390,   399,   455,   127,   439,  1066,   418,   457,
     398,  4531,   266,   401,  2402,  4535,  4536,   202,   207,  1078,
     290,  3739,   457,  2229,   457,   434,   370,  3851,  4651,   439,
    2200,  3855,  1364,  1553,   369,  2412,   371,  1557,  2208,  4676,
    2210,   454,  1374,   453,   457,   266,   206,  1106,  2406,  1569,
    4392,  1591,  4303,  4676,   193,   274,   457,   453,  1117,  4981,
    4685,  4686,   276,  4303,   457,   149,   201,  2197,   181,   256,
    3851,   247,   453,  1132,  3855,  2128,  1135,   262,  1454,  1359,
     251,  1413,  1414,  4384,   244,   256,  2547,  2548,   370,   202,
     309,  2552,   370,   173,     8,   274,  2045,    11,   332,  1650,
    1640,    15,    16,    17,  3158,   244,  1438,   163,   334,  1441,
    1442,    22,   112,   453,   297,   403,  2666,    28,    32,   369,
     339,   371,   392,  1643,  2330,  2331,  2332,  2333,  2589,  2590,
     309,   365,   378,   195,   218,  1461,  2342,   391,   298,     8,
     366,   324,  2750,   273,  2197,  2823,    15,    16,    17,   262,
    2372,  1671,   274,   233,  3374,   111,   370,  3649,  2379,   273,
     339,   387,   274,   120,   325,   221,  2219,  2087,   266,  2549,
    1428,   405,   399,   130,  1714,  1433,   418,   177,  1510,  1555,
    2401,  2561,   342,   111,   418,  3562,  3201,   309,    11,   328,
    3334,  3568,  3569,  1252,  3571,  2416,  2249,   309,  2419,  2420,
    2919,  1260,  1261,  2424,  2425,   439,   122,   169,   124,   339,
    2431,  1270,   383,  2593,  2038,   457,   127,   339,  1769,   453,
     381,   442,   393,   399,  1482,   339,   453,   339,  1486,  3480,
     451,   329,   453,   454,   455,  4360,   457,   397,    88,   161,
     149,  4864,  3709,   274,  3711,   154,   456,    70,   204,  1428,
     330,  2631,  2929,  2126,  1433,   440,   441,   442,   108,   444,
     445,   446,   447,   448,   449,  4890,  1325,   289,  2082,   274,
     325,  4598,  2493,   274,   453,  1607,   204,   418,   309,  4621,
    2094,   181,   244,  2897,   313,  1617,    24,  1619,   202,  2459,
     246,   141,   141,   112,  1626,  4596,   122,   112,   124,   289,
     457,   264,  1634,  1482,   309,  3146,    44,  1486,   339,   218,
     339,   274,   274,   369,   154,   371,   457,   274,   246,    81,
    2134,   147,   418,  1681,   164,  1681,   381,   440,   441,   442,
     246,   444,   445,   446,   447,   448,   449,  4638,   339,   395,
     256,   181,   298,   439,   292,  2760,   309,   309,   262,   258,
    4423,  1691,   309,  1693,  2358,  1695,   378,  1697,   177,  1699,
    1741,   457,   177,  1703,  2188,   302,   657,   658,   659,   101,
     298,   662,   663,   664,  1733,  1733,  1733,  1733,  1733,  1733,
    4159,   672,   309,  1682,  2720,  1761,  3073,  4300,   378,  3076,
    2726,   160,   348,   262,  4519,  4219,   333,  4525,  3012,   421,
    4224,   163,  1728,   325,   454,  4229,  4770,   457,  4232,   309,
      61,    62,   339,   313,    48,  2792,   111,  4759,  2367,     3,
     246,   190,   184,   155,  1483,   251,  1758,  1759,   365,  4342,
     256,   421,  4256,  1765,  1766,  2730,   205,   274,  4219,   339,
     155,   403,  4769,  4224,  1740,  4269,   215,   410,  4229,  1807,
     381,  4232,  2367,    72,   186,   305,    90,   379,  1551,   221,
     323,  1793,    81,   385,  4082,   323,   324,  1747,  4419,  3936,
    3937,   186,   309,  1532,   411,  4256,  1852,  1570,   318,  2293,
    2429,   115,   332,   332,  4263,   159,  4265,   420,  4269,  2659,
    4108,   354,   255,   188,  1553,  4094,    80,   131,  1557,   231,
      11,   135,   234,   265,    13,    14,   439,   181,  2028,   274,
    1569,  3221,   411,  2033,  2429,   365,   365,  2037,   418,   329,
     453,   155,   302,   111,   158,  4175,   440,   441,   442,    40,
     444,   445,   446,   447,   448,   449,  2087,   171,  2078,   439,
    3250,  2651,  2763,  2063,   309,  2085,   208,   131,  3156,   244,
     319,   246,   323,   333,   325,   405,   405,   383,  2780,    70,
     154,    42,  4635,  4688,   453,   232,   154,   393,   418,   418,
     418,   440,   441,   442,   339,   444,   445,   446,   447,   448,
     449,   175,    63,  1642,  1643,   365,  4410,  2107,   381,   439,
     439,   439,   274,   246,   149,   154,  1655,   381,   251,   154,
     188,     5,   420,   453,   453,  2125,    10,   369,  3399,   371,
     381,  1670,  1671,  4914,    18,   163,   175,   251,   369,   381,
     371,   439,  2843,  1682,  2845,   259,   311,   309,  2809,  4410,
     392,   411,    36,   395,   163,   453,   329,  2157,  4965,   260,
     224,  3056,    85,   296,   265,  2656,  2005,  2005,  4472,  3263,
    3065,   323,   324,  2834,  1986,  1987,   244,   339,   246,   232,
     452,  1960,   296,   218,   227,   457,  2047,  2481,  2049,  2045,
    2125,  2191,   274,   221,  4051,  2195,  4053,  4054,   227,  2045,
    4057,   448,  4807,   230,  2498,  2605,   453,   860,   455,   448,
     274,  4472,   221,  2213,   453,  2509,   455,  3270,  2393,  2394,
    2395,   230,   875,   258,  2224,   878,  2560,   309,  2562,  2563,
    2659,   313,   454,  2045,    64,   457,   452,  2237,   323,   324,
      70,   457,     4,  3867,  4675,   309,  2246,     9,  3872,   313,
     453,    81,   455,  2954,  3878,    89,  2191,   339,  2114,  2960,
    4559,   230,  4561,  1802,   260,   451,  4565,   453,  4567,   265,
    4001,   175,   184,  3447,   302,   339,  3433,  2810,   381,   109,
     454,   111,  3184,   457,   327,  3452,  3453,  3228,  3229,  3230,
    3231,    77,  2098,  3234,  3235,  3236,  3237,  3238,  3239,  3240,
    3241,  3242,  3243,   451,   368,   453,   370,   455,    52,  4439,
    1081,  2246,   418,  1084,   420,  1086,   411,  1088,   454,  1090,
    3261,   457,  3375,  1094,  3192,   368,   160,  3484,   454,   323,
     324,   457,  3111,  3112,   208,   454,  3017,   227,   457,   368,
     453,   369,  4947,   371,   453,   329,   455,  4651,  2777,  3290,
    3291,  2884,   395,   418,   418,   420,   190,     9,   188,   332,
     369,     8,   371,  3223,    11,   453,   395,   395,    15,    16,
      17,   205,  4676,   454,   260,   418,   457,   420,   418,   327,
     420,   215,  2777,   411,   457,  3479,   395,  3481,  2200,   418,
    4651,   420,   365,    40,  2747,  2748,  2208,  3257,  2210,    46,
    3671,  3102,   454,   454,   453,   457,   457,   241,   454,  2265,
     453,   457,   454,    52,   456,  4676,   246,  2273,   369,  1781,
     371,   251,  1784,    70,   453,  2281,   260,  2283,  3129,  3130,
    4377,  3132,   405,  3134,  3135,   454,   411,   327,   457,   227,
     454,   454,  3302,   457,   457,   418,  3147,     8,   454,   454,
      11,   457,   457,   409,    15,    16,    17,  4888,    42,   454,
     290,   454,   457,   455,   457,  2465,   439,    53,   454,   454,
     456,    32,   457,  2329,   304,  2495,   454,   436,   368,   457,
     453,  2501,   204,  2483,  3185,   319,  3188,  2781,  4345,  2028,
    4921,  2491,   454,  2032,  2033,   457,   454,   454,  2037,   457,
     457,  3396,  3397,  2359,  2798,   395,  2045,  4131,   263,  3657,
     137,  2367,  2351,  2351,   454,   101,  3674,   457,   454,   376,
     454,   457,   149,   457,  2063,   263,  2316,   154,   418,   176,
     420,   369,   260,   371,   181,   247,   248,   454,   137,   327,
     457,   454,   154,  3193,   457,  4804,   454,  2900,   454,   457,
     149,   457,   767,   454,   769,   154,   457,  2910,  3042,  4990,
    4864,   454,   392,   453,   457,   399,   454,   260,  2107,   457,
     217,   198,  4303,  2429,  2605,   204,   454,  2389,  2390,   457,
     368,   436,   454,    89,  2396,   457,  2125,  2126,   263,    42,
    3019,   218,  3021,   454,   137,   436,   457,   183,  2892,   198,
    2894,   454,  3377,  4864,   457,   454,   149,   395,   457,  3425,
     454,   154,  3856,   457,  3858,   262,   158,  2156,  2157,   218,
     332,  2160,  2642,   446,  3019,   454,  3021,   453,   457,   457,
     418,   258,   420,   454,  3722,  3723,  3724,   454,   454,   266,
     457,   202,  3168,    52,   159,   231,  2677,  2459,   234,   200,
     453,   455,  2191,   365,   160,   198,  2195,  3598,   244,   258,
    3089,  2955,   339,   422,   453,   453,  2549,   266,  3338,   454,
       8,   181,   457,    11,  2213,   218,   309,    15,    16,    17,
    3033,  4412,  3035,  2703,   190,  2224,  2980,   273,     8,   454,
     142,    11,   457,   405,  3089,   453,   142,   344,  2237,   205,
     454,   262,   454,   457,   455,   457,   418,  2246,   260,   215,
    2593,  2549,   181,   454,   454,   258,   457,   457,   454,  3325,
      40,   457,   454,   266,   309,   457,    46,   439,   314,   454,
     454,  2731,   457,   457,   454,   241,   260,   457,  3328,  3329,
    3330,   453,   181,   454,     8,   454,   457,    11,   457,   142,
      70,    15,    16,    17,   142,  2593,   454,  4855,   454,   457,
     227,   457,  2301,   227,   391,   260,   454,   353,    32,   457,
     454,   154,  2610,   457,  2774,   309,   454,   142,  3072,   457,
    3954,   454,   216,   111,   457,  2636,  2637,  2638,  2626,   399,
     437,   232,   391,   440,   441,   442,   453,   444,   445,   446,
     447,   448,   449,  2659,  2642,   454,   260,   381,   457,  3103,
     255,   454,   329,   319,   457,  3868,   454,   454,   454,   457,
     457,   457,  4356,  2706,   411,   154,   454,   227,  2367,   457,
    3183,   208,   454,   453,  2673,  2673,  2673,  2673,  2673,  2673,
      64,   454,    35,  3896,   457,  2657,   422,  2659,   391,   227,
     454,   454,   454,   457,   457,   457,   176,   246,   260,   454,
     327,   181,   457,   327,   202,  2703,   246,    42,  2706,  2681,
    2682,   454,   454,   454,   457,   457,   457,    42,   453,   440,
     441,   442,  2882,   444,   445,   446,   447,   448,   449,   386,
    2429,   154,   248,  3554,  3575,  2895,     0,   217,   274,   454,
     454,   368,   457,   457,   368,   454,  4000,   454,   457,   411,
     457,   411,  3206,   454,   454,    77,   457,   457,   154,   293,
     142,  2777,   142,   453,   262,   142,  2465,   327,   395,   408,
     453,   395,  3792,  3227,  4022,  4023,   286,  4025,   202,   453,
     142,    34,   262,   142,  2483,   422,   142,   142,   457,   327,
     142,   418,  2491,   420,   418,   260,   420,   142,  3252,     3,
     142,   260,   142,   142,     8,   154,   137,    11,   368,   142,
     260,    15,    16,    17,  2974,  3006,   332,   453,   149,   142,
     365,   227,  3013,   154,    88,   142,   453,   142,    32,   453,
     368,    35,  3286,    35,   154,   395,    40,  3805,   262,  3685,
     216,   154,    46,  4627,   260,  3706,   453,     5,  2864,   365,
       5,   453,   154,  3714,  3715,  3716,  3717,   395,   418,     5,
     420,   453,   453,   453,   344,   453,    70,   198,   453,  2568,
     453,   453,     5,   137,   453,  2574,   453,   453,   453,   453,
     418,   453,   420,   453,     5,   149,   453,   218,     5,   405,
     154,   419,  2908,   453,   453,   159,   453,   453,   453,   453,
     164,   453,   418,   167,   271,   200,   170,   453,    35,   453,
     457,   453,   453,    92,   453,   453,   216,  3727,   154,    35,
     258,   327,   457,   439,   154,   339,   256,   258,   376,   376,
     327,   455,   376,   376,   198,   266,   327,   453,   454,   218,
     456,  2957,   440,   441,   442,   376,   444,   445,   446,   447,
     448,   449,   442,    81,   218,   376,   376,   437,   327,   142,
    2659,   260,   368,  2979,   444,   445,   446,   447,   448,   449,
    2986,  2987,   176,   260,  2990,    30,    31,   181,  3158,   213,
     331,  2997,   376,   376,  3000,   251,  3146,   376,   227,   395,
    3006,   398,   260,   368,   258,   260,   260,  3013,   202,   203,
     256,  3161,   266,  3019,   323,  3021,   376,   453,   376,   174,
      81,   453,   418,   217,   420,   274,   440,   441,   442,   457,
     444,   445,   446,   447,   448,   449,  3186,   181,   142,   103,
     376,   227,  2731,    88,  3006,  4090,   399,    52,   399,   376,
     376,  3013,    52,  3059,   376,   249,   264,   453,  2747,  2748,
     376,    41,   316,   108,   368,   376,    41,   327,   262,   457,
     391,   265,   260,   202,  3036,   376,   376,   376,   376,   376,
     260,  3932,  3088,  3089,  4175,  2774,   260,   202,  2777,   422,
    3079,  3079,   202,  4184,   376,   386,   141,   453,   327,  4397,
       8,   418,    35,    11,    24,   142,  4350,    15,    16,    17,
     260,   365,  3101,  3101,   246,  3966,  3967,   109,  3621,  3622,
     399,   142,   453,   410,    32,   224,   256,   246,    35,   154,
     451,  3634,    40,   454,   455,   453,    35,   391,    46,   368,
     208,   327,  3312,   246,  3314,   328,  3108,   453,    34,   374,
     344,   374,  3298,   142,   339,   451,   451,   376,   376,   376,
     453,   415,    70,   417,   418,  3921,   395,   376,   142,  2858,
    2859,  2860,   399,   142,   142,   142,   255,   399,   376,   250,
     159,  3625,   368,   414,   238,   453,  4870,  4871,   238,   418,
      11,   420,   457,  2882,  4045,  4046,   374,   451,   150,   376,
     454,   455,   456,   453,   167,   453,  2895,     8,  2897,   395,
      11,  2900,  3168,   159,   378,  3892,   457,   454,   458,   174,
     174,  2910,   198,   453,   453,  3395,   342,  4465,   206,   457,
     261,  3193,   418,   399,   420,    35,   457,    52,  4476,    40,
     268,   454,   376,   437,   327,    46,   440,   441,   442,   376,
     444,   445,   446,   447,   448,   449,   453,   327,   399,   206,
     305,   206,   376,  3296,   251,   251,  3272,   453,   176,    70,
     232,   376,   453,   181,   376,   154,   411,   329,  3428,   208,
     381,  3314,   144,   260,    42,  2974,   251,   332,  4139,   348,
     246,  4142,  4143,   144,   202,   203,   323,   216,   216,  3480,
     216,   259,   376,  3304,  3305,  3306,  3307,  4158,  3296,   217,
     368,   260,   260,  4551,   457,   309,  5000,  5001,   175,   376,
     365,   336,   202,  3012,  3312,   376,  3314,   376,   298,    35,
    3019,   202,  3021,   202,   135,  3885,    54,   399,   202,   399,
     208,   249,   202,   184,  3033,   295,  3035,   259,  4439,   442,
     442,   142,   154,   156,   262,   411,   154,   265,   256,   453,
     405,   142,   453,   336,   409,   142,    35,    25,   246,    87,
     418,  3815,   246,   418,   208,   176,   260,   260,   172,   172,
     181,   154,    35,  3533,   451,   454,  3536,   330,   454,   436,
     436,   454,   236,   142,   439,   260,   208,   260,   336,   454,
    3089,   454,   260,   154,   246,   181,   181,   181,   453,   422,
      23,   165,   376,   457,    72,   457,   217,   457,   453,  4657,
     159,   235,   418,   260,   457,    52,   365,   145,   381,   255,
     411,   454,   454,   159,  4444,   454,   344,   208,   454,   271,
     454,  4075,   454,   454,   453,   103,   454,   457,  3951,   279,
     454,   454,   454,   436,   159,   453,   453,  3146,   453,   376,
     178,   262,   453,   270,   415,   453,   438,   125,   405,   454,
    4714,   261,  3161,  4483,  3480,   261,   397,   260,   136,   226,
     415,   442,    52,   263,   184,   142,  3636,   453,   260,   376,
    3934,   260,   422,   453,  3183,   213,   192,  3186,   156,  4239,
     376,   376,   246,   161,   376,  4556,  4246,  3513,  4258,   251,
    3516,  4014,  3518,   142,  4532,   331,  3512,   142,  3480,   264,
     142,  3965,   331,  4354,   216,   331,  4533,   144,   246,   437,
     184,   376,   440,   441,   442,   218,   444,   445,   446,   447,
     448,   449,  3986,   344,   399,   280,   280,   396,   376,   457,
    3512,   209,   376,   376,   376,   228,  3562,   275,   228,  4547,
     228,  4549,  3568,  3569,   327,  3571,   376,   327,   376,   260,
     327,  3577,   230,   339,  3263,   327,   142,   376,    41,   376,
    3730,  4432,   246,   202,   376,   169,   202,   376,   376,   376,
     202,   376,   202,     3,   376,   313,   457,   315,   454,   317,
    4044,   454,   386,    42,   311,   102,   324,   454,   454,   457,
     453,   259,    35,   331,   260,   142,   142,   376,  3580,  3581,
     154,   339,   169,   452,    62,   452,   142,   263,   327,   454,
     327,   399,   399,   351,   327,   293,   437,   457,  4648,   140,
     140,   359,   336,   444,   445,   446,   447,   448,   449,   202,
    4660,   202,   202,   133,   159,  4665,  4507,  4667,    11,   154,
     271,   457,   320,   159,  3670,  4716,   266,   410,   159,   327,
      22,   261,   451,  4917,   415,   333,    28,  3666,  3666,  4724,
    4725,  3851,   167,   316,   454,  3855,   439,    79,   453,  4133,
    4375,     0,   454,   454,   154,   413,   386,    35,   454,   454,
     208,  4552,   376,   453,  3885,   192,    52,   365,   368,   457,
     368,   457,   399,   399,   454,   453,    68,   454,   454,  4459,
    4270,   452,   142,   453,   386,   331,   376,   376,   386,   376,
     327,   376,   376,   327,   454,  4179,  4980,   454,  3744,  3428,
     454,  3747,   309,  3749,   442,   453,   418,    52,   368,   154,
     144,    70,   142,   411,   102,  4999,  4556,   202,   386,   454,
     202,   202,   202,   206,  4314,  3727,   418,   422,   120,   453,
     294,   453,   187,   453,   154,   127,   457,   454,   130,    88,
      35,   457,    75,   368,   386,  3474,   457,   453,  4833,   376,
    3479,   454,  3481,   336,    22,   164,    24,   453,   457,   102,
      28,  4304,   159,   155,   202,    33,    34,    35,   159,    37,
     452,   202,    40,    41,   202,    43,   202,    45,    52,   454,
    4001,   453,   303,   454,   416,   416,   205,   457,   137,   205,
     454,  3981,   269,   454,   186,   271,   454,   367,   453,   453,
     149,   267,    52,  3993,  3533,   154,   453,  3536,   170,   454,
     159,   454,  4903,   454,   256,   164,   442,   386,   167,   376,
     159,   170,   418,  3851,    70,    20,   186,  3855,   251,   251,
      25,   442,    52,   376,  3880,   368,  3882,   457,   457,  4897,
      64,   142,   376,   161,   376,   202,   159,   399,   453,   198,
     181,   453,   244,   399,   246,    35,   246,   128,   418,   414,
     418,   336,  3913,    58,   256,  3894,  3894,  4077,    35,   218,
     159,   260,   264,   453,   154,   189,    71,   200,   263,   303,
     159,   453,   274,   352,   278,   453,   404,   417,   205,   454,
      85,   454,  3621,  3622,   453,    81,   123,   260,   304,   453,
     154,   454,   453,   376,   454,  3634,   376,  3636,   116,   258,
      35,   260,   184,   251,   453,   453,   142,   266,   229,   294,
     312,   313,   190,   191,   192,   193,  3962,   195,   454,   197,
     125,   199,   141,   201,   453,    35,   204,  4556,   453,   453,
     453,   136,   210,   454,   264,   213,   386,   339,   324,   217,
     324,   219,   350,   454,   350,  4001,  4440,    52,    52,    35,
    3962,   156,   453,   453,   457,   454,   161,   316,   454,  4159,
     399,   244,   260,   368,     5,   148,    64,   263,   294,   453,
      64,   453,  3984,  3985,   368,   453,   368,  3989,  3990,   454,
     123,   418,   403,   418,  4478,   303,  4042,  4043,  4889,  4001,
     404,  3730,   453,   457,   453,  4051,    35,  4053,  4054,  4219,
     402,  4057,   339,  4687,  4224,   159,   365,   368,   301,  4229,
     154,   251,  4232,  4233,   128,    22,   186,   260,   415,   260,
     336,    28,   453,    35,    35,   230,   453,   161,   263,   161,
     263,   454,   391,   453,    52,   453,  4256,  4531,   323,  4270,
     114,  4535,  4536,   454,   454,  4101,    53,   397,     5,  4269,
     323,   310,    21,    32,   141,   294,   415,   262,   417,   418,
     453,    68,   376,  4263,   453,  4265,   457,  4106,  4106,   159,
     457,   350,  4303,   350,  4130,   453,   418,   161,   418,   161,
     764,  1485,  2314,  4314,  4684,   867,  1261,  4716,   293,   827,
    2169,  2659,   451,  4313,   101,   454,   455,   456,  3479,  2241,
     866,  2834,  3004,  3577,  4160,  4569,  4714,  4903,  4164,  4165,
    4393,  4167,  3619,   120,  4068,  4397,  4374,  2447,  4811,  2754,
     127,  4269,   327,   130,  4894,  4742,  4741,  4842,   333,  2758,
    3667,   336,  3652,  3611,  4628,  3474,  4356,  2304,  2304,  2859,
    3635,  4093,  1556,  2298,  4905,  3058,  4999,  4369,   155,  4980,
    3012,  3008,  4853,  4316,  4702,  1545,  4821,  4319,    27,  3730,
     365,     8,  1107,  4505,    11,  1118,  2019,   372,    15,    16,
      17,  3674,  2729,  4627,   379,   631,   183,   602,  1736,   186,
    1737,   386,  1736,  2958,  4869,    32,  4224,  1960,  4983,  4000,
    4410,  4229,  1961,    40,  4232,  1343,  3895,  1682,  4803,    46,
    1288,  3372,  2003,   742,  1238,  2674,   411,  2689,  3337,  1977,
    4796,  4669,  3951,  3881,  1307,  1306,  2703,  3956,  3314,  3842,
    4258,  3857,  2002,    70,   231,  1309,  4473,   234,  1314,  3312,
    4651,  4251,  4650,  3373,  3117,  4442,  3265,   244,  4248,   246,
    1614,  4799,  3981,  4800,  4786,  2677,  2610,  4303,  2520,   256,
    2608,  2662,  4472,    -1,  3993,    -1,    -1,   264,  1830,    -1,
    1833,  4000,    -1,    -1,    -1,    -1,   273,   274,    -1,    -1,
      -1,   549,    -1,    -1,  4903,  4014,    -1,   555,    -1,   557,
      -1,    -1,   560,    -1,   562,    -1,   564,    -1,    -1,  4345,
      -1,  4303,    -1,   571,    -1,    -1,    -1,   575,    -1,    -1,
      -1,    -1,   309,    -1,   582,   312,   313,   314,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,     0,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,   606,   176,
      -1,    -1,   339,   611,   181,    -1,    -1,    32,   616,    -1,
    4379,  4379,   620,    -1,    -1,    40,   353,    -1,    -1,    -1,
      -1,    46,    -1,    -1,    -1,   202,   203,    -1,    -1,   637,
      -1,    -1,    -1,    -1,  4584,    -1,    -1,    -1,  4407,  4407,
     217,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,
    4483,    -1,   249,    -1,    -1,    -1,    88,    -1,   686,    -1,
      -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,   265,  4502,
    4159,   699,    -1,   701,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4651,    -1,    -1,  4472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   721,   722,  4483,   724,   725,    -1,    -1,
      -1,   729,    -1,  4684,    -1,   137,  4676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4502,   743,    -1,   149,    -1,   747,
      -1,    -1,   154,    -1,    -1,   753,    -1,   159,    -1,    -1,
      -1,   176,   164,    -1,    -1,   167,   181,   765,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   777,
    4556,    -1,    -1,    -1,  4560,    -1,    -1,   202,   203,    -1,
      -1,    -1,    -1,    -1,  4570,    -1,   198,    -1,    -1,    -1,
      -1,    -1,   217,    -1,  4263,    -1,  4265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   218,  4757,    -1,    -1,
      -1,    -1,   820,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,   836,    -1,
      -1,    -1,    -1,   841,   842,  4304,    -1,   262,  4607,  4607,
     265,    -1,    -1,    -1,    -1,    -1,   258,    -1,   260,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,   866,   867,
     437,    -1,    -1,   440,   441,   442,  4816,   444,   445,   446,
     447,   448,   449,    -1,  4804,    -1,    -1,    -1,    -1,    -1,
     457,  4350,    -1,    -1,    -1,   893,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,   904,    -1,    -1,    -1,
     908,    -1,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,  4864,   923,    -1,    -1,    40,   344,
    4870,  4871,    -1,    -1,    46,    -1,    -1,    -1,    -1,    -1,
    4716,    -1,    -1,    -1,  4720,   943,  4722,    -1,    -1,    -1,
    4726,  4727,   950,   951,    -1,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,   967,
     968,   969,    -1,   971,    -1,   973,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,   391,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,   415,    -1,   417,   418,    46,    -1,    -1,
      -1,    -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,   454,
      -1,    70,  1040,    -1,  1042,  1043,    -1,    -1,  4988,   451,
      -1,    -1,   454,   455,   456,    -1,    -1,    -1,    -1,    -1,
    5000,  5001,    -1,    -1,   176,    -1,  4525,    -1,    -1,   181,
      -1,    -1,  1070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     202,   203,    -1,    -1,    -1,  4854,  4854,  4556,    -1,    -1,
      -1,    -1,  1100,  1101,    -1,   217,    -1,  1105,    -1,  1107,
    4869,  4869,  4869,  4869,  4869,  4869,    -1,    -1,    -1,    -1,
    4923,    -1,    -1,    -1,    -1,    -1,    -1,  4903,    -1,    -1,
    1128,    -1,    -1,  1131,    -1,    -1,  1134,   249,    -1,    -1,
      -1,  4917,    -1,    -1,    -1,    -1,    -1,   176,    -1,  1147,
     262,    -1,   181,   265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4923,  4923,  4923,  4923,  4923,  4923,
      -1,    -1,    -1,   202,   203,    -1,    -1,    -1,  1176,    -1,
      -1,    -1,    -1,    -1,     8,  4917,    -1,    11,   217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4980,    -1,  1204,  1205,  1206,    -1,
    1208,    -1,    35,    -1,    -1,    -1,    40,    -1,    -1,    -1,
     249,    -1,    46,  4999,  4983,  4983,  4983,  4983,  4983,  4983,
    1228,    54,   344,   262,    -1,    -1,   265,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    70,    -1,  4980,    -1,
      -1,    -1,    -1,    -1,    -1,  4714,    -1,  4716,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    -1,    -1,  4999,  1266,    -1,
      -1,  1269,    -1,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1299,    -1,   117,    -1,  1303,  1304,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,   344,  1314,  1315,  1316,    -1,
      -1,    -1,   145,    -1,    -1,   437,    -1,    -1,   440,   441,
     442,   145,   444,   445,   446,   447,   448,   449,  1336,    -1,
      -1,    -1,   454,    -1,    -1,  4804,    -1,    -1,    -1,    -1,
      -1,    -1,   176,    -1,    -1,   178,    -1,   181,    -1,    -1,
      -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1371,    -1,    -1,    -1,    -1,  1376,    -1,
      -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,
     213,  1389,  1390,   217,    -1,    -1,    -1,    -1,    -1,   213,
    1398,    -1,    -1,  1401,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,   246,    -1,   454,  1424,    -1,  1426,    -1,
      -1,    -1,   246,    -1,    -1,    -1,  1434,    -1,   262,  1437,
      -1,    -1,    -1,    -1,  4903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   275,    -1,    -1,    -1,    -1,    -1,  4917,    -1,
     274,   275,    -1,  1461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1469,  1470,  1471,  1472,  1473,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,  1487,
     313,    -1,    -1,    -1,   317,   309,    -1,    -1,    -1,   313,
    1498,   324,  1500,   317,    -1,    -1,    -1,    -1,   331,    -1,
     324,    -1,    -1,    40,  1512,  1513,   339,   331,    -1,    46,
     344,  4980,    -1,  1521,    -1,   339,    -1,    -1,   351,    -1,
      -1,    -1,    -1,  1531,    -1,    -1,   359,   351,    -1,    -1,
    4999,    -1,    -1,    70,     8,   359,    -1,    11,    -1,    -1,
      -1,    -1,  1550,    -1,    -1,    -1,   379,    -1,    -1,    -1,
      -1,  1559,  1560,  1561,  1562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1571,    -1,    -1,    40,    -1,    -1,    -1,
    1578,    -1,    46,  1581,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,  1591,   417,     8,    -1,    -1,    11,   413,
    1598,    -1,    15,    16,    17,  1603,    70,    -1,   135,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,    32,
     444,   445,   446,   447,   448,   449,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    46,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,  1640,    -1,    -1,    15,    16,    17,    -1,   176,
      -1,    -1,  1650,    -1,   181,    -1,  1654,    70,    -1,  1657,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,  1667,
      40,   135,     8,    -1,    -1,    11,    46,  1675,  1676,    15,
      16,    17,  1680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      70,    -1,    -1,    -1,    40,    -1,    -1,  1705,    -1,    -1,
      46,    -1,   176,    -1,  1712,    -1,  1714,   181,    -1,    -1,
    1718,  1719,    -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,
    1728,    -1,    -1,    -1,    70,   262,    -1,  1735,    -1,    -1,
      -1,    -1,  1740,  1741,    -1,    -1,  1744,    -1,    -1,    -1,
    1748,    -1,  1750,   217,    -1,    -1,    -1,  1755,  1756,    -1,
      -1,    -1,    -1,   176,  1762,  1763,  1764,    -1,   181,    -1,
    1768,  1769,  1770,  1771,  1772,  1773,  1774,  1775,    -1,  1777,
      -1,  1779,  1780,    -1,    -1,  1783,    -1,    -1,    -1,   202,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
    1798,  1799,  1800,  1801,   217,    -1,   176,  1805,  1806,    -1,
      -1,   181,  1810,    -1,    -1,  1813,    -1,   344,  1816,  1817,
    1818,  1819,  1820,  1821,  1822,  1823,  1824,    -1,  1826,    -1,
      -1,    -1,   202,   203,  1832,  1833,   249,  1835,    -1,    -1,
     176,    -1,    -1,    -1,  1842,   181,    -1,   217,    -1,   262,
      -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   202,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,
     344,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,   265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,   249,    -1,    -1,    -1,   444,   445,   446,
     447,   448,   449,    -1,    -1,    -1,   262,    -1,    -1,   265,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,  1959,    11,  1961,    -1,  1963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,   344,    -1,    -1,    -1,    -1,  1977,
     444,   445,   446,   447,   448,   449,    -1,    -1,  1986,  1987,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,    -1,
      -1,    -1,  2000,    -1,    -1,    -1,    -1,    -1,   344,  2007,
      -1,  2009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,   437,    -1,    -1,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
    2038,   454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2047,
      -1,  2049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,  2066,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
    2078,    -1,  2080,  2081,   454,    -1,   135,  2085,    -1,  2087,
      -1,  2089,    -1,  2091,    -1,    -1,     8,  2095,    -1,    11,
    2098,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,   454,    -1,
      -1,  2119,    -1,    -1,    -1,    -1,    -1,   176,    40,    -1,
      -1,  2129,   181,    -1,    46,    -1,    -1,    -1,    22,  2137,
      -1,    -1,    -1,    -1,    28,    -1,  2144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2153,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,   217,    -1,
      -1,    15,    16,    17,    -1,    -1,  2174,    -1,    -1,    -1,
      -1,  2179,  2180,    -1,    68,    -1,    -1,    -1,    32,    -1,
    2188,  2189,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    46,    -1,    -1,    -1,    -1,    -1,  2206,    -1,
      -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,   135,    11,    -1,    70,    -1,    15,    16,
      17,    -1,    -1,   117,    -1,  2233,   120,  2235,  2236,    -1,
      -1,    -1,    -1,   127,    -1,    32,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    40,   191,   192,    -1,    -1,   195,    46,
     197,    -1,    -1,    -1,   176,    -1,  2264,    -1,    -1,   181,
      -1,   155,    -1,    -1,  2272,    -1,  2274,    -1,    -1,    -1,
     217,    -1,  2280,    70,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,  2292,   344,    -1,    15,    16,    17,
      -1,    -1,   186,    -1,    -1,   217,    -1,    -1,  2306,    -1,
      -1,  2309,    -1,  2311,    32,    -1,  2314,    -1,    -1,  2317,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    -1,   181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2343,    -1,    -1,    -1,    -1,
     262,    -1,    70,    -1,  2352,  2353,    -1,    -1,   202,   203,
     244,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   217,    -1,    -1,    -1,    -1,  2376,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,   176,
     274,    -1,    -1,  2391,   181,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,   249,    -1,    -1,  2406,    -1,
    2408,  2409,  2410,  2411,    -1,   202,   203,    -1,   262,    -1,
      -1,   265,    -1,    -1,    -1,   309,    -1,    -1,   312,   313,
     217,    -1,   344,    -1,    -1,    -1,  2434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,  2447,
      -1,    -1,    -1,    -1,    28,   339,    -1,    -1,   176,    -1,
      -1,    -1,   249,   181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,   265,    -1,
      -1,    -1,    -1,    -1,   202,   203,    -1,  2485,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,  2495,    -1,   217,
     344,    -1,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2512,    -1,    -1,    -1,   402,    -1,
      -1,  2519,    -1,    -1,    -1,   437,  2524,    -1,    -1,    -1,
      -1,   249,   444,   445,   446,   447,   448,   449,    -1,    -1,
      -1,    -1,    -1,   117,   262,    -1,   120,   265,    -1,  2547,
    2548,  2549,    -1,   127,  2552,    -1,   130,   344,    -1,    -1,
      -1,    -1,  2560,  2561,  2562,  2563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2573,    -1,    -1,  2576,    -1,
    2578,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2589,  2590,   437,    -1,  2593,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,  2605,    -1,  2607,
     454,  2609,   186,  2611,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   560,    -1,    -1,   344,   564,    -1,    -1,
      -1,    -1,    -1,  2631,    -1,    -1,    -1,  2635,    -1,    -1,
      -1,    -1,    -1,    -1,  2642,   582,  2644,  2645,  2646,    -1,
     437,    -1,    -1,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,    -1,  2662,    -1,    -1,   454,    -1,    -1,
     244,    -1,   246,    -1,    -1,    -1,  2674,    -1,    -1,    -1,
       8,    -1,   256,    11,    -1,    -1,    -1,    15,    16,    17,
     264,  2689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     274,    -1,    -1,    -1,    32,  2703,    -1,    -1,  2706,    -1,
      -1,  2709,    40,  2711,    -1,    -1,    -1,    -1,    46,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,   309,   454,    -1,   312,   313,
      -1,    -1,    70,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    22,  2753,    -1,  2755,    -1,    -1,
      28,    -1,  2760,     8,    -1,   339,    11,    -1,    32,    -1,
      15,    16,    17,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    46,    -1,    -1,    -1,    -1,    32,    -1,  2787,
      -1,  2789,  2790,  2791,    -1,    40,    -1,    -1,    -1,    -1,
      68,    46,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,   402,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
      -1,    -1,   120,   181,    -1,    -1,    -1,    -1,    -1,   127,
      -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,   217,
      -1,    13,    -1,    -1,    -1,    -1,    -1,    19,    -1,    -1,
    2898,    -1,    -1,    -1,   841,   842,    -1,    29,    -1,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    -1,   181,   186,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,   176,    -1,    -1,   262,    -1,   181,   265,   202,   203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,    -1,    -1,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   244,    -1,   246,    -1,
      -1,    -1,    -1,  2981,    -1,   249,   923,    -1,   256,    -1,
    2988,  2989,    -1,    -1,    -1,    -1,   264,    -1,   262,    -1,
      -1,   265,    -1,    -1,   249,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,   950,   951,    -1,   344,   262,    -1,    -1,
     265,    -1,    -1,    -1,    -1,    -1,    -1,  3025,  3026,    -1,
      -1,    -1,    -1,    -1,   971,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,  3041,   312,   313,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,  3056,  3057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3065,  3066,  3067,
      54,   339,    -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,
     344,    -1,    -1,   205,    -1,  3083,   208,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,    -1,    -1,    -1,    -1,   344,
      -1,    -1,    -1,    87,    -1,  1042,  1043,    -1,    -1,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,  3136,    -1,
    3138,    -1,    -1,    -1,  3142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3158,   145,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,
    3168,    -1,    28,   437,    -1,    -1,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,  3184,    -1,    -1,    -1,
     454,    -1,   437,    -1,   178,   440,   441,   442,  3196,   444,
     445,   446,   447,   448,   449,  3203,    -1,    -1,    -1,   454,
      -1,    -1,    68,    -1,  3212,    -1,    -1,    -1,    -1,    -1,
    3218,    -1,  3220,    -1,   208,  3223,    -1,    -1,    -1,   213,
    3228,  3229,  3230,  3231,    -1,    -1,  3234,  3235,  3236,  3237,
    3238,  3239,  3240,  3241,  3242,  3243,    -1,    -1,    -1,  3247,
    3248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3257,
      -1,    -1,   246,  3261,   120,    -1,    -1,  3265,    -1,    -1,
      -1,   127,    -1,    -1,   130,  3273,    -1,    -1,  3276,    -1,
    3278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3287,
      -1,   275,  3290,  3291,    -1,    -1,    -1,  3295,  3296,   155,
      -1,    -1,  3300,    -1,  3302,    -1,    -1,    -1,    -1,    -1,
      -1,  3309,  3310,  3311,  3312,    -1,  3314,  3315,    -1,    -1,
      -1,  3319,  3320,    -1,    -1,    -1,    -1,    -1,  3326,   313,
     186,    -1,    -1,   317,  3332,  3333,  3334,    -1,    -1,    -1,
     324,    -1,    -1,    -1,    -1,     8,    -1,   331,    11,    -1,
      -1,    -1,    15,    16,    17,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3361,    -1,    -1,    -1,   351,    -1,    32,
      -1,    -1,    -1,    -1,  3372,   359,  3374,    40,    -1,    -1,
      -1,    -1,    -1,    46,    -1,    -1,    -1,    -1,   244,    -1,
     246,    -1,    -1,    -1,    -1,   379,    -1,  3395,  3396,  3397,
     256,  3399,    -1,    -1,    -1,    -1,    -1,    70,   264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,
    3418,  3419,  3420,  3421,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,   417,   418,    -1,   558,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   566,    -1,    -1,    -1,    -1,  3447,
      -1,   573,    -1,   309,   576,   577,   312,   313,    -1,   581,
      -1,    -1,    -1,  3461,  1401,    -1,    -1,    -1,    -1,    -1,
     592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,   607,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
     622,    -1,   624,    -1,    -1,   627,    -1,   629,    -1,    -1,
     632,    -1,    -1,   176,    32,    -1,    -1,    -1,   181,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,    -1,  1469,  1470,  1471,  1472,    -1,    -1,    -1,   202,
     203,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    70,  3551,   217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1512,  1513,    -1,   700,    -1,
      -1,    -1,    -1,    -1,  1521,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1531,    -1,  3594,    -1,  3596,   262,
    3598,    -1,   265,    -1,    -1,    -1,  3604,    -1,    -1,    -1,
      -1,    -1,  3610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3619,  1559,  1560,  1561,  1562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   755,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3649,    -1,    -1,    -1,    -1,    -1,    -1,   176,  3657,
      -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,  3667,
      -1,    -1,    -1,  3671,    -1,    -1,    -1,  3675,  3676,    -1,
      -1,   344,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   815,     8,    -1,    -1,    11,    -1,   217,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3709,    -1,  3711,    -1,    -1,    -1,  1654,    32,    -1,
    1657,    -1,    -1,  3721,    -1,    -1,    40,    -1,    -1,    -1,
    1667,   249,    46,    -1,    -1,    -1,    -1,    -1,    -1,  1676,
      -1,    -1,    -1,    -1,   262,    -1,    -1,   265,    -1,    -1,
      -1,    -1,    -1,  3751,    -1,    -1,    70,    -1,    -1,   881,
      -1,    -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,   897,    -1,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,   909,    -1,   911,
      -1,   454,    -1,    -1,  3792,    -1,    -1,   919,    -1,    -1,
      -1,    -1,    -1,    -1,  3802,  3803,    -1,    -1,    -1,   931,
      -1,  3809,  3810,    -1,   936,    -1,  3814,   939,    -1,    -1,
      -1,  3819,    -1,    -1,  3822,  3823,   344,    -1,    -1,  3827,
    3828,    -1,    -1,    -1,    -1,  3833,  3834,  3835,  3836,  3837,
      -1,    -1,    -1,  3841,  3842,    -1,  3844,    -1,    -1,  3847,
      -1,    -1,   974,  3851,    -1,    -1,    -1,  3855,    -1,    -1,
      -1,    -1,   176,  3861,    -1,    -1,    -1,   181,  1805,  3867,
      -1,    -1,    -1,    -1,  3872,    -1,    -1,    -1,    -1,    -1,
    3878,    -1,    -1,    -1,    -1,    -1,    -1,  3885,   202,   203,
      -1,    -1,    -1,    -1,  3892,    -1,    -1,  3895,    -1,    -1,
      -1,    -1,  3900,   217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3913,    -1,    -1,  3916,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,   249,   454,    -1,  3936,  3937,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,   265,    -1,    -1,    -1,    -1,  3954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,  1109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4004,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    68,    -1,    15,    16,    17,  4024,    -1,    -1,    -1,
     344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,  4039,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,
       8,    -1,    -1,    11,    46,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,
      -1,    -1,    -1,   120,    32,    -1,    -1,    -1,    70,  4077,
     127,    -1,    40,   130,  4082,    -1,    -1,    -1,    46,    -1,
      -1,    -1,  4090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   155,  4107,
    4108,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,  4136,   186,
     454,    -1,    -1,  2080,  2081,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2089,    -1,  2091,    -1,    -1,    -1,  2095,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1288,  1289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4175,    -1,    -1,
      -1,    -1,    -1,    -1,   176,    -1,  4184,    -1,    -1,   181,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,   246,
      -1,    -1,    -1,  4201,  4202,    -1,    -1,  4205,    -1,   256,
     202,   203,    -1,    -1,    -1,    -1,    -1,   264,   176,    -1,
      -1,  4219,  4220,   181,    -1,   217,  4224,   274,    -1,    -1,
      -1,  4229,    -1,    -1,  4232,  4233,    -1,  4235,  1360,  4237,
      -1,    -1,  4240,  4241,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,  4256,   217,
      -1,    -1,   309,    -1,    -1,   312,   313,    -1,    -1,  2206,
     262,  4269,  4270,  4271,  4272,  4273,    -1,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     210,   249,   339,    -1,    -1,    -1,    -1,    -1,    -1,   219,
      -1,    -1,    -1,  1425,   262,    -1,    -1,   265,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4313,  4314,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2264,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2272,    -1,  2274,    -1,    -1,
      -1,    -1,    -1,  2280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   402,    -1,    -1,  4356,    -1,
      -1,  4359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4369,    -1,    -1,    -1,    -1,    -1,  4375,    -1,  4377,
      -1,    -1,    -1,    -1,    -1,  4383,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4408,  4409,  4410,    -1,    -1,  2352,    -1,    -1,    -1,  1541,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4439,    -1,    -1,  4442,   437,  4444,    -1,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
    4468,  2408,    -1,  2410,  4472,    -1,    -1,    -1,  4476,   437,
      -1,    -1,   440,   441,   442,  4483,   444,   445,   446,   447,
     448,   449,    -1,    -1,  4492,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4502,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1639,    -1,  4517,
      -1,    -1,    -1,    85,    -1,    -1,    22,    -1,    -1,    -1,
      -1,  1653,    28,    -1,  1656,    -1,  1658,    -1,  1660,    -1,
      -1,   103,  4540,    -1,  1666,    -1,    -1,   109,    -1,  4547,
    4548,  4549,  4550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,   136,  2512,    -1,    -1,    -1,    -1,
      -1,    -1,   144,    -1,    -1,    -1,  4584,    -1,    -1,  1711,
      -1,    -1,    -1,  1715,   156,  1717,    -1,    -1,  1720,   161,
      -1,    -1,  4600,    -1,    -1,   167,    -1,  4605,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   184,    -1,   120,    -1,    -1,    -1,    -1,   549,
      -1,   127,    -1,    -1,   130,   555,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
    4648,    -1,    -1,  4651,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,  4660,    -1,    -1,    -1,    -1,  4665,   230,  4667,
      -1,  4669,    -1,     8,    -1,    -1,    11,    -1,  4676,    -1,
      15,    16,    17,    -1,  4682,    -1,  4684,    -1,    -1,    -1,
     186,    -1,    -1,    -1,    -1,  4693,    -1,    32,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   283,    -1,    -1,    -1,    -1,  4724,  4725,    -1,    -1,
      -1,   293,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
     246,    -1,    -1,  4751,    -1,    -1,    -1,    -1,   320,  4757,
     256,    -1,    -1,   325,    -1,   327,    -1,    -1,   264,    -1,
      -1,   333,    -1,    -1,   336,    -1,    -1,    -1,   274,   699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4785,  4786,    -1,
      -1,    22,  4790,    -1,    -1,    -1,    -1,    28,  4796,    -1,
      -1,  4799,   364,   365,   724,  4803,   368,    -1,    -1,    -1,
     372,    -1,    -1,   309,    -1,    -1,   312,   313,  4816,   381,
      -1,    -1,    -1,   743,   386,    -1,    -1,    -1,  4826,    -1,
      -1,    -1,    -1,    -1,    -1,  4833,   398,    68,    -1,    -1,
      -1,   176,    -1,   339,    -1,   765,   181,    -1,    -1,   411,
    2787,    -1,  2789,  2790,  2791,    -1,    -1,  4855,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4864,   202,   203,    -1,
      -1,    -1,  4870,  4871,  4872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,  4891,    -1,    -1,   127,    -1,    -1,   130,
    4898,    -1,    -1,    -1,    -1,    -1,   402,  2029,  2030,    -1,
      -1,    -1,  2034,  2035,   249,    -1,   836,  2039,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,   262,    -1,    -1,
     265,  2053,    -1,    -1,    -1,    -1,    -1,    -1,  2060,    -1,
      -1,    -1,  2064,  2065,    -1,    -1,  2068,  2069,    -1,    -1,
      -1,    -1,    -1,  2075,    -1,   186,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2088,    -1,  2090,    -1,
      -1,    -1,     8,    -1,    -1,    11,  4974,  4975,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,
    4988,    -1,  2114,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,  5000,  5001,    40,  2127,    -1,    -1,    -1,   344,
      46,    -1,    -1,   244,  2136,   246,  2138,    -1,    -1,  2141,
    2142,  2143,    -1,   943,    -1,   256,  2148,  2149,    -1,    -1,
      -1,    -1,    -1,   264,    70,    -1,  2158,    -1,    -1,    -1,
      -1,  2163,    -1,   274,  2981,    35,  2168,   967,   968,   969,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2196,    -1,    -1,    -1,   309,    -1,
      -1,   312,   313,    -1,    -1,  2207,    -1,  2209,    -1,    -1,
      -1,    -1,  2214,    -1,    -1,    -1,  2218,    87,  2220,  2221,
    2222,  2223,   437,  2225,    -1,   440,   441,   442,   339,   444,
     445,   446,   447,   448,   449,    -1,  2238,  2239,  2240,   454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2250,  2251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,    22,    -1,    -1,   190,   181,    -1,    28,    -1,    -1,
      -1,    -1,    -1,   199,   200,   145,    -1,    -1,    -1,    -1,
      -1,   207,    -1,    -1,    -1,    -1,   202,   203,    -1,    -1,
      -1,   402,   218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2302,   217,    -1,     8,    -1,  1105,    11,    68,   178,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,  3136,
      -1,  3138,    -1,    -1,    -1,  3142,    -1,    32,    -1,    -1,
      -1,  1131,    -1,   249,    -1,    40,    -1,    -1,   208,    -1,
      -1,    46,    -1,   213,    -1,    -1,   262,    -1,    -1,   265,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,    -1,    -1,    70,   127,    -1,    -1,   130,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,  3196,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,   186,    -1,    11,   344,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,    -1,   317,    32,    -1,
      -1,    -1,    36,  2455,   324,    -1,    40,    -1,    -1,    -1,
      -1,   331,    46,    -1,    -1,    -1,  1266,    -1,    -1,   339,
      -1,   176,    22,    -1,    -1,    -1,   181,    -1,    28,    -1,
      -1,   351,    -1,   244,  2486,   246,    70,    -1,    -1,   359,
      -1,    -1,    -1,    -1,    -1,   256,    -1,   202,   203,    -1,
      -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,   379,
      -1,    -1,   217,   274,    -1,  1315,    -1,    -1,    68,    -1,
      -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   118,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,   413,   249,    -1,    -1,   417,   309,    -1,
      -1,   312,   313,    -1,    -1,    -1,    -1,   262,    -1,    -1,
     265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,   127,   339,    -1,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1389,
      -1,    -1,   176,    -1,    -1,    -1,    -1,   181,  1398,    -1,
      -1,  3418,  3419,  3420,  3421,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,   203,
      -1,    -1,    -1,    -1,    -1,    -1,  1426,    -1,    -1,    -1,
      -1,   557,    -1,   217,  1434,    -1,   186,  1437,    -1,   344,
      -1,   402,    -1,   569,    -1,    -1,    -1,    -1,   574,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   585,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
    2672,    -1,    -1,  1473,    -1,   601,    -1,    -1,   262,    -1,
     606,   265,    -1,    -1,    -1,    -1,   612,  1487,    -1,    -1,
     616,   617,    -1,    -1,   244,    -1,   246,   623,    -1,    -1,
    1500,    -1,    -1,    -1,    -1,    -1,   256,   633,   634,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   642,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,
    2732,  2733,   437,    -1,    -1,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,  2750,    -1,
    1550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
     344,    -1,   312,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1571,    -1,  2775,    -1,    -1,    -1,  2779,  1578,  3596,
      -1,    -1,    -1,  2785,    -1,    -1,    -1,    -1,    -1,   339,
      -1,    -1,    -1,    -1,    -1,   721,   722,    -1,    -1,  2801,
    2802,   727,    -1,    -1,  2806,    -1,    -1,    -1,    -1,  2811,
    2812,  2813,    -1,  2815,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   753,    -1,    -1,
      -1,    -1,    -1,    -1,  2836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2846,  2847,  2848,  2849,    -1,    -1,
      -1,    -1,   402,   437,    -1,    -1,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1680,  2883,    -1,    -1,  2886,  2887,  2888,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2896,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1718,  1719,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1735,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,  2967,    -1,   893,    -1,    -1,
      -1,    -1,    -1,  2975,   900,    32,    -1,    -1,   904,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,
      -1,    -1,  2994,    -1,   920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   934,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,  3020,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      -1,     8,  1832,    -1,    11,    28,    -1,    -1,    15,    16,
      17,    -1,  1842,    -1,    -1,    -1,    -1,   973,    -1,    -1,
       8,    -1,    -1,    11,    -1,    32,    -1,    15,    16,    17,
      -1,    -1,  3064,    40,    -1,    -1,  3068,    -1,    -1,    46,
      -1,    -1,    -1,    -1,    32,    68,    -1,    35,    -1,    -1,
      -1,    -1,    40,    -1,    -1,  1011,    -1,    -1,    46,    -1,
      -1,    -1,    -1,    70,    -1,  3097,    -1,   154,    -1,    -1,
      -1,    -1,   159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,   176,
    1046,    -1,    -1,    -1,   181,  3127,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,   127,    -1,    -1,   130,    -1,  3141,
    1066,    -1,    -1,  3145,  1070,   202,   203,    -1,    -1,    -1,
      -1,    -1,  1078,    -1,  3156,    -1,    -1,    -1,    -1,  1959,
     217,  1961,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
    1106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1115,
      -1,  1117,   249,   186,    -1,    -1,    -1,    -1,    -1,   176,
    2000,    -1,    -1,    -1,   181,   262,  1132,  4024,   265,  1135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
      -1,  1147,  4039,   181,    -1,   202,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
    1176,   244,    -1,   246,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,   256,    -1,    -1,    -1,     8,    -1,    -1,
      11,   264,   249,    -1,    15,    16,    17,    -1,  1204,  1205,
    1206,   274,  1208,    -1,    -1,   262,    -1,   344,   265,    20,
    4107,   249,    -1,    -1,    25,    -1,    -1,    -1,    -1,    40,
      -1,    -1,  1228,    -1,   262,    46,    -1,   265,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,
     313,    -1,    -1,    -1,    -1,    -1,  1252,    58,    -1,    70,
      -1,    -1,    -1,    -1,  1260,  1261,    -1,    -1,    -1,    -1,
      71,    72,    -1,  1269,  1270,    -1,   339,    -1,    -1,    -1,
      81,    -1,    -1,  2153,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,
      -1,    -1,   103,  1299,  2174,    -1,    -1,  1303,  1304,    -1,
     437,    -1,    -1,   440,   441,   442,   344,   444,   445,   446,
     447,   448,   449,  1319,   125,    -1,    -1,    -1,    -1,  1325,
    3402,    -1,  3404,    -1,    -1,   136,    -1,    -1,    -1,   402,
    3412,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   156,    -1,  3429,    -1,    -1,
     161,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
     181,    -1,    -1,  3445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,  4271,  4272,  4273,  3459,  1384,    -1,
     437,   202,   203,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,    -1,    -1,  3477,   217,    -1,   209,   437,
      -1,    -1,   440,   441,   442,  3487,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,  1422,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,   249,    -1,
      -1,  2311,    -1,    -1,    -1,    -1,    -1,  3519,  3520,  3521,
      -1,   262,  3524,  3525,  3526,  3527,  3528,  3529,    -1,    -1,
      -1,   262,  3534,  3535,    -1,  3537,  3538,  3539,  3540,  3541,
    3542,    -1,  3544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3553,   283,  3555,  3556,    -1,    -1,  1483,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3578,  1503,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,   320,
      -1,  4408,  1518,    -1,   325,  3597,   327,    -1,    -1,    -1,
    1526,    -1,   333,   344,    -1,   336,  1532,    -1,    -1,    -1,
      40,  1537,    -1,    -1,    -1,    -1,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1553,    -1,    -1,
      -1,  1557,    -1,    -1,   365,    -1,    -1,   368,    -1,    -1,
      70,   372,    -1,  1569,    -1,    -1,    -1,    -1,   379,    -1,
     381,    -1,    -1,    -1,    -1,   386,    -1,    -1,  1584,    -1,
      -1,    -1,    -1,    -1,    -1,  1591,    -1,    -1,    -1,    -1,
      -1,  1597,    -1,    -1,    -1,    -1,    -1,  1603,    -1,    -1,
     411,    -1,    -1,  1609,    -1,  2485,    -1,    -1,    -1,    -1,
      -1,    -1,  3694,    -1,    -1,  1621,   437,    -1,    -1,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
      -1,    -1,    -1,    -1,  1640,    -1,  1642,  1643,    -1,    -1,
    3722,  3723,  3724,    -1,    -1,    -1,    -1,    -1,    -1,  1655,
      -1,  4548,  3734,  4550,    -1,    -1,    -1,    -1,    -1,  1665,
      -1,    -1,  1668,    -1,  1670,  1671,   176,    -1,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,  1682,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,  1714,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,
      -1,    -1,  1748,    -1,  1750,    -1,    -1,    -1,    -1,  1755,
    1756,    -1,   262,    22,    -1,  2635,  1762,  1763,  1764,    28,
      -1,    -1,  1768,    -1,  1770,  1771,  1772,  1773,  1774,  1775,
      -1,  1777,    -1,  1779,  1780,    -1,    -1,  1783,    -1,    -1,
      -1,    -1,    -1,    -1,    53,  4682,    -1,    -1,    -1,    -1,
      -1,  1797,  1798,  1799,  1800,  1801,  1802,    -1,    -1,    68,
    1806,    -1,    -1,    -1,  1810,    -1,    -1,  1813,    -1,    -1,
    1816,  1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,    -1,
    1826,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,  1835,
      -1,    -1,   101,    -1,   344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,  4751,    -1,    -1,    -1,   127,    -1,
    3942,   130,    -1,    -1,  3946,  3947,  3948,  3949,    -1,    -1,
    3952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3976,  3977,  3978,    -1,  3980,    -1,
    3982,  3983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3994,  3995,   183,    -1,    -1,   186,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,  4826,
     440,   441,   442,  4015,   444,   445,   446,   447,   448,   449,
    4022,  4023,    -1,  4025,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4037,    -1,  1963,    -1,    -1,
      -1,    -1,   231,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,  1977,    -1,    -1,    -1,   244,    -1,   246,    -1,    -1,
    1986,  1987,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,
      -1,  4898,    -1,    -1,   273,   274,    -1,    -1,  2014,    -1,
      -1,    -1,  2018,  2019,    -1,  4097,    -1,    -1,  2898,    -1,
      -1,    -1,  2028,    -1,    -1,    -1,  2032,  2033,    -1,    -1,
      -1,  2037,    -1,    -1,    -1,    -1,  4118,    -1,    -1,  2045,
     309,    -1,    -1,   312,   313,   314,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2063,    -1,    -1,
    2066,    -1,    -1,    -1,    -1,    -1,  4148,    -1,    -1,    -1,
     339,    -1,  2078,    -1,    -1,    -1,  2082,    -1,    -1,  2085,
      -1,    -1,    -1,    -1,   353,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,  2107,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2125,
    2126,    32,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    40,
      -1,    -1,    -1,   402,    -1,    46,    -1,    -1,    -1,    -1,
    4222,    -1,    -1,    -1,    -1,  3025,  3026,    -1,    -1,    -1,
    2156,  2157,    -1,    -1,  2160,  4237,    -1,    -1,    -1,    70,
      -1,  3041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2191,  3066,  3067,    -1,  2195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3083,    -1,    -1,    -1,  2213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2224,    -1,
      -1,    -1,    -1,  4305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2246,    -1,    -1,    -1,  4326,    -1,    -1,    -1,    -1,  4331,
    4332,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
     181,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,  2292,  2293,    -1,    -1,
      46,   202,   203,    -1,  4376,  2301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3184,    -1,   217,    -1,    -1,  4391,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,
      -1,  4423,    -1,    -1,    -1,    -1,    -1,    -1,  4430,    -1,
      -1,   262,    -1,    -1,   265,    -1,    -1,  2363,    -1,    -1,
      -1,  2367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2376,    -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,  4465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4498,    -1,    -1,    -1,
     176,    -1,    -1,  2429,    -1,   181,    -1,    -1,  2434,  3309,
    3310,  3311,    -1,   344,    -1,    -1,    -1,    -1,    -1,  4521,
      -1,    -1,    -1,    -1,    -1,    -1,   202,   203,  4530,   360,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2465,
      -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4551,
      -1,    -1,    -1,    -1,    -1,  2481,    -1,  2483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2491,    -1,    -1,    -1,  2495,
      -1,    -1,  2498,   249,    -1,  2501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2509,    -1,    -1,   262,    -1,    -1,   265,
      -1,    -1,    -1,  2519,    -1,    -1,    -1,    -1,  2524,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   437,    -1,    -1,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
      -1,  2547,  2548,  2549,    -1,    -1,  2552,    -1,    -1,    -1,
      -1,    -1,    -1,  4635,  2560,  2561,  2562,  2563,    -1,    -1,
      -1,    -1,  2568,    -1,    -1,    -1,    -1,  2573,  2574,    -1,
    2576,    -1,  2578,    -1,    -1,  4657,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2589,  2590,    -1,    -1,  2593,   344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2607,    -1,  2609,    -1,  2611,    -1,    -1,    -1,  4691,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,  4706,  2631,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,  2642,    35,  2644,  2645,
    2646,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,    -1,    -1,  2659,    -1,    -1,  2662,    -1,    -1,    -1,
      -1,  4743,    -1,    -1,    -1,    -1,    -1,    -1,  2674,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,  2689,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,  2703,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   612,    -1,    -1,    -1,
      -1,    -1,    -1,  2719,  3594,    -1,  2722,    -1,  2724,    -1,
      -1,    -1,    -1,  2729,  3604,  2731,    -1,   633,     8,    -1,
      -1,    11,    -1,  4815,    -1,    15,    16,    17,    -1,    -1,
      -1,  2747,  2748,    -1,    -1,    -1,    -1,  2753,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,  3639,
      40,    -1,    -1,    -1,    -1,    -1,    46,    -1,  2774,  4851,
      -1,  2777,    -1,    -1,    -1,  2781,    -1,    -1,   176,    -1,
      -1,    -1,    -1,   181,    -1,    -1,    -1,  3667,    -1,    -1,
      70,    -1,  2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2823,    -1,   217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,  2858,  2859,  2860,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,    -1,    -1,   265,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2882,    -1,    -1,   159,
      -1,    -1,    -1,    -1,    -1,    -1,  2892,    -1,  2894,  2895,
      -1,  2897,    -1,    -1,  2900,    -1,   176,    -1,    -1,    -1,
      -1,   181,    -1,    -1,  2910,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,  2955,
      -1,    -1,    -1,    -1,  3834,  3835,  3836,  3837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2974,   249,
      -1,    -1,    -1,    -1,  2980,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,   265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   900,    -1,    -1,    -1,    -1,    -1,
    3006,    -1,    -1,    -1,    -1,    -1,  3012,  3013,    -1,    -1,
      -1,    -1,    -1,  3019,   920,  3021,   200,    -1,    -1,    -1,
      -1,    -1,    -1,   207,    -1,    -1,    -1,  3033,   934,  3035,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,  3072,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3089,  3090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1011,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3158,    -1,    -1,  3161,    -1,   437,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,
    3186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3203,    -1,    -1,
    3206,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,  1115,
      -1,    -1,  3218,    -1,  3220,    -1,    -1,  3223,    -1,    -1,
      -1,  3227,  3228,  3229,  3230,  3231,    -1,    -1,  3234,  3235,
    3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,    -1,    -1,
      -1,  3247,  3248,    -1,    -1,    -1,  3252,    -1,    -1,    -1,
      -1,  3257,    -1,    -1,    -1,  3261,  4136,  3263,    -1,  3265,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3273,    -1,    -1,
    3276,    -1,  3278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3286,  3287,    -1,    -1,  3290,  3291,    -1,    -1,    -1,  3295,
    3296,    -1,    -1,    -1,    -1,    -1,  3302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3312,    -1,  3314,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
    3326,    15,    16,    17,    -1,    -1,  3332,  3333,  3334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    46,    -1,    -1,  3361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3374,    -1,
      -1,    -1,    -1,    -1,  3380,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   569,    -1,    -1,    -1,  3395,
     574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,   585,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,  1319,    -1,    -1,    -1,   601,    -1,    -1,
      -1,    -1,  3428,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,   617,    -1,    -1,    -1,    46,    -1,   623,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   642,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,  3474,    -1,
      -1,    -1,    -1,  3479,  3480,  3481,    -1,    -1,  1384,  4359,
      -1,    -1,   176,    -1,    -1,    -1,    -1,   181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,   203,
      -1,    -1,    -1,    -1,    -1,    -1,  1422,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,    -1,    -1,  3533,     8,  4409,
    3536,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,   727,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    46,   176,   262,    -1,
      -1,   265,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    -1,  3598,   202,   203,    -1,    -1,  1503,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,  1518,    -1,    -1,  3621,  3622,    -1,    -1,  3625,
    1526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3634,    -1,
    3636,  1537,    -1,    -1,    -1,    -1,    -1,  4517,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,    -1,   262,    -1,    -1,   265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3674,  3675,
    3676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1597,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,   181,    -1,  1609,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1621,    -1,    -1,    -1,    -1,
    4600,    -1,   202,   203,  3730,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,   217,    -1,    -1,
      -1,    -1,    -1,   437,    -1,  3751,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,  3762,    -1,    -1,  1665,
      -1,    -1,  1668,    -1,   373,    -1,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,   265,  3792,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3802,  3803,    -1,  3805,
      -1,    -1,    -1,  3809,  3810,    -1,    -1,    -1,  3814,  3815,
      -1,    -1,    -1,  3819,    -1,    -1,  3822,  3823,    -1,    -1,
      -1,  3827,    -1,    -1,    -1,    -1,    -1,  3833,   437,    -1,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,  3851,    -1,     8,    -1,  3855,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,  3867,  1046,    -1,   344,    -1,  3872,    -1,    -1,    -1,
      -1,    32,  3878,    -1,    35,    -1,    -1,    -1,    -1,    40,
      -1,    -1,  1066,    -1,    -1,    46,  3892,    -1,    -1,    -1,
      -1,  1797,    -1,    -1,  1078,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
    3916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1106,    -1,    -1,    -1,    -1,    -1,  3934,  1835,
      -1,    -1,    -1,  1117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3951,    -1,    -1,  1132,    -1,
    3956,  1135,    -1,    -1,    -1,    -1,    -1,   437,    -1,  3965,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,    -1,    -1,    -1,  3981,    -1,    -1,    -1,    -1,
    3986,    -1,    -1,    -1,    -1,    -1,    -1,  3993,    -1,    -1,
      -1,    -1,    -1,    -1,  4000,  4001,    -1,    -1,  4004,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4014,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
     181,    -1,    -1,    -1,    -1,    -1,   721,   722,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4044,    -1,
      -1,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,   753,    -1,
    4066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1252,    -1,
      -1,  4077,    -1,    -1,    -1,    -1,  1260,  1261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1270,    -1,   249,     0,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,    -1,    -1,   265,    -1,    -1,    18,  2014,    -1,
      -1,    -1,  2018,  2019,    -1,    -1,    -1,    28,    -1,    30,
      31,    -1,    -1,    -1,    -1,  4131,    -1,  4133,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,  1325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4159,    65,    -1,    67,    68,    -1,    -1,
      -1,    -1,    73,    -1,    75,    -1,    -1,    -1,    -1,  4175,
      -1,    -1,    -1,  4179,    -1,    86,  2082,    88,  4184,    -1,
      -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,    -1,   105,  4201,  4202,   108,    -1,  4205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     121,    -1,   123,  4219,    -1,    -1,   127,    -1,  4224,    -1,
      -1,    -1,   133,  4229,    -1,    -1,  4232,  4233,  2134,    -1,
     141,    -1,   143,    -1,  4240,  4241,    -1,    -1,   149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4256,    -1,    -1,   164,    -1,    -1,    -1,  4263,    -1,  4265,
      -1,    -1,    -1,  4269,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4303,  4304,  1483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4313,   219,   220,
      -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,  4350,    -1,    -1,    -1,  1532,    -1,
    4356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1553,
      -1,    -1,    -1,  1557,    -1,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1569,    -1,  2293,    -1,   300,
      -1,    -1,    -1,    -1,   305,   306,    -1,   308,    -1,    -1,
      -1,    -1,   313,    -1,  4410,    -1,  4412,   318,    -1,    -1,
     321,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,
     331,   332,    -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,
      -1,    -1,   343,  4439,  4440,    -1,  4442,    -1,  4444,    -1,
      -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1147,    -1,   365,    -1,    -1,  2363,  1642,  1643,
      -1,    -1,  4468,    -1,    -1,    -1,  4472,    -1,    -1,    -1,
      -1,  1655,  4478,   384,    -1,    -1,    -1,  4483,    -1,    -1,
      -1,  1176,    -1,   394,    -1,    -1,  1670,  1671,    -1,   400,
      -1,    -1,    -1,    -1,   405,    -1,  4502,    -1,  1682,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,    -1,  1204,
    1205,  1206,    -1,  1208,    -1,    20,    -1,    -1,    -1,  4525,
      25,    -1,    -1,    -1,    -1,  4531,    -1,    -1,   439,  4535,
    4536,    -1,    37,  1228,  4540,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,    -1,    -1,   456,    -1,    -1,    -1,    -1,
    4556,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1269,  2481,    -1,    -1,  4584,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2498,    -1,    -1,    -1,    -1,    -1,   103,  4605,
      -1,    -1,    -1,  2509,  1299,    -1,    -1,    -1,  1303,  1304,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,
     125,  4627,  4628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,    -1,  4648,    -1,    -1,  4651,    -1,    -1,    -1,    -1,
      -1,   156,    -1,    -1,  4660,    -1,   161,    -1,    -1,  4665,
      -1,  4667,   167,  4669,    -1,    -1,    -1,    -1,    -1,    -1,
    4676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4714,    -1,
    4716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   612,    -1,    -1,  2644,  2645,
    2646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4757,    -1,    -1,    -1,    -1,   633,   262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,  4785,
    4786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,
    4796,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4804,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4816,    -1,    -1,  2719,    -1,   320,  2722,    -1,  2724,    -1,
     325,    -1,   327,  2729,    -1,    -1,    -1,    -1,   333,    -1,
      -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2028,    -1,    -1,    -1,  2032,  2033,
      -1,    -1,    -1,  2037,    -1,    -1,    -1,    -1,  4864,    -1,
     365,  2045,    -1,   368,  4870,  4871,  4872,   372,    -1,    -1,
      -1,    -1,    -1,    -1,   379,  2781,   381,    -1,    -1,  2063,
      -1,   386,    -1,    -1,    -1,  4891,    -1,    -1,    -1,    -1,
      -1,    -1,  2798,   398,    -1,    -1,    -1,  4903,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,
      -1,  4917,    -1,    -1,    -1,    -1,    -1,  2823,    -1,    -1,
      -1,    -1,    -1,  2107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2125,  2126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   633,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4974,  4975,
      -1,    -1,  2156,  2157,  4980,    -1,  2160,    -1,    -1,    -1,
      -1,    -1,  4988,    -1,    -1,    -1,  2892,    -1,  2894,    -1,
      -1,    -1,    -1,  4999,  5000,  5001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2191,    -1,    -1,
      -1,  2195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   900,    -1,    -1,    -1,    -1,    -1,  2213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2224,    -1,    -1,   920,    -1,    -1,    -1,    -1,    -1,  2955,
      -1,    -1,    -1,  2237,    -1,    -1,    -1,   934,    -1,    -1,
    1755,    -1,  2246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1768,  2980,  1770,    -1,    -1,  1773,  1774,
    1775,    -1,    -1,    -1,    -1,  1780,    -1,    -1,  1783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3006,    -1,    -1,  1798,  1799,  1800,  1801,  3013,    -1,    -1,
      -1,  1806,    -1,    -1,    -1,  1810,    -1,  2301,  1813,    -1,
      -1,  1816,  1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,
      -1,  1826,    -1,    -1,  1011,    -1,    -1,    -1,  1833,    -1,
    1835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2367,  3090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,    -1,
      -1,    20,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,
     900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1115,    58,
     920,    -1,    -1,    -1,    -1,  2429,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,   934,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    85,    -1,  1963,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2465,    -1,    -1,   103,    -1,    -1,    -1,    -1,    -1,
     109,  1986,  1987,    -1,    -1,    -1,    -1,    -1,    -1,  2483,
    3206,    -1,    -1,    -1,    -1,    -1,   125,  2491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,
      -1,  3227,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,
      -1,  1011,    -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,    -1,  3252,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,    -1,    -1,
      -1,  2066,    -1,    -1,   612,    -1,    -1,    -1,  1255,    -1,
    3286,    -1,    -1,    -1,  2568,    -1,    -1,    -1,    -1,    -1,
    2574,    -1,    -1,    -1,    -1,   633,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3334,    -1,
      -1,    -1,    -1,    -1,    -1,  1115,    -1,    -1,    -1,    -1,
      -1,    -1,  1319,   262,    -1,    -1,   265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3380,  2659,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,    -1,    -1,   612,    -1,    -1,  1384,   327,    -1,
      -1,    -1,    -1,    -1,   333,    -1,    -1,   336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   633,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1422,   365,  2731,    -1,   368,
     369,    -1,   371,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   381,  2747,  2748,    -1,    -1,   386,    -1,    -1,
      -1,    -1,    -1,   392,  3480,    -1,   395,    -1,    -1,   398,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2774,    -1,   411,  2777,    -1,    -1,    -1,  2292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1319,
      -1,  1518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1526,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1537,    -1,   900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2858,  2859,  2860,    -1,    -1,    -1,
      -1,    -1,   920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   934,    -1,  2882,    -1,
      -1,    -1,    -1,    -1,  1384,    -1,    -1,  1584,    -1,    -1,
      -1,  2895,    -1,  2897,    -1,    -1,  2900,    -1,    -1,  3625,
    1597,    -1,    -1,    -1,    -1,    -1,  2910,    -1,    -1,    -1,
      -1,    -1,  1609,    -1,    -1,    -1,    -1,    -1,    -1,  2434,
      -1,    -1,  1422,    -1,  1621,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3674,    -1,
      -1,    -1,    -1,  1011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1665,    -1,
    2974,  1668,   900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1503,  2519,    -1,   934,    -1,  3012,  2524,
      -1,    -1,    -1,    -1,    -1,  3019,    -1,  3021,  1518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1526,    -1,    -1,  3033,
      -1,  3035,    -1,    -1,  2549,    -1,    -1,  1537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2560,    -1,  2562,  2563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1115,  2573,    -1,
      -1,  2576,    -1,  2578,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3805,
      -1,    -1,    -1,  1011,  1584,  3089,    -1,    -1,    -1,  3815,
      -1,    -1,  2607,    -1,  2609,    -1,  2611,  1597,    -1,    -1,
    1797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1609,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2644,
    2645,  2646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3867,  3146,    -1,    -1,    -1,  3872,  2662,    -1,    -1,
      -1,    -1,  3878,    -1,    -1,    -1,    -1,  3161,    -1,  2674,
      -1,    -1,    -1,    -1,    -1,  1665,    -1,    -1,  1668,    -1,
      -1,    -1,    -1,    -1,  2689,    -1,    -1,    -1,    -1,  3183,
      -1,    -1,  3186,    -1,    -1,    -1,    -1,  1115,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3934,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  3965,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3263,
    3986,  1319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1797,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2014,  4044,    -1,
      -1,  2018,  2019,    -1,    -1,    -1,  1384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2082,    -1,    -1,    -1,    -1,
      -1,  1319,    -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4131,    -1,  4133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4179,    -1,    -1,  1384,    -1,    -1,    -1,
    1518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1526,    -1,
    3474,    -1,    -1,    -1,    -1,  3479,    -1,  3481,    -1,  1537,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2014,    -1,    -1,    -1,  2018,  2019,
      -1,    -1,    -1,    -1,    -1,    -1,  1584,    -1,    -1,  3533,
      -1,    -1,  3536,    -1,    -1,    -1,    -1,    -1,    -1,  1597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1621,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1503,    -1,  4303,    -1,    -1,
      -1,    -1,  2082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1518,    -1,    -1,    -1,  2094,    -1,  2293,    -1,  1526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1665,    -1,  1537,
    1668,    -1,    -1,    -1,    -1,    -1,    -1,  3621,  3622,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3634,    -1,  3636,    -1,  2134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,  1597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1609,    -1,    -1,    -1,    -1,  4412,    -1,  3203,    -1,
      -1,    -1,    -1,  1621,    -1,    -1,    -1,  3212,    -1,    -1,
      -1,    -1,    -1,  3218,    -1,  3220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3730,    -1,    -1,    -1,
      -1,    -1,  3247,  3248,    -1,    -1,    -1,  1665,    -1,  1797,
    1668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3265,    -1,  4478,    -1,    -1,    -1,    -1,    -1,  3273,    -1,
      -1,  3276,    -1,  3278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3295,  3296,    -1,    -1,  2481,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2498,    -1,    -1,    -1,  4531,    -1,    -1,    -1,  4535,
    4536,  3326,  2509,    -1,    -1,    -1,    -1,  3332,  3333,  3334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3374,
      -1,    -1,    -1,  2363,    -1,    -1,    -1,    -1,    -1,  1797,
     612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4627,  4628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3951,    -1,    -1,
      -1,    -1,  3956,    -1,    -1,    -1,  2014,    -1,    -1,    -1,
    2018,  2019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3981,    -1,    -1,
      -1,  2481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3993,
      -1,    -1,    -1,    -1,    -1,    -1,  4000,    -1,  2498,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2509,
    4014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2719,    -1,  2082,  2722,    -1,  2724,    -1,    -1,
      -1,    -1,  2729,    -1,    -1,    -1,  2094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,    -1,
      -1,    -1,   633,    -1,  2781,    -1,  2014,    -1,    -1,    -1,
    2018,  2019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2823,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2082,  4159,    -1,    -1,   900,    -1,
    3675,  3676,    -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   612,    -1,    -1,    -1,
      -1,    -1,   934,    -1,    -1,  2892,    -1,  2894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2134,   633,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2719,
      -1,    -1,  2722,    -1,  2724,    -1,    -1,    -1,    -1,  2729,
      -1,    -1,    -1,    -1,    -1,  2293,  3751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3762,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2955,  4263,
      -1,  4265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1011,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2781,    -1,  2980,    -1,    -1,    -1,  3802,  3803,    -1,
      -1,    -1,    -1,    -1,  3809,  3810,    -1,    -1,  2798,  3814,
    4304,    -1,    -1,    -1,  3819,  2363,    -1,  3822,  3823,  3006,
      -1,    -1,  3827,    -1,    -1,    -1,  3013,    -1,  3833,    -1,
      -1,    -1,    -1,  2823,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4350,    -1,    -1,   900,
      -1,    -1,  3867,    -1,    -1,    -1,    -1,  3872,    -1,    -1,
      -1,    -1,    -1,  3878,    -1,  2293,    -1,    -1,    -1,   920,
      -1,    -1,    -1,  1115,    -1,  3072,    -1,  3892,    -1,    -1,
      -1,    -1,    -1,   934,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2892,  3090,  2894,    -1,    -1,    -1,    -1,    -1,
      -1,  3916,    -1,    -1,    -1,    -1,  3103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2481,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,    -1,    -1,
    2498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2509,    -1,    -1,    -1,  2955,    -1,    -1,    -1,    -1,
    1011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   900,    -1,    -1,    -1,    -1,    -1,
    2980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4004,
      -1,    -1,    -1,    -1,   920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3006,    -1,   934,  3206,
      -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4066,  4556,  2481,    -1,  3252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1115,    -1,    -1,    -1,    -1,    -1,
    2498,    -1,  3072,    -1,    -1,    -1,    -1,  1319,    -1,    -1,
      -1,  2509,    -1,    -1,    -1,  1011,    -1,    -1,    -1,  3286,
    3090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2719,    -1,    -1,  2722,    -1,  2724,    -1,    -1,    -1,
      -1,  2729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1422,    -1,    -1,  3380,    -1,    -1,  4201,  4202,    -1,  1115,
    4205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,
    4714,    -1,  4716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2781,    -1,  4240,  4241,  3227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1503,    -1,    -1,    -1,  2823,    -1,    -1,  1319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1518,    -1,    -1,    -1,
      -1,    -1,    -1,  3480,  1526,    -1,  3286,    -1,    -1,    -1,
      -1,  2719,    -1,    -1,  2722,  1537,  2724,    -1,    -1,    -1,
    4804,  2729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1384,  2892,    -1,  2894,    -1,    -1,    -1,
      -1,    -1,  1584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2781,    -1,  1597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1609,    -1,    -1,
    2798,  1422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1621,
    3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1319,    -1,  2823,    -1,  2955,    -1,  4903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2980,  1665,    -1,    -1,  1668,  4442,  3625,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3006,    -1,
      -1,    -1,  1503,  4468,    -1,  3013,    -1,    -1,  1384,    -1,
      -1,    -1,    -1,    -1,  2892,    -1,  2894,  1518,  4483,    -1,
      -1,    -1,    -1,    -1,    -1,  1526,  4980,  3674,    -1,    -1,
    3480,    -1,    -1,    -1,    -1,    -1,  1537,  4502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4999,  1422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4540,    -1,  2955,    -1,    -1,
      -1,    -1,  3090,  1584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3103,  1597,    -1,    -1,    -1,
      -1,    -1,  2980,    -1,    -1,  1797,    -1,    -1,  1609,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1621,    -1,    -1,    -1,    -1,    -1,    -1,  1503,  3006,    -1,
      -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,
    4605,    -1,  1518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3805,    -1,
      -1,  1537,    -1,    -1,  1665,    -1,    -1,  1668,  3815,    -1,
      -1,    -1,    -1,    -1,    -1,  3625,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,  3206,    -1,
      -1,    -1,    -1,    -1,  4669,    -1,    -1,    -1,  1584,    -1,
      -1,    -1,  3090,    -1,    -1,    -1,    -1,    -1,    -1,  3227,
      -1,  1597,    -1,    -1,  3674,  3103,    -1,    -1,  4693,    -1,
      -1,    -1,    -1,  1609,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3252,  1621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3934,    -1,  1665,
      -1,    -1,  1668,    -1,    -1,    -1,  1797,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3965,    -1,
    4785,  4786,  2014,    -1,    -1,    -1,  2018,  2019,  3206,    -1,
      -1,  4796,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3986,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3227,
      -1,    -1,    -1,    -1,  4001,  3805,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3815,    -1,    -1,    -1,    -1,
      -1,    -1,  3380,    -1,  3252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2082,    -1,    -1,    -1,    -1,    -1,    -1,  4044,    -1,    -1,
      -1,    -1,  2094,    -1,    -1,    -1,    -1,  4872,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1797,    -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3934,    -1,  4133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,  4974,
    4975,    -1,    -1,  2014,    -1,  3965,    -1,  2018,  2019,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4179,    -1,    -1,    -1,  3986,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2094,  4044,    -1,    -1,    -1,    -1,    -1,
      -1,  2293,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3625,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2134,    -1,    -1,    -1,    -1,  2014,    -1,
      -1,    -1,  2018,  2019,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3674,    -1,    -1,    -1,
      -1,  2363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4133,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2082,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3625,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,
      -1,    -1,    -1,    -1,    -1,  4412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2481,
      -1,    -1,  2293,  4440,    -1,    -1,  3674,  3805,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2498,  3815,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4531,    -1,    -1,    -1,  4535,  4536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3934,  3805,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3815,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3965,    -1,    -1,
      -1,    -1,  4412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3986,    -1,
    2481,  4628,    -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,
    4440,    -1,    -1,  4001,    -1,    -1,    -1,  2498,    -1,    -1,
    1220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2719,  4478,    -1,
    2722,    -1,  2724,    -1,    -1,    -1,  4044,  2729,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3934,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4531,    -1,    -1,    -1,  4535,  4536,  3965,    -1,  2781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2481,  2798,    -1,  3986,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2498,  4001,    -1,  4133,    -1,    -1,    -1,    -1,
      -1,  2823,    -1,  2509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4044,    -1,    -1,    -1,
      -1,  4179,    -1,    -1,    -1,    -1,    -1,    -1,  4628,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2892,    -1,  2894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2719,    -1,
      -1,  2722,    -1,  2724,    -1,    -1,    -1,    -1,  2729,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2980,    -1,
      -1,    -1,    -1,    -1,    -1,  4303,    -1,  2798,    -1,    -1,
      -1,  4179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,    -1,    -1,
      -1,  3013,  2823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2719,    -1,    -1,  2722,    -1,  2724,    -1,
      -1,    -1,    -1,  2729,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2892,    -1,  2894,    -1,    -1,    -1,    -1,  3090,    -1,
      -1,    -1,    -1,    -1,  4412,  2781,    -1,    -1,    -1,    -1,
      -1,  3103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2798,    -1,    -1,  4303,    -1,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2823,    -1,    -1,
      -1,    -1,    -1,    -1,  2955,    -1,    -1,    -1,  1678,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2980,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,    -1,
      -1,    -1,  3013,    -1,  3206,    -1,  2892,    -1,  2894,    -1,
      -1,    -1,    -1,  4531,    -1,    -1,    -1,  4535,  4536,    -1,
      -1,    -1,    -1,  1753,  4412,  3227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1767,    -1,    -1,
      -1,  1771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3252,    -1,  4440,    -1,    -1,  1785,  1786,  1787,    -1,  1789,
      -1,  3072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3090,
      -1,    -1,    -1,    -1,  3286,    -1,    -1,    -1,    -1,    -1,
    4478,    -1,  3103,    -1,  2980,    -1,    -1,    -1,    -1,    -1,
      -1,  1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3006,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1868,    -1,
      -1,    -1,    -1,  4531,    -1,    -1,    -1,  4535,  4536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3227,  3103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4628,  3252,    -1,  1973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1985,    -1,    -1,    -1,    -1,
    1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3286,    -1,    -1,  3480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3252,    -1,    -1,  3380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,
      -1,    -1,  3674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3805,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3815,  3625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3934,    -1,    -1,    -1,    -1,    -1,    -1,  3625,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3965,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3986,    -1,    -1,    -1,  3674,    -1,
      -1,    -1,  2522,    -1,  3805,    -1,    -1,    -1,    -1,  4001,
      -1,    -1,    -1,    -1,  3815,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2542,    -1,  2544,    -1,    -1,  2547,  2548,    -1,
    2550,    -1,  2552,    -1,    -1,    -1,  2556,    -1,    -1,  2559,
      -1,    -1,    -1,    -1,  2564,    -1,    -1,    -1,    -1,    -1,
    2570,    -1,  4044,    -1,    -1,  2575,    -1,    -1,    -1,    -1,
      -1,    -1,  2582,  2583,  2584,  2585,    -1,    -1,    -1,  2589,
    2590,    -1,  2592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2604,    -1,  2606,    -1,    -1,    -1,
      -1,    -1,    -1,  2613,  2614,  2615,  2616,  2617,  2618,  2619,
    2620,  2621,  2622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3805,
    2650,    -1,    -1,  3934,    -1,    -1,    -1,    -1,    -1,  3815,
      -1,  4133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3965,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3986,    -1,  4179,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4044,    -1,    -1,    -1,    -1,  2768,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3934,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3965,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3986,  4303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4001,    -1,    -1,    -1,    -1,
      -1,    -1,  4133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4044,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4179,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4478,    -1,    -1,  3009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4303,  4179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4531,
      -1,    -1,    -1,  4535,  4536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4303,    -1,  3149,
      -1,    -1,    -1,    -1,    -1,    -1,  4628,    -1,    -1,  4440,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4478,    -1,    -1,
      -1,    -1,  3202,    -1,    -1,    -1,    -1,    -1,  3208,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3224,  3225,    -1,    -1,  3228,  3229,
    3230,  3231,    -1,    -1,  3234,  3235,  3236,  3237,  3238,  3239,
    3240,  3241,  3242,  3243,  3244,    -1,    -1,    -1,    -1,    -1,
    4531,    -1,    -1,    -1,  4535,  4536,  4412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3266,    -1,    -1,  3269,
      -1,  3271,    -1,    -1,  3274,  3275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,  3289,
    3290,  3291,  3292,    -1,  3294,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3342,    -1,    -1,    -1,    -1,  4628,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4531,    -1,    -1,    -1,  4535,
    4536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3752,    -1,    -1,    -1,  3756,  3757,  3758,    -1,
      -1,    -1,    -1,    -1,  3764,  3765,  3766,  3767,    -1,    -1,
      -1,    -1,  3772,  3773,  3774,  3775,  3776,  3777,  3778,  3779,
    3780,  3781,  3782,  3783,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,    -1,
      -1,  3811,    -1,  3813,    -1,    -1,    -1,  3817,    -1,    -1,
    3820,  3821,    -1,    -1,  3824,  3825,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,
      -1,    -1,    -1,    -1,    -1,    -1,  3876,  3877,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4069,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4128,  4129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4169,
      -1,    -1,    -1,    -1,  4174,  4175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4189,
      -1,  4191,    -1,    -1,    -1,  4195,  4196,  4197,    -1,    -1,
    4200,    -1,    -1,  4203,  4204,    -1,    -1,    -1,  4208,    -1,
      -1,    -1,  4212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4267,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4438,  4439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4454,  4455,  4456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4490,  4491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4705,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4756,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,  4875,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,  4946,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,  4987,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,   446,    -1,    -1,    -1,    -1,    -1,
      -1,   453,   454,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,   454,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,   454,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,   454,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,    -1,     3,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
     454,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,    -1,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,    -1,    -1,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
      -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,   248,    -1,   250,    -1,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    -1,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,    -1,    -1,    -1,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,   285,    -1,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,   454,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,    -1,    -1,
      -1,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,   285,    -1,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,    -1,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,   434,   435,   436,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,   454,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,    -1,    -1,    -1,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,    -1,    -1,    -1,   444,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,   451,   452,
     453,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,   446,    -1,    -1,    -1,    -1,    -1,
      -1,   453,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,    -1,    -1,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,
      -1,     3,     4,     5,     6,     7,   453,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,    -1,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,    -1,    -1,     3,     4,     5,
       6,     7,   453,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,     3,     4,     5,     6,     7,    -1,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,   453,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,    -1,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,     3,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,   261,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
     261,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,   260,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,     3,    -1,    -1,    -1,
      -1,   444,   445,   446,    -1,    -1,    -1,    -1,    -1,    -1,
     453,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,   439,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,   439,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,    -1,   216,
      -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,    -1,
     247,   248,    -1,   250,    -1,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,    -1,    -1,   204,    -1,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,
     221,    -1,    -1,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,    -1,   247,   248,    -1,   250,
      -1,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,
      -1,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
      -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,    -1,   247,   248,    -1,   250,    -1,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,    -1,
      -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,
     219,   220,   221,    -1,    -1,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,   247,   248,
      -1,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,     9,
      -1,    -1,    -1,    -1,   453,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,    -1,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
       3,     4,     5,    -1,    -1,     8,     9,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    -1,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
       3,    -1,   440,   441,   442,     8,   444,   445,   446,   447,
     448,   449,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,    -1,
      -1,   204,    -1,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
       3,    -1,   440,   441,   442,     8,   444,   445,   446,   447,
     448,   449,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,    -1,
      -1,   204,    -1,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
       3,    -1,   440,   441,   442,     8,   444,   445,   446,   447,
     448,   449,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,    -1,
      -1,   204,    -1,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   446,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   446,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,   434,   435,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     446,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    -1,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,    -1,
      -1,    -1,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,    -1,   285,    -1,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,   434,   435,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   446,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,    -1,   446,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,   260,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,     4,     5,    -1,    -1,    -1,     9,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
     260,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,     4,     5,
      -1,    -1,    -1,     9,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,   260,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,     5,    -1,    -1,    -1,     9,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,   260,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,     9,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,   159,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
       4,     5,    -1,    -1,    -1,     9,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,   260,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      -1,    -1,    72,    73,    74,    75,    76,    -1,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,   156,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,   156,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,   261,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,   261,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,   261,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,    -1,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,    -1,    -1,
      -1,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,   285,    -1,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,    -1,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,    -1,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
      -1,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    -1,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,    -1,    -1,    -1,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,    -1,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,   285,    -1,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,    -1,    -1,
      -1,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,    -1,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,   285,    -1,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,    -1,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,    -1,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,    -1,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,    -1,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,    -1,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    -1,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,    -1,    -1,    -1,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,    -1,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,   285,    -1,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,    -1,    -1,
      -1,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,    -1,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,   285,    -1,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,    -1,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    -1,    48,    -1,    -1,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    -1,    -1,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
      -1,    -1,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,    -1,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,    -1,   192,   193,   194,   195,
      -1,    -1,    -1,    -1,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,    -1,   241,    -1,   243,   244,    -1,
      -1,   247,   248,   249,   250,    -1,    -1,   253,    -1,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,    -1,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
      -1,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    45,    65,    67,    68,    73,
      75,    86,    88,   105,   108,   121,   123,   127,   133,   141,
     143,   149,   164,   180,   219,   220,   225,   237,   248,   288,
     300,   305,   306,   308,   313,   318,   321,   326,   331,   332,
     339,   343,   353,   365,   384,   394,   400,   405,   418,   439,
     453,   460,   461,   462,   463,   469,   470,   472,   473,   474,
     475,   476,   477,   478,   480,   481,   485,   497,   502,   503,
     506,   507,   508,   520,   523,   524,   540,   577,   580,   583,
     584,   585,   592,   598,   600,   602,   603,   606,   609,   610,
     614,   615,   624,   628,   629,   630,   631,   632,   635,   637,
     638,   639,   640,   641,   648,   649,   662,   663,   667,   669,
     670,   671,   681,   683,   690,   691,   694,   695,   696,   697,
     698,   704,   706,   709,   713,   717,   718,   728,   729,   732,
     737,   748,   771,   774,   775,   776,   779,   782,   784,   786,
     788,   789,   794,   795,   798,   799,   800,   803,   804,   811,
     812,   814,   815,   816,   821,   823,   824,   830,   831,   832,
     833,   834,   835,   837,   838,   840,   841,   843,   846,   847,
     852,   858,   861,   863,   864,   872,   874,   879,   886,   890,
     891,   892,   893,   894,   895,   898,   933,   378,   421,   817,
      25,    71,    85,   103,   109,   125,   136,   144,   156,   161,
     167,   184,   209,   230,   262,   283,   293,   320,   325,   327,
     333,   336,   364,   365,   368,   372,   381,   386,   398,   411,
     599,   817,     3,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    37,    38,    40,    41,    43,
      44,    45,    46,    47,    49,    50,    52,    53,    54,    55,
      56,    59,    60,    61,    62,    63,    65,    66,    67,    68,
      69,    73,    74,    75,    76,    78,    79,    80,    82,    83,
      84,    85,    86,    87,    90,    91,    92,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   110,   112,   113,   114,
     115,   116,   117,   119,   120,   121,   124,   125,   126,   127,
     128,   130,   131,   132,   134,   135,   136,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   148,   150,   151,   152,
     153,   155,   157,   161,   162,   163,   165,   166,   168,   169,
     171,   172,   173,   174,   175,   177,   178,   179,   180,   182,
     183,   184,   185,   186,   187,   189,   191,   192,   193,   194,
     195,   196,   197,   199,   201,   204,   206,   207,   208,   209,
     210,   213,   214,   216,   219,   220,   221,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   242,   243,   244,   245,   247,   248,
     250,   252,   253,   254,   255,   256,   257,   259,   262,   263,
     264,   267,   268,   270,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   282,   283,   284,   285,   286,   287,   288,
     289,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   317,   318,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   333,
     334,   335,   336,   337,   339,   340,   341,   342,   343,   345,
     346,   347,   348,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   363,   364,   366,   368,   369,
     370,   371,   372,   374,   375,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   388,   389,   390,   393,   394,   395,
     396,   397,   400,   401,   402,   403,   404,   405,   406,   408,
     410,   411,   412,   413,   416,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   887,  1055,  1069,  1073,  1074,   409,   848,
     260,   289,   817,    48,   453,   531,    20,    25,    37,    58,
      71,    81,   103,   109,   125,   136,   144,   156,   163,   167,
     221,   262,   265,   283,   320,   327,   336,   368,   369,   371,
     372,   381,   386,   392,   395,   398,   541,   582,   686,   738,
     749,    26,   288,  1055,   887,    26,   282,   334,   369,   371,
       5,   208,   780,   781,  1064,    20,    25,    37,    58,    71,
      85,   103,   125,   136,   144,   156,   161,   167,   184,   230,
     262,   273,   283,   320,   325,   327,   333,   336,   365,   368,
     372,   379,   381,   386,   398,   411,   599,   699,   817,  1055,
      88,   409,   453,   577,   580,   583,   847,   853,   861,   864,
     872,   879,   886,   890,     9,    19,    26,    43,   151,   157,
     159,   181,   210,   243,   291,   307,   444,   445,   714,   715,
     887,  1063,  1065,    26,    88,   304,   332,   719,   720,   721,
    1069,   156,  1069,  1060,  1064,   365,   901,   714,  1069,   378,
    1055,   273,   230,   103,   184,   327,   364,   365,   453,   790,
     791,   326,  1069,    26,   337,   374,   378,   489,   498,   499,
    1069,    23,   164,   719,   720,   289,   817,  1069,   207,    26,
     122,   903,   904,    59,    82,   221,   239,   320,   327,   337,
     374,   378,   424,   486,   487,   488,   489,    26,   337,   374,
     378,   489,   378,   261,   944,  1053,  1069,   901,   446,  1069,
     160,   453,   849,   453,  1048,   302,   896,   897,  1055,   896,
     891,   892,   895,     0,   456,   848,   137,   198,   266,   391,
     905,   906,   891,   893,   894,   114,   194,   397,   457,     3,
      42,    48,    71,    77,    89,    96,   158,   160,   176,   190,
     202,   203,   205,   215,   217,   241,   249,   269,   271,   319,
     344,   367,   409,  1061,  1069,  1070,  1073,  1075,   701,  1069,
     701,  1056,  1069,   292,   701,   381,   701,  1055,  1069,   102,
     365,   727,  1061,     3,    99,   338,  1066,  1067,  1071,  1073,
    1074,  1075,    26,   175,  1053,   255,   411,     8,    15,    16,
      17,    66,   148,   440,   441,   442,   444,   445,   446,   447,
     448,   449,   778,  1014,  1015,  1069,   175,  1055,    26,  1066,
    1067,  1055,  1055,   175,  1053,  1055,   313,   339,    26,   175,
     944,  1055,   329,  1055,   701,    26,   228,  1066,  1067,   175,
    1053,   208,   111,   204,   246,   298,   818,   819,   820,  1053,
    1059,  1069,    20,    25,    58,    71,    72,    81,    85,   103,
     125,   136,   144,   156,   161,   184,   209,   230,   262,   283,
     320,   325,   327,   333,   336,   365,   368,   372,   379,   381,
     386,   411,   599,   707,  1064,   860,   864,   872,   879,   890,
    1053,   232,  1061,  1055,   453,   701,   381,  1056,   701,   381,
     175,  1055,   102,   365,   369,   371,  1066,  1067,   369,   371,
      66,   148,   778,   311,  1055,  1066,   175,   482,  1069,  1055,
    1055,   329,  1055,   701,   228,  1066,   302,   333,   365,   411,
     230,    85,   184,   161,   325,   379,   385,   593,    26,  1055,
     888,   496,  1064,  1071,   781,   232,   175,  1061,  1055,   175,
     785,   175,  1056,     3,    47,    49,    50,    61,    62,   106,
     107,   126,   152,   175,   196,   197,   199,   240,   242,   254,
     299,   341,   347,   374,   375,   406,   703,   959,   961,   963,
     965,   967,   969,   970,   971,   973,   974,   975,   978,   979,
    1070,  1073,   381,   102,   365,   175,  1061,   175,  1067,  1068,
      77,   411,    66,   148,   175,   778,    52,   175,  1055,   175,
    1068,   175,  1055,   175,  1055,   175,  1055,   329,   785,   175,
    1055,   175,   703,   175,   228,  1068,   208,   175,   700,   701,
     453,   862,   541,   853,   405,   847,   854,   855,   856,  1071,
     848,  1065,   715,   716,    26,   716,  1065,   716,    26,   716,
    1065,   716,   716,   716,  1065,  1063,  1063,   887,   716,   292,
     453,   453,   560,   560,   560,   260,   376,   457,   560,   327,
     944,   945,   457,   813,  1064,   453,   859,    52,   411,   409,
     792,   793,  1053,  1055,  1069,    42,   436,   204,   455,   263,
     263,   260,   159,  1064,   376,   154,   710,   260,     4,     6,
       7,     8,    10,    34,    47,    49,    50,    57,    58,    61,
      62,    69,    71,    93,    94,    95,    96,    97,    98,    99,
     106,   107,   142,   146,   147,   152,   166,   168,   196,   197,
     199,   214,   222,   223,   240,   242,   246,   251,   252,   254,
     262,   272,   284,   299,   323,   338,   347,   361,   374,   375,
     380,   382,   383,   392,   398,   406,   426,   427,   428,   429,
     430,   431,   432,   433,   437,   444,   445,   446,   453,   891,
     962,   965,   968,   969,   970,   972,   973,   974,   978,   979,
     983,   985,   986,   987,   989,  1010,  1011,  1012,  1016,  1035,
    1040,  1050,  1051,  1061,  1062,  1063,  1064,  1069,  1049,  1050,
    1064,    26,   504,  1052,  1053,   337,   486,   109,   495,  1064,
     496,  1064,    42,    63,   486,   436,   348,   819,   263,   159,
     376,   442,    42,   436,   204,   820,   453,  1053,   446,   451,
     455,  1041,  1043,   945,     3,   158,   160,   409,   844,   845,
     847,   158,   850,   109,   983,  1046,  1047,   896,   457,   453,
     851,   454,   454,   462,  1053,    26,   122,   902,   902,    52,
     902,   149,   154,   218,   258,   909,   911,   912,   927,   929,
     930,   931,   905,   906,   159,   200,   944,   946,  1048,   453,
     761,  1043,   274,   309,   339,   455,   702,   274,   309,   339,
       3,    80,   131,   224,   274,   309,   339,   368,   370,   418,
     497,   500,   825,   826,   827,   828,   733,    22,   127,   274,
     309,   339,   402,   511,  1055,   339,    22,   127,   397,   479,
     422,   175,   944,    54,    87,   117,   145,   178,   213,   246,
     274,   275,   309,   317,   324,   331,   339,   351,   359,   413,
     497,   501,   764,   772,   453,   750,   309,   479,   181,   142,
      22,    28,    68,   117,   120,   127,   130,   155,   186,   244,
     246,   256,   264,   274,   309,   312,   313,   339,   402,   509,
     510,   618,     4,   444,   445,   590,  1065,    26,   175,  1053,
     701,   701,   453,   777,   455,   142,   260,   181,   471,   309,
     418,   439,   464,   471,   260,   274,   309,   142,    53,   101,
     183,   231,   234,   244,   273,   309,   314,   339,   353,   509,
     587,   588,   274,   309,   410,   618,   626,   499,   487,   489,
     181,   142,   309,   339,   509,   274,   309,   313,   339,    78,
     119,   276,   370,   260,    22,    28,   127,   274,   309,   339,
     521,   522,   471,   154,   309,   464,   471,   142,   309,   339,
     509,  1055,   216,   111,   261,   423,   457,   818,   399,   842,
     260,   232,  1061,   453,  1055,   959,   381,   102,   365,  1061,
     255,   411,    66,   148,   778,  1055,  1055,   329,   154,  1055,
     959,   208,   701,   454,   560,  1055,   453,   676,   761,    64,
     959,   159,   453,   672,  1055,   464,    35,   836,  1055,   246,
     464,   422,   175,  1053,   464,   701,   701,   672,   395,   541,
     260,   464,   246,    42,   483,   386,   625,   274,   601,    78,
     119,   276,   370,    24,    44,   195,   650,    35,   672,   154,
     464,   411,   175,  1053,   175,   578,  1053,  1053,   411,   701,
      77,   739,  1061,  1055,   154,   599,    48,   100,   193,   244,
     328,   142,   761,    55,   315,   512,   142,   453,   142,   408,
     976,   976,   976,   453,   964,   964,   286,   453,   966,   142,
      61,    62,   976,   964,   961,   420,   439,   453,   980,   453,
     980,   457,   512,    34,   960,    62,   453,   977,   104,   173,
     233,   236,   330,   434,   453,   981,   982,   702,   964,   422,
     142,   750,   142,   457,   175,   700,   175,   701,   175,   701,
     142,   777,  1068,   142,   260,   142,   142,   260,   142,   512,
     142,    78,   119,   276,   370,   154,   142,   260,   142,   512,
     142,   154,   175,   175,   496,   142,   457,   512,   983,  1019,
     365,   454,   457,   147,   260,   383,   493,   496,   590,   857,
     853,   716,   887,   716,   887,   716,   887,   716,   887,   716,
     887,   887,   887,   716,   887,   453,   561,   562,  1069,   561,
      26,   103,   125,   156,   161,   208,   209,   327,   333,   365,
     368,   386,   722,  1052,  1068,   721,  1055,   181,   457,   875,
    1064,   959,  1022,    35,  1068,   739,   454,   457,   216,  1069,
     154,   154,   722,  1068,   326,  1069,   496,   260,   453,  1044,
     451,   891,  1023,   983,  1039,   453,   453,   154,   453,   453,
     891,   453,   453,   453,   453,   453,   453,   983,   453,   453,
     453,   453,   453,   453,   453,   453,   891,   453,   453,   453,
     453,   453,   453,   453,   453,   983,   983,   983,   891,   983,
    1019,  1043,  1064,   453,  1064,     3,     8,    11,    15,    16,
      17,    32,    35,    40,    46,    70,   176,   181,   202,   203,
     217,   249,   262,   265,   344,   437,   440,   441,   442,   444,
     445,   446,   447,   448,   449,  1014,  1016,  1018,   419,   998,
     271,   983,   200,   457,   899,   453,  1064,  1043,   899,   112,
     177,   505,   457,    63,   109,   496,    35,     3,   109,   221,
     494,   590,   979,  1064,  1064,    83,   124,   995,    92,   109,
     490,   491,   493,   590,   109,   490,   216,  1053,   983,  1042,
       3,    26,    30,    31,    32,    33,    34,    35,    36,    39,
      51,    57,    58,    64,    70,    72,    81,    88,    93,    94,
      95,    97,    98,    99,   109,   111,   118,   122,   123,   129,
     133,   137,   147,   149,   154,   156,   159,   164,   167,   170,
     181,   188,   198,   200,   211,   212,   218,   222,   223,   246,
     251,   258,   260,   261,   265,   266,   281,   290,   304,   316,
     332,   338,   349,   362,   365,   373,   376,   377,   383,   391,
     392,   398,   399,   407,   414,   415,   417,   418,   446,  1058,
    1072,  1073,  1074,  1075,  1076,  1041,    84,   314,   705,   454,
     457,   848,   454,   457,   897,  1054,  1055,    35,   851,   893,
     893,   907,   908,   983,   893,   151,   243,   918,   206,   244,
     298,   342,   397,    26,   913,   983,   444,   445,   914,   915,
     983,   985,   927,   928,   912,   911,   909,   910,   154,   930,
     256,   932,   909,   927,   946,   865,  1053,    35,  1069,   339,
     181,   191,   266,   268,   341,   407,   446,   754,   755,   756,
     758,   760,   762,   959,  1070,   274,   309,   339,   376,   376,
     327,  1058,   455,   376,   376,   327,   218,   376,   376,   368,
     486,   274,   825,   827,   442,   829,   154,   164,   181,   318,
     734,   735,    64,    81,   138,   156,   290,   392,   557,   558,
      81,   109,   246,   376,    81,   376,   109,   246,   327,    81,
     120,   130,   274,   309,   668,   327,   607,    20,    25,    58,
      71,    85,   125,   136,   156,   161,   230,   262,   327,   333,
     336,   365,   372,   379,   386,   411,   599,  1055,   142,   309,
     339,   509,   260,   590,   260,   331,   213,   376,  1069,   376,
     251,   590,   113,   201,   327,   337,   378,   488,   315,   339,
     764,   773,   454,   751,   754,   376,   398,   368,  1053,    72,
     138,   175,   548,   557,  1069,    72,    81,   796,   260,   260,
     323,   325,   381,    81,   796,    29,   312,   323,   325,   381,
     323,  1053,   155,   186,   256,   701,   453,   376,   376,   174,
     453,   516,   227,   368,   395,   418,   420,   516,    81,   457,
       4,     4,   274,   181,   142,   117,   309,   339,   509,   399,
     399,   245,   959,   274,   339,   778,  1055,  1053,   103,   339,
     500,   376,   466,   500,  1053,   376,   376,  1053,   590,    52,
     589,   590,   590,   101,   231,   234,    52,   376,   464,   327,
     464,   244,   588,   376,   376,   251,  1064,   618,   368,   944,
      81,   376,   796,   327,   376,   376,   516,   516,   701,   701,
     701,   701,  1053,    41,   404,    41,    41,   376,    41,   376,
     327,   457,   500,   398,   636,  1067,   376,   466,   500,  1053,
     376,   327,   274,   309,   298,   310,   335,   492,   818,  1059,
    1069,  1053,   761,   959,   260,   202,   422,   750,   590,   701,
     701,   777,   260,   202,   260,    78,   119,   276,   370,   959,
     260,   202,   701,   202,   376,   418,   532,   386,     3,   677,
     678,   672,   453,    35,   701,   673,   674,  1072,    24,   825,
     959,   260,   142,   604,  1055,   246,   453,   465,   686,   399,
     302,   411,  1053,   465,   142,  1067,    88,   164,   484,   540,
     584,   649,   717,   737,   821,  1064,   626,   627,  1067,   224,
     701,   701,   701,   701,   256,   114,   194,   384,   397,   651,
     652,   134,   297,   453,   636,   465,  1053,   246,   586,   587,
     246,    35,   256,   453,   560,   560,   175,   581,  1053,   154,
     175,   740,  1059,   453,   752,    35,   959,   208,   418,   420,
     889,   328,  1061,   512,   959,  1056,   453,  1019,  1063,   703,
     976,   976,    34,   960,   374,   374,  1063,  1063,   959,   451,
     451,   339,  1063,   376,   376,   376,   453,   376,  1063,   964,
     175,  1055,  1061,   512,  1068,  1067,   142,   512,   142,   399,
     142,   399,   778,   512,   512,  1055,   701,  1068,  1055,   701,
    1055,  1055,   959,  1055,   701,   703,  1068,   636,   142,   142,
     512,   700,   701,   454,   457,   175,  1053,   853,   855,   887,
     887,   887,   887,   887,   887,   561,   454,   457,   454,   162,
     334,   366,  1054,   700,   102,   336,   726,   727,  1054,   255,
    1054,  1052,  1052,  1054,   700,   376,   418,   730,   137,   218,
     633,   634,    20,   140,   323,   342,   876,   944,   250,   877,
     454,   457,   860,   376,  1053,   790,   791,   793,   720,   719,
     720,   159,   165,   731,  1069,    25,    72,   103,   125,   136,
     156,   161,   209,   230,   320,   327,   333,   365,   368,   386,
     411,   599,   711,  1019,  1041,   452,  1019,  1023,  1024,   414,
    1036,  1037,   983,  1019,   453,  1063,  1063,     3,   104,   173,
     233,   236,   330,   434,  1025,  1026,  1064,  1019,  1019,  1019,
    1063,  1063,   983,   778,   983,  1027,   323,   444,   445,   453,
     984,   985,  1016,  1029,   454,  1019,   983,  1019,  1030,   983,
      51,   159,   212,   377,   983,  1019,  1033,  1019,   238,   985,
     983,   993,   994,   995,   238,   983,   995,   454,   457,  1063,
     981,   959,   983,   983,   983,   983,  1072,   374,    39,   362,
    1045,   701,   983,   453,   891,  1034,   122,   124,   147,   246,
     251,   256,   383,   393,   983,   453,   983,   376,    46,   176,
     181,   217,   344,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,    26,    33,   349,  1013,   167,   150,   999,
     323,   453,  1010,   163,   221,   365,   369,   371,   395,   900,
    1053,  1051,   159,   934,    26,   122,   407,   446,   454,   756,
     983,  1020,  1021,  1070,   934,  1053,   378,   453,  1064,   457,
     454,   452,   458,   174,   174,   512,  1053,   845,   846,  1053,
    1046,   454,   457,   453,   457,    36,   118,   399,   746,   323,
     324,   444,   445,   915,   917,   985,   342,   206,   261,   457,
       4,   916,  1063,   916,   323,   324,   917,  1052,   250,   346,
     878,   928,   910,   399,   873,   109,   453,   866,   890,    35,
    1069,   453,   880,   881,   882,   883,   884,  1069,   268,    52,
    1070,   454,   756,   758,   755,   758,  1070,   266,   454,   457,
     702,   376,   376,   327,  1067,  1055,  1055,  1058,  1067,  1055,
    1055,  1067,  1056,  1055,   109,   493,  1065,   320,   398,   719,
     327,   164,   719,   453,  1055,   399,   741,   206,   206,   399,
     453,   576,   175,  1055,   251,  1067,  1055,  1055,   983,   251,
    1055,  1055,    29,   312,   376,   376,  1055,   376,   608,   232,
    1061,   453,   701,   701,   959,   381,   102,   365,   727,   411,
      66,   148,   778,  1055,   701,  1055,   701,   329,   154,   959,
     701,   208,   169,   244,   274,   309,   403,   611,   612,   613,
     944,   376,   796,   327,   251,   144,   113,   201,  1067,  1055,
     260,  1055,   454,   457,  1066,  1068,  1055,   309,   509,   175,
     548,   246,   959,  1055,  1069,  1055,   144,   216,  1055,    26,
     398,  1055,   175,  1055,   175,  1069,   325,   381,   325,   381,
     216,  1055,    26,   398,  1055,   216,   323,  1053,    22,   127,
     339,   619,   620,   621,   622,  1072,  1067,  1055,   109,   160,
     247,   399,   515,   518,   519,  1072,  1055,   259,    68,   259,
    1055,   510,   376,   368,  1053,   260,   376,   796,   327,  1057,
    1069,  1057,   457,   454,   457,   376,   327,   453,   260,   309,
     376,   645,  1056,  1066,     3,    80,   132,   186,   280,   390,
     398,   401,   467,   309,  1067,  1055,   309,   339,   509,   587,
     590,   701,  1055,   590,  1055,   590,  1067,  1055,  1055,   309,
     339,   509,  1055,  1055,  1055,  1055,  1067,  1055,    22,    28,
     127,   274,   309,   339,   274,   309,   339,   672,   309,   339,
     309,   339,   117,   309,   958,  1069,   175,   682,  1069,   175,
    1069,  1067,  1055,  1055,  1055,    22,   522,   336,  1066,   309,
     339,   509,  1055,  1055,   376,   376,    76,   389,   298,   202,
      35,   125,   701,   251,   708,  1064,   202,   202,   399,   399,
     202,   701,   708,   701,   208,   701,   708,   202,   708,   295,
     526,   259,   159,   376,   525,   184,   442,   454,   457,   983,
     959,   454,   457,   442,   651,   550,  1072,  1055,    55,   159,
     327,   410,   605,   612,   613,   142,   217,   542,   544,   546,
     548,   554,   557,    23,   181,   320,   363,   467,   468,   154,
    1057,   411,  1053,   154,   646,   482,  1069,   483,   265,   541,
     156,  1064,   672,   672,   672,   672,   256,   260,   265,   453,
     672,   956,   957,   958,   336,   453,   142,   142,   141,   890,
     701,   542,  1069,   418,   420,   572,   418,   517,   246,    35,
     560,  1064,   246,   260,   454,   753,   754,   759,    35,   208,
     317,   379,   417,   763,   764,   765,   260,   208,   496,   172,
     172,   154,   761,    35,  1019,   454,   454,   512,   451,   436,
     436,   454,   454,  1063,   452,  1063,  1069,   454,   173,   233,
     982,   233,   982,   982,  1063,   236,   454,   142,   512,   750,
     700,   701,  1057,   701,  1057,   777,   260,   512,   260,   512,
     512,   208,   260,   512,   512,   336,   154,   496,   512,   983,
     246,   454,   562,   181,   181,   181,   422,  1054,   457,   590,
     591,   167,   723,   724,  1067,    23,   731,   376,   453,   159,
     140,   342,   140,   342,   323,   397,   235,   959,  1067,   418,
     579,  1053,  1055,   159,   260,   723,    52,   512,  1061,   959,
     381,   365,  1061,   255,   411,   959,   208,   701,   454,   452,
     452,   457,   983,   129,  1037,  1038,    35,   454,   983,   454,
     454,   454,   159,   454,   454,   454,   454,   454,   457,   454,
     281,  1028,   454,   453,   984,   984,  1019,    11,    15,    16,
      17,   181,   202,   262,   440,   441,   442,   444,   445,   446,
     447,   448,   449,  1016,   984,   454,   454,   154,   159,  1031,
    1032,   454,    35,  1033,  1019,  1033,  1033,   159,   454,   454,
    1072,   279,   997,    35,   454,   457,   983,  1072,   457,   983,
    1044,   983,   454,   436,   984,   984,   135,  1019,   159,   122,
     124,   147,   251,   256,   383,   393,   453,   135,   778,   983,
     362,  1045,   983,  1034,   983,   376,   453,   891,   453,   453,
     270,  1003,   453,  1019,   369,   371,   369,   371,  1053,   901,
     901,   901,   211,   324,   453,   891,   935,   936,   937,   944,
     949,   986,   988,   989,  1061,  1069,   415,   954,  1020,  1020,
    1021,   454,    13,    14,   457,   905,   906,   954,   819,  1063,
     981,   491,   983,  1042,   851,  1055,   860,   908,   262,  1014,
    1017,   438,   747,     4,  1063,   917,   261,   397,   914,   226,
     935,   415,   955,   405,   867,   868,  1069,   260,   869,  1069,
     884,   885,   457,   934,   442,  1044,   762,   702,   758,   758,
      52,   760,   448,  1067,  1055,  1055,  1068,  1068,   260,  1054,
     263,   260,   983,   558,  1057,   453,   453,   453,   576,   184,
     561,   660,   142,   512,   376,  1067,  1055,   496,  1055,   761,
     959,  1055,   422,   701,   701,   701,   701,   777,    78,   119,
     276,   370,   959,  1055,   594,  1055,   169,   403,   376,   376,
     594,   611,   618,   309,   339,   509,  1055,  1055,  1055,   192,
    1055,   251,   754,   273,   339,   376,   246,   142,   264,   616,
     660,   127,   313,   339,   511,   618,   797,  1055,   331,   142,
     512,   142,   512,  1055,  1055,  1055,  1055,   331,   331,   216,
     621,   622,   621,   454,   457,   623,  1064,   184,   454,   457,
     442,   455,  1067,  1055,   309,   339,   509,   144,  1055,  1055,
    1055,   274,   309,   339,    22,   127,   274,   309,   339,   959,
     245,   959,  1067,  1055,   801,   802,  1072,  1053,   376,  1068,
     399,   642,   218,   280,   251,  1064,   280,  1068,   396,   376,
     376,   327,   273,   339,    81,   376,   796,   327,   376,   376,
     228,   228,   228,   376,   376,   327,   376,   376,   327,   376,
     327,   376,   327,   260,   376,   512,   959,   246,  1064,   339,
     797,   142,   512,   376,  1055,   376,   327,  1067,  1055,   708,
     959,   701,   202,   708,   708,  1057,  1057,   708,   202,   202,
    1055,   202,   708,   356,   357,   527,  1064,   526,   169,   262,
     444,   445,   590,   675,   758,  1017,  1064,  1076,     3,   678,
     454,   454,   674,   675,   260,    64,    70,    81,   109,   111,
     188,   246,   251,   290,   304,   392,   551,   552,   553,   141,
     414,   464,   496,  1055,   496,   616,  1053,  1053,   454,   457,
    1068,   167,   320,  1068,  1063,   386,  1053,   560,    26,   114,
     194,   332,   397,   647,   376,   644,    42,   483,   311,   365,
     102,   517,   561,  1053,   652,   679,   680,  1064,   454,   457,
    1055,   561,  1053,   578,  1053,  1055,   579,   453,   543,   454,
     259,   516,   259,   260,   573,   516,    35,   142,   890,   517,
     376,   142,  1053,   454,   457,   109,   442,   766,  1064,   496,
     365,   757,   758,   154,   767,   418,   765,   768,   114,   194,
     332,   397,   809,  1055,   169,   890,   512,   959,   454,  1063,
     980,   980,   452,   452,   977,   454,  1055,   512,   512,   399,
     512,   399,   512,   512,   701,   701,  1055,   701,  1055,   636,
     512,   142,   327,   327,   327,  1054,   727,   457,  1067,   418,
     457,   725,   263,   945,   336,   140,   140,   102,   244,  1068,
     722,   512,  1067,   761,   202,   750,   590,   202,   701,   202,
    1023,   373,   983,   133,   959,   454,   983,   983,   983,  1031,
     454,  1019,   457,   959,   984,   984,   984,   984,   122,   124,
     246,   256,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   984,   983,   983,  1032,  1031,   959,   454,   454,   454,
    1019,   454,   457,    52,   985,   454,  1072,   994,   287,   360,
     996,   454,   457,   410,   990,    35,   454,  1064,   983,    32,
      32,   983,   454,   983,   159,   453,  1022,   983,   454,   135,
     984,   984,   135,   135,   983,   983,   906,   415,   453,  1004,
    1069,   454,  1019,   457,   901,   901,   901,   901,  1053,  1053,
    1053,   891,   949,   159,   891,   936,   937,    35,   938,   939,
    1069,   457,    89,   160,   190,   205,   215,   241,   319,   941,
     939,    35,   938,   940,  1069,   439,   953,   453,  1043,   983,
     167,   919,   457,   905,   905,   905,   983,   983,   407,  1021,
     454,   919,   454,   452,   454,   453,   747,   151,   210,   261,
      92,   983,   316,   871,   454,   457,  1044,    79,   871,   454,
     457,   881,   955,  1046,   454,   448,   762,   386,   162,   334,
     366,   387,   736,   154,   736,   454,   453,   564,   565,   743,
     988,  1069,   561,   561,   660,  1059,   454,   111,   188,   244,
     246,   661,  1055,  1055,    35,  1055,   399,   399,   701,   701,
     701,   701,   208,   702,  1067,  1055,   376,   796,   327,   376,
     192,    52,   368,  1055,   142,   548,   453,   550,   246,   516,
     102,   246,   355,   358,   516,   386,  1055,  1069,   331,   620,
    1055,   519,   675,  1072,   273,   339,   376,   796,   327,  1055,
     376,   376,   376,   327,   161,   262,   358,   684,   685,   161,
     262,   692,   693,   376,   376,   327,   454,   454,   454,   454,
     457,   442,   309,  1055,   453,   418,   643,  1065,  1064,  1064,
    1064,  1055,  1055,  1055,    52,   368,  1055,  1055,  1055,  1055,
    1055,  1055,   154,   154,   311,   154,   175,  1067,  1055,  1055,
    1067,  1055,  1055,  1055,  1055,  1055,  1055,   144,  1055,    70,
     513,   142,    24,    44,   386,  1069,  1055,   618,  1055,  1055,
     454,   202,   708,   202,   202,   708,   708,   202,   708,   464,
     527,   594,   660,   418,   420,  1053,   453,   701,  1055,   984,
     112,   177,   111,   251,   206,  1053,   768,   294,   664,   665,
    1069,   604,   453,   555,   187,   571,   546,  1068,  1068,   959,
     453,   517,  1068,   642,  1067,   175,  1053,   422,   154,   653,
     454,   457,   958,   616,   454,   586,    35,   256,   453,   862,
     545,   547,   549,   557,  1069,   572,   571,    75,   368,   574,
     890,   581,   579,   574,  1064,  1059,   741,   759,   983,   983,
     457,   453,   763,   386,   457,   672,   376,   453,   594,   454,
     452,   512,  1057,  1057,   512,   512,   512,   512,   336,  1054,
    1054,  1054,   590,   164,   724,   454,  1055,   102,   731,   159,
     202,   251,   712,  1064,   202,   202,   712,   202,   712,   983,
     454,   454,  1032,   454,   983,   159,   122,   124,   256,   453,
     454,   425,   992,  1019,   303,    52,   416,   416,   454,   983,
     244,   983,   457,   991,   961,   983,   983,   983,  1022,   454,
     983,    32,    32,   983,   983,   135,   454,   454,   983,  1005,
    1069,   454,   983,  1053,  1053,  1053,  1053,   939,   940,   453,
     454,  1069,   453,   936,   205,   269,   942,   936,   942,   205,
     941,   942,   205,   367,   947,   453,  1069,   453,   267,  1020,
      52,   170,   926,   454,   454,   454,  1021,  1064,   926,  1064,
     778,   256,  1050,   890,   868,   260,   453,   870,   442,   884,
     871,   386,   454,   376,   719,   159,   660,   983,   454,   457,
     418,    70,   744,   744,   454,   454,   768,   112,   177,   186,
     111,   401,   512,   959,  1057,  1057,  1055,  1055,  1055,  1055,
    1055,  1068,  1055,   548,   617,   621,   251,   251,  1065,  1069,
     959,   512,   512,   442,    52,   368,  1055,  1055,  1055,  1055,
    1067,  1055,  1055,  1063,  1063,   959,   457,  1063,  1063,   457,
    1067,  1055,  1055,   802,   245,   675,   376,   983,    64,  1068,
    1055,   376,   376,  1054,  1054,   701,  1054,   142,  1055,   701,
    1064,  1064,   959,   512,   512,   202,   708,   708,   708,   708,
     453,   528,   529,   399,   533,   534,   161,   191,   161,   159,
     659,   983,   246,   552,   768,   560,   399,   575,  1061,    32,
     141,   181,   542,   139,   182,   453,   336,   399,   561,    35,
     643,   483,   246,   453,  1055,   128,   654,   414,   656,  1064,
     517,   141,   890,   701,   542,   579,   454,   457,   418,   573,
     572,   114,   127,   287,  1055,   418,   822,    35,   159,   260,
     453,  1064,   756,   769,   770,  1070,   768,   959,   154,  1053,
     159,   376,   787,   189,   595,   512,   512,   512,  1055,   263,
     200,   512,   723,   712,   712,   712,   712,   454,   984,   159,
     453,  1022,   453,   454,   457,   454,   985,   303,   454,   404,
     352,   454,   454,   454,   983,   983,   983,   454,   278,  1006,
     454,   950,   951,   988,   938,   453,  1054,   936,   260,   399,
     943,   936,   205,   936,  1061,   957,   453,   957,  1069,   905,
      91,   168,   322,   453,   920,   921,   922,   923,   924,   925,
     983,   983,   417,  1000,   905,  1000,   454,   887,    81,   742,
     743,   123,   453,   891,  1048,   723,   260,   723,   454,   768,
     565,   262,   778,   701,   701,   745,   745,   304,   768,   575,
     454,   376,   339,   877,   454,   457,   513,   675,  1068,  1055,
     376,   453,  1061,   778,   685,   453,   453,   693,  1055,   454,
     453,   339,   877,  1055,  1055,   418,   439,   839,   311,   839,
     839,   154,   513,   708,   535,   536,  1072,    48,    90,   115,
     131,   135,   155,   158,   171,   251,   259,   296,   530,   464,
     116,   727,    35,   783,   783,  1053,   660,   454,   575,   229,
     563,   184,   453,   665,   294,   453,   454,    26,    74,    82,
     110,   185,   358,   556,   556,  1052,  1055,  1057,   454,   890,
     142,   616,   323,   354,   655,   453,   141,    35,  1055,   579,
     543,   454,   547,   264,   574,   573,   324,   324,    56,    64,
     221,   890,   701,  1053,   742,   758,   454,   457,   386,   954,
     350,   350,   454,   594,   244,   403,   596,   597,  1055,   512,
     984,  1022,   454,   993,  1019,    52,   244,   435,    52,   905,
     454,   457,    35,   952,  1054,   454,   983,   453,   936,   943,
     453,   454,   957,   454,   454,   453,   340,   453,   454,   457,
    1001,  1002,  1069,   454,  1055,   454,   457,   247,   397,   725,
     736,   512,   744,   575,   453,   746,   746,  1053,   575,   660,
    1055,   368,   621,   399,   514,   339,   877,  1055,  1022,   750,
     154,   688,   777,  1022,  1022,   983,   368,   700,   701,   700,
     701,  1054,   512,   454,   457,   446,   453,   493,   537,   590,
     836,  1064,   836,   246,   251,   296,   836,   836,   528,  1064,
     783,    38,   179,   154,   244,   559,   160,   277,   345,   260,
     567,   568,   569,   368,   454,  1061,     5,   666,   571,   454,
     616,   148,   687,   517,   822,  1053,   983,   294,   890,   862,
     572,   571,   550,   574,    64,   263,    64,   579,   741,   454,
     763,   769,   959,   123,   418,   418,   403,   594,   616,   454,
     454,   454,   303,   404,  1019,   297,   324,  1007,   953,   950,
     453,   454,  1054,  1019,   454,  1019,   453,  1019,   921,   457,
      35,   954,   743,   339,   159,   745,   415,   566,   778,   747,
     747,   560,   660,  1055,   983,   368,   454,   266,   329,   301,
     689,   688,   454,   454,   454,  1055,   839,   536,   493,   538,
     539,  1064,  1064,   251,   561,   446,   561,  1064,  1064,   128,
     186,   114,   397,   260,   569,   260,   568,  1055,   453,   454,
     457,   336,   701,    35,    35,   453,   454,  1061,   822,   579,
     573,   572,   263,   263,   453,   517,   768,    27,   195,   810,
     161,   161,    46,    92,   388,   983,  1008,  1009,  1008,   454,
     957,   454,   454,   454,   920,   454,  1002,  1004,   880,   723,
     746,   453,   660,   454,   563,   877,  1055,  1061,    52,   689,
     877,   701,   454,   457,   561,   323,    55,   244,   315,   339,
     570,   570,   454,     5,  1055,   684,   890,   453,   574,   573,
     742,   574,   247,   453,   805,   807,   812,   864,   872,   879,
     890,   727,   727,  1009,   323,   153,   285,   153,   285,   454,
     310,   948,   454,   954,   512,   747,   983,   567,   877,   750,
     701,   539,   656,    21,   109,   251,   616,   822,     4,   657,
     658,  1063,  1064,  1072,   574,   454,   954,   806,   807,   808,
     891,   892,   457,   457,    32,   453,   454,   660,   141,   454,
     457,   517,   454,   456,   376,   159,  1009,   983,   294,   658,
     574,   808,   350,   350,   454,  1061,   954,   418,   418,   453,
     161,   161,   657,   727,   727,   454
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   459,   460,   461,   461,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   463,   464,   464,   464,   465,   465,   466,   466,   467,
     467,   467,   467,   467,   467,   467,   467,   467,   468,   468,
     468,   468,   468,   468,   469,   470,   471,   471,   472,   472,
     473,   474,   474,   475,   475,   476,   476,   477,   478,   479,
     479,   480,   480,   481,   481,   481,   481,   482,   482,   483,
     483,   484,   484,   484,   484,   484,   484,   485,   485,   485,
     486,   486,   486,   487,   487,   487,   487,   488,   488,   488,
     488,   488,   488,   488,   488,   488,   488,   488,   489,   489,
     490,   490,   491,   491,   492,   492,   492,   492,   493,   493,
     493,   493,   494,   494,   494,   494,   494,   494,   494,   495,
     495,   495,   496,   496,   497,   498,   498,   498,   498,   499,
     499,   500,   500,   501,   501,   502,   502,   502,   502,   502,
     503,   504,   504,   505,   505,   506,   507,   507,   507,   507,
     507,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   508,   509,   509,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   511,   511,   512,   512,   512,   513,   513,   514,   514,
     515,   515,   515,   515,   516,   517,   517,   518,   518,   519,
     519,   519,   519,   520,   521,   521,   522,   522,   522,   522,
     523,   523,   524,   524,   525,   525,   526,   526,   527,   527,
     527,   528,   528,   529,   529,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   531,
     531,   532,   532,   533,   533,   534,   534,   535,   535,   536,
     537,   537,   537,   537,   537,   538,   538,   539,   540,   540,
     540,   540,   541,   541,   541,   541,   541,   541,   541,   541,
     542,   542,   543,   543,   544,   544,   545,   545,   546,   546,
     546,   547,   547,   548,   549,   550,   550,   551,   551,   551,
     551,   552,   552,   552,   552,   552,   552,   552,   553,   553,
     553,   553,   554,   555,   555,   555,   556,   556,   556,   556,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     558,   559,   559,   560,   560,   561,   561,   562,   563,   563,
     563,   563,   564,   564,   565,   565,   566,   566,   567,   567,
     567,   567,   567,   568,   569,   570,   570,   570,   570,   570,
     571,   571,   572,   572,   572,   572,   573,   573,   573,   573,
     574,   574,   575,   575,   576,   577,   577,   578,   579,   579,
     579,   580,   580,   581,   582,   582,   583,   584,   584,   585,
     585,   586,   586,   587,   587,   588,   588,   588,   588,   588,
     588,   588,   588,   588,   588,   588,   588,   589,   589,   590,
     590,   590,   590,   591,   591,   592,   592,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   597,   598,   598,   599,
     599,   600,   601,   601,   602,   602,   603,   603,   604,   604,
     605,   605,   605,   605,   606,   607,   607,   608,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   609,   609,   609,   610,   611,   611,   611,   611,   612,
     612,   613,   613,   614,   614,   615,   615,   616,   616,   617,
     617,   618,   619,   619,   620,   620,   620,   620,   621,   622,
     623,   624,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   629,   629,   630,   630,   631,   631,   632,   633,   633,
     634,   634,   635,   636,   636,   637,   637,   638,   639,   640,
     641,   641,   642,   642,   643,   643,   644,   644,   645,   645,
     646,   646,   647,   647,   647,   647,   647,   648,   649,   649,
     650,   650,   650,   651,   651,   652,   652,   652,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   656,   657,   657,
     657,   658,   658,   658,   658,   659,   659,   660,   660,   661,
     661,   661,   661,   661,   661,   662,   662,   663,   663,   664,
     664,   665,   666,   666,   667,   668,   668,   668,   668,   669,
     670,   671,   671,   671,   671,   671,   671,   671,   671,   671,
     671,   671,   671,   671,   671,   672,   673,   673,   674,   674,
     675,   675,   675,   675,   675,   676,   677,   677,   678,   679,
     679,   680,   680,   681,   681,   681,   682,   682,   683,   684,
     684,   685,   685,   685,   685,   685,   686,   686,   687,   687,
     688,   688,   688,   689,   689,   690,   691,   691,   692,   692,
     693,   693,   694,   694,   695,   695,   696,   697,   698,   698,
     698,   698,   698,   698,   698,   698,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   699,   699,   699,   699,   699,
     699,   699,   700,   700,   701,   701,   702,   702,   703,   703,
     704,   705,   705,   705,   706,   706,   706,   706,   706,   706,
     706,   706,   706,   706,   706,   706,   706,   706,   706,   706,
     706,   706,   707,   707,   707,   707,   707,   707,   707,   707,
     707,   707,   707,   707,   707,   707,   707,   707,   707,   707,
     707,   707,   707,   707,   708,   708,   709,   709,   709,   709,
     709,   709,   709,   710,   710,   711,   711,   711,   711,   711,
     711,   711,   711,   711,   711,   711,   712,   712,   713,   713,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   715,   715,   716,   716,
     717,   718,   718,   719,   719,   719,   719,   719,   720,   720,
     721,   721,   721,   721,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     723,   723,   724,   724,   725,   725,   726,   726,   727,   728,
     729,   729,   730,   730,   731,   731,   732,   733,   733,   734,
     734,   734,   735,   735,   735,   736,   736,   736,   736,   737,
     737,   738,   738,   739,   739,   740,   740,   741,   741,   742,
     742,   743,   743,   743,   744,   744,   745,   745,   746,   746,
     746,   747,   747,   747,   748,   748,   748,   749,   749,   750,
     750,   751,   751,   752,   752,   753,   753,   754,   754,   754,
     754,   754,   755,   755,   755,   755,   755,   756,   757,   758,
     758,   758,   759,   759,   759,   760,   761,   761,   761,   761,
     762,   762,   763,   763,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   764,   764,   764,   764,   764,
     765,   765,   765,   765,   765,   766,   766,   767,   767,   768,
     768,   769,   770,   770,   771,   772,   772,   773,   773,   774,
     774,   775,   775,   776,   776,   777,   777,   777,   777,   778,
     778,   779,   780,   780,   781,   781,   782,   782,   782,   783,
     783,   783,   784,   785,   785,   786,   787,   787,   787,   787,
     788,   789,   789,   789,   789,   790,   790,   791,   791,   791,
     792,   792,   793,   794,   794,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   796,   796,   797,   797,   798,   798,   798,
     798,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   800,   801,   801,   802,   802,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   804,
     805,   805,   805,   806,   806,   807,   807,   807,   807,   807,
     808,   808,   809,   809,   809,   809,   810,   810,   810,   811,
     811,   812,   813,   813,   814,   815,   815,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   817,   817,   817,   818,   818,   818,   818,   818,   819,
     819,   819,   820,   820,   821,   821,   821,   821,   822,   822,
     822,   822,   823,   824,   825,   825,   826,   826,   827,   827,
     827,   828,   828,   828,   828,   828,   828,   828,   829,   829,
     830,   830,   830,   831,   832,   832,   833,   833,   834,   835,
     835,   835,   835,   835,   835,   835,   836,   836,   837,   838,
     838,   838,   838,   838,   838,   839,   839,   840,   841,   841,
     841,   842,   842,   843,   843,   843,   843,   843,   844,   844,
     845,   845,   845,   845,   845,   846,   846,   847,   847,   848,
     848,   849,   849,   850,   850,   851,   851,   852,   852,   852,
     852,   853,   853,   853,   853,   853,   853,   853,   853,   853,
     854,   854,   855,   856,   856,   857,   857,   857,   858,   859,
     859,   860,   860,   860,   860,   861,   861,   861,   862,   862,
     863,   863,   863,   863,   864,   865,   865,   866,   866,   866,
     867,   867,   868,   869,   869,   869,   870,   870,   870,   871,
     871,   872,   873,   873,   874,   875,   875,   876,   876,   876,
     876,   876,   876,   876,   876,   877,   877,   878,   878,   878,
     879,   880,   880,   881,   881,   882,   883,   883,   884,   885,
     885,   886,   887,   888,   888,   888,   888,   888,   889,   889,
     889,   890,   890,   891,   891,   892,   892,   892,   892,   892,
     892,   892,   892,   893,   893,   894,   894,   894,   894,   894,
     894,   894,   895,   895,   895,   896,   896,   897,   898,   898,
     899,   899,   900,   900,   900,   900,   900,   900,   900,   900,
     900,   901,   901,   902,   902,   902,   903,   903,   904,   904,
     905,   905,   906,   907,   907,   908,   908,   909,   909,   909,
     909,   910,   910,   911,   911,   911,   911,   912,   912,   913,
     913,   914,   915,   915,   915,   916,   916,   917,   917,   918,
     918,   919,   919,   920,   920,   921,   921,   921,   921,   921,
     922,   923,   924,   925,   926,   926,   927,   927,   928,   928,
     929,   929,   930,   931,   931,   931,   931,   932,   932,   933,
     933,   934,   934,   935,   935,   936,   936,   936,   936,   936,
     936,   936,   936,   937,   937,   937,   937,   937,   937,   938,
     938,   938,   938,   939,   939,   940,   940,   940,   940,   940,
     941,   941,   941,   941,   942,   942,   943,   943,   944,   944,
     944,   944,   945,   945,   946,   946,   946,   947,   948,   948,
     949,   949,   950,   951,   951,   952,   952,   953,   953,   954,
     954,   955,   955,   955,   956,   956,   957,   957,   958,   959,
     959,   959,   959,   959,   959,   960,   960,   960,   961,   961,
     961,   961,   961,   961,   961,   962,   962,   962,   962,   963,
     963,   964,   964,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   965,   966,   966,   967,   967,   968,   968,
     969,   970,   971,   971,   972,   972,   973,   974,   975,   975,
     975,   975,   975,   975,   976,   976,   977,   977,   978,   978,
     978,   978,   979,   980,   980,   980,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   981,   981,   981,   981,
     982,   982,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   984,   984,   984,   984,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     985,   985,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   985,   986,   986,   986,   986,   986,   986,
     986,   987,   987,   988,   988,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   990,   990,   991,
     991,   991,   991,   992,   993,   993,   994,   994,   995,   995,
     996,   996,   996,   997,   997,   997,   997,   998,   998,   999,
     999,  1000,  1000,  1001,  1001,  1002,  1003,  1003,  1003,  1004,
    1005,  1005,  1006,  1006,  1007,  1007,  1007,  1008,  1008,  1009,
    1009,  1009,  1009,  1009,  1010,  1010,  1010,  1011,  1011,  1012,
    1013,  1013,  1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,  1017,
    1017,  1018,  1018,  1018,  1018,  1018,  1018,  1019,  1019,  1020,
    1020,  1021,  1021,  1021,  1022,  1022,  1023,  1023,  1023,  1024,
    1024,  1025,  1025,  1026,  1026,  1026,  1026,  1026,  1026,  1026,
    1026,  1027,  1027,  1028,  1029,  1029,  1030,  1030,  1030,  1030,
    1030,  1030,  1031,  1032,  1033,  1033,  1033,  1034,  1034,  1035,
    1036,  1036,  1037,  1038,  1038,  1039,  1039,  1040,  1040,  1041,
    1041,  1041,  1041,  1042,  1042,  1043,  1043,  1044,  1044,  1045,
    1045,  1046,  1046,  1047,  1047,  1048,  1049,  1049,  1050,  1050,
    1051,  1051,  1051,  1051,  1052,  1052,  1053,  1053,  1054,  1054,
    1055,  1056,  1057,  1058,  1059,  1060,  1061,  1061,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1063,  1064,  1065,  1065,  1065,  1066,  1067,  1067,  1067,
    1068,  1068,  1069,  1069,  1069,  1070,  1070,  1070,  1071,  1071,
    1071,  1071,  1072,  1072,  1072,  1072,  1072,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1075,  1075,  1075,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     5,     1,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     5,     5,     3,     5,     3,     5,     5,     6,     1,
       1,     3,     5,     6,     4,     9,     7,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     2,     3,     4,     3,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     2,
       5,     3,     6,     4,     6,     6,     6,     5,     5,     6,
       6,     4,     8,     4,     2,     4,     3,     6,     4,     3,
       3,     3,     3,     2,     2,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     3,     4,     4,     4,     5,
       1,     3,     2,     1,     1,     0,     2,     0,     2,     0,
       1,     1,     1,     3,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     4,     1,     3,     4,     6,     4,     8,
       2,     2,    11,     9,     1,     1,     1,     0,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     3,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     7,    10,     5,     2,     3,
       0,     8,    11,     4,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     1,     5,     2,     0,     2,     7,     7,
      10,     6,     6,     6,     6,     7,     7,     9,     9,     6,
       7,     6,     8,     8,     8,     8,     6,     6,     7,     7,
       8,     6,     9,     6,     7,     2,     2,     2,     2,     1,
       2,     1,     0,     6,     8,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,     2,     0,     2,     2,     1,     0,     4,     6,
       5,     4,     4,    11,    14,     5,     7,    11,     2,     1,
       4,     0,     8,     1,     1,     7,     9,     8,     9,     8,
       6,     8,     4,     0,     5,     0,     2,     0,     2,     0,
       2,     0,     1,     1,     1,     1,     1,     8,    15,    20,
       1,     1,     2,     1,     3,     1,     1,     1,     3,     1,
       3,     0,     1,     0,     1,     1,     4,     0,     1,     3,
       0,     1,     1,     1,     1,     2,     0,     0,     2,     2,
       1,     2,     2,     2,     2,     6,     8,    11,    13,     1,
       3,     5,     1,     3,     5,     1,     2,     2,     1,     8,
       4,     5,     4,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     5,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     7,     9,     9,     3,     0,    13,     1,
       3,     5,     6,     4,     7,     2,     1,     0,     2,     0,
       2,     4,     0,     1,     0,     6,     8,     8,     1,     3,
       5,     5,     7,     9,     7,     9,     5,     6,     6,     4,
       4,     6,     4,     6,     5,     7,     1,     1,     1,     2,
       1,     2,     2,     2,     1,     1,     1,     1,     3,     3,
       3,     3,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     7,     7,     7,
       8,     9,     8,     8,     6,     9,     8,     9,     9,     7,
      10,     7,     2,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     3,     2,
       3,     3,     3,     3,     1,     1,     8,     8,     8,     9,
       9,     9,     9,     2,     0,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     1,     3,     2,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,    14,
      17,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     5,     5,     7,     2,     0,     1,     0,     1,     1,
       0,     2,     2,     0,     9,    12,     7,     2,     0,     3,
       2,     1,     3,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     3,     3,     5,     6,
       1,     3,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     1,     2,
       2,     2,     2,     1,     1,     1,     3,     3,     5,     2,
       0,     2,     1,     3,     5,     1,     2,     1,     0,     5,
       7,     5,     7,     5,     7,     3,     5,     5,     5,     1,
       3,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,    10,    11,    11,     5,     5,
       8,     3,     3,     6,     6,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     5,     7,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     8,    10,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     9,     8,
       7,     7,     6,     6,     6,     6,     6,     7,     9,     9,
       6,     8,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     8,     1,     3,     3,     3,
       7,     6,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,     7,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,    12,    14,     3,     4,
       4,     0,     2,     5,     1,     0,     1,     2,     3,     3,
       3,     1,     2,     1,     1,     1,     1,     1,     1,     0,
       5,     4,     6,     4,     3,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,     1,     1,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     3,
       0,     1,     1,     1,     1,     3,     9,    12,     3,     0,
       2,     3,     2,     3,     7,     1,     3,     1,     4,     2,
       1,     3,     2,     8,     5,     0,     4,     3,     0,     2,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     1,     2,     0,
       8,     1,     3,     1,     1,     3,     5,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     6,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     4,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     2,
       3,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     6,     4,     0,
       2,     6,     2,     1,     3,     4,     0,     2,     0,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     1,     4,     3,     5,     6,     8,     6,     6,
       4,     4,     1,     1,     1,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     2,     2,     0,     1,     4,     2,
       2,     2,     2,     2,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     1,     1,     1,     3,     3,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 735 "gram.y" /* yacc.c:1652  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 23225 "gram.c" /* yacc.c:1652  */
    break;

  case 3:
#line 742 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 23236 "gram.c" /* yacc.c:1652  */
    break;

  case 4:
#line 749 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 23247 "gram.c" /* yacc.c:1652  */
    break;

  case 130:
#line 884 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 23253 "gram.c" /* yacc.c:1652  */
    break;

  case 131:
#line 895 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23265 "gram.c" /* yacc.c:1652  */
    break;

  case 132:
#line 905 "gram.y" /* yacc.c:1652  */
    {}
#line 23271 "gram.c" /* yacc.c:1652  */
    break;

  case 133:
#line 906 "gram.y" /* yacc.c:1652  */
    {}
#line 23277 "gram.c" /* yacc.c:1652  */
    break;

  case 134:
#line 907 "gram.y" /* yacc.c:1652  */
    {}
#line 23283 "gram.c" /* yacc.c:1652  */
    break;

  case 135:
#line 916 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23289 "gram.c" /* yacc.c:1652  */
    break;

  case 136:
#line 917 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 23295 "gram.c" /* yacc.c:1652  */
    break;

  case 137:
#line 921 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23301 "gram.c" /* yacc.c:1652  */
    break;

  case 138:
#line 922 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 23307 "gram.c" /* yacc.c:1652  */
    break;

  case 139:
#line 927 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23316 "gram.c" /* yacc.c:1652  */
    break;

  case 140:
#line 932 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 23324 "gram.c" /* yacc.c:1652  */
    break;

  case 141:
#line 936 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23333 "gram.c" /* yacc.c:1652  */
    break;

  case 142:
#line 941 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23342 "gram.c" /* yacc.c:1652  */
    break;

  case 143:
#line 946 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 23350 "gram.c" /* yacc.c:1652  */
    break;

  case 144:
#line 950 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23358 "gram.c" /* yacc.c:1652  */
    break;

  case 145:
#line 954 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 23366 "gram.c" /* yacc.c:1652  */
    break;

  case 146:
#line 959 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23374 "gram.c" /* yacc.c:1652  */
    break;

  case 147:
#line 963 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 23423 "gram.c" /* yacc.c:1652  */
    break;

  case 148:
#line 1010 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 23429 "gram.c" /* yacc.c:1652  */
    break;

  case 149:
#line 1013 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23437 "gram.c" /* yacc.c:1652  */
    break;

  case 150:
#line 1017 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 23445 "gram.c" /* yacc.c:1652  */
    break;

  case 151:
#line 1021 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23453 "gram.c" /* yacc.c:1652  */
    break;

  case 152:
#line 1025 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23461 "gram.c" /* yacc.c:1652  */
    break;

  case 153:
#line 1029 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23469 "gram.c" /* yacc.c:1652  */
    break;

  case 154:
#line 1043 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23481 "gram.c" /* yacc.c:1652  */
    break;

  case 155:
#line 1061 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23493 "gram.c" /* yacc.c:1652  */
    break;

  case 156:
#line 1071 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 23499 "gram.c" /* yacc.c:1652  */
    break;

  case 157:
#line 1072 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23505 "gram.c" /* yacc.c:1652  */
    break;

  case 158:
#line 1077 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].node);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23517 "gram.c" /* yacc.c:1652  */
    break;

  case 159:
#line 1085 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23529 "gram.c" /* yacc.c:1652  */
    break;

  case 160:
#line 1103 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23541 "gram.c" /* yacc.c:1652  */
    break;

  case 161:
#line 1115 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].node);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23553 "gram.c" /* yacc.c:1652  */
    break;

  case 162:
#line 1123 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23565 "gram.c" /* yacc.c:1652  */
    break;

  case 163:
#line 1144 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23576 "gram.c" /* yacc.c:1652  */
    break;

  case 164:
#line 1151 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23587 "gram.c" /* yacc.c:1652  */
    break;

  case 165:
#line 1168 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23598 "gram.c" /* yacc.c:1652  */
    break;

  case 166:
#line 1175 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 23609 "gram.c" /* yacc.c:1652  */
    break;

  case 167:
#line 1192 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23621 "gram.c" /* yacc.c:1652  */
    break;

  case 168:
#line 1210 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].node);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 23634 "gram.c" /* yacc.c:1652  */
    break;

  case 169:
#line 1220 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = +1; }
#line 23640 "gram.c" /* yacc.c:1652  */
    break;

  case 170:
#line 1221 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = -1; }
#line 23646 "gram.c" /* yacc.c:1652  */
    break;

  case 171:
#line 1234 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23657 "gram.c" /* yacc.c:1652  */
    break;

  case 172:
#line 1241 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23668 "gram.c" /* yacc.c:1652  */
    break;

  case 173:
#line 1258 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23682 "gram.c" /* yacc.c:1652  */
    break;

  case 174:
#line 1268 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23696 "gram.c" /* yacc.c:1652  */
    break;

  case 175:
#line 1278 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23715 "gram.c" /* yacc.c:1652  */
    break;

  case 176:
#line 1293 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23734 "gram.c" /* yacc.c:1652  */
    break;

  case 177:
#line 1310 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23740 "gram.c" /* yacc.c:1652  */
    break;

  case 178:
#line 1311 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 23746 "gram.c" /* yacc.c:1652  */
    break;

  case 179:
#line 1316 "gram.y" /* yacc.c:1652  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 23756 "gram.c" /* yacc.c:1652  */
    break;

  case 180:
#line 1322 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 23762 "gram.c" /* yacc.c:1652  */
    break;

  case 187:
#line 1350 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23772 "gram.c" /* yacc.c:1652  */
    break;

  case 188:
#line 1356 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 23782 "gram.c" /* yacc.c:1652  */
    break;

  case 189:
#line 1362 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23792 "gram.c" /* yacc.c:1652  */
    break;

  case 190:
#line 1371 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23804 "gram.c" /* yacc.c:1652  */
    break;

  case 191:
#line 1379 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23816 "gram.c" /* yacc.c:1652  */
    break;

  case 193:
#line 1391 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23828 "gram.c" /* yacc.c:1652  */
    break;

  case 194:
#line 1399 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23840 "gram.c" /* yacc.c:1652  */
    break;

  case 195:
#line 1407 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23851 "gram.c" /* yacc.c:1652  */
    break;

  case 196:
#line 1414 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23862 "gram.c" /* yacc.c:1652  */
    break;

  case 197:
#line 1423 "gram.y" /* yacc.c:1652  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 23868 "gram.c" /* yacc.c:1652  */
    break;

  case 198:
#line 1425 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23879 "gram.c" /* yacc.c:1652  */
    break;

  case 199:
#line 1433 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23894 "gram.c" /* yacc.c:1652  */
    break;

  case 200:
#line 1444 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 23906 "gram.c" /* yacc.c:1652  */
    break;

  case 201:
#line 1452 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23918 "gram.c" /* yacc.c:1652  */
    break;

  case 202:
#line 1460 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23933 "gram.c" /* yacc.c:1652  */
    break;

  case 203:
#line 1471 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23945 "gram.c" /* yacc.c:1652  */
    break;

  case 204:
#line 1479 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23957 "gram.c" /* yacc.c:1652  */
    break;

  case 205:
#line 1487 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 23968 "gram.c" /* yacc.c:1652  */
    break;

  case 206:
#line 1494 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23980 "gram.c" /* yacc.c:1652  */
    break;

  case 207:
#line 1503 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23992 "gram.c" /* yacc.c:1652  */
    break;

  case 208:
#line 1512 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23998 "gram.c" /* yacc.c:1652  */
    break;

  case 209:
#line 1514 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 24004 "gram.c" /* yacc.c:1652  */
    break;

  case 210:
#line 1517 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24010 "gram.c" /* yacc.c:1652  */
    break;

  case 211:
#line 1518 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24016 "gram.c" /* yacc.c:1652  */
    break;

  case 212:
#line 1522 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 24022 "gram.c" /* yacc.c:1652  */
    break;

  case 213:
#line 1524 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24028 "gram.c" /* yacc.c:1652  */
    break;

  case 214:
#line 1527 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read uncommitted"; }
#line 24034 "gram.c" /* yacc.c:1652  */
    break;

  case 215:
#line 1528 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read committed"; }
#line 24040 "gram.c" /* yacc.c:1652  */
    break;

  case 216:
#line 1529 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "repeatable read"; }
#line 24046 "gram.c" /* yacc.c:1652  */
    break;

  case 217:
#line 1530 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "serializable"; }
#line 24052 "gram.c" /* yacc.c:1652  */
    break;

  case 218:
#line 1534 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "true"; }
#line 24058 "gram.c" /* yacc.c:1652  */
    break;

  case 219:
#line 1535 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "false"; }
#line 24064 "gram.c" /* yacc.c:1652  */
    break;

  case 220:
#line 1536 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "on"; }
#line 24070 "gram.c" /* yacc.c:1652  */
    break;

  case 221:
#line 1542 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24076 "gram.c" /* yacc.c:1652  */
    break;

  case 222:
#line 1555 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24084 "gram.c" /* yacc.c:1652  */
    break;

  case 223:
#line 1559 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24092 "gram.c" /* yacc.c:1652  */
    break;

  case 224:
#line 1563 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 24111 "gram.c" /* yacc.c:1652  */
    break;

  case 225:
#line 1578 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 24122 "gram.c" /* yacc.c:1652  */
    break;

  case 226:
#line 1584 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24128 "gram.c" /* yacc.c:1652  */
    break;

  case 227:
#line 1585 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 24134 "gram.c" /* yacc.c:1652  */
    break;

  case 228:
#line 1586 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 24140 "gram.c" /* yacc.c:1652  */
    break;

  case 229:
#line 1590 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24146 "gram.c" /* yacc.c:1652  */
    break;

  case 230:
#line 1591 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 24152 "gram.c" /* yacc.c:1652  */
    break;

  case 231:
#line 1592 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 24158 "gram.c" /* yacc.c:1652  */
    break;

  case 232:
#line 1596 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24164 "gram.c" /* yacc.c:1652  */
    break;

  case 233:
#line 1597 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24170 "gram.c" /* yacc.c:1652  */
    break;

  case 234:
#line 1601 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 24176 "gram.c" /* yacc.c:1652  */
    break;

  case 235:
#line 1605 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24182 "gram.c" /* yacc.c:1652  */
    break;

  case 236:
#line 1607 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 24193 "gram.c" /* yacc.c:1652  */
    break;

  case 237:
#line 1614 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 24204 "gram.c" /* yacc.c:1652  */
    break;

  case 238:
#line 1621 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 24215 "gram.c" /* yacc.c:1652  */
    break;

  case 239:
#line 1631 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 24226 "gram.c" /* yacc.c:1652  */
    break;

  case 240:
#line 1638 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 24236 "gram.c" /* yacc.c:1652  */
    break;

  case 241:
#line 1647 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24242 "gram.c" /* yacc.c:1652  */
    break;

  case 242:
#line 1648 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24248 "gram.c" /* yacc.c:1652  */
    break;

  case 243:
#line 1653 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24254 "gram.c" /* yacc.c:1652  */
    break;

  case 244:
#line 1654 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24260 "gram.c" /* yacc.c:1652  */
    break;

  case 245:
#line 1660 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 24270 "gram.c" /* yacc.c:1652  */
    break;

  case 246:
#line 1666 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 24280 "gram.c" /* yacc.c:1652  */
    break;

  case 247:
#line 1672 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 24290 "gram.c" /* yacc.c:1652  */
    break;

  case 248:
#line 1678 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 24300 "gram.c" /* yacc.c:1652  */
    break;

  case 249:
#line 1684 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 24310 "gram.c" /* yacc.c:1652  */
    break;

  case 250:
#line 1694 "gram.y" /* yacc.c:1652  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 24321 "gram.c" /* yacc.c:1652  */
    break;

  case 251:
#line 1703 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 24327 "gram.c" /* yacc.c:1652  */
    break;

  case 252:
#line 1704 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24333 "gram.c" /* yacc.c:1652  */
    break;

  case 253:
#line 1708 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 24339 "gram.c" /* yacc.c:1652  */
    break;

  case 254:
#line 1709 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 24345 "gram.c" /* yacc.c:1652  */
    break;

  case 255:
#line 1718 "gram.y" /* yacc.c:1652  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 24354 "gram.c" /* yacc.c:1652  */
    break;

  case 256:
#line 1733 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 24364 "gram.c" /* yacc.c:1652  */
    break;

  case 257:
#line 1739 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24374 "gram.c" /* yacc.c:1652  */
    break;

  case 258:
#line 1745 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24384 "gram.c" /* yacc.c:1652  */
    break;

  case 259:
#line 1751 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 24394 "gram.c" /* yacc.c:1652  */
    break;

  case 260:
#line 1757 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 24404 "gram.c" /* yacc.c:1652  */
    break;

  case 261:
#line 1776 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24417 "gram.c" /* yacc.c:1652  */
    break;

  case 262:
#line 1785 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24430 "gram.c" /* yacc.c:1652  */
    break;

  case 263:
#line 1794 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24445 "gram.c" /* yacc.c:1652  */
    break;

  case 264:
#line 1805 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24460 "gram.c" /* yacc.c:1652  */
    break;

  case 265:
#line 1816 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24473 "gram.c" /* yacc.c:1652  */
    break;

  case 266:
#line 1825 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24486 "gram.c" /* yacc.c:1652  */
    break;

  case 267:
#line 1834 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24501 "gram.c" /* yacc.c:1652  */
    break;

  case 268:
#line 1845 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24516 "gram.c" /* yacc.c:1652  */
    break;

  case 269:
#line 1856 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24529 "gram.c" /* yacc.c:1652  */
    break;

  case 270:
#line 1865 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24542 "gram.c" /* yacc.c:1652  */
    break;

  case 271:
#line 1874 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24555 "gram.c" /* yacc.c:1652  */
    break;

  case 272:
#line 1883 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24568 "gram.c" /* yacc.c:1652  */
    break;

  case 273:
#line 1892 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24581 "gram.c" /* yacc.c:1652  */
    break;

  case 274:
#line 1901 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24594 "gram.c" /* yacc.c:1652  */
    break;

  case 275:
#line 1910 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24609 "gram.c" /* yacc.c:1652  */
    break;

  case 276:
#line 1921 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24624 "gram.c" /* yacc.c:1652  */
    break;

  case 277:
#line 1934 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24630 "gram.c" /* yacc.c:1652  */
    break;

  case 278:
#line 1935 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24636 "gram.c" /* yacc.c:1652  */
    break;

  case 279:
#line 1941 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24648 "gram.c" /* yacc.c:1652  */
    break;

  case 280:
#line 1950 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24660 "gram.c" /* yacc.c:1652  */
    break;

  case 281:
#line 1959 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24672 "gram.c" /* yacc.c:1652  */
    break;

  case 282:
#line 1968 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24684 "gram.c" /* yacc.c:1652  */
    break;

  case 283:
#line 1977 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24696 "gram.c" /* yacc.c:1652  */
    break;

  case 284:
#line 1986 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24707 "gram.c" /* yacc.c:1652  */
    break;

  case 285:
#line 1994 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24718 "gram.c" /* yacc.c:1652  */
    break;

  case 286:
#line 2002 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 24730 "gram.c" /* yacc.c:1652  */
    break;

  case 287:
#line 2011 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24742 "gram.c" /* yacc.c:1652  */
    break;

  case 288:
#line 2020 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24754 "gram.c" /* yacc.c:1652  */
    break;

  case 289:
#line 2029 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 24766 "gram.c" /* yacc.c:1652  */
    break;

  case 290:
#line 2038 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24779 "gram.c" /* yacc.c:1652  */
    break;

  case 291:
#line 2048 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24792 "gram.c" /* yacc.c:1652  */
    break;

  case 292:
#line 2061 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 24810 "gram.c" /* yacc.c:1652  */
    break;

  case 293:
#line 2076 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24822 "gram.c" /* yacc.c:1652  */
    break;

  case 294:
#line 2085 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24833 "gram.c" /* yacc.c:1652  */
    break;

  case 295:
#line 2093 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 24851 "gram.c" /* yacc.c:1652  */
    break;

  case 296:
#line 2108 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24862 "gram.c" /* yacc.c:1652  */
    break;

  case 297:
#line 2116 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24875 "gram.c" /* yacc.c:1652  */
    break;

  case 298:
#line 2126 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24888 "gram.c" /* yacc.c:1652  */
    break;

  case 299:
#line 2136 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 24898 "gram.c" /* yacc.c:1652  */
    break;

  case 300:
#line 2143 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 24908 "gram.c" /* yacc.c:1652  */
    break;

  case 301:
#line 2150 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24919 "gram.c" /* yacc.c:1652  */
    break;

  case 302:
#line 2158 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 24930 "gram.c" /* yacc.c:1652  */
    break;

  case 303:
#line 2166 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 24940 "gram.c" /* yacc.c:1652  */
    break;

  case 304:
#line 2173 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 24950 "gram.c" /* yacc.c:1652  */
    break;

  case 305:
#line 2180 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24961 "gram.c" /* yacc.c:1652  */
    break;

  case 306:
#line 2188 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24972 "gram.c" /* yacc.c:1652  */
    break;

  case 307:
#line 2196 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24983 "gram.c" /* yacc.c:1652  */
    break;

  case 308:
#line 2204 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 24993 "gram.c" /* yacc.c:1652  */
    break;

  case 309:
#line 2211 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 25003 "gram.c" /* yacc.c:1652  */
    break;

  case 310:
#line 2218 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25014 "gram.c" /* yacc.c:1652  */
    break;

  case 311:
#line 2226 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 25024 "gram.c" /* yacc.c:1652  */
    break;

  case 312:
#line 2233 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 25034 "gram.c" /* yacc.c:1652  */
    break;

  case 313:
#line 2240 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25045 "gram.c" /* yacc.c:1652  */
    break;

  case 314:
#line 2248 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25056 "gram.c" /* yacc.c:1652  */
    break;

  case 315:
#line 2256 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25067 "gram.c" /* yacc.c:1652  */
    break;

  case 316:
#line 2264 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25078 "gram.c" /* yacc.c:1652  */
    break;

  case 317:
#line 2272 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 25089 "gram.c" /* yacc.c:1652  */
    break;

  case 318:
#line 2280 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 25100 "gram.c" /* yacc.c:1652  */
    break;

  case 319:
#line 2288 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 25113 "gram.c" /* yacc.c:1652  */
    break;

  case 320:
#line 2298 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 25123 "gram.c" /* yacc.c:1652  */
    break;

  case 321:
#line 2305 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25134 "gram.c" /* yacc.c:1652  */
    break;

  case 322:
#line 2313 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25145 "gram.c" /* yacc.c:1652  */
    break;

  case 323:
#line 2321 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25156 "gram.c" /* yacc.c:1652  */
    break;

  case 324:
#line 2329 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25167 "gram.c" /* yacc.c:1652  */
    break;

  case 325:
#line 2337 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25178 "gram.c" /* yacc.c:1652  */
    break;

  case 326:
#line 2345 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25188 "gram.c" /* yacc.c:1652  */
    break;

  case 327:
#line 2352 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25198 "gram.c" /* yacc.c:1652  */
    break;

  case 328:
#line 2359 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25208 "gram.c" /* yacc.c:1652  */
    break;

  case 329:
#line 2366 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25218 "gram.c" /* yacc.c:1652  */
    break;

  case 330:
#line 2372 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25229 "gram.c" /* yacc.c:1652  */
    break;

  case 331:
#line 2381 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25235 "gram.c" /* yacc.c:1652  */
    break;

  case 332:
#line 2382 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25241 "gram.c" /* yacc.c:1652  */
    break;

  case 333:
#line 2386 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 25247 "gram.c" /* yacc.c:1652  */
    break;

  case 334:
#line 2387 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 25253 "gram.c" /* yacc.c:1652  */
    break;

  case 335:
#line 2388 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 25259 "gram.c" /* yacc.c:1652  */
    break;

  case 336:
#line 2393 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 25271 "gram.c" /* yacc.c:1652  */
    break;

  case 337:
#line 2400 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25277 "gram.c" /* yacc.c:1652  */
    break;

  case 338:
#line 2404 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25283 "gram.c" /* yacc.c:1652  */
    break;

  case 339:
#line 2405 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25289 "gram.c" /* yacc.c:1652  */
    break;

  case 340:
#line 2410 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25300 "gram.c" /* yacc.c:1652  */
    break;

  case 341:
#line 2417 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25311 "gram.c" /* yacc.c:1652  */
    break;

  case 342:
#line 2424 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25322 "gram.c" /* yacc.c:1652  */
    break;

  case 343:
#line 2431 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25333 "gram.c" /* yacc.c:1652  */
    break;

  case 344:
#line 2440 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25339 "gram.c" /* yacc.c:1652  */
    break;

  case 345:
#line 2443 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25345 "gram.c" /* yacc.c:1652  */
    break;

  case 346:
#line 2444 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25351 "gram.c" /* yacc.c:1652  */
    break;

  case 347:
#line 2448 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25357 "gram.c" /* yacc.c:1652  */
    break;

  case 348:
#line 2449 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25363 "gram.c" /* yacc.c:1652  */
    break;

  case 349:
#line 2455 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 25371 "gram.c" /* yacc.c:1652  */
    break;

  case 350:
#line 2459 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 25379 "gram.c" /* yacc.c:1652  */
    break;

  case 351:
#line 2463 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 25388 "gram.c" /* yacc.c:1652  */
    break;

  case 352:
#line 2468 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 25396 "gram.c" /* yacc.c:1652  */
    break;

  case 353:
#line 2483 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 25410 "gram.c" /* yacc.c:1652  */
    break;

  case 354:
#line 2495 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25416 "gram.c" /* yacc.c:1652  */
    break;

  case 355:
#line 2496 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25422 "gram.c" /* yacc.c:1652  */
    break;

  case 356:
#line 2502 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25434 "gram.c" /* yacc.c:1652  */
    break;

  case 357:
#line 2511 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25447 "gram.c" /* yacc.c:1652  */
    break;

  case 358:
#line 2521 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25460 "gram.c" /* yacc.c:1652  */
    break;

  case 359:
#line 2531 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25479 "gram.c" /* yacc.c:1652  */
    break;

  case 360:
#line 2557 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25489 "gram.c" /* yacc.c:1652  */
    break;

  case 361:
#line 2563 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25499 "gram.c" /* yacc.c:1652  */
    break;

  case 362:
#line 2597 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 25531 "gram.c" /* yacc.c:1652  */
    break;

  case 363:
#line 2625 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 25554 "gram.c" /* yacc.c:1652  */
    break;

  case 364:
#line 2646 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 25560 "gram.c" /* yacc.c:1652  */
    break;

  case 365:
#line 2647 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 25566 "gram.c" /* yacc.c:1652  */
    break;

  case 366:
#line 2651 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 25572 "gram.c" /* yacc.c:1652  */
    break;

  case 367:
#line 2652 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 25578 "gram.c" /* yacc.c:1652  */
    break;

  case 368:
#line 2661 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25584 "gram.c" /* yacc.c:1652  */
    break;

  case 369:
#line 2662 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 25590 "gram.c" /* yacc.c:1652  */
    break;

  case 370:
#line 2663 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 25596 "gram.c" /* yacc.c:1652  */
    break;

  case 371:
#line 2666 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25602 "gram.c" /* yacc.c:1652  */
    break;

  case 372:
#line 2667 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25608 "gram.c" /* yacc.c:1652  */
    break;

  case 373:
#line 2672 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25614 "gram.c" /* yacc.c:1652  */
    break;

  case 374:
#line 2673 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25620 "gram.c" /* yacc.c:1652  */
    break;

  case 375:
#line 2678 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25628 "gram.c" /* yacc.c:1652  */
    break;

  case 376:
#line 2682 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25636 "gram.c" /* yacc.c:1652  */
    break;

  case 377:
#line 2686 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 25644 "gram.c" /* yacc.c:1652  */
    break;

  case 378:
#line 2690 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25652 "gram.c" /* yacc.c:1652  */
    break;

  case 379:
#line 2694 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 25660 "gram.c" /* yacc.c:1652  */
    break;

  case 380:
#line 2698 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 25668 "gram.c" /* yacc.c:1652  */
    break;

  case 381:
#line 2702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 25676 "gram.c" /* yacc.c:1652  */
    break;

  case 382:
#line 2706 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 25684 "gram.c" /* yacc.c:1652  */
    break;

  case 383:
#line 2710 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 25692 "gram.c" /* yacc.c:1652  */
    break;

  case 384:
#line 2714 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 25700 "gram.c" /* yacc.c:1652  */
    break;

  case 385:
#line 2718 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 25708 "gram.c" /* yacc.c:1652  */
    break;

  case 386:
#line 2722 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 25716 "gram.c" /* yacc.c:1652  */
    break;

  case 387:
#line 2726 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 25724 "gram.c" /* yacc.c:1652  */
    break;

  case 388:
#line 2730 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 25732 "gram.c" /* yacc.c:1652  */
    break;

  case 389:
#line 2739 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25740 "gram.c" /* yacc.c:1652  */
    break;

  case 390:
#line 2742 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 25746 "gram.c" /* yacc.c:1652  */
    break;

  case 391:
#line 2747 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25754 "gram.c" /* yacc.c:1652  */
    break;

  case 392:
#line 2750 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 25760 "gram.c" /* yacc.c:1652  */
    break;

  case 393:
#line 2755 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25768 "gram.c" /* yacc.c:1652  */
    break;

  case 394:
#line 2758 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 25774 "gram.c" /* yacc.c:1652  */
    break;

  case 395:
#line 2762 "gram.y" /* yacc.c:1652  */
    {}
#line 25780 "gram.c" /* yacc.c:1652  */
    break;

  case 396:
#line 2763 "gram.y" /* yacc.c:1652  */
    {}
#line 25786 "gram.c" /* yacc.c:1652  */
    break;

  case 397:
#line 2769 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25794 "gram.c" /* yacc.c:1652  */
    break;

  case 398:
#line 2773 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25802 "gram.c" /* yacc.c:1652  */
    break;

  case 399:
#line 2780 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 25810 "gram.c" /* yacc.c:1652  */
    break;

  case 400:
#line 2786 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25816 "gram.c" /* yacc.c:1652  */
    break;

  case 401:
#line 2787 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 25822 "gram.c" /* yacc.c:1652  */
    break;

  case 402:
#line 2788 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 25828 "gram.c" /* yacc.c:1652  */
    break;

  case 403:
#line 2789 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 25834 "gram.c" /* yacc.c:1652  */
    break;

  case 404:
#line 2790 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25840 "gram.c" /* yacc.c:1652  */
    break;

  case 405:
#line 2795 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25848 "gram.c" /* yacc.c:1652  */
    break;

  case 406:
#line 2799 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25856 "gram.c" /* yacc.c:1652  */
    break;

  case 407:
#line 2806 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25862 "gram.c" /* yacc.c:1652  */
    break;

  case 408:
#line 2819 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25881 "gram.c" /* yacc.c:1652  */
    break;

  case 409:
#line 2836 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25900 "gram.c" /* yacc.c:1652  */
    break;

  case 410:
#line 2852 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25920 "gram.c" /* yacc.c:1652  */
    break;

  case 411:
#line 2869 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25940 "gram.c" /* yacc.c:1652  */
    break;

  case 412:
#line 2897 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25946 "gram.c" /* yacc.c:1652  */
    break;

  case 413:
#line 2898 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25952 "gram.c" /* yacc.c:1652  */
    break;

  case 414:
#line 2899 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25958 "gram.c" /* yacc.c:1652  */
    break;

  case 415:
#line 2900 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25964 "gram.c" /* yacc.c:1652  */
    break;

  case 416:
#line 2902 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25975 "gram.c" /* yacc.c:1652  */
    break;

  case 417:
#line 2909 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25986 "gram.c" /* yacc.c:1652  */
    break;

  case 418:
#line 2915 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 25992 "gram.c" /* yacc.c:1652  */
    break;

  case 419:
#line 2916 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 25998 "gram.c" /* yacc.c:1652  */
    break;

  case 420:
#line 2920 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26004 "gram.c" /* yacc.c:1652  */
    break;

  case 421:
#line 2921 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26010 "gram.c" /* yacc.c:1652  */
    break;

  case 422:
#line 2925 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26016 "gram.c" /* yacc.c:1652  */
    break;

  case 423:
#line 2926 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26022 "gram.c" /* yacc.c:1652  */
    break;

  case 424:
#line 2931 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 26030 "gram.c" /* yacc.c:1652  */
    break;

  case 425:
#line 2935 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 26038 "gram.c" /* yacc.c:1652  */
    break;

  case 426:
#line 2942 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 26046 "gram.c" /* yacc.c:1652  */
    break;

  case 427:
#line 2946 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 26054 "gram.c" /* yacc.c:1652  */
    break;

  case 428:
#line 2952 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26060 "gram.c" /* yacc.c:1652  */
    break;

  case 429:
#line 2953 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26066 "gram.c" /* yacc.c:1652  */
    break;

  case 430:
#line 2954 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26072 "gram.c" /* yacc.c:1652  */
    break;

  case 431:
#line 2958 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26078 "gram.c" /* yacc.c:1652  */
    break;

  case 432:
#line 2959 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26084 "gram.c" /* yacc.c:1652  */
    break;

  case 433:
#line 2963 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 26107 "gram.c" /* yacc.c:1652  */
    break;

  case 434:
#line 2984 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 26129 "gram.c" /* yacc.c:1652  */
    break;

  case 435:
#line 3004 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 26135 "gram.c" /* yacc.c:1652  */
    break;

  case 436:
#line 3005 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26141 "gram.c" /* yacc.c:1652  */
    break;

  case 437:
#line 3010 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26153 "gram.c" /* yacc.c:1652  */
    break;

  case 438:
#line 3017 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26159 "gram.c" /* yacc.c:1652  */
    break;

  case 439:
#line 3018 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26165 "gram.c" /* yacc.c:1652  */
    break;

  case 440:
#line 3020 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26182 "gram.c" /* yacc.c:1652  */
    break;

  case 441:
#line 3051 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26193 "gram.c" /* yacc.c:1652  */
    break;

  case 442:
#line 3058 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26204 "gram.c" /* yacc.c:1652  */
    break;

  case 443:
#line 3065 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26219 "gram.c" /* yacc.c:1652  */
    break;

  case 444:
#line 3076 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26234 "gram.c" /* yacc.c:1652  */
    break;

  case 445:
#line 3087 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 26250 "gram.c" /* yacc.c:1652  */
    break;

  case 446:
#line 3099 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26263 "gram.c" /* yacc.c:1652  */
    break;

  case 447:
#line 3108 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 26282 "gram.c" /* yacc.c:1652  */
    break;

  case 448:
#line 3141 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26293 "gram.c" /* yacc.c:1652  */
    break;

  case 449:
#line 3148 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26304 "gram.c" /* yacc.c:1652  */
    break;

  case 450:
#line 3155 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26315 "gram.c" /* yacc.c:1652  */
    break;

  case 451:
#line 3162 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26326 "gram.c" /* yacc.c:1652  */
    break;

  case 452:
#line 3173 "gram.y" /* yacc.c:1652  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 26338 "gram.c" /* yacc.c:1652  */
    break;

  case 453:
#line 3183 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 26344 "gram.c" /* yacc.c:1652  */
    break;

  case 454:
#line 3184 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 26350 "gram.c" /* yacc.c:1652  */
    break;

  case 455:
#line 3185 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 26356 "gram.c" /* yacc.c:1652  */
    break;

  case 456:
#line 3189 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 26362 "gram.c" /* yacc.c:1652  */
    break;

  case 457:
#line 3190 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 26368 "gram.c" /* yacc.c:1652  */
    break;

  case 458:
#line 3191 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 26374 "gram.c" /* yacc.c:1652  */
    break;

  case 459:
#line 3192 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 26380 "gram.c" /* yacc.c:1652  */
    break;

  case 460:
#line 3193 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 26386 "gram.c" /* yacc.c:1652  */
    break;

  case 461:
#line 3194 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 26392 "gram.c" /* yacc.c:1652  */
    break;

  case 462:
#line 3204 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26404 "gram.c" /* yacc.c:1652  */
    break;

  case 463:
#line 3211 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26410 "gram.c" /* yacc.c:1652  */
    break;

  case 464:
#line 3216 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26427 "gram.c" /* yacc.c:1652  */
    break;

  case 465:
#line 3230 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26445 "gram.c" /* yacc.c:1652  */
    break;

  case 466:
#line 3244 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26463 "gram.c" /* yacc.c:1652  */
    break;

  case 467:
#line 3259 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26481 "gram.c" /* yacc.c:1652  */
    break;

  case 468:
#line 3273 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26499 "gram.c" /* yacc.c:1652  */
    break;

  case 469:
#line 3289 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26519 "gram.c" /* yacc.c:1652  */
    break;

  case 470:
#line 3306 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26541 "gram.c" /* yacc.c:1652  */
    break;

  case 471:
#line 3325 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = TRUE; }
#line 26547 "gram.c" /* yacc.c:1652  */
    break;

  case 472:
#line 3326 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = FALSE; }
#line 26553 "gram.c" /* yacc.c:1652  */
    break;

  case 473:
#line 3330 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26559 "gram.c" /* yacc.c:1652  */
    break;

  case 474:
#line 3331 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26565 "gram.c" /* yacc.c:1652  */
    break;

  case 475:
#line 3335 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26571 "gram.c" /* yacc.c:1652  */
    break;

  case 476:
#line 3336 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26577 "gram.c" /* yacc.c:1652  */
    break;

  case 477:
#line 3340 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 26585 "gram.c" /* yacc.c:1652  */
    break;

  case 478:
#line 3346 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 26593 "gram.c" /* yacc.c:1652  */
    break;

  case 479:
#line 3350 "gram.y" /* yacc.c:1652  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 26605 "gram.c" /* yacc.c:1652  */
    break;

  case 480:
#line 3358 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26613 "gram.c" /* yacc.c:1652  */
    break;

  case 481:
#line 3362 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26621 "gram.c" /* yacc.c:1652  */
    break;

  case 482:
#line 3368 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26627 "gram.c" /* yacc.c:1652  */
    break;

  case 483:
#line 3370 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26633 "gram.c" /* yacc.c:1652  */
    break;

  case 484:
#line 3374 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 26641 "gram.c" /* yacc.c:1652  */
    break;

  case 485:
#line 3379 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 26649 "gram.c" /* yacc.c:1652  */
    break;

  case 486:
#line 3385 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 26655 "gram.c" /* yacc.c:1652  */
    break;

  case 487:
#line 3386 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 26661 "gram.c" /* yacc.c:1652  */
    break;

  case 488:
#line 3397 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26667 "gram.c" /* yacc.c:1652  */
    break;

  case 489:
#line 3399 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26673 "gram.c" /* yacc.c:1652  */
    break;

  case 490:
#line 3401 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26679 "gram.c" /* yacc.c:1652  */
    break;

  case 491:
#line 3403 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 26685 "gram.c" /* yacc.c:1652  */
    break;

  case 492:
#line 3405 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26691 "gram.c" /* yacc.c:1652  */
    break;

  case 493:
#line 3408 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26697 "gram.c" /* yacc.c:1652  */
    break;

  case 494:
#line 3411 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26703 "gram.c" /* yacc.c:1652  */
    break;

  case 495:
#line 3415 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 26709 "gram.c" /* yacc.c:1652  */
    break;

  case 496:
#line 3416 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 26715 "gram.c" /* yacc.c:1652  */
    break;

  case 497:
#line 3417 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 26721 "gram.c" /* yacc.c:1652  */
    break;

  case 498:
#line 3418 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 26727 "gram.c" /* yacc.c:1652  */
    break;

  case 499:
#line 3419 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 26733 "gram.c" /* yacc.c:1652  */
    break;

  case 500:
#line 3422 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26739 "gram.c" /* yacc.c:1652  */
    break;

  case 501:
#line 3423 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26745 "gram.c" /* yacc.c:1652  */
    break;

  case 502:
#line 3428 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26751 "gram.c" /* yacc.c:1652  */
    break;

  case 503:
#line 3429 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 26757 "gram.c" /* yacc.c:1652  */
    break;

  case 504:
#line 3430 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 26763 "gram.c" /* yacc.c:1652  */
    break;

  case 505:
#line 3431 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26769 "gram.c" /* yacc.c:1652  */
    break;

  case 506:
#line 3434 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 26775 "gram.c" /* yacc.c:1652  */
    break;

  case 507:
#line 3435 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 26781 "gram.c" /* yacc.c:1652  */
    break;

  case 508:
#line 3436 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 26787 "gram.c" /* yacc.c:1652  */
    break;

  case 509:
#line 3437 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 26793 "gram.c" /* yacc.c:1652  */
    break;

  case 510:
#line 3440 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26799 "gram.c" /* yacc.c:1652  */
    break;

  case 511:
#line 3441 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26805 "gram.c" /* yacc.c:1652  */
    break;

  case 512:
#line 3444 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26811 "gram.c" /* yacc.c:1652  */
    break;

  case 513:
#line 3445 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26817 "gram.c" /* yacc.c:1652  */
    break;

  case 514:
#line 3448 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26823 "gram.c" /* yacc.c:1652  */
    break;

  case 515:
#line 3464 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26840 "gram.c" /* yacc.c:1652  */
    break;

  case 516:
#line 3477 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26857 "gram.c" /* yacc.c:1652  */
    break;

  case 517:
#line 3493 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26872 "gram.c" /* yacc.c:1652  */
    break;

  case 518:
#line 3506 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 26878 "gram.c" /* yacc.c:1652  */
    break;

  case 519:
#line 3507 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 26884 "gram.c" /* yacc.c:1652  */
    break;

  case 520:
#line 3508 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 26890 "gram.c" /* yacc.c:1652  */
    break;

  case 521:
#line 3521 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26907 "gram.c" /* yacc.c:1652  */
    break;

  case 522:
#line 3534 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26924 "gram.c" /* yacc.c:1652  */
    break;

  case 523:
#line 3550 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26939 "gram.c" /* yacc.c:1652  */
    break;

  case 524:
#line 3562 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 26945 "gram.c" /* yacc.c:1652  */
    break;

  case 525:
#line 3563 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 26951 "gram.c" /* yacc.c:1652  */
    break;

  case 526:
#line 3576 "gram.y" /* yacc.c:1652  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 26963 "gram.c" /* yacc.c:1652  */
    break;

  case 527:
#line 3596 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26977 "gram.c" /* yacc.c:1652  */
    break;

  case 528:
#line 3606 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26991 "gram.c" /* yacc.c:1652  */
    break;

  case 529:
#line 3619 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27003 "gram.c" /* yacc.c:1652  */
    break;

  case 530:
#line 3627 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27015 "gram.c" /* yacc.c:1652  */
    break;

  case 531:
#line 3637 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27021 "gram.c" /* yacc.c:1652  */
    break;

  case 532:
#line 3638 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27027 "gram.c" /* yacc.c:1652  */
    break;

  case 533:
#line 3641 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27033 "gram.c" /* yacc.c:1652  */
    break;

  case 534:
#line 3642 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27039 "gram.c" /* yacc.c:1652  */
    break;

  case 535:
#line 3646 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 27047 "gram.c" /* yacc.c:1652  */
    break;

  case 536:
#line 3650 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 27055 "gram.c" /* yacc.c:1652  */
    break;

  case 537:
#line 3654 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 27063 "gram.c" /* yacc.c:1652  */
    break;

  case 538:
#line 3658 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 27071 "gram.c" /* yacc.c:1652  */
    break;

  case 539:
#line 3662 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 27079 "gram.c" /* yacc.c:1652  */
    break;

  case 540:
#line 3666 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 27087 "gram.c" /* yacc.c:1652  */
    break;

  case 541:
#line 3670 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 27095 "gram.c" /* yacc.c:1652  */
    break;

  case 542:
#line 3674 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 27103 "gram.c" /* yacc.c:1652  */
    break;

  case 543:
#line 3678 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 27111 "gram.c" /* yacc.c:1652  */
    break;

  case 544:
#line 3682 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 27119 "gram.c" /* yacc.c:1652  */
    break;

  case 545:
#line 3686 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 27127 "gram.c" /* yacc.c:1652  */
    break;

  case 546:
#line 3690 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 27135 "gram.c" /* yacc.c:1652  */
    break;

  case 547:
#line 3695 "gram.y" /* yacc.c:1652  */
    {}
#line 27141 "gram.c" /* yacc.c:1652  */
    break;

  case 548:
#line 3696 "gram.y" /* yacc.c:1652  */
    {}
#line 27147 "gram.c" /* yacc.c:1652  */
    break;

  case 549:
#line 3700 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 27153 "gram.c" /* yacc.c:1652  */
    break;

  case 550:
#line 3701 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 27159 "gram.c" /* yacc.c:1652  */
    break;

  case 551:
#line 3703 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 27168 "gram.c" /* yacc.c:1652  */
    break;

  case 552:
#line 3707 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 27174 "gram.c" /* yacc.c:1652  */
    break;

  case 553:
#line 3710 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 27180 "gram.c" /* yacc.c:1652  */
    break;

  case 554:
#line 3711 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 27186 "gram.c" /* yacc.c:1652  */
    break;

  case 555:
#line 3724 "gram.y" /* yacc.c:1652  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 27202 "gram.c" /* yacc.c:1652  */
    break;

  case 556:
#line 3737 "gram.y" /* yacc.c:1652  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 27217 "gram.c" /* yacc.c:1652  */
    break;

  case 557:
#line 3750 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 27223 "gram.c" /* yacc.c:1652  */
    break;

  case 558:
#line 3751 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 27229 "gram.c" /* yacc.c:1652  */
    break;

  case 559:
#line 3759 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27235 "gram.c" /* yacc.c:1652  */
    break;

  case 560:
#line 3760 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 27241 "gram.c" /* yacc.c:1652  */
    break;

  case 561:
#line 3764 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27247 "gram.c" /* yacc.c:1652  */
    break;

  case 562:
#line 3765 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27253 "gram.c" /* yacc.c:1652  */
    break;

  case 563:
#line 3769 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27259 "gram.c" /* yacc.c:1652  */
    break;

  case 564:
#line 3770 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27265 "gram.c" /* yacc.c:1652  */
    break;

  case 565:
#line 3774 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27271 "gram.c" /* yacc.c:1652  */
    break;

  case 566:
#line 3775 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27277 "gram.c" /* yacc.c:1652  */
    break;

  case 567:
#line 3780 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27292 "gram.c" /* yacc.c:1652  */
    break;

  case 568:
#line 3791 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27306 "gram.c" /* yacc.c:1652  */
    break;

  case 569:
#line 3803 "gram.y" /* yacc.c:1652  */
    {}
#line 27312 "gram.c" /* yacc.c:1652  */
    break;

  case 570:
#line 3804 "gram.y" /* yacc.c:1652  */
    {}
#line 27318 "gram.c" /* yacc.c:1652  */
    break;

  case 571:
#line 3815 "gram.y" /* yacc.c:1652  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].node);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27331 "gram.c" /* yacc.c:1652  */
    break;

  case 572:
#line 3825 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27337 "gram.c" /* yacc.c:1652  */
    break;

  case 573:
#line 3826 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27343 "gram.c" /* yacc.c:1652  */
    break;

  case 574:
#line 3840 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 27354 "gram.c" /* yacc.c:1652  */
    break;

  case 575:
#line 3847 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 27365 "gram.c" /* yacc.c:1652  */
    break;

  case 576:
#line 3864 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27377 "gram.c" /* yacc.c:1652  */
    break;

  case 577:
#line 3872 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27389 "gram.c" /* yacc.c:1652  */
    break;

  case 578:
#line 3883 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27395 "gram.c" /* yacc.c:1652  */
    break;

  case 579:
#line 3885 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27401 "gram.c" /* yacc.c:1652  */
    break;

  case 580:
#line 3890 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 27409 "gram.c" /* yacc.c:1652  */
    break;

  case 581:
#line 3894 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27417 "gram.c" /* yacc.c:1652  */
    break;

  case 582:
#line 3898 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27425 "gram.c" /* yacc.c:1652  */
    break;

  case 583:
#line 3902 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE));
				}
#line 27433 "gram.c" /* yacc.c:1652  */
    break;

  case 584:
#line 3914 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27444 "gram.c" /* yacc.c:1652  */
    break;

  case 585:
#line 3924 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27450 "gram.c" /* yacc.c:1652  */
    break;

  case 586:
#line 3926 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27456 "gram.c" /* yacc.c:1652  */
    break;

  case 587:
#line 3931 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27464 "gram.c" /* yacc.c:1652  */
    break;

  case 588:
#line 3944 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27477 "gram.c" /* yacc.c:1652  */
    break;

  case 589:
#line 3953 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 27491 "gram.c" /* yacc.c:1652  */
    break;

  case 590:
#line 3963 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 27505 "gram.c" /* yacc.c:1652  */
    break;

  case 591:
#line 3973 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27518 "gram.c" /* yacc.c:1652  */
    break;

  case 592:
#line 3982 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27531 "gram.c" /* yacc.c:1652  */
    break;

  case 593:
#line 3991 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27544 "gram.c" /* yacc.c:1652  */
    break;

  case 594:
#line 4000 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 27558 "gram.c" /* yacc.c:1652  */
    break;

  case 595:
#line 4010 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27571 "gram.c" /* yacc.c:1652  */
    break;

  case 596:
#line 4019 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27585 "gram.c" /* yacc.c:1652  */
    break;

  case 597:
#line 4029 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27598 "gram.c" /* yacc.c:1652  */
    break;

  case 598:
#line 4038 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27611 "gram.c" /* yacc.c:1652  */
    break;

  case 599:
#line 4047 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27624 "gram.c" /* yacc.c:1652  */
    break;

  case 600:
#line 4056 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27637 "gram.c" /* yacc.c:1652  */
    break;

  case 601:
#line 4065 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27650 "gram.c" /* yacc.c:1652  */
    break;

  case 602:
#line 4074 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27663 "gram.c" /* yacc.c:1652  */
    break;

  case 603:
#line 4083 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27676 "gram.c" /* yacc.c:1652  */
    break;

  case 604:
#line 4092 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27689 "gram.c" /* yacc.c:1652  */
    break;

  case 605:
#line 4101 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27702 "gram.c" /* yacc.c:1652  */
    break;

  case 606:
#line 4110 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27715 "gram.c" /* yacc.c:1652  */
    break;

  case 607:
#line 4119 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27728 "gram.c" /* yacc.c:1652  */
    break;

  case 608:
#line 4128 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27741 "gram.c" /* yacc.c:1652  */
    break;

  case 609:
#line 4137 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27754 "gram.c" /* yacc.c:1652  */
    break;

  case 610:
#line 4146 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27767 "gram.c" /* yacc.c:1652  */
    break;

  case 611:
#line 4155 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27780 "gram.c" /* yacc.c:1652  */
    break;

  case 612:
#line 4164 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27794 "gram.c" /* yacc.c:1652  */
    break;

  case 613:
#line 4174 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27807 "gram.c" /* yacc.c:1652  */
    break;

  case 614:
#line 4192 "gram.y" /* yacc.c:1652  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27819 "gram.c" /* yacc.c:1652  */
    break;

  case 615:
#line 4202 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 27825 "gram.c" /* yacc.c:1652  */
    break;

  case 616:
#line 4203 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 27831 "gram.c" /* yacc.c:1652  */
    break;

  case 617:
#line 4204 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 27837 "gram.c" /* yacc.c:1652  */
    break;

  case 618:
#line 4205 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 27843 "gram.c" /* yacc.c:1652  */
    break;

  case 619:
#line 4209 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27849 "gram.c" /* yacc.c:1652  */
    break;

  case 620:
#line 4210 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27855 "gram.c" /* yacc.c:1652  */
    break;

  case 621:
#line 4214 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27861 "gram.c" /* yacc.c:1652  */
    break;

  case 622:
#line 4215 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27867 "gram.c" /* yacc.c:1652  */
    break;

  case 623:
#line 4226 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27882 "gram.c" /* yacc.c:1652  */
    break;

  case 624:
#line 4237 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27897 "gram.c" /* yacc.c:1652  */
    break;

  case 625:
#line 4257 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27909 "gram.c" /* yacc.c:1652  */
    break;

  case 626:
#line 4265 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 27921 "gram.c" /* yacc.c:1652  */
    break;

  case 627:
#line 4276 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27927 "gram.c" /* yacc.c:1652  */
    break;

  case 628:
#line 4277 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27933 "gram.c" /* yacc.c:1652  */
    break;

  case 629:
#line 4282 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27941 "gram.c" /* yacc.c:1652  */
    break;

  case 630:
#line 4286 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27949 "gram.c" /* yacc.c:1652  */
    break;

  case 631:
#line 4293 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27955 "gram.c" /* yacc.c:1652  */
    break;

  case 632:
#line 4298 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27963 "gram.c" /* yacc.c:1652  */
    break;

  case 633:
#line 4302 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27971 "gram.c" /* yacc.c:1652  */
    break;

  case 634:
#line 4309 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27979 "gram.c" /* yacc.c:1652  */
    break;

  case 635:
#line 4313 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 27988 "gram.c" /* yacc.c:1652  */
    break;

  case 636:
#line 4318 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 27997 "gram.c" /* yacc.c:1652  */
    break;

  case 637:
#line 4323 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 28005 "gram.c" /* yacc.c:1652  */
    break;

  case 638:
#line 4330 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 28013 "gram.c" /* yacc.c:1652  */
    break;

  case 639:
#line 4336 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28019 "gram.c" /* yacc.c:1652  */
    break;

  case 640:
#line 4341 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28025 "gram.c" /* yacc.c:1652  */
    break;

  case 641:
#line 4353 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28039 "gram.c" /* yacc.c:1652  */
    break;

  case 642:
#line 4365 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28045 "gram.c" /* yacc.c:1652  */
    break;

  case 643:
#line 4366 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 28051 "gram.c" /* yacc.c:1652  */
    break;

  case 644:
#line 4371 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28057 "gram.c" /* yacc.c:1652  */
    break;

  case 645:
#line 4372 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 28063 "gram.c" /* yacc.c:1652  */
    break;

  case 646:
#line 4376 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28069 "gram.c" /* yacc.c:1652  */
    break;

  case 647:
#line 4377 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 28075 "gram.c" /* yacc.c:1652  */
    break;

  case 648:
#line 4388 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28090 "gram.c" /* yacc.c:1652  */
    break;

  case 649:
#line 4399 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28105 "gram.c" /* yacc.c:1652  */
    break;

  case 650:
#line 4419 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 28118 "gram.c" /* yacc.c:1652  */
    break;

  case 651:
#line 4428 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 28130 "gram.c" /* yacc.c:1652  */
    break;

  case 652:
#line 4436 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28141 "gram.c" /* yacc.c:1652  */
    break;

  case 653:
#line 4455 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28163 "gram.c" /* yacc.c:1652  */
    break;

  case 654:
#line 4475 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28185 "gram.c" /* yacc.c:1652  */
    break;

  case 655:
#line 4503 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28198 "gram.c" /* yacc.c:1652  */
    break;

  case 656:
#line 4512 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28211 "gram.c" /* yacc.c:1652  */
    break;

  case 657:
#line 4534 "gram.y" /* yacc.c:1652  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 28226 "gram.c" /* yacc.c:1652  */
    break;

  case 658:
#line 4547 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 28232 "gram.c" /* yacc.c:1652  */
    break;

  case 659:
#line 4548 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 28238 "gram.c" /* yacc.c:1652  */
    break;

  case 660:
#line 4553 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 28249 "gram.c" /* yacc.c:1652  */
    break;

  case 661:
#line 4560 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 28260 "gram.c" /* yacc.c:1652  */
    break;

  case 662:
#line 4576 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28272 "gram.c" /* yacc.c:1652  */
    break;

  case 663:
#line 4586 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28278 "gram.c" /* yacc.c:1652  */
    break;

  case 664:
#line 4587 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 28284 "gram.c" /* yacc.c:1652  */
    break;

  case 665:
#line 4600 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28296 "gram.c" /* yacc.c:1652  */
    break;

  case 666:
#line 4608 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28308 "gram.c" /* yacc.c:1652  */
    break;

  case 667:
#line 4625 "gram.y" /* yacc.c:1652  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28320 "gram.c" /* yacc.c:1652  */
    break;

  case 668:
#line 4649 "gram.y" /* yacc.c:1652  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-6].str);
					n->table = (yyvsp[-4].range);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28335 "gram.c" /* yacc.c:1652  */
    break;

  case 669:
#line 4664 "gram.y" /* yacc.c:1652  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28349 "gram.c" /* yacc.c:1652  */
    break;

  case 670:
#line 4677 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28364 "gram.c" /* yacc.c:1652  */
    break;

  case 671:
#line 4688 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28379 "gram.c" /* yacc.c:1652  */
    break;

  case 672:
#line 4701 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28385 "gram.c" /* yacc.c:1652  */
    break;

  case 673:
#line 4702 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28391 "gram.c" /* yacc.c:1652  */
    break;

  case 674:
#line 4706 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28397 "gram.c" /* yacc.c:1652  */
    break;

  case 675:
#line 4707 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28403 "gram.c" /* yacc.c:1652  */
    break;

  case 676:
#line 4711 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28409 "gram.c" /* yacc.c:1652  */
    break;

  case 677:
#line 4712 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 28415 "gram.c" /* yacc.c:1652  */
    break;

  case 678:
#line 4716 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28421 "gram.c" /* yacc.c:1652  */
    break;

  case 679:
#line 4717 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NULL; }
#line 28427 "gram.c" /* yacc.c:1652  */
    break;

  case 680:
#line 4721 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28433 "gram.c" /* yacc.c:1652  */
    break;

  case 681:
#line 4722 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 28439 "gram.c" /* yacc.c:1652  */
    break;

  case 682:
#line 4726 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 28445 "gram.c" /* yacc.c:1652  */
    break;

  case 683:
#line 4727 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "select"; }
#line 28451 "gram.c" /* yacc.c:1652  */
    break;

  case 684:
#line 4728 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "insert"; }
#line 28457 "gram.c" /* yacc.c:1652  */
    break;

  case 685:
#line 4729 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "update"; }
#line 28463 "gram.c" /* yacc.c:1652  */
    break;

  case 686:
#line 4730 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "delete"; }
#line 28469 "gram.c" /* yacc.c:1652  */
    break;

  case 687:
#line 4741 "gram.y" /* yacc.c:1652  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 28481 "gram.c" /* yacc.c:1652  */
    break;

  case 688:
#line 4762 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28503 "gram.c" /* yacc.c:1652  */
    break;

  case 689:
#line 4783 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 28526 "gram.c" /* yacc.c:1652  */
    break;

  case 690:
#line 4804 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 28532 "gram.c" /* yacc.c:1652  */
    break;

  case 691:
#line 4805 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 28538 "gram.c" /* yacc.c:1652  */
    break;

  case 692:
#line 4806 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 28544 "gram.c" /* yacc.c:1652  */
    break;

  case 693:
#line 4811 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28550 "gram.c" /* yacc.c:1652  */
    break;

  case 694:
#line 4813 "gram.y" /* yacc.c:1652  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 28573 "gram.c" /* yacc.c:1652  */
    break;

  case 695:
#line 4835 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 28579 "gram.c" /* yacc.c:1652  */
    break;

  case 696:
#line 4837 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 28585 "gram.c" /* yacc.c:1652  */
    break;

  case 697:
#line 4839 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 28591 "gram.c" /* yacc.c:1652  */
    break;

  case 698:
#line 4841 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 28597 "gram.c" /* yacc.c:1652  */
    break;

  case 699:
#line 4843 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 28603 "gram.c" /* yacc.c:1652  */
    break;

  case 700:
#line 4848 "gram.y" /* yacc.c:1652  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 28611 "gram.c" /* yacc.c:1652  */
    break;

  case 701:
#line 4852 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 28623 "gram.c" /* yacc.c:1652  */
    break;

  case 702:
#line 4862 "gram.y" /* yacc.c:1652  */
    {}
#line 28629 "gram.c" /* yacc.c:1652  */
    break;

  case 703:
#line 4863 "gram.y" /* yacc.c:1652  */
    {}
#line 28635 "gram.c" /* yacc.c:1652  */
    break;

  case 704:
#line 4867 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 28641 "gram.c" /* yacc.c:1652  */
    break;

  case 705:
#line 4868 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 28647 "gram.c" /* yacc.c:1652  */
    break;

  case 706:
#line 4872 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28653 "gram.c" /* yacc.c:1652  */
    break;

  case 707:
#line 4873 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28659 "gram.c" /* yacc.c:1652  */
    break;

  case 708:
#line 4877 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28665 "gram.c" /* yacc.c:1652  */
    break;

  case 709:
#line 4878 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28671 "gram.c" /* yacc.c:1652  */
    break;

  case 710:
#line 4879 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28677 "gram.c" /* yacc.c:1652  */
    break;

  case 711:
#line 4884 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 28685 "gram.c" /* yacc.c:1652  */
    break;

  case 712:
#line 4887 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28691 "gram.c" /* yacc.c:1652  */
    break;

  case 713:
#line 4888 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28697 "gram.c" /* yacc.c:1652  */
    break;

  case 714:
#line 4889 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28703 "gram.c" /* yacc.c:1652  */
    break;

  case 715:
#line 4893 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = (yyvsp[0].range); }
#line 28709 "gram.c" /* yacc.c:1652  */
    break;

  case 716:
#line 4894 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = NULL; }
#line 28715 "gram.c" /* yacc.c:1652  */
    break;

  case 717:
#line 4899 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 28721 "gram.c" /* yacc.c:1652  */
    break;

  case 718:
#line 4901 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 28749 "gram.c" /* yacc.c:1652  */
    break;

  case 719:
#line 4927 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 28755 "gram.c" /* yacc.c:1652  */
    break;

  case 720:
#line 4928 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 28761 "gram.c" /* yacc.c:1652  */
    break;

  case 721:
#line 4929 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 28767 "gram.c" /* yacc.c:1652  */
    break;

  case 722:
#line 4930 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 28773 "gram.c" /* yacc.c:1652  */
    break;

  case 723:
#line 4931 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 28779 "gram.c" /* yacc.c:1652  */
    break;

  case 724:
#line 4932 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 28785 "gram.c" /* yacc.c:1652  */
    break;

  case 725:
#line 4938 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28800 "gram.c" /* yacc.c:1652  */
    break;

  case 726:
#line 4949 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28815 "gram.c" /* yacc.c:1652  */
    break;

  case 727:
#line 4973 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28828 "gram.c" /* yacc.c:1652  */
    break;

  case 728:
#line 4984 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28841 "gram.c" /* yacc.c:1652  */
    break;

  case 729:
#line 4996 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28847 "gram.c" /* yacc.c:1652  */
    break;

  case 730:
#line 4998 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28853 "gram.c" /* yacc.c:1652  */
    break;

  case 731:
#line 5003 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 28859 "gram.c" /* yacc.c:1652  */
    break;

  case 732:
#line 5008 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28865 "gram.c" /* yacc.c:1652  */
    break;

  case 733:
#line 5010 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 28871 "gram.c" /* yacc.c:1652  */
    break;

  case 734:
#line 5015 "gram.y" /* yacc.c:1652  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 28882 "gram.c" /* yacc.c:1652  */
    break;

  case 735:
#line 5024 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 28888 "gram.c" /* yacc.c:1652  */
    break;

  case 736:
#line 5025 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 28894 "gram.c" /* yacc.c:1652  */
    break;

  case 737:
#line 5026 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 28900 "gram.c" /* yacc.c:1652  */
    break;

  case 738:
#line 5027 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 28906 "gram.c" /* yacc.c:1652  */
    break;

  case 739:
#line 5041 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 28926 "gram.c" /* yacc.c:1652  */
    break;

  case 740:
#line 5060 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 28942 "gram.c" /* yacc.c:1652  */
    break;

  case 741:
#line 5083 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28956 "gram.c" /* yacc.c:1652  */
    break;

  case 742:
#line 5093 "gram.y" /* yacc.c:1652  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28971 "gram.c" /* yacc.c:1652  */
    break;

  case 743:
#line 5104 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28985 "gram.c" /* yacc.c:1652  */
    break;

  case 744:
#line 5114 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28999 "gram.c" /* yacc.c:1652  */
    break;

  case 745:
#line 5124 "gram.y" /* yacc.c:1652  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29014 "gram.c" /* yacc.c:1652  */
    break;

  case 746:
#line 5135 "gram.y" /* yacc.c:1652  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 29027 "gram.c" /* yacc.c:1652  */
    break;

  case 747:
#line 5144 "gram.y" /* yacc.c:1652  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 29038 "gram.c" /* yacc.c:1652  */
    break;

  case 748:
#line 5151 "gram.y" /* yacc.c:1652  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29049 "gram.c" /* yacc.c:1652  */
    break;

  case 749:
#line 5158 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29062 "gram.c" /* yacc.c:1652  */
    break;

  case 750:
#line 5167 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29075 "gram.c" /* yacc.c:1652  */
    break;

  case 751:
#line 5176 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29088 "gram.c" /* yacc.c:1652  */
    break;

  case 752:
#line 5185 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29101 "gram.c" /* yacc.c:1652  */
    break;

  case 753:
#line 5194 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29114 "gram.c" /* yacc.c:1652  */
    break;

  case 754:
#line 5203 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 29127 "gram.c" /* yacc.c:1652  */
    break;

  case 755:
#line 5213 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29133 "gram.c" /* yacc.c:1652  */
    break;

  case 756:
#line 5216 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29139 "gram.c" /* yacc.c:1652  */
    break;

  case 757:
#line 5217 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29145 "gram.c" /* yacc.c:1652  */
    break;

  case 758:
#line 5221 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 29153 "gram.c" /* yacc.c:1652  */
    break;

  case 759:
#line 5225 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 29161 "gram.c" /* yacc.c:1652  */
    break;

  case 760:
#line 5231 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 29167 "gram.c" /* yacc.c:1652  */
    break;

  case 761:
#line 5232 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 29173 "gram.c" /* yacc.c:1652  */
    break;

  case 762:
#line 5233 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 29179 "gram.c" /* yacc.c:1652  */
    break;

  case 763:
#line 5234 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 29185 "gram.c" /* yacc.c:1652  */
    break;

  case 764:
#line 5235 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 29191 "gram.c" /* yacc.c:1652  */
    break;

  case 765:
#line 5238 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29197 "gram.c" /* yacc.c:1652  */
    break;

  case 766:
#line 5241 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29203 "gram.c" /* yacc.c:1652  */
    break;

  case 767:
#line 5242 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29209 "gram.c" /* yacc.c:1652  */
    break;

  case 768:
#line 5251 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 29217 "gram.c" /* yacc.c:1652  */
    break;

  case 769:
#line 5257 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29223 "gram.c" /* yacc.c:1652  */
    break;

  case 770:
#line 5258 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29229 "gram.c" /* yacc.c:1652  */
    break;

  case 771:
#line 5262 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29235 "gram.c" /* yacc.c:1652  */
    break;

  case 772:
#line 5264 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29241 "gram.c" /* yacc.c:1652  */
    break;

  case 773:
#line 5275 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29255 "gram.c" /* yacc.c:1652  */
    break;

  case 774:
#line 5285 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29269 "gram.c" /* yacc.c:1652  */
    break;

  case 775:
#line 5295 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29283 "gram.c" /* yacc.c:1652  */
    break;

  case 776:
#line 5306 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29289 "gram.c" /* yacc.c:1652  */
    break;

  case 777:
#line 5307 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29295 "gram.c" /* yacc.c:1652  */
    break;

  case 778:
#line 5325 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29310 "gram.c" /* yacc.c:1652  */
    break;

  case 779:
#line 5338 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29316 "gram.c" /* yacc.c:1652  */
    break;

  case 780:
#line 5339 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29322 "gram.c" /* yacc.c:1652  */
    break;

  case 781:
#line 5344 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29336 "gram.c" /* yacc.c:1652  */
    break;

  case 782:
#line 5355 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29350 "gram.c" /* yacc.c:1652  */
    break;

  case 783:
#line 5365 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 29363 "gram.c" /* yacc.c:1652  */
    break;

  case 784:
#line 5374 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29377 "gram.c" /* yacc.c:1652  */
    break;

  case 785:
#line 5384 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 29388 "gram.c" /* yacc.c:1652  */
    break;

  case 786:
#line 5392 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 29394 "gram.c" /* yacc.c:1652  */
    break;

  case 787:
#line 5393 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 29400 "gram.c" /* yacc.c:1652  */
    break;

  case 788:
#line 5396 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29406 "gram.c" /* yacc.c:1652  */
    break;

  case 789:
#line 5397 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29412 "gram.c" /* yacc.c:1652  */
    break;

  case 790:
#line 5400 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29418 "gram.c" /* yacc.c:1652  */
    break;

  case 791:
#line 5401 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29424 "gram.c" /* yacc.c:1652  */
    break;

  case 792:
#line 5402 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29430 "gram.c" /* yacc.c:1652  */
    break;

  case 793:
#line 5406 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 29448 "gram.c" /* yacc.c:1652  */
    break;

  case 794:
#line 5419 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 29454 "gram.c" /* yacc.c:1652  */
    break;

  case 795:
#line 5425 "gram.y" /* yacc.c:1652  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29465 "gram.c" /* yacc.c:1652  */
    break;

  case 796:
#line 5435 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29478 "gram.c" /* yacc.c:1652  */
    break;

  case 797:
#line 5444 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29491 "gram.c" /* yacc.c:1652  */
    break;

  case 798:
#line 5455 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29497 "gram.c" /* yacc.c:1652  */
    break;

  case 799:
#line 5456 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29503 "gram.c" /* yacc.c:1652  */
    break;

  case 800:
#line 5461 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29515 "gram.c" /* yacc.c:1652  */
    break;

  case 801:
#line 5469 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29527 "gram.c" /* yacc.c:1652  */
    break;

  case 802:
#line 5481 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29541 "gram.c" /* yacc.c:1652  */
    break;

  case 803:
#line 5491 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29555 "gram.c" /* yacc.c:1652  */
    break;

  case 804:
#line 5504 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29569 "gram.c" /* yacc.c:1652  */
    break;

  case 805:
#line 5514 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29583 "gram.c" /* yacc.c:1652  */
    break;

  case 806:
#line 5536 "gram.y" /* yacc.c:1652  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29594 "gram.c" /* yacc.c:1652  */
    break;

  case 807:
#line 5546 "gram.y" /* yacc.c:1652  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29605 "gram.c" /* yacc.c:1652  */
    break;

  case 808:
#line 5564 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29620 "gram.c" /* yacc.c:1652  */
    break;

  case 809:
#line 5575 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29635 "gram.c" /* yacc.c:1652  */
    break;

  case 810:
#line 5586 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29649 "gram.c" /* yacc.c:1652  */
    break;

  case 811:
#line 5596 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29663 "gram.c" /* yacc.c:1652  */
    break;

  case 812:
#line 5606 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29677 "gram.c" /* yacc.c:1652  */
    break;

  case 813:
#line 5616 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29691 "gram.c" /* yacc.c:1652  */
    break;

  case 814:
#line 5626 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29706 "gram.c" /* yacc.c:1652  */
    break;

  case 815:
#line 5637 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29721 "gram.c" /* yacc.c:1652  */
    break;

  case 816:
#line 5650 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 29727 "gram.c" /* yacc.c:1652  */
    break;

  case 817:
#line 5651 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 29733 "gram.c" /* yacc.c:1652  */
    break;

  case 818:
#line 5652 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 29739 "gram.c" /* yacc.c:1652  */
    break;

  case 819:
#line 5653 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 29745 "gram.c" /* yacc.c:1652  */
    break;

  case 820:
#line 5654 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 29751 "gram.c" /* yacc.c:1652  */
    break;

  case 821:
#line 5655 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 29757 "gram.c" /* yacc.c:1652  */
    break;

  case 822:
#line 5656 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 29763 "gram.c" /* yacc.c:1652  */
    break;

  case 823:
#line 5657 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 29769 "gram.c" /* yacc.c:1652  */
    break;

  case 824:
#line 5658 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 29775 "gram.c" /* yacc.c:1652  */
    break;

  case 825:
#line 5659 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 29781 "gram.c" /* yacc.c:1652  */
    break;

  case 826:
#line 5660 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 29787 "gram.c" /* yacc.c:1652  */
    break;

  case 827:
#line 5661 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 29793 "gram.c" /* yacc.c:1652  */
    break;

  case 828:
#line 5662 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 29799 "gram.c" /* yacc.c:1652  */
    break;

  case 829:
#line 5663 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 29805 "gram.c" /* yacc.c:1652  */
    break;

  case 830:
#line 5664 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 29811 "gram.c" /* yacc.c:1652  */
    break;

  case 831:
#line 5665 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 29817 "gram.c" /* yacc.c:1652  */
    break;

  case 832:
#line 5669 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29823 "gram.c" /* yacc.c:1652  */
    break;

  case 833:
#line 5670 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29829 "gram.c" /* yacc.c:1652  */
    break;

  case 834:
#line 5673 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29835 "gram.c" /* yacc.c:1652  */
    break;

  case 835:
#line 5674 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 29841 "gram.c" /* yacc.c:1652  */
    break;

  case 836:
#line 5678 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29847 "gram.c" /* yacc.c:1652  */
    break;

  case 837:
#line 5680 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29853 "gram.c" /* yacc.c:1652  */
    break;

  case 838:
#line 5684 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(list_make1((yyvsp[0].typnam))); }
#line 29859 "gram.c" /* yacc.c:1652  */
    break;

  case 839:
#line 5685 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), list_make1((yyvsp[0].typnam))); }
#line 29865 "gram.c" /* yacc.c:1652  */
    break;

  case 840:
#line 5697 "gram.y" /* yacc.c:1652  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29877 "gram.c" /* yacc.c:1652  */
    break;

  case 841:
#line 5707 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29883 "gram.c" /* yacc.c:1652  */
    break;

  case 842:
#line 5708 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29889 "gram.c" /* yacc.c:1652  */
    break;

  case 843:
#line 5709 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29895 "gram.c" /* yacc.c:1652  */
    break;

  case 844:
#line 5744 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29908 "gram.c" /* yacc.c:1652  */
    break;

  case 845:
#line 5753 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29921 "gram.c" /* yacc.c:1652  */
    break;

  case 846:
#line 5762 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29934 "gram.c" /* yacc.c:1652  */
    break;

  case 847:
#line 5771 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29947 "gram.c" /* yacc.c:1652  */
    break;

  case 848:
#line 5780 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29960 "gram.c" /* yacc.c:1652  */
    break;

  case 849:
#line 5789 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29973 "gram.c" /* yacc.c:1652  */
    break;

  case 850:
#line 5798 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29986 "gram.c" /* yacc.c:1652  */
    break;

  case 851:
#line 5807 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->objname = list_make1(makeTypeNameFromNameList((yyvsp[-2].list)));
					n->objargs = list_make1(makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30004 "gram.c" /* yacc.c:1652  */
    break;

  case 852:
#line 5821 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30017 "gram.c" /* yacc.c:1652  */
    break;

  case 853:
#line 5830 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30030 "gram.c" /* yacc.c:1652  */
    break;

  case 854:
#line 5839 "gram.y" /* yacc.c:1652  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30044 "gram.c" /* yacc.c:1652  */
    break;

  case 855:
#line 5849 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-4].typnam));
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30057 "gram.c" /* yacc.c:1652  */
    break;

  case 856:
#line 5858 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30070 "gram.c" /* yacc.c:1652  */
    break;

  case 857:
#line 5867 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30082 "gram.c" /* yacc.c:1652  */
    break;

  case 858:
#line 5875 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30095 "gram.c" /* yacc.c:1652  */
    break;

  case 859:
#line 5884 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30108 "gram.c" /* yacc.c:1652  */
    break;

  case 860:
#line 5893 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30121 "gram.c" /* yacc.c:1652  */
    break;

  case 861:
#line 5902 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30134 "gram.c" /* yacc.c:1652  */
    break;

  case 862:
#line 5913 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 30140 "gram.c" /* yacc.c:1652  */
    break;

  case 863:
#line 5914 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30146 "gram.c" /* yacc.c:1652  */
    break;

  case 864:
#line 5915 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30152 "gram.c" /* yacc.c:1652  */
    break;

  case 865:
#line 5916 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30158 "gram.c" /* yacc.c:1652  */
    break;

  case 866:
#line 5917 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 30164 "gram.c" /* yacc.c:1652  */
    break;

  case 867:
#line 5918 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30170 "gram.c" /* yacc.c:1652  */
    break;

  case 868:
#line 5919 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30176 "gram.c" /* yacc.c:1652  */
    break;

  case 869:
#line 5920 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30182 "gram.c" /* yacc.c:1652  */
    break;

  case 870:
#line 5921 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30188 "gram.c" /* yacc.c:1652  */
    break;

  case 871:
#line 5922 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 30194 "gram.c" /* yacc.c:1652  */
    break;

  case 872:
#line 5923 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 30200 "gram.c" /* yacc.c:1652  */
    break;

  case 873:
#line 5924 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30206 "gram.c" /* yacc.c:1652  */
    break;

  case 874:
#line 5925 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 30212 "gram.c" /* yacc.c:1652  */
    break;

  case 875:
#line 5926 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30218 "gram.c" /* yacc.c:1652  */
    break;

  case 876:
#line 5927 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30224 "gram.c" /* yacc.c:1652  */
    break;

  case 877:
#line 5928 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 30230 "gram.c" /* yacc.c:1652  */
    break;

  case 878:
#line 5929 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 30236 "gram.c" /* yacc.c:1652  */
    break;

  case 879:
#line 5930 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30242 "gram.c" /* yacc.c:1652  */
    break;

  case 880:
#line 5931 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 30248 "gram.c" /* yacc.c:1652  */
    break;

  case 881:
#line 5932 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 30254 "gram.c" /* yacc.c:1652  */
    break;

  case 882:
#line 5933 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 30260 "gram.c" /* yacc.c:1652  */
    break;

  case 883:
#line 5934 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 30266 "gram.c" /* yacc.c:1652  */
    break;

  case 884:
#line 5938 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30272 "gram.c" /* yacc.c:1652  */
    break;

  case 885:
#line 5939 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30278 "gram.c" /* yacc.c:1652  */
    break;

  case 886:
#line 5955 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30292 "gram.c" /* yacc.c:1652  */
    break;

  case 887:
#line 5966 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30306 "gram.c" /* yacc.c:1652  */
    break;

  case 888:
#line 5977 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30320 "gram.c" /* yacc.c:1652  */
    break;

  case 889:
#line 5988 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30334 "gram.c" /* yacc.c:1652  */
    break;

  case 890:
#line 5999 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30348 "gram.c" /* yacc.c:1652  */
    break;

  case 891:
#line 6010 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30362 "gram.c" /* yacc.c:1652  */
    break;

  case 892:
#line 6021 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30376 "gram.c" /* yacc.c:1652  */
    break;

  case 893:
#line 6032 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30382 "gram.c" /* yacc.c:1652  */
    break;

  case 894:
#line 6033 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30388 "gram.c" /* yacc.c:1652  */
    break;

  case 895:
#line 6037 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30394 "gram.c" /* yacc.c:1652  */
    break;

  case 896:
#line 6038 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30400 "gram.c" /* yacc.c:1652  */
    break;

  case 897:
#line 6039 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30406 "gram.c" /* yacc.c:1652  */
    break;

  case 898:
#line 6040 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30412 "gram.c" /* yacc.c:1652  */
    break;

  case 899:
#line 6041 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30418 "gram.c" /* yacc.c:1652  */
    break;

  case 900:
#line 6042 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30424 "gram.c" /* yacc.c:1652  */
    break;

  case 901:
#line 6043 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30430 "gram.c" /* yacc.c:1652  */
    break;

  case 902:
#line 6044 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30436 "gram.c" /* yacc.c:1652  */
    break;

  case 903:
#line 6045 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30442 "gram.c" /* yacc.c:1652  */
    break;

  case 904:
#line 6046 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30448 "gram.c" /* yacc.c:1652  */
    break;

  case 905:
#line 6047 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30454 "gram.c" /* yacc.c:1652  */
    break;

  case 906:
#line 6050 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30460 "gram.c" /* yacc.c:1652  */
    break;

  case 907:
#line 6051 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30466 "gram.c" /* yacc.c:1652  */
    break;

  case 908:
#line 6062 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 30476 "gram.c" /* yacc.c:1652  */
    break;

  case 909:
#line 6068 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 30486 "gram.c" /* yacc.c:1652  */
    break;

  case 910:
#line 6076 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30498 "gram.c" /* yacc.c:1652  */
    break;

  case 911:
#line 6084 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30510 "gram.c" /* yacc.c:1652  */
    break;

  case 912:
#line 6092 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30522 "gram.c" /* yacc.c:1652  */
    break;

  case 913:
#line 6100 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30534 "gram.c" /* yacc.c:1652  */
    break;

  case 914:
#line 6108 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30546 "gram.c" /* yacc.c:1652  */
    break;

  case 915:
#line 6116 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 30558 "gram.c" /* yacc.c:1652  */
    break;

  case 916:
#line 6124 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30570 "gram.c" /* yacc.c:1652  */
    break;

  case 917:
#line 6132 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30582 "gram.c" /* yacc.c:1652  */
    break;

  case 918:
#line 6140 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30594 "gram.c" /* yacc.c:1652  */
    break;

  case 919:
#line 6148 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30606 "gram.c" /* yacc.c:1652  */
    break;

  case 920:
#line 6156 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30618 "gram.c" /* yacc.c:1652  */
    break;

  case 921:
#line 6164 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30630 "gram.c" /* yacc.c:1652  */
    break;

  case 922:
#line 6172 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30642 "gram.c" /* yacc.c:1652  */
    break;

  case 923:
#line 6180 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30654 "gram.c" /* yacc.c:1652  */
    break;

  case 924:
#line 6188 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30666 "gram.c" /* yacc.c:1652  */
    break;

  case 925:
#line 6196 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30678 "gram.c" /* yacc.c:1652  */
    break;

  case 926:
#line 6205 "gram.y" /* yacc.c:1652  */
    {}
#line 30684 "gram.c" /* yacc.c:1652  */
    break;

  case 927:
#line 6206 "gram.y" /* yacc.c:1652  */
    {}
#line 30690 "gram.c" /* yacc.c:1652  */
    break;

  case 928:
#line 6209 "gram.y" /* yacc.c:1652  */
    {}
#line 30696 "gram.c" /* yacc.c:1652  */
    break;

  case 929:
#line 6210 "gram.y" /* yacc.c:1652  */
    {}
#line 30702 "gram.c" /* yacc.c:1652  */
    break;

  case 930:
#line 6222 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30718 "gram.c" /* yacc.c:1652  */
    break;

  case 931:
#line 6238 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30735 "gram.c" /* yacc.c:1652  */
    break;

  case 932:
#line 6252 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30752 "gram.c" /* yacc.c:1652  */
    break;

  case 933:
#line 6277 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30758 "gram.c" /* yacc.c:1652  */
    break;

  case 934:
#line 6279 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30764 "gram.c" /* yacc.c:1652  */
    break;

  case 935:
#line 6281 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30770 "gram.c" /* yacc.c:1652  */
    break;

  case 936:
#line 6283 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30781 "gram.c" /* yacc.c:1652  */
    break;

  case 937:
#line 6290 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30792 "gram.c" /* yacc.c:1652  */
    break;

  case 938:
#line 6298 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 30798 "gram.c" /* yacc.c:1652  */
    break;

  case 939:
#line 6299 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 30804 "gram.c" /* yacc.c:1652  */
    break;

  case 940:
#line 6303 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30815 "gram.c" /* yacc.c:1652  */
    break;

  case 941:
#line 6310 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30826 "gram.c" /* yacc.c:1652  */
    break;

  case 942:
#line 6317 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30837 "gram.c" /* yacc.c:1652  */
    break;

  case 943:
#line 6324 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30848 "gram.c" /* yacc.c:1652  */
    break;

  case 944:
#line 6338 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30860 "gram.c" /* yacc.c:1652  */
    break;

  case 945:
#line 6346 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30872 "gram.c" /* yacc.c:1652  */
    break;

  case 946:
#line 6354 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30884 "gram.c" /* yacc.c:1652  */
    break;

  case 947:
#line 6362 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30896 "gram.c" /* yacc.c:1652  */
    break;

  case 948:
#line 6370 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30908 "gram.c" /* yacc.c:1652  */
    break;

  case 949:
#line 6378 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30920 "gram.c" /* yacc.c:1652  */
    break;

  case 950:
#line 6386 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30932 "gram.c" /* yacc.c:1652  */
    break;

  case 951:
#line 6394 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30944 "gram.c" /* yacc.c:1652  */
    break;

  case 952:
#line 6402 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30956 "gram.c" /* yacc.c:1652  */
    break;

  case 953:
#line 6410 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30968 "gram.c" /* yacc.c:1652  */
    break;

  case 954:
#line 6418 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30980 "gram.c" /* yacc.c:1652  */
    break;

  case 955:
#line 6426 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30992 "gram.c" /* yacc.c:1652  */
    break;

  case 956:
#line 6434 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 31004 "gram.c" /* yacc.c:1652  */
    break;

  case 957:
#line 6442 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 31016 "gram.c" /* yacc.c:1652  */
    break;

  case 958:
#line 6450 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 31028 "gram.c" /* yacc.c:1652  */
    break;

  case 959:
#line 6458 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 31040 "gram.c" /* yacc.c:1652  */
    break;

  case 960:
#line 6469 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31046 "gram.c" /* yacc.c:1652  */
    break;

  case 961:
#line 6470 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31052 "gram.c" /* yacc.c:1652  */
    break;

  case 962:
#line 6474 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31058 "gram.c" /* yacc.c:1652  */
    break;

  case 963:
#line 6475 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31064 "gram.c" /* yacc.c:1652  */
    break;

  case 964:
#line 6480 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31070 "gram.c" /* yacc.c:1652  */
    break;

  case 965:
#line 6481 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31076 "gram.c" /* yacc.c:1652  */
    break;

  case 966:
#line 6485 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 31082 "gram.c" /* yacc.c:1652  */
    break;

  case 967:
#line 6487 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 31088 "gram.c" /* yacc.c:1652  */
    break;

  case 968:
#line 6492 "gram.y" /* yacc.c:1652  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 31099 "gram.c" /* yacc.c:1652  */
    break;

  case 969:
#line 6508 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 31113 "gram.c" /* yacc.c:1652  */
    break;

  case 970:
#line 6521 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 31127 "gram.c" /* yacc.c:1652  */
    break;

  case 971:
#line 6531 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 31141 "gram.c" /* yacc.c:1652  */
    break;

  case 972:
#line 6542 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31147 "gram.c" /* yacc.c:1652  */
    break;

  case 973:
#line 6543 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31153 "gram.c" /* yacc.c:1652  */
    break;

  case 974:
#line 6546 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31159 "gram.c" /* yacc.c:1652  */
    break;

  case 975:
#line 6547 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31165 "gram.c" /* yacc.c:1652  */
    break;

  case 976:
#line 6558 "gram.y" /* yacc.c:1652  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 31176 "gram.c" /* yacc.c:1652  */
    break;

  case 977:
#line 6567 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31182 "gram.c" /* yacc.c:1652  */
    break;

  case 978:
#line 6568 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31188 "gram.c" /* yacc.c:1652  */
    break;

  case 979:
#line 6573 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 31196 "gram.c" /* yacc.c:1652  */
    break;

  case 980:
#line 6577 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31204 "gram.c" /* yacc.c:1652  */
    break;

  case 981:
#line 6581 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31212 "gram.c" /* yacc.c:1652  */
    break;

  case 982:
#line 6593 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31228 "gram.c" /* yacc.c:1652  */
    break;

  case 983:
#line 6606 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31245 "gram.c" /* yacc.c:1652  */
    break;

  case 984:
#line 6620 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31262 "gram.c" /* yacc.c:1652  */
    break;

  case 985:
#line 6635 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 31268 "gram.c" /* yacc.c:1652  */
    break;

  case 986:
#line 6636 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 31274 "gram.c" /* yacc.c:1652  */
    break;

  case 987:
#line 6637 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 31280 "gram.c" /* yacc.c:1652  */
    break;

  case 988:
#line 6638 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 31286 "gram.c" /* yacc.c:1652  */
    break;

  case 989:
#line 6653 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 31314 "gram.c" /* yacc.c:1652  */
    break;

  case 990:
#line 6679 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31342 "gram.c" /* yacc.c:1652  */
    break;

  case 991:
#line 6705 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31348 "gram.c" /* yacc.c:1652  */
    break;

  case 992:
#line 6706 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31354 "gram.c" /* yacc.c:1652  */
    break;

  case 993:
#line 6710 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31360 "gram.c" /* yacc.c:1652  */
    break;

  case 994:
#line 6711 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31366 "gram.c" /* yacc.c:1652  */
    break;

  case 995:
#line 6715 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31372 "gram.c" /* yacc.c:1652  */
    break;

  case 996:
#line 6716 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31378 "gram.c" /* yacc.c:1652  */
    break;

  case 997:
#line 6720 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31384 "gram.c" /* yacc.c:1652  */
    break;

  case 998:
#line 6721 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 31390 "gram.c" /* yacc.c:1652  */
    break;

  case 999:
#line 6724 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 31396 "gram.c" /* yacc.c:1652  */
    break;

  case 1000:
#line 6725 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 31402 "gram.c" /* yacc.c:1652  */
    break;

  case 1001:
#line 6734 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31417 "gram.c" /* yacc.c:1652  */
    break;

  case 1002:
#line 6745 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31432 "gram.c" /* yacc.c:1652  */
    break;

  case 1003:
#line 6756 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31447 "gram.c" /* yacc.c:1652  */
    break;

  case 1004:
#line 6768 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31453 "gram.c" /* yacc.c:1652  */
    break;

  case 1005:
#line 6769 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31459 "gram.c" /* yacc.c:1652  */
    break;

  case 1006:
#line 6772 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31465 "gram.c" /* yacc.c:1652  */
    break;

  case 1007:
#line 6773 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31471 "gram.c" /* yacc.c:1652  */
    break;

  case 1008:
#line 6776 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_ASC; }
#line 31477 "gram.c" /* yacc.c:1652  */
    break;

  case 1009:
#line 6777 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DESC; }
#line 31483 "gram.c" /* yacc.c:1652  */
    break;

  case 1010:
#line 6778 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 31489 "gram.c" /* yacc.c:1652  */
    break;

  case 1011:
#line 6781 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 31495 "gram.c" /* yacc.c:1652  */
    break;

  case 1012:
#line 6782 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 31501 "gram.c" /* yacc.c:1652  */
    break;

  case 1013:
#line 6783 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 31507 "gram.c" /* yacc.c:1652  */
    break;

  case 1014:
#line 6801 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31522 "gram.c" /* yacc.c:1652  */
    break;

  case 1015:
#line 6813 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31538 "gram.c" /* yacc.c:1652  */
    break;

  case 1016:
#line 6826 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31553 "gram.c" /* yacc.c:1652  */
    break;

  case 1017:
#line 6839 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31559 "gram.c" /* yacc.c:1652  */
    break;

  case 1018:
#line 6840 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31565 "gram.c" /* yacc.c:1652  */
    break;

  case 1019:
#line 6843 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31571 "gram.c" /* yacc.c:1652  */
    break;

  case 1020:
#line 6844 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31577 "gram.c" /* yacc.c:1652  */
    break;

  case 1021:
#line 6848 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31583 "gram.c" /* yacc.c:1652  */
    break;

  case 1022:
#line 6849 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31589 "gram.c" /* yacc.c:1652  */
    break;

  case 1023:
#line 6857 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31595 "gram.c" /* yacc.c:1652  */
    break;

  case 1024:
#line 6858 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31601 "gram.c" /* yacc.c:1652  */
    break;

  case 1025:
#line 6862 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31607 "gram.c" /* yacc.c:1652  */
    break;

  case 1026:
#line 6864 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31613 "gram.c" /* yacc.c:1652  */
    break;

  case 1027:
#line 6879 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31626 "gram.c" /* yacc.c:1652  */
    break;

  case 1028:
#line 6888 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31639 "gram.c" /* yacc.c:1652  */
    break;

  case 1029:
#line 6897 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31652 "gram.c" /* yacc.c:1652  */
    break;

  case 1030:
#line 6906 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31665 "gram.c" /* yacc.c:1652  */
    break;

  case 1031:
#line 6915 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31678 "gram.c" /* yacc.c:1652  */
    break;

  case 1032:
#line 6926 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 31684 "gram.c" /* yacc.c:1652  */
    break;

  case 1033:
#line 6927 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 31690 "gram.c" /* yacc.c:1652  */
    break;

  case 1034:
#line 6928 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31696 "gram.c" /* yacc.c:1652  */
    break;

  case 1035:
#line 6929 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31702 "gram.c" /* yacc.c:1652  */
    break;

  case 1036:
#line 6930 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 31708 "gram.c" /* yacc.c:1652  */
    break;

  case 1038:
#line 6941 "gram.y" /* yacc.c:1652  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31720 "gram.c" /* yacc.c:1652  */
    break;

  case 1039:
#line 6955 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31726 "gram.c" /* yacc.c:1652  */
    break;

  case 1040:
#line 6957 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31736 "gram.c" /* yacc.c:1652  */
    break;

  case 1041:
#line 6963 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31747 "gram.c" /* yacc.c:1652  */
    break;

  case 1042:
#line 6973 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31755 "gram.c" /* yacc.c:1652  */
    break;

  case 1043:
#line 6977 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31764 "gram.c" /* yacc.c:1652  */
    break;

  case 1044:
#line 6982 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31773 "gram.c" /* yacc.c:1652  */
    break;

  case 1045:
#line 6990 "gram.y" /* yacc.c:1652  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31787 "gram.c" /* yacc.c:1652  */
    break;

  case 1046:
#line 7031 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 31795 "gram.c" /* yacc.c:1652  */
    break;

  case 1047:
#line 7035 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 31803 "gram.c" /* yacc.c:1652  */
    break;

  case 1048:
#line 7039 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 31811 "gram.c" /* yacc.c:1652  */
    break;

  case 1049:
#line 7043 "gram.y" /* yacc.c:1652  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 31820 "gram.c" /* yacc.c:1652  */
    break;

  case 1050:
#line 7050 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31826 "gram.c" /* yacc.c:1652  */
    break;

  case 1051:
#line 7051 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31832 "gram.c" /* yacc.c:1652  */
    break;

  case 1052:
#line 7056 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31838 "gram.c" /* yacc.c:1652  */
    break;

  case 1053:
#line 7057 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31844 "gram.c" /* yacc.c:1652  */
    break;

  case 1054:
#line 7065 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 31852 "gram.c" /* yacc.c:1652  */
    break;

  case 1055:
#line 7069 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31860 "gram.c" /* yacc.c:1652  */
    break;

  case 1056:
#line 7073 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31868 "gram.c" /* yacc.c:1652  */
    break;

  case 1057:
#line 7077 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 31876 "gram.c" /* yacc.c:1652  */
    break;

  case 1058:
#line 7081 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 31884 "gram.c" /* yacc.c:1652  */
    break;

  case 1059:
#line 7085 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 31892 "gram.c" /* yacc.c:1652  */
    break;

  case 1060:
#line 7089 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31900 "gram.c" /* yacc.c:1652  */
    break;

  case 1061:
#line 7093 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31908 "gram.c" /* yacc.c:1652  */
    break;

  case 1062:
#line 7097 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31916 "gram.c" /* yacc.c:1652  */
    break;

  case 1063:
#line 7101 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31924 "gram.c" /* yacc.c:1652  */
    break;

  case 1064:
#line 7105 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 31932 "gram.c" /* yacc.c:1652  */
    break;

  case 1065:
#line 7109 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 31940 "gram.c" /* yacc.c:1652  */
    break;

  case 1066:
#line 7113 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 31948 "gram.c" /* yacc.c:1652  */
    break;

  case 1067:
#line 7117 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 31956 "gram.c" /* yacc.c:1652  */
    break;

  case 1068:
#line 7121 "gram.y" /* yacc.c:1652  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 31965 "gram.c" /* yacc.c:1652  */
    break;

  case 1069:
#line 7126 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)));
				}
#line 31973 "gram.c" /* yacc.c:1652  */
    break;

  case 1070:
#line 7133 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 31981 "gram.c" /* yacc.c:1652  */
    break;

  case 1071:
#line 7137 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 31989 "gram.c" /* yacc.c:1652  */
    break;

  case 1072:
#line 7141 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list));
				}
#line 31997 "gram.c" /* yacc.c:1652  */
    break;

  case 1073:
#line 7145 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 32005 "gram.c" /* yacc.c:1652  */
    break;

  case 1074:
#line 7149 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32013 "gram.c" /* yacc.c:1652  */
    break;

  case 1075:
#line 7154 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32019 "gram.c" /* yacc.c:1652  */
    break;

  case 1076:
#line 7156 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 32027 "gram.c" /* yacc.c:1652  */
    break;

  case 1077:
#line 7162 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 32033 "gram.c" /* yacc.c:1652  */
    break;

  case 1078:
#line 7163 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 32039 "gram.c" /* yacc.c:1652  */
    break;

  case 1079:
#line 7167 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32045 "gram.c" /* yacc.c:1652  */
    break;

  case 1080:
#line 7168 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32051 "gram.c" /* yacc.c:1652  */
    break;

  case 1081:
#line 7172 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 32064 "gram.c" /* yacc.c:1652  */
    break;

  case 1082:
#line 7184 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 32072 "gram.c" /* yacc.c:1652  */
    break;

  case 1083:
#line 7188 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 32080 "gram.c" /* yacc.c:1652  */
    break;

  case 1084:
#line 7203 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32091 "gram.c" /* yacc.c:1652  */
    break;

  case 1085:
#line 7213 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32097 "gram.c" /* yacc.c:1652  */
    break;

  case 1086:
#line 7214 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32103 "gram.c" /* yacc.c:1652  */
    break;

  case 1089:
#line 7236 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32118 "gram.c" /* yacc.c:1652  */
    break;

  case 1090:
#line 7247 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32133 "gram.c" /* yacc.c:1652  */
    break;

  case 1091:
#line 7261 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32148 "gram.c" /* yacc.c:1652  */
    break;

  case 1092:
#line 7272 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32163 "gram.c" /* yacc.c:1652  */
    break;

  case 1093:
#line 7286 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32178 "gram.c" /* yacc.c:1652  */
    break;

  case 1094:
#line 7297 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32193 "gram.c" /* yacc.c:1652  */
    break;

  case 1095:
#line 7311 "gram.y" /* yacc.c:1652  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 32205 "gram.c" /* yacc.c:1652  */
    break;

  case 1096:
#line 7319 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 32211 "gram.c" /* yacc.c:1652  */
    break;

  case 1097:
#line 7321 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 32217 "gram.c" /* yacc.c:1652  */
    break;

  case 1098:
#line 7323 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 32223 "gram.c" /* yacc.c:1652  */
    break;

  case 1099:
#line 7328 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32229 "gram.c" /* yacc.c:1652  */
    break;

  case 1100:
#line 7330 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 32235 "gram.c" /* yacc.c:1652  */
    break;

  case 1101:
#line 7343 "gram.y" /* yacc.c:1652  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32245 "gram.c" /* yacc.c:1652  */
    break;

  case 1102:
#line 7351 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32251 "gram.c" /* yacc.c:1652  */
    break;

  case 1103:
#line 7352 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32257 "gram.c" /* yacc.c:1652  */
    break;

  case 1104:
#line 7357 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 32265 "gram.c" /* yacc.c:1652  */
    break;

  case 1105:
#line 7361 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 32273 "gram.c" /* yacc.c:1652  */
    break;

  case 1106:
#line 7374 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32287 "gram.c" /* yacc.c:1652  */
    break;

  case 1107:
#line 7385 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32301 "gram.c" /* yacc.c:1652  */
    break;

  case 1108:
#line 7396 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 32315 "gram.c" /* yacc.c:1652  */
    break;

  case 1109:
#line 7407 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 32321 "gram.c" /* yacc.c:1652  */
    break;

  case 1110:
#line 7408 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 32327 "gram.c" /* yacc.c:1652  */
    break;

  case 1111:
#line 7409 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 32333 "gram.c" /* yacc.c:1652  */
    break;

  case 1112:
#line 7414 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32348 "gram.c" /* yacc.c:1652  */
    break;

  case 1113:
#line 7426 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 32354 "gram.c" /* yacc.c:1652  */
    break;

  case 1114:
#line 7427 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 32360 "gram.c" /* yacc.c:1652  */
    break;

  case 1115:
#line 7438 "gram.y" /* yacc.c:1652  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 32374 "gram.c" /* yacc.c:1652  */
    break;

  case 1116:
#line 7450 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-6].funwithargs), (yyvsp[0].funwithargs));
				}
#line 32382 "gram.c" /* yacc.c:1652  */
    break;

  case 1117:
#line 7454 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), (yyvsp[-6].funwithargs));
				}
#line 32390 "gram.c" /* yacc.c:1652  */
    break;

  case 1118:
#line 7458 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), NULL);
				}
#line 32398 "gram.c" /* yacc.c:1652  */
    break;

  case 1119:
#line 7462 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].funwithargs));
				}
#line 32406 "gram.c" /* yacc.c:1652  */
    break;

  case 1120:
#line 7469 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make1((yyvsp[-3].typnam)));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32420 "gram.c" /* yacc.c:1652  */
    break;

  case 1121:
#line 7490 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32433 "gram.c" /* yacc.c:1652  */
    break;

  case 1122:
#line 7499 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32446 "gram.c" /* yacc.c:1652  */
    break;

  case 1123:
#line 7508 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32459 "gram.c" /* yacc.c:1652  */
    break;

  case 1124:
#line 7517 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32472 "gram.c" /* yacc.c:1652  */
    break;

  case 1125:
#line 7527 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 32478 "gram.c" /* yacc.c:1652  */
    break;

  case 1126:
#line 7528 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 32484 "gram.c" /* yacc.c:1652  */
    break;

  case 1127:
#line 7531 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 32490 "gram.c" /* yacc.c:1652  */
    break;

  case 1128:
#line 7532 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 32496 "gram.c" /* yacc.c:1652  */
    break;

  case 1129:
#line 7533 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 32502 "gram.c" /* yacc.c:1652  */
    break;

  case 1130:
#line 7536 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 32508 "gram.c" /* yacc.c:1652  */
    break;

  case 1131:
#line 7537 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 32514 "gram.c" /* yacc.c:1652  */
    break;

  case 1132:
#line 7540 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 32520 "gram.c" /* yacc.c:1652  */
    break;

  case 1133:
#line 7551 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32533 "gram.c" /* yacc.c:1652  */
    break;

  case 1134:
#line 7560 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32546 "gram.c" /* yacc.c:1652  */
    break;

  case 1135:
#line 7577 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32560 "gram.c" /* yacc.c:1652  */
    break;

  case 1136:
#line 7587 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32573 "gram.c" /* yacc.c:1652  */
    break;

  case 1137:
#line 7596 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32586 "gram.c" /* yacc.c:1652  */
    break;

  case 1138:
#line 7605 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32599 "gram.c" /* yacc.c:1652  */
    break;

  case 1139:
#line 7614 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32612 "gram.c" /* yacc.c:1652  */
    break;

  case 1140:
#line 7623 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 32625 "gram.c" /* yacc.c:1652  */
    break;

  case 1141:
#line 7632 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32638 "gram.c" /* yacc.c:1652  */
    break;

  case 1142:
#line 7641 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32652 "gram.c" /* yacc.c:1652  */
    break;

  case 1143:
#line 7651 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32665 "gram.c" /* yacc.c:1652  */
    break;

  case 1144:
#line 7660 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32678 "gram.c" /* yacc.c:1652  */
    break;

  case 1145:
#line 7669 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32691 "gram.c" /* yacc.c:1652  */
    break;

  case 1146:
#line 7678 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32704 "gram.c" /* yacc.c:1652  */
    break;

  case 1147:
#line 7687 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32718 "gram.c" /* yacc.c:1652  */
    break;

  case 1148:
#line 7697 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32732 "gram.c" /* yacc.c:1652  */
    break;

  case 1149:
#line 7707 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32745 "gram.c" /* yacc.c:1652  */
    break;

  case 1150:
#line 7716 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32758 "gram.c" /* yacc.c:1652  */
    break;

  case 1151:
#line 7725 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32772 "gram.c" /* yacc.c:1652  */
    break;

  case 1152:
#line 7735 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32786 "gram.c" /* yacc.c:1652  */
    break;

  case 1153:
#line 7745 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32800 "gram.c" /* yacc.c:1652  */
    break;

  case 1154:
#line 7755 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32814 "gram.c" /* yacc.c:1652  */
    break;

  case 1155:
#line 7765 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32828 "gram.c" /* yacc.c:1652  */
    break;

  case 1156:
#line 7775 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32842 "gram.c" /* yacc.c:1652  */
    break;

  case 1157:
#line 7785 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32856 "gram.c" /* yacc.c:1652  */
    break;

  case 1158:
#line 7795 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32870 "gram.c" /* yacc.c:1652  */
    break;

  case 1159:
#line 7805 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32884 "gram.c" /* yacc.c:1652  */
    break;

  case 1160:
#line 7815 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32898 "gram.c" /* yacc.c:1652  */
    break;

  case 1161:
#line 7825 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32912 "gram.c" /* yacc.c:1652  */
    break;

  case 1162:
#line 7835 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32926 "gram.c" /* yacc.c:1652  */
    break;

  case 1163:
#line 7845 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32941 "gram.c" /* yacc.c:1652  */
    break;

  case 1164:
#line 7856 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32956 "gram.c" /* yacc.c:1652  */
    break;

  case 1165:
#line 7867 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32971 "gram.c" /* yacc.c:1652  */
    break;

  case 1166:
#line 7878 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32986 "gram.c" /* yacc.c:1652  */
    break;

  case 1167:
#line 7889 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33000 "gram.c" /* yacc.c:1652  */
    break;

  case 1168:
#line 7899 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33014 "gram.c" /* yacc.c:1652  */
    break;

  case 1169:
#line 7909 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33029 "gram.c" /* yacc.c:1652  */
    break;

  case 1170:
#line 7920 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33044 "gram.c" /* yacc.c:1652  */
    break;

  case 1171:
#line 7931 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33058 "gram.c" /* yacc.c:1652  */
    break;

  case 1172:
#line 7941 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33072 "gram.c" /* yacc.c:1652  */
    break;

  case 1173:
#line 7951 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33084 "gram.c" /* yacc.c:1652  */
    break;

  case 1174:
#line 7959 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33097 "gram.c" /* yacc.c:1652  */
    break;

  case 1175:
#line 7968 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33110 "gram.c" /* yacc.c:1652  */
    break;

  case 1176:
#line 7977 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33123 "gram.c" /* yacc.c:1652  */
    break;

  case 1177:
#line 7986 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33136 "gram.c" /* yacc.c:1652  */
    break;

  case 1178:
#line 7995 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33149 "gram.c" /* yacc.c:1652  */
    break;

  case 1179:
#line 8004 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33162 "gram.c" /* yacc.c:1652  */
    break;

  case 1180:
#line 8013 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33175 "gram.c" /* yacc.c:1652  */
    break;

  case 1181:
#line 8022 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33188 "gram.c" /* yacc.c:1652  */
    break;

  case 1182:
#line 8031 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33204 "gram.c" /* yacc.c:1652  */
    break;

  case 1183:
#line 8044 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COLUMN; }
#line 33210 "gram.c" /* yacc.c:1652  */
    break;

  case 1184:
#line 8045 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 33216 "gram.c" /* yacc.c:1652  */
    break;

  case 1185:
#line 8048 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 1; }
#line 33222 "gram.c" /* yacc.c:1652  */
    break;

  case 1186:
#line 8049 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 33228 "gram.c" /* yacc.c:1652  */
    break;

  case 1187:
#line 8060 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->relation = NULL;
					n->objname = (yyvsp[-4].funwithargs)->funcname;
					n->objargs = (yyvsp[-4].funwithargs)->funcargs;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33242 "gram.c" /* yacc.c:1652  */
    break;

  case 1188:
#line 8070 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->objname = list_make1(makeString((yyvsp[-6].str)));
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33256 "gram.c" /* yacc.c:1652  */
    break;

  case 1189:
#line 8080 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->objname = NIL;
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33270 "gram.c" /* yacc.c:1652  */
    break;

  case 1190:
#line 8090 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->objname = NIL;
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33284 "gram.c" /* yacc.c:1652  */
    break;

  case 1191:
#line 8109 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33298 "gram.c" /* yacc.c:1652  */
    break;

  case 1192:
#line 8119 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33311 "gram.c" /* yacc.c:1652  */
    break;

  case 1193:
#line 8128 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33324 "gram.c" /* yacc.c:1652  */
    break;

  case 1194:
#line 8137 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33337 "gram.c" /* yacc.c:1652  */
    break;

  case 1195:
#line 8146 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33350 "gram.c" /* yacc.c:1652  */
    break;

  case 1196:
#line 8155 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33364 "gram.c" /* yacc.c:1652  */
    break;

  case 1197:
#line 8165 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33378 "gram.c" /* yacc.c:1652  */
    break;

  case 1198:
#line 8175 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33391 "gram.c" /* yacc.c:1652  */
    break;

  case 1199:
#line 8184 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33404 "gram.c" /* yacc.c:1652  */
    break;

  case 1200:
#line 8193 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33417 "gram.c" /* yacc.c:1652  */
    break;

  case 1201:
#line 8202 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33430 "gram.c" /* yacc.c:1652  */
    break;

  case 1202:
#line 8211 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33443 "gram.c" /* yacc.c:1652  */
    break;

  case 1203:
#line 8220 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33456 "gram.c" /* yacc.c:1652  */
    break;

  case 1204:
#line 8229 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33469 "gram.c" /* yacc.c:1652  */
    break;

  case 1205:
#line 8238 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33482 "gram.c" /* yacc.c:1652  */
    break;

  case 1206:
#line 8247 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33495 "gram.c" /* yacc.c:1652  */
    break;

  case 1207:
#line 8256 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33508 "gram.c" /* yacc.c:1652  */
    break;

  case 1208:
#line 8265 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33521 "gram.c" /* yacc.c:1652  */
    break;

  case 1209:
#line 8274 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33534 "gram.c" /* yacc.c:1652  */
    break;

  case 1210:
#line 8283 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33547 "gram.c" /* yacc.c:1652  */
    break;

  case 1211:
#line 8292 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33560 "gram.c" /* yacc.c:1652  */
    break;

  case 1212:
#line 8301 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33573 "gram.c" /* yacc.c:1652  */
    break;

  case 1213:
#line 8310 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33586 "gram.c" /* yacc.c:1652  */
    break;

  case 1214:
#line 8319 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33599 "gram.c" /* yacc.c:1652  */
    break;

  case 1215:
#line 8337 "gram.y" /* yacc.c:1652  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-5].list);
					n->operargs = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 33611 "gram.c" /* yacc.c:1652  */
    break;

  case 1216:
#line 8346 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33617 "gram.c" /* yacc.c:1652  */
    break;

  case 1217:
#line 8347 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33623 "gram.c" /* yacc.c:1652  */
    break;

  case 1218:
#line 8351 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL); }
#line 33629 "gram.c" /* yacc.c:1652  */
    break;

  case 1219:
#line 8353 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node)); }
#line 33635 "gram.c" /* yacc.c:1652  */
    break;

  case 1220:
#line 8363 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33648 "gram.c" /* yacc.c:1652  */
    break;

  case 1221:
#line 8372 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33660 "gram.c" /* yacc.c:1652  */
    break;

  case 1222:
#line 8380 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33672 "gram.c" /* yacc.c:1652  */
    break;

  case 1223:
#line 8388 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33684 "gram.c" /* yacc.c:1652  */
    break;

  case 1224:
#line 8396 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33696 "gram.c" /* yacc.c:1652  */
    break;

  case 1225:
#line 8404 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33709 "gram.c" /* yacc.c:1652  */
    break;

  case 1226:
#line 8413 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33721 "gram.c" /* yacc.c:1652  */
    break;

  case 1227:
#line 8421 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33733 "gram.c" /* yacc.c:1652  */
    break;

  case 1228:
#line 8429 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33746 "gram.c" /* yacc.c:1652  */
    break;

  case 1229:
#line 8438 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33758 "gram.c" /* yacc.c:1652  */
    break;

  case 1230:
#line 8446 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33770 "gram.c" /* yacc.c:1652  */
    break;

  case 1231:
#line 8454 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33782 "gram.c" /* yacc.c:1652  */
    break;

  case 1232:
#line 8462 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33794 "gram.c" /* yacc.c:1652  */
    break;

  case 1233:
#line 8470 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33806 "gram.c" /* yacc.c:1652  */
    break;

  case 1234:
#line 8478 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33818 "gram.c" /* yacc.c:1652  */
    break;

  case 1235:
#line 8486 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33830 "gram.c" /* yacc.c:1652  */
    break;

  case 1236:
#line 8494 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33842 "gram.c" /* yacc.c:1652  */
    break;

  case 1237:
#line 8502 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33854 "gram.c" /* yacc.c:1652  */
    break;

  case 1238:
#line 8510 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33866 "gram.c" /* yacc.c:1652  */
    break;

  case 1239:
#line 8529 "gram.y" /* yacc.c:1652  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33882 "gram.c" /* yacc.c:1652  */
    break;

  case 1240:
#line 8543 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33888 "gram.c" /* yacc.c:1652  */
    break;

  case 1241:
#line 8544 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33894 "gram.c" /* yacc.c:1652  */
    break;

  case 1242:
#line 8545 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33900 "gram.c" /* yacc.c:1652  */
    break;

  case 1243:
#line 8551 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 33910 "gram.c" /* yacc.c:1652  */
    break;

  case 1244:
#line 8557 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 33920 "gram.c" /* yacc.c:1652  */
    break;

  case 1250:
#line 8573 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33926 "gram.c" /* yacc.c:1652  */
    break;

  case 1251:
#line 8574 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 33932 "gram.c" /* yacc.c:1652  */
    break;

  case 1252:
#line 8577 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_SELECT; }
#line 33938 "gram.c" /* yacc.c:1652  */
    break;

  case 1253:
#line 8578 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_UPDATE; }
#line 33944 "gram.c" /* yacc.c:1652  */
    break;

  case 1254:
#line 8579 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_DELETE; }
#line 33950 "gram.c" /* yacc.c:1652  */
    break;

  case 1255:
#line 8580 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_INSERT; }
#line 33956 "gram.c" /* yacc.c:1652  */
    break;

  case 1256:
#line 8584 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 33962 "gram.c" /* yacc.c:1652  */
    break;

  case 1257:
#line 8585 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 33968 "gram.c" /* yacc.c:1652  */
    break;

  case 1258:
#line 8586 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 33974 "gram.c" /* yacc.c:1652  */
    break;

  case 1259:
#line 8592 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33989 "gram.c" /* yacc.c:1652  */
    break;

  case 1260:
#line 8603 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34004 "gram.c" /* yacc.c:1652  */
    break;

  case 1261:
#line 8625 "gram.y" /* yacc.c:1652  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34015 "gram.c" /* yacc.c:1652  */
    break;

  case 1262:
#line 8634 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34021 "gram.c" /* yacc.c:1652  */
    break;

  case 1263:
#line 8635 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34027 "gram.c" /* yacc.c:1652  */
    break;

  case 1264:
#line 8639 "gram.y" /* yacc.c:1652  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34037 "gram.c" /* yacc.c:1652  */
    break;

  case 1265:
#line 8648 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34047 "gram.c" /* yacc.c:1652  */
    break;

  case 1266:
#line 8654 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 34057 "gram.c" /* yacc.c:1652  */
    break;

  case 1267:
#line 8673 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34068 "gram.c" /* yacc.c:1652  */
    break;

  case 1268:
#line 8680 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34079 "gram.c" /* yacc.c:1652  */
    break;

  case 1269:
#line 8687 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34090 "gram.c" /* yacc.c:1652  */
    break;

  case 1270:
#line 8694 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34101 "gram.c" /* yacc.c:1652  */
    break;

  case 1271:
#line 8701 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34112 "gram.c" /* yacc.c:1652  */
    break;

  case 1272:
#line 8708 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34123 "gram.c" /* yacc.c:1652  */
    break;

  case 1273:
#line 8715 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34135 "gram.c" /* yacc.c:1652  */
    break;

  case 1274:
#line 8723 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34147 "gram.c" /* yacc.c:1652  */
    break;

  case 1275:
#line 8731 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34159 "gram.c" /* yacc.c:1652  */
    break;

  case 1276:
#line 8739 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34171 "gram.c" /* yacc.c:1652  */
    break;

  case 1277:
#line 8747 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34183 "gram.c" /* yacc.c:1652  */
    break;

  case 1278:
#line 8755 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34194 "gram.c" /* yacc.c:1652  */
    break;

  case 1279:
#line 8762 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34205 "gram.c" /* yacc.c:1652  */
    break;

  case 1280:
#line 8769 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34216 "gram.c" /* yacc.c:1652  */
    break;

  case 1281:
#line 8777 "gram.y" /* yacc.c:1652  */
    {}
#line 34222 "gram.c" /* yacc.c:1652  */
    break;

  case 1282:
#line 8778 "gram.y" /* yacc.c:1652  */
    {}
#line 34228 "gram.c" /* yacc.c:1652  */
    break;

  case 1283:
#line 8779 "gram.y" /* yacc.c:1652  */
    {}
#line 34234 "gram.c" /* yacc.c:1652  */
    break;

  case 1284:
#line 8784 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 34241 "gram.c" /* yacc.c:1652  */
    break;

  case 1285:
#line 8787 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 34248 "gram.c" /* yacc.c:1652  */
    break;

  case 1286:
#line 8790 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34255 "gram.c" /* yacc.c:1652  */
    break;

  case 1287:
#line 8793 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 34262 "gram.c" /* yacc.c:1652  */
    break;

  case 1288:
#line 8796 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34269 "gram.c" /* yacc.c:1652  */
    break;

  case 1289:
#line 8803 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34275 "gram.c" /* yacc.c:1652  */
    break;

  case 1290:
#line 8805 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 34281 "gram.c" /* yacc.c:1652  */
    break;

  case 1291:
#line 8807 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34287 "gram.c" /* yacc.c:1652  */
    break;

  case 1293:
#line 8813 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34293 "gram.c" /* yacc.c:1652  */
    break;

  case 1294:
#line 8827 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34309 "gram.c" /* yacc.c:1652  */
    break;

  case 1295:
#line 8840 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34325 "gram.c" /* yacc.c:1652  */
    break;

  case 1296:
#line 8853 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34346 "gram.c" /* yacc.c:1652  */
    break;

  case 1297:
#line 8871 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34367 "gram.c" /* yacc.c:1652  */
    break;

  case 1298:
#line 8890 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34373 "gram.c" /* yacc.c:1652  */
    break;

  case 1299:
#line 8891 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34379 "gram.c" /* yacc.c:1652  */
    break;

  case 1300:
#line 8892 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 34385 "gram.c" /* yacc.c:1652  */
    break;

  case 1301:
#line 8893 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 34391 "gram.c" /* yacc.c:1652  */
    break;

  case 1302:
#line 8904 "gram.y" /* yacc.c:1652  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34401 "gram.c" /* yacc.c:1652  */
    break;

  case 1303:
#line 8920 "gram.y" /* yacc.c:1652  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34412 "gram.c" /* yacc.c:1652  */
    break;

  case 1304:
#line 8929 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34418 "gram.c" /* yacc.c:1652  */
    break;

  case 1305:
#line 8930 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34424 "gram.c" /* yacc.c:1652  */
    break;

  case 1306:
#line 8934 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34430 "gram.c" /* yacc.c:1652  */
    break;

  case 1307:
#line 8935 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34436 "gram.c" /* yacc.c:1652  */
    break;

  case 1308:
#line 8940 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 34444 "gram.c" /* yacc.c:1652  */
    break;

  case 1309:
#line 8944 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)));
				}
#line 34452 "gram.c" /* yacc.c:1652  */
    break;

  case 1310:
#line 8948 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL);
				}
#line 34460 "gram.c" /* yacc.c:1652  */
    break;

  case 1311:
#line 8965 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34466 "gram.c" /* yacc.c:1652  */
    break;

  case 1312:
#line 8966 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 34472 "gram.c" /* yacc.c:1652  */
    break;

  case 1313:
#line 8967 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34478 "gram.c" /* yacc.c:1652  */
    break;

  case 1314:
#line 8968 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34484 "gram.c" /* yacc.c:1652  */
    break;

  case 1315:
#line 8969 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34490 "gram.c" /* yacc.c:1652  */
    break;

  case 1316:
#line 8970 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34496 "gram.c" /* yacc.c:1652  */
    break;

  case 1317:
#line 8971 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34502 "gram.c" /* yacc.c:1652  */
    break;

  case 1318:
#line 8978 "gram.y" /* yacc.c:1652  */
    {}
#line 34508 "gram.c" /* yacc.c:1652  */
    break;

  case 1319:
#line 8979 "gram.y" /* yacc.c:1652  */
    {}
#line 34514 "gram.c" /* yacc.c:1652  */
    break;

  case 1320:
#line 8991 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34525 "gram.c" /* yacc.c:1652  */
    break;

  case 1321:
#line 8998 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34536 "gram.c" /* yacc.c:1652  */
    break;

  case 1322:
#line 9005 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 34548 "gram.c" /* yacc.c:1652  */
    break;

  case 1323:
#line 9016 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34559 "gram.c" /* yacc.c:1652  */
    break;

  case 1324:
#line 9033 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34570 "gram.c" /* yacc.c:1652  */
    break;

  case 1325:
#line 9040 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34581 "gram.c" /* yacc.c:1652  */
    break;

  case 1326:
#line 9058 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34591 "gram.c" /* yacc.c:1652  */
    break;

  case 1327:
#line 9064 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34601 "gram.c" /* yacc.c:1652  */
    break;

  case 1328:
#line 9080 "gram.y" /* yacc.c:1652  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 34614 "gram.c" /* yacc.c:1652  */
    break;

  case 1329:
#line 9093 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34626 "gram.c" /* yacc.c:1652  */
    break;

  case 1330:
#line 9102 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34637 "gram.c" /* yacc.c:1652  */
    break;

  case 1331:
#line 9110 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34648 "gram.c" /* yacc.c:1652  */
    break;

  case 1332:
#line 9118 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34660 "gram.c" /* yacc.c:1652  */
    break;

  case 1333:
#line 9127 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34674 "gram.c" /* yacc.c:1652  */
    break;

  case 1334:
#line 9138 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34688 "gram.c" /* yacc.c:1652  */
    break;

  case 1335:
#line 9149 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34700 "gram.c" /* yacc.c:1652  */
    break;

  case 1336:
#line 9158 "gram.y" /* yacc.c:1652  */
    {}
#line 34706 "gram.c" /* yacc.c:1652  */
    break;

  case 1337:
#line 9159 "gram.y" /* yacc.c:1652  */
    {}
#line 34712 "gram.c" /* yacc.c:1652  */
    break;

  case 1338:
#line 9171 "gram.y" /* yacc.c:1652  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34723 "gram.c" /* yacc.c:1652  */
    break;

  case 1339:
#line 9181 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34738 "gram.c" /* yacc.c:1652  */
    break;

  case 1340:
#line 9192 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34753 "gram.c" /* yacc.c:1652  */
    break;

  case 1341:
#line 9203 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34768 "gram.c" /* yacc.c:1652  */
    break;

  case 1342:
#line 9214 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34783 "gram.c" /* yacc.c:1652  */
    break;

  case 1343:
#line 9225 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 34796 "gram.c" /* yacc.c:1652  */
    break;

  case 1344:
#line 9234 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 34809 "gram.c" /* yacc.c:1652  */
    break;

  case 1345:
#line 9245 "gram.y" /* yacc.c:1652  */
    {}
#line 34815 "gram.c" /* yacc.c:1652  */
    break;

  case 1346:
#line 9246 "gram.y" /* yacc.c:1652  */
    {}
#line 34821 "gram.c" /* yacc.c:1652  */
    break;

  case 1347:
#line 9262 "gram.y" /* yacc.c:1652  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 34835 "gram.c" /* yacc.c:1652  */
    break;

  case 1348:
#line 9284 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34847 "gram.c" /* yacc.c:1652  */
    break;

  case 1349:
#line 9292 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34859 "gram.c" /* yacc.c:1652  */
    break;

  case 1350:
#line 9301 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34871 "gram.c" /* yacc.c:1652  */
    break;

  case 1351:
#line 9311 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34877 "gram.c" /* yacc.c:1652  */
    break;

  case 1352:
#line 9312 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34883 "gram.c" /* yacc.c:1652  */
    break;

  case 1353:
#line 9325 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34901 "gram.c" /* yacc.c:1652  */
    break;

  case 1354:
#line 9339 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34919 "gram.c" /* yacc.c:1652  */
    break;

  case 1355:
#line 9353 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 34935 "gram.c" /* yacc.c:1652  */
    break;

  case 1356:
#line 9365 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34947 "gram.c" /* yacc.c:1652  */
    break;

  case 1357:
#line 9373 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 34961 "gram.c" /* yacc.c:1652  */
    break;

  case 1358:
#line 9385 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34967 "gram.c" /* yacc.c:1652  */
    break;

  case 1359:
#line 9386 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34973 "gram.c" /* yacc.c:1652  */
    break;

  case 1360:
#line 9390 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 34979 "gram.c" /* yacc.c:1652  */
    break;

  case 1361:
#line 9391 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 34985 "gram.c" /* yacc.c:1652  */
    break;

  case 1362:
#line 9392 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 34991 "gram.c" /* yacc.c:1652  */
    break;

  case 1363:
#line 9393 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_FULL; }
#line 34997 "gram.c" /* yacc.c:1652  */
    break;

  case 1364:
#line 9395 "gram.y" /* yacc.c:1652  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 35011 "gram.c" /* yacc.c:1652  */
    break;

  case 1365:
#line 9408 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 35025 "gram.c" /* yacc.c:1652  */
    break;

  case 1366:
#line 9418 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35039 "gram.c" /* yacc.c:1652  */
    break;

  case 1367:
#line 9430 "gram.y" /* yacc.c:1652  */
    {}
#line 35045 "gram.c" /* yacc.c:1652  */
    break;

  case 1368:
#line 9431 "gram.y" /* yacc.c:1652  */
    {}
#line 35051 "gram.c" /* yacc.c:1652  */
    break;

  case 1369:
#line 9435 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 35057 "gram.c" /* yacc.c:1652  */
    break;

  case 1370:
#line 9436 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 35063 "gram.c" /* yacc.c:1652  */
    break;

  case 1371:
#line 9439 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 35069 "gram.c" /* yacc.c:1652  */
    break;

  case 1372:
#line 9440 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 35075 "gram.c" /* yacc.c:1652  */
    break;

  case 1373:
#line 9443 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 35081 "gram.c" /* yacc.c:1652  */
    break;

  case 1374:
#line 9444 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 35087 "gram.c" /* yacc.c:1652  */
    break;

  case 1375:
#line 9448 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35093 "gram.c" /* yacc.c:1652  */
    break;

  case 1376:
#line 9449 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35099 "gram.c" /* yacc.c:1652  */
    break;

  case 1377:
#line 9463 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35110 "gram.c" /* yacc.c:1652  */
    break;

  case 1378:
#line 9470 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 35124 "gram.c" /* yacc.c:1652  */
    break;

  case 1379:
#line 9480 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 35135 "gram.c" /* yacc.c:1652  */
    break;

  case 1380:
#line 9487 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35146 "gram.c" /* yacc.c:1652  */
    break;

  case 1390:
#line 9509 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35154 "gram.c" /* yacc.c:1652  */
    break;

  case 1391:
#line 9513 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35162 "gram.c" /* yacc.c:1652  */
    break;

  case 1392:
#line 9520 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 35170 "gram.c" /* yacc.c:1652  */
    break;

  case 1393:
#line 9526 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35176 "gram.c" /* yacc.c:1652  */
    break;

  case 1394:
#line 9527 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "analyze"; }
#line 35182 "gram.c" /* yacc.c:1652  */
    break;

  case 1395:
#line 9531 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35188 "gram.c" /* yacc.c:1652  */
    break;

  case 1396:
#line 9532 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 35194 "gram.c" /* yacc.c:1652  */
    break;

  case 1397:
#line 9533 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 35200 "gram.c" /* yacc.c:1652  */
    break;

  case 1398:
#line 9544 "gram.y" /* yacc.c:1652  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35212 "gram.c" /* yacc.c:1652  */
    break;

  case 1399:
#line 9553 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35218 "gram.c" /* yacc.c:1652  */
    break;

  case 1400:
#line 9554 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35224 "gram.c" /* yacc.c:1652  */
    break;

  case 1405:
#line 9572 "gram.y" /* yacc.c:1652  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35235 "gram.c" /* yacc.c:1652  */
    break;

  case 1406:
#line 9580 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35255 "gram.c" /* yacc.c:1652  */
    break;

  case 1407:
#line 9597 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35275 "gram.c" /* yacc.c:1652  */
    break;

  case 1408:
#line 9614 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35281 "gram.c" /* yacc.c:1652  */
    break;

  case 1409:
#line 9615 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35287 "gram.c" /* yacc.c:1652  */
    break;

  case 1410:
#line 9626 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35297 "gram.c" /* yacc.c:1652  */
    break;

  case 1411:
#line 9632 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35307 "gram.c" /* yacc.c:1652  */
    break;

  case 1412:
#line 9638 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35317 "gram.c" /* yacc.c:1652  */
    break;

  case 1413:
#line 9644 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35327 "gram.c" /* yacc.c:1652  */
    break;

  case 1414:
#line 9661 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 35339 "gram.c" /* yacc.c:1652  */
    break;

  case 1415:
#line 9678 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 35347 "gram.c" /* yacc.c:1652  */
    break;

  case 1416:
#line 9682 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 35356 "gram.c" /* yacc.c:1652  */
    break;

  case 1417:
#line 9690 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35366 "gram.c" /* yacc.c:1652  */
    break;

  case 1418:
#line 9696 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35376 "gram.c" /* yacc.c:1652  */
    break;

  case 1419:
#line 9702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 35386 "gram.c" /* yacc.c:1652  */
    break;

  case 1420:
#line 9711 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35392 "gram.c" /* yacc.c:1652  */
    break;

  case 1421:
#line 9713 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35398 "gram.c" /* yacc.c:1652  */
    break;

  case 1422:
#line 9718 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35410 "gram.c" /* yacc.c:1652  */
    break;

  case 1423:
#line 9729 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 35423 "gram.c" /* yacc.c:1652  */
    break;

  case 1424:
#line 9739 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 35436 "gram.c" /* yacc.c:1652  */
    break;

  case 1425:
#line 9748 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = NULL;
				}
#line 35444 "gram.c" /* yacc.c:1652  */
    break;

  case 1426:
#line 9755 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 35456 "gram.c" /* yacc.c:1652  */
    break;

  case 1427:
#line 9764 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 35468 "gram.c" /* yacc.c:1652  */
    break;

  case 1428:
#line 9772 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = NULL;
				}
#line 35476 "gram.c" /* yacc.c:1652  */
    break;

  case 1429:
#line 9778 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35482 "gram.c" /* yacc.c:1652  */
    break;

  case 1430:
#line 9779 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35488 "gram.c" /* yacc.c:1652  */
    break;

  case 1431:
#line 9792 "gram.y" /* yacc.c:1652  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 35502 "gram.c" /* yacc.c:1652  */
    break;

  case 1432:
#line 9804 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35508 "gram.c" /* yacc.c:1652  */
    break;

  case 1433:
#line 9805 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35514 "gram.c" /* yacc.c:1652  */
    break;

  case 1434:
#line 9817 "gram.y" /* yacc.c:1652  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 35527 "gram.c" /* yacc.c:1652  */
    break;

  case 1435:
#line 9827 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 35533 "gram.c" /* yacc.c:1652  */
    break;

  case 1436:
#line 9828 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35539 "gram.c" /* yacc.c:1652  */
    break;

  case 1437:
#line 9831 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessShareLock; }
#line 35545 "gram.c" /* yacc.c:1652  */
    break;

  case 1438:
#line 9832 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowShareLock; }
#line 35551 "gram.c" /* yacc.c:1652  */
    break;

  case 1439:
#line 9833 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowExclusiveLock; }
#line 35557 "gram.c" /* yacc.c:1652  */
    break;

  case 1440:
#line 9834 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 35563 "gram.c" /* yacc.c:1652  */
    break;

  case 1441:
#line 9835 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareLock; }
#line 35569 "gram.c" /* yacc.c:1652  */
    break;

  case 1442:
#line 9836 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 35575 "gram.c" /* yacc.c:1652  */
    break;

  case 1443:
#line 9837 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ExclusiveLock; }
#line 35581 "gram.c" /* yacc.c:1652  */
    break;

  case 1444:
#line 9838 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35587 "gram.c" /* yacc.c:1652  */
    break;

  case 1445:
#line 9841 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 35593 "gram.c" /* yacc.c:1652  */
    break;

  case 1446:
#line 9842 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 35599 "gram.c" /* yacc.c:1652  */
    break;

  case 1447:
#line 9846 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitError; }
#line 35605 "gram.c" /* yacc.c:1652  */
    break;

  case 1448:
#line 9847 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitSkip; }
#line 35611 "gram.c" /* yacc.c:1652  */
    break;

  case 1449:
#line 9848 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitBlock; }
#line 35617 "gram.c" /* yacc.c:1652  */
    break;

  case 1450:
#line 9864 "gram.y" /* yacc.c:1652  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 35632 "gram.c" /* yacc.c:1652  */
    break;

  case 1451:
#line 9877 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35638 "gram.c" /* yacc.c:1652  */
    break;

  case 1452:
#line 9878 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 35644 "gram.c" /* yacc.c:1652  */
    break;

  case 1453:
#line 9882 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35650 "gram.c" /* yacc.c:1652  */
    break;

  case 1454:
#line 9883 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35656 "gram.c" /* yacc.c:1652  */
    break;

  case 1455:
#line 9888 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 35665 "gram.c" /* yacc.c:1652  */
    break;

  case 1456:
#line 9904 "gram.y" /* yacc.c:1652  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  This is semantically
					 * equivalent to, and much cheaper to process than, the
					 * general case.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[0]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35695 "gram.c" /* yacc.c:1652  */
    break;

  case 1457:
#line 9930 "gram.y" /* yacc.c:1652  */
    {
					SubLink *sl = makeNode(SubLink);
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* First, convert bare SelectStmt into a SubLink */
					sl->subLinkType = MULTIEXPR_SUBLINK;
					sl->subLinkId = 0;		/* will be assigned later */
					sl->testexpr = NULL;
					sl->operName = NIL;
					sl->subselect = (yyvsp[0].node);
					sl->location = (yylsp[0]);

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) sl;
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35729 "gram.c" /* yacc.c:1652  */
    break;

  case 1458:
#line 9963 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35741 "gram.c" /* yacc.c:1652  */
    break;

  case 1459:
#line 9973 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35747 "gram.c" /* yacc.c:1652  */
    break;

  case 1460:
#line 9974 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 35753 "gram.c" /* yacc.c:1652  */
    break;

  case 1461:
#line 9985 "gram.y" /* yacc.c:1652  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 35766 "gram.c" /* yacc.c:1652  */
    break;

  case 1462:
#line 9995 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35772 "gram.c" /* yacc.c:1652  */
    break;

  case 1463:
#line 9998 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 35778 "gram.c" /* yacc.c:1652  */
    break;

  case 1464:
#line 9999 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 35784 "gram.c" /* yacc.c:1652  */
    break;

  case 1465:
#line 10000 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 35790 "gram.c" /* yacc.c:1652  */
    break;

  case 1466:
#line 10001 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 35796 "gram.c" /* yacc.c:1652  */
    break;

  case 1467:
#line 10002 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 35802 "gram.c" /* yacc.c:1652  */
    break;

  case 1468:
#line 10005 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 35808 "gram.c" /* yacc.c:1652  */
    break;

  case 1469:
#line 10006 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 35814 "gram.c" /* yacc.c:1652  */
    break;

  case 1470:
#line 10007 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 35820 "gram.c" /* yacc.c:1652  */
    break;

  case 1473:
#line 10060 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35826 "gram.c" /* yacc.c:1652  */
    break;

  case 1474:
#line 10061 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35832 "gram.c" /* yacc.c:1652  */
    break;

  case 1475:
#line 10076 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35838 "gram.c" /* yacc.c:1652  */
    break;

  case 1476:
#line 10078 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35849 "gram.c" /* yacc.c:1652  */
    break;

  case 1477:
#line 10085 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35861 "gram.c" /* yacc.c:1652  */
    break;

  case 1478:
#line 10093 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35873 "gram.c" /* yacc.c:1652  */
    break;

  case 1479:
#line 10101 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 35885 "gram.c" /* yacc.c:1652  */
    break;

  case 1480:
#line 10109 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35897 "gram.c" /* yacc.c:1652  */
    break;

  case 1481:
#line 10117 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35909 "gram.c" /* yacc.c:1652  */
    break;

  case 1482:
#line 10125 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35921 "gram.c" /* yacc.c:1652  */
    break;

  case 1483:
#line 10135 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35927 "gram.c" /* yacc.c:1652  */
    break;

  case 1484:
#line 10136 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35933 "gram.c" /* yacc.c:1652  */
    break;

  case 1485:
#line 10166 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35949 "gram.c" /* yacc.c:1652  */
    break;

  case 1486:
#line 10180 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35966 "gram.c" /* yacc.c:1652  */
    break;

  case 1487:
#line 10192 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35972 "gram.c" /* yacc.c:1652  */
    break;

  case 1488:
#line 10194 "gram.y" /* yacc.c:1652  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 35995 "gram.c" /* yacc.c:1652  */
    break;

  case 1489:
#line 10213 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 36003 "gram.c" /* yacc.c:1652  */
    break;

  case 1490:
#line 10217 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 36011 "gram.c" /* yacc.c:1652  */
    break;

  case 1491:
#line 10221 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 36019 "gram.c" /* yacc.c:1652  */
    break;

  case 1492:
#line 10238 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 36030 "gram.c" /* yacc.c:1652  */
    break;

  case 1493:
#line 10245 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 36041 "gram.c" /* yacc.c:1652  */
    break;

  case 1494:
#line 10252 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 36052 "gram.c" /* yacc.c:1652  */
    break;

  case 1495:
#line 10261 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36058 "gram.c" /* yacc.c:1652  */
    break;

  case 1496:
#line 10262 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36064 "gram.c" /* yacc.c:1652  */
    break;

  case 1497:
#line 10266 "gram.y" /* yacc.c:1652  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 36077 "gram.c" /* yacc.c:1652  */
    break;

  case 1498:
#line 10277 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = (yyvsp[0].with); }
#line 36083 "gram.c" /* yacc.c:1652  */
    break;

  case 1499:
#line 10278 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = NULL; }
#line 36089 "gram.c" /* yacc.c:1652  */
    break;

  case 1500:
#line 10283 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 36104 "gram.c" /* yacc.c:1652  */
    break;

  case 1501:
#line 10294 "gram.y" /* yacc.c:1652  */
    { (yyval.into) = NULL; }
#line 36110 "gram.c" /* yacc.c:1652  */
    break;

  case 1502:
#line 10303 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36119 "gram.c" /* yacc.c:1652  */
    break;

  case 1503:
#line 10308 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36128 "gram.c" /* yacc.c:1652  */
    break;

  case 1504:
#line 10313 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36137 "gram.c" /* yacc.c:1652  */
    break;

  case 1505:
#line 10318 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36146 "gram.c" /* yacc.c:1652  */
    break;

  case 1506:
#line 10323 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36158 "gram.c" /* yacc.c:1652  */
    break;

  case 1507:
#line 10331 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36170 "gram.c" /* yacc.c:1652  */
    break;

  case 1508:
#line 10339 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 36179 "gram.c" /* yacc.c:1652  */
    break;

  case 1509:
#line 10344 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 36188 "gram.c" /* yacc.c:1652  */
    break;

  case 1510:
#line 10349 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 36197 "gram.c" /* yacc.c:1652  */
    break;

  case 1511:
#line 10355 "gram.y" /* yacc.c:1652  */
    {}
#line 36203 "gram.c" /* yacc.c:1652  */
    break;

  case 1512:
#line 10356 "gram.y" /* yacc.c:1652  */
    {}
#line 36209 "gram.c" /* yacc.c:1652  */
    break;

  case 1513:
#line 10360 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 36215 "gram.c" /* yacc.c:1652  */
    break;

  case 1514:
#line 10361 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 36221 "gram.c" /* yacc.c:1652  */
    break;

  case 1515:
#line 10362 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 36227 "gram.c" /* yacc.c:1652  */
    break;

  case 1516:
#line 10369 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(NIL); }
#line 36233 "gram.c" /* yacc.c:1652  */
    break;

  case 1517:
#line 10370 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36239 "gram.c" /* yacc.c:1652  */
    break;

  case 1518:
#line 10374 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL;}
#line 36245 "gram.c" /* yacc.c:1652  */
    break;

  case 1519:
#line 10375 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36251 "gram.c" /* yacc.c:1652  */
    break;

  case 1520:
#line 10379 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list);}
#line 36257 "gram.c" /* yacc.c:1652  */
    break;

  case 1521:
#line 10380 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36263 "gram.c" /* yacc.c:1652  */
    break;

  case 1522:
#line 10384 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36269 "gram.c" /* yacc.c:1652  */
    break;

  case 1523:
#line 10388 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 36275 "gram.c" /* yacc.c:1652  */
    break;

  case 1524:
#line 10389 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 36281 "gram.c" /* yacc.c:1652  */
    break;

  case 1525:
#line 10393 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 36294 "gram.c" /* yacc.c:1652  */
    break;

  case 1526:
#line 10402 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 36307 "gram.c" /* yacc.c:1652  */
    break;

  case 1527:
#line 10414 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 36313 "gram.c" /* yacc.c:1652  */
    break;

  case 1528:
#line 10415 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 36319 "gram.c" /* yacc.c:1652  */
    break;

  case 1529:
#line 10416 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 36325 "gram.c" /* yacc.c:1652  */
    break;

  case 1530:
#line 10417 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 36331 "gram.c" /* yacc.c:1652  */
    break;

  case 1531:
#line 10421 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36337 "gram.c" /* yacc.c:1652  */
    break;

  case 1532:
#line 10422 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 36343 "gram.c" /* yacc.c:1652  */
    break;

  case 1533:
#line 10427 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36349 "gram.c" /* yacc.c:1652  */
    break;

  case 1534:
#line 10429 "gram.y" /* yacc.c:1652  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 36362 "gram.c" /* yacc.c:1652  */
    break;

  case 1535:
#line 10445 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 36368 "gram.c" /* yacc.c:1652  */
    break;

  case 1536:
#line 10447 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 36374 "gram.c" /* yacc.c:1652  */
    break;

  case 1537:
#line 10452 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36380 "gram.c" /* yacc.c:1652  */
    break;

  case 1538:
#line 10455 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36386 "gram.c" /* yacc.c:1652  */
    break;

  case 1539:
#line 10459 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36392 "gram.c" /* yacc.c:1652  */
    break;

  case 1540:
#line 10461 "gram.y" /* yacc.c:1652  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 36401 "gram.c" /* yacc.c:1652  */
    break;

  case 1541:
#line 10468 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36407 "gram.c" /* yacc.c:1652  */
    break;

  case 1542:
#line 10488 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36413 "gram.c" /* yacc.c:1652  */
    break;

  case 1543:
#line 10490 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 36419 "gram.c" /* yacc.c:1652  */
    break;

  case 1544:
#line 10492 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 36425 "gram.c" /* yacc.c:1652  */
    break;

  case 1545:
#line 10496 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 36431 "gram.c" /* yacc.c:1652  */
    break;

  case 1546:
#line 10497 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 36437 "gram.c" /* yacc.c:1652  */
    break;

  case 1547:
#line 10501 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36443 "gram.c" /* yacc.c:1652  */
    break;

  case 1548:
#line 10502 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36449 "gram.c" /* yacc.c:1652  */
    break;

  case 1549:
#line 10505 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36455 "gram.c" /* yacc.c:1652  */
    break;

  case 1550:
#line 10506 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36461 "gram.c" /* yacc.c:1652  */
    break;

  case 1551:
#line 10531 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36467 "gram.c" /* yacc.c:1652  */
    break;

  case 1552:
#line 10532 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36473 "gram.c" /* yacc.c:1652  */
    break;

  case 1553:
#line 10536 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36479 "gram.c" /* yacc.c:1652  */
    break;

  case 1554:
#line 10537 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 36485 "gram.c" /* yacc.c:1652  */
    break;

  case 1555:
#line 10541 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36491 "gram.c" /* yacc.c:1652  */
    break;

  case 1556:
#line 10542 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36497 "gram.c" /* yacc.c:1652  */
    break;

  case 1557:
#line 10543 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36503 "gram.c" /* yacc.c:1652  */
    break;

  case 1558:
#line 10544 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36509 "gram.c" /* yacc.c:1652  */
    break;

  case 1559:
#line 10545 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36515 "gram.c" /* yacc.c:1652  */
    break;

  case 1560:
#line 10550 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 36523 "gram.c" /* yacc.c:1652  */
    break;

  case 1561:
#line 10563 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36531 "gram.c" /* yacc.c:1652  */
    break;

  case 1562:
#line 10570 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36539 "gram.c" /* yacc.c:1652  */
    break;

  case 1563:
#line 10577 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 36547 "gram.c" /* yacc.c:1652  */
    break;

  case 1564:
#line 10583 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36553 "gram.c" /* yacc.c:1652  */
    break;

  case 1565:
#line 10584 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 36559 "gram.c" /* yacc.c:1652  */
    break;

  case 1566:
#line 10588 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36565 "gram.c" /* yacc.c:1652  */
    break;

  case 1567:
#line 10589 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36571 "gram.c" /* yacc.c:1652  */
    break;

  case 1568:
#line 10593 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36577 "gram.c" /* yacc.c:1652  */
    break;

  case 1569:
#line 10594 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36583 "gram.c" /* yacc.c:1652  */
    break;

  case 1570:
#line 10598 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36589 "gram.c" /* yacc.c:1652  */
    break;

  case 1571:
#line 10599 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36595 "gram.c" /* yacc.c:1652  */
    break;

  case 1572:
#line 10604 "gram.y" /* yacc.c:1652  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36607 "gram.c" /* yacc.c:1652  */
    break;

  case 1573:
#line 10614 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 36613 "gram.c" /* yacc.c:1652  */
    break;

  case 1574:
#line 10615 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 36619 "gram.c" /* yacc.c:1652  */
    break;

  case 1575:
#line 10616 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 36625 "gram.c" /* yacc.c:1652  */
    break;

  case 1576:
#line 10617 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 36631 "gram.c" /* yacc.c:1652  */
    break;

  case 1577:
#line 10621 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36637 "gram.c" /* yacc.c:1652  */
    break;

  case 1578:
#line 10622 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36643 "gram.c" /* yacc.c:1652  */
    break;

  case 1579:
#line 10628 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36653 "gram.c" /* yacc.c:1652  */
    break;

  case 1580:
#line 10634 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36663 "gram.c" /* yacc.c:1652  */
    break;

  case 1581:
#line 10651 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36669 "gram.c" /* yacc.c:1652  */
    break;

  case 1582:
#line 10652 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36675 "gram.c" /* yacc.c:1652  */
    break;

  case 1583:
#line 10656 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36681 "gram.c" /* yacc.c:1652  */
    break;

  case 1584:
#line 10657 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36687 "gram.c" /* yacc.c:1652  */
    break;

  case 1585:
#line 10664 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 36696 "gram.c" /* yacc.c:1652  */
    break;

  case 1586:
#line 10669 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 36708 "gram.c" /* yacc.c:1652  */
    break;

  case 1587:
#line 10677 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36719 "gram.c" /* yacc.c:1652  */
    break;

  case 1588:
#line 10684 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36731 "gram.c" /* yacc.c:1652  */
    break;

  case 1589:
#line 10692 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36770 "gram.c" /* yacc.c:1652  */
    break;

  case 1590:
#line 10727 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36799 "gram.c" /* yacc.c:1652  */
    break;

  case 1591:
#line 10752 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 36807 "gram.c" /* yacc.c:1652  */
    break;

  case 1592:
#line 10756 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 36816 "gram.c" /* yacc.c:1652  */
    break;

  case 1593:
#line 10782 "gram.y" /* yacc.c:1652  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 36824 "gram.c" /* yacc.c:1652  */
    break;

  case 1594:
#line 10786 "gram.y" /* yacc.c:1652  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 36840 "gram.c" /* yacc.c:1652  */
    break;

  case 1595:
#line 10798 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36857 "gram.c" /* yacc.c:1652  */
    break;

  case 1596:
#line 10811 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36875 "gram.c" /* yacc.c:1652  */
    break;

  case 1597:
#line 10825 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36890 "gram.c" /* yacc.c:1652  */
    break;

  case 1598:
#line 10836 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36906 "gram.c" /* yacc.c:1652  */
    break;

  case 1599:
#line 10851 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36916 "gram.c" /* yacc.c:1652  */
    break;

  case 1600:
#line 10857 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36925 "gram.c" /* yacc.c:1652  */
    break;

  case 1601:
#line 10862 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36935 "gram.c" /* yacc.c:1652  */
    break;

  case 1602:
#line 10868 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36944 "gram.c" /* yacc.c:1652  */
    break;

  case 1603:
#line 10874 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 36950 "gram.c" /* yacc.c:1652  */
    break;

  case 1604:
#line 10875 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = NULL; }
#line 36956 "gram.c" /* yacc.c:1652  */
    break;

  case 1605:
#line 10884 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 36964 "gram.c" /* yacc.c:1652  */
    break;

  case 1606:
#line 10888 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 36972 "gram.c" /* yacc.c:1652  */
    break;

  case 1607:
#line 10892 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36982 "gram.c" /* yacc.c:1652  */
    break;

  case 1608:
#line 10898 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36992 "gram.c" /* yacc.c:1652  */
    break;

  case 1609:
#line 10904 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 37000 "gram.c" /* yacc.c:1652  */
    break;

  case 1610:
#line 10909 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_FULL; }
#line 37006 "gram.c" /* yacc.c:1652  */
    break;

  case 1611:
#line 10910 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 37012 "gram.c" /* yacc.c:1652  */
    break;

  case 1612:
#line 10911 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 37018 "gram.c" /* yacc.c:1652  */
    break;

  case 1613:
#line 10912 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_INNER; }
#line 37024 "gram.c" /* yacc.c:1652  */
    break;

  case 1614:
#line 10916 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37030 "gram.c" /* yacc.c:1652  */
    break;

  case 1615:
#line 10917 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37036 "gram.c" /* yacc.c:1652  */
    break;

  case 1616:
#line 10929 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 37042 "gram.c" /* yacc.c:1652  */
    break;

  case 1617:
#line 10930 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37048 "gram.c" /* yacc.c:1652  */
    break;

  case 1618:
#line 10936 "gram.y" /* yacc.c:1652  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 37059 "gram.c" /* yacc.c:1652  */
    break;

  case 1619:
#line 10943 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 37070 "gram.c" /* yacc.c:1652  */
    break;

  case 1620:
#line 10950 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 37081 "gram.c" /* yacc.c:1652  */
    break;

  case 1621:
#line 10957 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 37092 "gram.c" /* yacc.c:1652  */
    break;

  case 1622:
#line 10967 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 37098 "gram.c" /* yacc.c:1652  */
    break;

  case 1623:
#line 10968 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 37104 "gram.c" /* yacc.c:1652  */
    break;

  case 1624:
#line 10982 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 37112 "gram.c" /* yacc.c:1652  */
    break;

  case 1625:
#line 10986 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 37123 "gram.c" /* yacc.c:1652  */
    break;

  case 1626:
#line 10993 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 37134 "gram.c" /* yacc.c:1652  */
    break;

  case 1627:
#line 11006 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 37148 "gram.c" /* yacc.c:1652  */
    break;

  case 1628:
#line 11018 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 37154 "gram.c" /* yacc.c:1652  */
    break;

  case 1629:
#line 11019 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37160 "gram.c" /* yacc.c:1652  */
    break;

  case 1630:
#line 11035 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 37174 "gram.c" /* yacc.c:1652  */
    break;

  case 1631:
#line 11045 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 37188 "gram.c" /* yacc.c:1652  */
    break;

  case 1632:
#line 11057 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 37194 "gram.c" /* yacc.c:1652  */
    break;

  case 1633:
#line 11061 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37200 "gram.c" /* yacc.c:1652  */
    break;

  case 1634:
#line 11062 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37206 "gram.c" /* yacc.c:1652  */
    break;

  case 1635:
#line 11065 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37212 "gram.c" /* yacc.c:1652  */
    break;

  case 1636:
#line 11066 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37218 "gram.c" /* yacc.c:1652  */
    break;

  case 1637:
#line 11069 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 37224 "gram.c" /* yacc.c:1652  */
    break;

  case 1638:
#line 11070 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 37230 "gram.c" /* yacc.c:1652  */
    break;

  case 1639:
#line 11075 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37236 "gram.c" /* yacc.c:1652  */
    break;

  case 1640:
#line 11076 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37242 "gram.c" /* yacc.c:1652  */
    break;

  case 1641:
#line 11081 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37248 "gram.c" /* yacc.c:1652  */
    break;

  case 1642:
#line 11083 "gram.y" /* yacc.c:1652  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 37260 "gram.c" /* yacc.c:1652  */
    break;

  case 1643:
#line 11090 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37266 "gram.c" /* yacc.c:1652  */
    break;

  case 1644:
#line 11095 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37272 "gram.c" /* yacc.c:1652  */
    break;

  case 1645:
#line 11096 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37278 "gram.c" /* yacc.c:1652  */
    break;

  case 1646:
#line 11101 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 37286 "gram.c" /* yacc.c:1652  */
    break;

  case 1647:
#line 11105 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 37294 "gram.c" /* yacc.c:1652  */
    break;

  case 1648:
#line 11111 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 37316 "gram.c" /* yacc.c:1652  */
    break;

  case 1649:
#line 11141 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 37325 "gram.c" /* yacc.c:1652  */
    break;

  case 1650:
#line 11146 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 37335 "gram.c" /* yacc.c:1652  */
    break;

  case 1651:
#line 11153 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 37344 "gram.c" /* yacc.c:1652  */
    break;

  case 1652:
#line 11158 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 37354 "gram.c" /* yacc.c:1652  */
    break;

  case 1653:
#line 11164 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 37363 "gram.c" /* yacc.c:1652  */
    break;

  case 1654:
#line 11169 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 37373 "gram.c" /* yacc.c:1652  */
    break;

  case 1655:
#line 11178 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 37379 "gram.c" /* yacc.c:1652  */
    break;

  case 1656:
#line 11180 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 37385 "gram.c" /* yacc.c:1652  */
    break;

  case 1657:
#line 11182 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = NIL; }
#line 37391 "gram.c" /* yacc.c:1652  */
    break;

  case 1658:
#line 11186 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37397 "gram.c" /* yacc.c:1652  */
    break;

  case 1659:
#line 11187 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37403 "gram.c" /* yacc.c:1652  */
    break;

  case 1660:
#line 11188 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37409 "gram.c" /* yacc.c:1652  */
    break;

  case 1661:
#line 11189 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37415 "gram.c" /* yacc.c:1652  */
    break;

  case 1662:
#line 11190 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37421 "gram.c" /* yacc.c:1652  */
    break;

  case 1663:
#line 11192 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 37430 "gram.c" /* yacc.c:1652  */
    break;

  case 1664:
#line 11197 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 37440 "gram.c" /* yacc.c:1652  */
    break;

  case 1665:
#line 11216 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37446 "gram.c" /* yacc.c:1652  */
    break;

  case 1666:
#line 11217 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37452 "gram.c" /* yacc.c:1652  */
    break;

  case 1667:
#line 11218 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37458 "gram.c" /* yacc.c:1652  */
    break;

  case 1668:
#line 11219 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37464 "gram.c" /* yacc.c:1652  */
    break;

  case 1669:
#line 11231 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37474 "gram.c" /* yacc.c:1652  */
    break;

  case 1670:
#line 11237 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 37484 "gram.c" /* yacc.c:1652  */
    break;

  case 1671:
#line 11244 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37490 "gram.c" /* yacc.c:1652  */
    break;

  case 1672:
#line 11245 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37496 "gram.c" /* yacc.c:1652  */
    break;

  case 1673:
#line 11252 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37505 "gram.c" /* yacc.c:1652  */
    break;

  case 1674:
#line 11257 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37514 "gram.c" /* yacc.c:1652  */
    break;

  case 1675:
#line 11262 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37523 "gram.c" /* yacc.c:1652  */
    break;

  case 1676:
#line 11267 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37532 "gram.c" /* yacc.c:1652  */
    break;

  case 1677:
#line 11272 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37541 "gram.c" /* yacc.c:1652  */
    break;

  case 1678:
#line 11277 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37550 "gram.c" /* yacc.c:1652  */
    break;

  case 1679:
#line 11282 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37559 "gram.c" /* yacc.c:1652  */
    break;

  case 1680:
#line 11287 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37569 "gram.c" /* yacc.c:1652  */
    break;

  case 1681:
#line 11293 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37579 "gram.c" /* yacc.c:1652  */
    break;

  case 1682:
#line 11299 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37589 "gram.c" /* yacc.c:1652  */
    break;

  case 1683:
#line 11305 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37598 "gram.c" /* yacc.c:1652  */
    break;

  case 1684:
#line 11312 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 37623 "gram.c" /* yacc.c:1652  */
    break;

  case 1685:
#line 11333 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 37631 "gram.c" /* yacc.c:1652  */
    break;

  case 1686:
#line 11343 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37639 "gram.c" /* yacc.c:1652  */
    break;

  case 1687:
#line 11347 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37647 "gram.c" /* yacc.c:1652  */
    break;

  case 1688:
#line 11355 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37655 "gram.c" /* yacc.c:1652  */
    break;

  case 1689:
#line 11359 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37664 "gram.c" /* yacc.c:1652  */
    break;

  case 1690:
#line 11367 "gram.y" /* yacc.c:1652  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37677 "gram.c" /* yacc.c:1652  */
    break;

  case 1691:
#line 11379 "gram.y" /* yacc.c:1652  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37695 "gram.c" /* yacc.c:1652  */
    break;

  case 1692:
#line 11400 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37703 "gram.c" /* yacc.c:1652  */
    break;

  case 1693:
#line 11404 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37711 "gram.c" /* yacc.c:1652  */
    break;

  case 1694:
#line 11410 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37719 "gram.c" /* yacc.c:1652  */
    break;

  case 1695:
#line 11414 "gram.y" /* yacc.c:1652  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37734 "gram.c" /* yacc.c:1652  */
    break;

  case 1696:
#line 11427 "gram.y" /* yacc.c:1652  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37747 "gram.c" /* yacc.c:1652  */
    break;

  case 1697:
#line 11438 "gram.y" /* yacc.c:1652  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37764 "gram.c" /* yacc.c:1652  */
    break;

  case 1698:
#line 11453 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37770 "gram.c" /* yacc.c:1652  */
    break;

  case 1699:
#line 11455 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37776 "gram.c" /* yacc.c:1652  */
    break;

  case 1700:
#line 11457 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "varchar"; }
#line 37782 "gram.c" /* yacc.c:1652  */
    break;

  case 1701:
#line 11459 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37788 "gram.c" /* yacc.c:1652  */
    break;

  case 1702:
#line 11461 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37794 "gram.c" /* yacc.c:1652  */
    break;

  case 1703:
#line 11463 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37800 "gram.c" /* yacc.c:1652  */
    break;

  case 1704:
#line 11467 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 37806 "gram.c" /* yacc.c:1652  */
    break;

  case 1705:
#line 11468 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 37812 "gram.c" /* yacc.c:1652  */
    break;

  case 1706:
#line 11472 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37818 "gram.c" /* yacc.c:1652  */
    break;

  case 1707:
#line 11473 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 37824 "gram.c" /* yacc.c:1652  */
    break;

  case 1708:
#line 11481 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37837 "gram.c" /* yacc.c:1652  */
    break;

  case 1709:
#line 11490 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37849 "gram.c" /* yacc.c:1652  */
    break;

  case 1710:
#line 11498 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37862 "gram.c" /* yacc.c:1652  */
    break;

  case 1711:
#line 11507 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37874 "gram.c" /* yacc.c:1652  */
    break;

  case 1712:
#line 11518 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37883 "gram.c" /* yacc.c:1652  */
    break;

  case 1713:
#line 11525 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 37889 "gram.c" /* yacc.c:1652  */
    break;

  case 1714:
#line 11526 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 37895 "gram.c" /* yacc.c:1652  */
    break;

  case 1715:
#line 11527 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 37901 "gram.c" /* yacc.c:1652  */
    break;

  case 1716:
#line 11532 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 37907 "gram.c" /* yacc.c:1652  */
    break;

  case 1717:
#line 11534 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 37913 "gram.c" /* yacc.c:1652  */
    break;

  case 1718:
#line 11536 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 37919 "gram.c" /* yacc.c:1652  */
    break;

  case 1719:
#line 11538 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 37925 "gram.c" /* yacc.c:1652  */
    break;

  case 1720:
#line 11540 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 37931 "gram.c" /* yacc.c:1652  */
    break;

  case 1721:
#line 11542 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37937 "gram.c" /* yacc.c:1652  */
    break;

  case 1722:
#line 11544 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 37946 "gram.c" /* yacc.c:1652  */
    break;

  case 1723:
#line 11549 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 37955 "gram.c" /* yacc.c:1652  */
    break;

  case 1724:
#line 11554 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37965 "gram.c" /* yacc.c:1652  */
    break;

  case 1725:
#line 11560 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37977 "gram.c" /* yacc.c:1652  */
    break;

  case 1726:
#line 11568 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37986 "gram.c" /* yacc.c:1652  */
    break;

  case 1727:
#line 11573 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37997 "gram.c" /* yacc.c:1652  */
    break;

  case 1728:
#line 11580 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 38007 "gram.c" /* yacc.c:1652  */
    break;

  case 1729:
#line 11586 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38013 "gram.c" /* yacc.c:1652  */
    break;

  case 1730:
#line 11591 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 38021 "gram.c" /* yacc.c:1652  */
    break;

  case 1731:
#line 11595 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 38030 "gram.c" /* yacc.c:1652  */
    break;

  case 1732:
#line 11630 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38036 "gram.c" /* yacc.c:1652  */
    break;

  case 1733:
#line 11632 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 38042 "gram.c" /* yacc.c:1652  */
    break;

  case 1734:
#line 11634 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 38054 "gram.c" /* yacc.c:1652  */
    break;

  case 1735:
#line 11642 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 38064 "gram.c" /* yacc.c:1652  */
    break;

  case 1736:
#line 11657 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38070 "gram.c" /* yacc.c:1652  */
    break;

  case 1737:
#line 11659 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 38076 "gram.c" /* yacc.c:1652  */
    break;

  case 1738:
#line 11661 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38082 "gram.c" /* yacc.c:1652  */
    break;

  case 1739:
#line 11663 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38088 "gram.c" /* yacc.c:1652  */
    break;

  case 1740:
#line 11665 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38094 "gram.c" /* yacc.c:1652  */
    break;

  case 1741:
#line 11667 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38100 "gram.c" /* yacc.c:1652  */
    break;

  case 1742:
#line 11669 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38106 "gram.c" /* yacc.c:1652  */
    break;

  case 1743:
#line 11671 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38112 "gram.c" /* yacc.c:1652  */
    break;

  case 1744:
#line 11673 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38118 "gram.c" /* yacc.c:1652  */
    break;

  case 1745:
#line 11675 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38124 "gram.c" /* yacc.c:1652  */
    break;

  case 1746:
#line 11677 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38130 "gram.c" /* yacc.c:1652  */
    break;

  case 1747:
#line 11679 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38136 "gram.c" /* yacc.c:1652  */
    break;

  case 1748:
#line 11681 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38142 "gram.c" /* yacc.c:1652  */
    break;

  case 1749:
#line 11683 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38148 "gram.c" /* yacc.c:1652  */
    break;

  case 1750:
#line 11686 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38154 "gram.c" /* yacc.c:1652  */
    break;

  case 1751:
#line 11688 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38160 "gram.c" /* yacc.c:1652  */
    break;

  case 1752:
#line 11690 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 38166 "gram.c" /* yacc.c:1652  */
    break;

  case 1753:
#line 11693 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38172 "gram.c" /* yacc.c:1652  */
    break;

  case 1754:
#line 11695 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38178 "gram.c" /* yacc.c:1652  */
    break;

  case 1755:
#line 11697 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 38184 "gram.c" /* yacc.c:1652  */
    break;

  case 1756:
#line 11699 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 38190 "gram.c" /* yacc.c:1652  */
    break;

  case 1757:
#line 11702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38199 "gram.c" /* yacc.c:1652  */
    break;

  case 1758:
#line 11707 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38211 "gram.c" /* yacc.c:1652  */
    break;

  case 1759:
#line 11715 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 38220 "gram.c" /* yacc.c:1652  */
    break;

  case 1760:
#line 11720 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38232 "gram.c" /* yacc.c:1652  */
    break;

  case 1761:
#line 11728 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38241 "gram.c" /* yacc.c:1652  */
    break;

  case 1762:
#line 11733 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38253 "gram.c" /* yacc.c:1652  */
    break;

  case 1763:
#line 11741 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 38262 "gram.c" /* yacc.c:1652  */
    break;

  case 1764:
#line 11746 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38274 "gram.c" /* yacc.c:1652  */
    break;

  case 1765:
#line 11755 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 38286 "gram.c" /* yacc.c:1652  */
    break;

  case 1766:
#line 11763 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38298 "gram.c" /* yacc.c:1652  */
    break;

  case 1767:
#line 11771 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38310 "gram.c" /* yacc.c:1652  */
    break;

  case 1768:
#line 11779 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 38322 "gram.c" /* yacc.c:1652  */
    break;

  case 1769:
#line 11797 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38334 "gram.c" /* yacc.c:1652  */
    break;

  case 1770:
#line 11805 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38346 "gram.c" /* yacc.c:1652  */
    break;

  case 1771:
#line 11813 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38358 "gram.c" /* yacc.c:1652  */
    break;

  case 1772:
#line 11821 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38370 "gram.c" /* yacc.c:1652  */
    break;

  case 1773:
#line 11829 "gram.y" /* yacc.c:1652  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 38390 "gram.c" /* yacc.c:1652  */
    break;

  case 1774:
#line 11845 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38402 "gram.c" /* yacc.c:1652  */
    break;

  case 1775:
#line 11853 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38414 "gram.c" /* yacc.c:1652  */
    break;

  case 1776:
#line 11861 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38426 "gram.c" /* yacc.c:1652  */
    break;

  case 1777:
#line 11869 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38438 "gram.c" /* yacc.c:1652  */
    break;

  case 1778:
#line 11877 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38450 "gram.c" /* yacc.c:1652  */
    break;

  case 1779:
#line 11885 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38462 "gram.c" /* yacc.c:1652  */
    break;

  case 1780:
#line 11893 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38470 "gram.c" /* yacc.c:1652  */
    break;

  case 1781:
#line 11897 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 38478 "gram.c" /* yacc.c:1652  */
    break;

  case 1782:
#line 11901 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38486 "gram.c" /* yacc.c:1652  */
    break;

  case 1783:
#line 11905 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38494 "gram.c" /* yacc.c:1652  */
    break;

  case 1784:
#line 11909 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38506 "gram.c" /* yacc.c:1652  */
    break;

  case 1785:
#line 11917 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38518 "gram.c" /* yacc.c:1652  */
    break;

  case 1786:
#line 11925 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38530 "gram.c" /* yacc.c:1652  */
    break;

  case 1787:
#line 11933 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38542 "gram.c" /* yacc.c:1652  */
    break;

  case 1788:
#line 11941 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 38566 "gram.c" /* yacc.c:1652  */
    break;

  case 1789:
#line 11961 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 38592 "gram.c" /* yacc.c:1652  */
    break;

  case 1790:
#line 11983 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38607 "gram.c" /* yacc.c:1652  */
    break;

  case 1791:
#line 11994 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 38618 "gram.c" /* yacc.c:1652  */
    break;

  case 1792:
#line 12001 "gram.y" /* yacc.c:1652  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 38638 "gram.c" /* yacc.c:1652  */
    break;

  case 1793:
#line 12017 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38647 "gram.c" /* yacc.c:1652  */
    break;

  case 1794:
#line 12022 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38657 "gram.c" /* yacc.c:1652  */
    break;

  case 1795:
#line 12039 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38663 "gram.c" /* yacc.c:1652  */
    break;

  case 1796:
#line 12041 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 38669 "gram.c" /* yacc.c:1652  */
    break;

  case 1797:
#line 12043 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38675 "gram.c" /* yacc.c:1652  */
    break;

  case 1798:
#line 12045 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 38681 "gram.c" /* yacc.c:1652  */
    break;

  case 1799:
#line 12047 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38687 "gram.c" /* yacc.c:1652  */
    break;

  case 1800:
#line 12049 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38693 "gram.c" /* yacc.c:1652  */
    break;

  case 1801:
#line 12051 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38699 "gram.c" /* yacc.c:1652  */
    break;

  case 1802:
#line 12053 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38705 "gram.c" /* yacc.c:1652  */
    break;

  case 1803:
#line 12055 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38711 "gram.c" /* yacc.c:1652  */
    break;

  case 1804:
#line 12057 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38717 "gram.c" /* yacc.c:1652  */
    break;

  case 1805:
#line 12059 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38723 "gram.c" /* yacc.c:1652  */
    break;

  case 1806:
#line 12061 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38729 "gram.c" /* yacc.c:1652  */
    break;

  case 1807:
#line 12063 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38735 "gram.c" /* yacc.c:1652  */
    break;

  case 1808:
#line 12065 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38741 "gram.c" /* yacc.c:1652  */
    break;

  case 1809:
#line 12067 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38747 "gram.c" /* yacc.c:1652  */
    break;

  case 1810:
#line 12069 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38753 "gram.c" /* yacc.c:1652  */
    break;

  case 1811:
#line 12071 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38759 "gram.c" /* yacc.c:1652  */
    break;

  case 1812:
#line 12073 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38765 "gram.c" /* yacc.c:1652  */
    break;

  case 1813:
#line 12075 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 38771 "gram.c" /* yacc.c:1652  */
    break;

  case 1814:
#line 12077 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38779 "gram.c" /* yacc.c:1652  */
    break;

  case 1815:
#line 12081 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 38787 "gram.c" /* yacc.c:1652  */
    break;

  case 1816:
#line 12085 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38795 "gram.c" /* yacc.c:1652  */
    break;

  case 1817:
#line 12089 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38803 "gram.c" /* yacc.c:1652  */
    break;

  case 1818:
#line 12093 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38812 "gram.c" /* yacc.c:1652  */
    break;

  case 1819:
#line 12098 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38822 "gram.c" /* yacc.c:1652  */
    break;

  case 1820:
#line 12113 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38828 "gram.c" /* yacc.c:1652  */
    break;

  case 1821:
#line 12114 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38834 "gram.c" /* yacc.c:1652  */
    break;

  case 1822:
#line 12116 "gram.y" /* yacc.c:1652  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 38853 "gram.c" /* yacc.c:1652  */
    break;

  case 1823:
#line 12131 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 38891 "gram.c" /* yacc.c:1652  */
    break;

  case 1824:
#line 12165 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38897 "gram.c" /* yacc.c:1652  */
    break;

  case 1825:
#line 12167 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38903 "gram.c" /* yacc.c:1652  */
    break;

  case 1826:
#line 12169 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38918 "gram.c" /* yacc.c:1652  */
    break;

  case 1827:
#line 12180 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 38946 "gram.c" /* yacc.c:1652  */
    break;

  case 1828:
#line 12204 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38961 "gram.c" /* yacc.c:1652  */
    break;

  case 1829:
#line 12215 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38976 "gram.c" /* yacc.c:1652  */
    break;

  case 1830:
#line 12226 "gram.y" /* yacc.c:1652  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38988 "gram.c" /* yacc.c:1652  */
    break;

  case 1831:
#line 12234 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 39002 "gram.c" /* yacc.c:1652  */
    break;

  case 1832:
#line 12244 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 39016 "gram.c" /* yacc.c:1652  */
    break;

  case 1833:
#line 12254 "gram.y" /* yacc.c:1652  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 39027 "gram.c" /* yacc.c:1652  */
    break;

  case 1834:
#line 12263 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 39035 "gram.c" /* yacc.c:1652  */
    break;

  case 1835:
#line 12267 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 39045 "gram.c" /* yacc.c:1652  */
    break;

  case 1836:
#line 12273 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 39056 "gram.c" /* yacc.c:1652  */
    break;

  case 1837:
#line 12280 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 39067 "gram.c" /* yacc.c:1652  */
    break;

  case 1838:
#line 12287 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 39081 "gram.c" /* yacc.c:1652  */
    break;

  case 1839:
#line 12297 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 39092 "gram.c" /* yacc.c:1652  */
    break;

  case 1840:
#line 12304 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 39112 "gram.c" /* yacc.c:1652  */
    break;

  case 1841:
#line 12332 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 39151 "gram.c" /* yacc.c:1652  */
    break;

  case 1842:
#line 12367 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39157 "gram.c" /* yacc.c:1652  */
    break;

  case 1843:
#line 12377 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39163 "gram.c" /* yacc.c:1652  */
    break;

  case 1844:
#line 12378 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39169 "gram.c" /* yacc.c:1652  */
    break;

  case 1845:
#line 12386 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 39179 "gram.c" /* yacc.c:1652  */
    break;

  case 1846:
#line 12392 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 39209 "gram.c" /* yacc.c:1652  */
    break;

  case 1847:
#line 12418 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 39223 "gram.c" /* yacc.c:1652  */
    break;

  case 1848:
#line 12428 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39240 "gram.c" /* yacc.c:1652  */
    break;

  case 1849:
#line 12441 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 39252 "gram.c" /* yacc.c:1652  */
    break;

  case 1850:
#line 12449 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39269 "gram.c" /* yacc.c:1652  */
    break;

  case 1851:
#line 12462 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 39283 "gram.c" /* yacc.c:1652  */
    break;

  case 1852:
#line 12472 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 39300 "gram.c" /* yacc.c:1652  */
    break;

  case 1853:
#line 12485 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 39314 "gram.c" /* yacc.c:1652  */
    break;

  case 1854:
#line 12495 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39331 "gram.c" /* yacc.c:1652  */
    break;

  case 1855:
#line 12508 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39339 "gram.c" /* yacc.c:1652  */
    break;

  case 1856:
#line 12512 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39347 "gram.c" /* yacc.c:1652  */
    break;

  case 1857:
#line 12516 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 39355 "gram.c" /* yacc.c:1652  */
    break;

  case 1858:
#line 12520 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39363 "gram.c" /* yacc.c:1652  */
    break;

  case 1859:
#line 12524 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 39371 "gram.c" /* yacc.c:1652  */
    break;

  case 1860:
#line 12528 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 39379 "gram.c" /* yacc.c:1652  */
    break;

  case 1861:
#line 12532 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 39385 "gram.c" /* yacc.c:1652  */
    break;

  case 1862:
#line 12534 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39393 "gram.c" /* yacc.c:1652  */
    break;

  case 1863:
#line 12538 "gram.y" /* yacc.c:1652  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39406 "gram.c" /* yacc.c:1652  */
    break;

  case 1864:
#line 12547 "gram.y" /* yacc.c:1652  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39415 "gram.c" /* yacc.c:1652  */
    break;

  case 1865:
#line 12552 "gram.y" /* yacc.c:1652  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39426 "gram.c" /* yacc.c:1652  */
    break;

  case 1866:
#line 12559 "gram.y" /* yacc.c:1652  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 39445 "gram.c" /* yacc.c:1652  */
    break;

  case 1867:
#line 12574 "gram.y" /* yacc.c:1652  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39456 "gram.c" /* yacc.c:1652  */
    break;

  case 1868:
#line 12581 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39464 "gram.c" /* yacc.c:1652  */
    break;

  case 1869:
#line 12585 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39472 "gram.c" /* yacc.c:1652  */
    break;

  case 1870:
#line 12589 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39480 "gram.c" /* yacc.c:1652  */
    break;

  case 1871:
#line 12593 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 39488 "gram.c" /* yacc.c:1652  */
    break;

  case 1872:
#line 12597 "gram.y" /* yacc.c:1652  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 39499 "gram.c" /* yacc.c:1652  */
    break;

  case 1873:
#line 12604 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39511 "gram.c" /* yacc.c:1652  */
    break;

  case 1874:
#line 12612 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39523 "gram.c" /* yacc.c:1652  */
    break;

  case 1875:
#line 12620 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39531 "gram.c" /* yacc.c:1652  */
    break;

  case 1876:
#line 12624 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 39539 "gram.c" /* yacc.c:1652  */
    break;

  case 1877:
#line 12628 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 39547 "gram.c" /* yacc.c:1652  */
    break;

  case 1878:
#line 12632 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 39555 "gram.c" /* yacc.c:1652  */
    break;

  case 1879:
#line 12636 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 39563 "gram.c" /* yacc.c:1652  */
    break;

  case 1880:
#line 12640 "gram.y" /* yacc.c:1652  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 39573 "gram.c" /* yacc.c:1652  */
    break;

  case 1881:
#line 12646 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 39581 "gram.c" /* yacc.c:1652  */
    break;

  case 1882:
#line 12650 "gram.y" /* yacc.c:1652  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 39594 "gram.c" /* yacc.c:1652  */
    break;

  case 1883:
#line 12659 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 39602 "gram.c" /* yacc.c:1652  */
    break;

  case 1884:
#line 12663 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39610 "gram.c" /* yacc.c:1652  */
    break;

  case 1885:
#line 12667 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39619 "gram.c" /* yacc.c:1652  */
    break;

  case 1886:
#line 12672 "gram.y" /* yacc.c:1652  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39632 "gram.c" /* yacc.c:1652  */
    break;

  case 1887:
#line 12686 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39638 "gram.c" /* yacc.c:1652  */
    break;

  case 1888:
#line 12688 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNullAConst(-1); }
#line 39644 "gram.c" /* yacc.c:1652  */
    break;

  case 1889:
#line 12692 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 39650 "gram.c" /* yacc.c:1652  */
    break;

  case 1890:
#line 12694 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 39656 "gram.c" /* yacc.c:1652  */
    break;

  case 1891:
#line 12696 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 39662 "gram.c" /* yacc.c:1652  */
    break;

  case 1892:
#line 12698 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 39668 "gram.c" /* yacc.c:1652  */
    break;

  case 1893:
#line 12701 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39674 "gram.c" /* yacc.c:1652  */
    break;

  case 1894:
#line 12704 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39680 "gram.c" /* yacc.c:1652  */
    break;

  case 1895:
#line 12705 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39686 "gram.c" /* yacc.c:1652  */
    break;

  case 1896:
#line 12709 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39698 "gram.c" /* yacc.c:1652  */
    break;

  case 1897:
#line 12717 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 39710 "gram.c" /* yacc.c:1652  */
    break;

  case 1898:
#line 12726 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 39716 "gram.c" /* yacc.c:1652  */
    break;

  case 1899:
#line 12727 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 39722 "gram.c" /* yacc.c:1652  */
    break;

  case 1900:
#line 12730 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 39728 "gram.c" /* yacc.c:1652  */
    break;

  case 1901:
#line 12731 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 39734 "gram.c" /* yacc.c:1652  */
    break;

  case 1902:
#line 12732 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 39740 "gram.c" /* yacc.c:1652  */
    break;

  case 1903:
#line 12738 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39748 "gram.c" /* yacc.c:1652  */
    break;

  case 1904:
#line 12742 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39756 "gram.c" /* yacc.c:1652  */
    break;

  case 1905:
#line 12746 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39764 "gram.c" /* yacc.c:1652  */
    break;

  case 1906:
#line 12750 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39772 "gram.c" /* yacc.c:1652  */
    break;

  case 1907:
#line 12760 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39778 "gram.c" /* yacc.c:1652  */
    break;

  case 1908:
#line 12761 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39784 "gram.c" /* yacc.c:1652  */
    break;

  case 1909:
#line 12765 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39790 "gram.c" /* yacc.c:1652  */
    break;

  case 1910:
#line 12766 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 39796 "gram.c" /* yacc.c:1652  */
    break;

  case 1911:
#line 12774 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39802 "gram.c" /* yacc.c:1652  */
    break;

  case 1912:
#line 12775 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39808 "gram.c" /* yacc.c:1652  */
    break;

  case 1913:
#line 12779 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 39814 "gram.c" /* yacc.c:1652  */
    break;

  case 1914:
#line 12781 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 39820 "gram.c" /* yacc.c:1652  */
    break;

  case 1915:
#line 12786 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 39830 "gram.c" /* yacc.c:1652  */
    break;

  case 1916:
#line 12794 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 39836 "gram.c" /* yacc.c:1652  */
    break;

  case 1917:
#line 12796 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 39853 "gram.c" /* yacc.c:1652  */
    break;

  case 1918:
#line 12809 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = NULL; }
#line 39859 "gram.c" /* yacc.c:1652  */
    break;

  case 1919:
#line 12814 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 39877 "gram.c" /* yacc.c:1652  */
    break;

  case 1920:
#line 12839 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39883 "gram.c" /* yacc.c:1652  */
    break;

  case 1921:
#line 12840 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 39889 "gram.c" /* yacc.c:1652  */
    break;

  case 1922:
#line 12843 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39895 "gram.c" /* yacc.c:1652  */
    break;

  case 1923:
#line 12844 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39901 "gram.c" /* yacc.c:1652  */
    break;

  case 1924:
#line 12856 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 39923 "gram.c" /* yacc.c:1652  */
    break;

  case 1925:
#line 12874 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 39933 "gram.c" /* yacc.c:1652  */
    break;

  case 1926:
#line 12880 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39945 "gram.c" /* yacc.c:1652  */
    break;

  case 1927:
#line 12890 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 39966 "gram.c" /* yacc.c:1652  */
    break;

  case 1928:
#line 12907 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 40007 "gram.c" /* yacc.c:1652  */
    break;

  case 1929:
#line 12952 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 40019 "gram.c" /* yacc.c:1652  */
    break;

  case 1930:
#line 12960 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 40031 "gram.c" /* yacc.c:1652  */
    break;

  case 1931:
#line 12968 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 40043 "gram.c" /* yacc.c:1652  */
    break;

  case 1932:
#line 12976 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 40055 "gram.c" /* yacc.c:1652  */
    break;

  case 1933:
#line 12984 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 40067 "gram.c" /* yacc.c:1652  */
    break;

  case 1934:
#line 13004 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40073 "gram.c" /* yacc.c:1652  */
    break;

  case 1935:
#line 13005 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40079 "gram.c" /* yacc.c:1652  */
    break;

  case 1936:
#line 13006 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 40085 "gram.c" /* yacc.c:1652  */
    break;

  case 1937:
#line 13009 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40091 "gram.c" /* yacc.c:1652  */
    break;

  case 1938:
#line 13010 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40097 "gram.c" /* yacc.c:1652  */
    break;

  case 1939:
#line 13013 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 40103 "gram.c" /* yacc.c:1652  */
    break;

  case 1940:
#line 13016 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 40109 "gram.c" /* yacc.c:1652  */
    break;

  case 1941:
#line 13017 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 40115 "gram.c" /* yacc.c:1652  */
    break;

  case 1942:
#line 13018 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 40121 "gram.c" /* yacc.c:1652  */
    break;

  case 1943:
#line 13021 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40127 "gram.c" /* yacc.c:1652  */
    break;

  case 1944:
#line 13022 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40133 "gram.c" /* yacc.c:1652  */
    break;

  case 1945:
#line 13025 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "+"; }
#line 40139 "gram.c" /* yacc.c:1652  */
    break;

  case 1946:
#line 13026 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "-"; }
#line 40145 "gram.c" /* yacc.c:1652  */
    break;

  case 1947:
#line 13027 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "*"; }
#line 40151 "gram.c" /* yacc.c:1652  */
    break;

  case 1948:
#line 13028 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "/"; }
#line 40157 "gram.c" /* yacc.c:1652  */
    break;

  case 1949:
#line 13029 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "%"; }
#line 40163 "gram.c" /* yacc.c:1652  */
    break;

  case 1950:
#line 13030 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "^"; }
#line 40169 "gram.c" /* yacc.c:1652  */
    break;

  case 1951:
#line 13031 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<"; }
#line 40175 "gram.c" /* yacc.c:1652  */
    break;

  case 1952:
#line 13032 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">"; }
#line 40181 "gram.c" /* yacc.c:1652  */
    break;

  case 1953:
#line 13033 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "="; }
#line 40187 "gram.c" /* yacc.c:1652  */
    break;

  case 1954:
#line 13034 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<="; }
#line 40193 "gram.c" /* yacc.c:1652  */
    break;

  case 1955:
#line 13035 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">="; }
#line 40199 "gram.c" /* yacc.c:1652  */
    break;

  case 1956:
#line 13036 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<>"; }
#line 40205 "gram.c" /* yacc.c:1652  */
    break;

  case 1957:
#line 13040 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40211 "gram.c" /* yacc.c:1652  */
    break;

  case 1958:
#line 13042 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40217 "gram.c" /* yacc.c:1652  */
    break;

  case 1959:
#line 13047 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40223 "gram.c" /* yacc.c:1652  */
    break;

  case 1960:
#line 13049 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40229 "gram.c" /* yacc.c:1652  */
    break;

  case 1961:
#line 13054 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40235 "gram.c" /* yacc.c:1652  */
    break;

  case 1962:
#line 13056 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40241 "gram.c" /* yacc.c:1652  */
    break;

  case 1963:
#line 13058 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 40247 "gram.c" /* yacc.c:1652  */
    break;

  case 1964:
#line 13060 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 40253 "gram.c" /* yacc.c:1652  */
    break;

  case 1965:
#line 13062 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 40259 "gram.c" /* yacc.c:1652  */
    break;

  case 1966:
#line 13064 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 40265 "gram.c" /* yacc.c:1652  */
    break;

  case 1967:
#line 13076 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40273 "gram.c" /* yacc.c:1652  */
    break;

  case 1968:
#line 13080 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40281 "gram.c" /* yacc.c:1652  */
    break;

  case 1969:
#line 13087 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40289 "gram.c" /* yacc.c:1652  */
    break;

  case 1970:
#line 13091 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40297 "gram.c" /* yacc.c:1652  */
    break;

  case 1971:
#line 13097 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40305 "gram.c" /* yacc.c:1652  */
    break;

  case 1972:
#line 13101 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40318 "gram.c" /* yacc.c:1652  */
    break;

  case 1973:
#line 13110 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40331 "gram.c" /* yacc.c:1652  */
    break;

  case 1974:
#line 13120 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40337 "gram.c" /* yacc.c:1652  */
    break;

  case 1975:
#line 13121 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 40343 "gram.c" /* yacc.c:1652  */
    break;

  case 1976:
#line 13125 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40351 "gram.c" /* yacc.c:1652  */
    break;

  case 1977:
#line 13129 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40359 "gram.c" /* yacc.c:1652  */
    break;

  case 1978:
#line 13133 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 40367 "gram.c" /* yacc.c:1652  */
    break;

  case 1979:
#line 13138 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40373 "gram.c" /* yacc.c:1652  */
    break;

  case 1980:
#line 13139 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40379 "gram.c" /* yacc.c:1652  */
    break;

  case 1981:
#line 13145 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 40387 "gram.c" /* yacc.c:1652  */
    break;

  case 1982:
#line 13148 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40393 "gram.c" /* yacc.c:1652  */
    break;

  case 1983:
#line 13155 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40399 "gram.c" /* yacc.c:1652  */
    break;

  case 1984:
#line 13156 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "year"; }
#line 40405 "gram.c" /* yacc.c:1652  */
    break;

  case 1985:
#line 13157 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "month"; }
#line 40411 "gram.c" /* yacc.c:1652  */
    break;

  case 1986:
#line 13158 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "day"; }
#line 40417 "gram.c" /* yacc.c:1652  */
    break;

  case 1987:
#line 13159 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "hour"; }
#line 40423 "gram.c" /* yacc.c:1652  */
    break;

  case 1988:
#line 13160 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "minute"; }
#line 40429 "gram.c" /* yacc.c:1652  */
    break;

  case 1989:
#line 13161 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "second"; }
#line 40435 "gram.c" /* yacc.c:1652  */
    break;

  case 1990:
#line 13162 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40441 "gram.c" /* yacc.c:1652  */
    break;

  case 1991:
#line 13173 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40449 "gram.c" /* yacc.c:1652  */
    break;

  case 1992:
#line 13177 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40457 "gram.c" /* yacc.c:1652  */
    break;

  case 1993:
#line 13184 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40463 "gram.c" /* yacc.c:1652  */
    break;

  case 1994:
#line 13190 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 40469 "gram.c" /* yacc.c:1652  */
    break;

  case 1995:
#line 13191 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40475 "gram.c" /* yacc.c:1652  */
    break;

  case 1996:
#line 13208 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40483 "gram.c" /* yacc.c:1652  */
    break;

  case 1997:
#line 13212 "gram.y" /* yacc.c:1652  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 40492 "gram.c" /* yacc.c:1652  */
    break;

  case 1998:
#line 13217 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40500 "gram.c" /* yacc.c:1652  */
    break;

  case 1999:
#line 13221 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 40519 "gram.c" /* yacc.c:1652  */
    break;

  case 2000:
#line 13236 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 40527 "gram.c" /* yacc.c:1652  */
    break;

  case 2001:
#line 13240 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40533 "gram.c" /* yacc.c:1652  */
    break;

  case 2002:
#line 13244 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40539 "gram.c" /* yacc.c:1652  */
    break;

  case 2003:
#line 13247 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40545 "gram.c" /* yacc.c:1652  */
    break;

  case 2004:
#line 13250 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 40551 "gram.c" /* yacc.c:1652  */
    break;

  case 2005:
#line 13251 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40557 "gram.c" /* yacc.c:1652  */
    break;

  case 2006:
#line 13252 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40563 "gram.c" /* yacc.c:1652  */
    break;

  case 2007:
#line 13256 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 40574 "gram.c" /* yacc.c:1652  */
    break;

  case 2008:
#line 13262 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 40580 "gram.c" /* yacc.c:1652  */
    break;

  case 2009:
#line 13273 "gram.y" /* yacc.c:1652  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 40594 "gram.c" /* yacc.c:1652  */
    break;

  case 2010:
#line 13286 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40600 "gram.c" /* yacc.c:1652  */
    break;

  case 2011:
#line 13287 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40606 "gram.c" /* yacc.c:1652  */
    break;

  case 2012:
#line 13292 "gram.y" /* yacc.c:1652  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 40618 "gram.c" /* yacc.c:1652  */
    break;

  case 2013:
#line 13302 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40624 "gram.c" /* yacc.c:1652  */
    break;

  case 2014:
#line 13303 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40630 "gram.c" /* yacc.c:1652  */
    break;

  case 2015:
#line 13306 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40636 "gram.c" /* yacc.c:1652  */
    break;

  case 2016:
#line 13307 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40642 "gram.c" /* yacc.c:1652  */
    break;

  case 2017:
#line 13311 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 40650 "gram.c" /* yacc.c:1652  */
    break;

  case 2018:
#line 13315 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 40658 "gram.c" /* yacc.c:1652  */
    break;

  case 2019:
#line 13322 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 40666 "gram.c" /* yacc.c:1652  */
    break;

  case 2020:
#line 13326 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 40674 "gram.c" /* yacc.c:1652  */
    break;

  case 2021:
#line 13330 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40686 "gram.c" /* yacc.c:1652  */
    break;

  case 2022:
#line 13338 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40698 "gram.c" /* yacc.c:1652  */
    break;

  case 2023:
#line 13348 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40704 "gram.c" /* yacc.c:1652  */
    break;

  case 2024:
#line 13349 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40710 "gram.c" /* yacc.c:1652  */
    break;

  case 2025:
#line 13353 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40716 "gram.c" /* yacc.c:1652  */
    break;

  case 2026:
#line 13354 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40722 "gram.c" /* yacc.c:1652  */
    break;

  case 2027:
#line 13358 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40728 "gram.c" /* yacc.c:1652  */
    break;

  case 2028:
#line 13359 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40734 "gram.c" /* yacc.c:1652  */
    break;

  case 2031:
#line 13374 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 40740 "gram.c" /* yacc.c:1652  */
    break;

  case 2032:
#line 13376 "gram.y" /* yacc.c:1652  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 40750 "gram.c" /* yacc.c:1652  */
    break;

  case 2033:
#line 13384 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40756 "gram.c" /* yacc.c:1652  */
    break;

  case 2034:
#line 13385 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40762 "gram.c" /* yacc.c:1652  */
    break;

  case 2035:
#line 13393 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40768 "gram.c" /* yacc.c:1652  */
    break;

  case 2036:
#line 13403 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40774 "gram.c" /* yacc.c:1652  */
    break;

  case 2037:
#line 13404 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40780 "gram.c" /* yacc.c:1652  */
    break;

  case 2038:
#line 13408 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40786 "gram.c" /* yacc.c:1652  */
    break;

  case 2039:
#line 13409 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 40792 "gram.c" /* yacc.c:1652  */
    break;

  case 2040:
#line 13413 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 40804 "gram.c" /* yacc.c:1652  */
    break;

  case 2041:
#line 13429 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40816 "gram.c" /* yacc.c:1652  */
    break;

  case 2042:
#line 13437 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 40828 "gram.c" /* yacc.c:1652  */
    break;

  case 2043:
#line 13445 "gram.y" /* yacc.c:1652  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 40844 "gram.c" /* yacc.c:1652  */
    break;

  case 2044:
#line 13466 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 40850 "gram.c" /* yacc.c:1652  */
    break;

  case 2045:
#line 13467 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 40856 "gram.c" /* yacc.c:1652  */
    break;

  case 2046:
#line 13479 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 40864 "gram.c" /* yacc.c:1652  */
    break;

  case 2047:
#line 13483 "gram.y" /* yacc.c:1652  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 40893 "gram.c" /* yacc.c:1652  */
    break;

  case 2048:
#line 13510 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40899 "gram.c" /* yacc.c:1652  */
    break;

  case 2049:
#line 13512 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 40905 "gram.c" /* yacc.c:1652  */
    break;

  case 2050:
#line 13516 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40911 "gram.c" /* yacc.c:1652  */
    break;

  case 2051:
#line 13519 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40917 "gram.c" /* yacc.c:1652  */
    break;

  case 2052:
#line 13522 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40923 "gram.c" /* yacc.c:1652  */
    break;

  case 2053:
#line 13524 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40929 "gram.c" /* yacc.c:1652  */
    break;

  case 2054:
#line 13526 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40935 "gram.c" /* yacc.c:1652  */
    break;

  case 2055:
#line 13528 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40941 "gram.c" /* yacc.c:1652  */
    break;

  case 2056:
#line 13539 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40947 "gram.c" /* yacc.c:1652  */
    break;

  case 2057:
#line 13541 "gram.y" /* yacc.c:1652  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 40956 "gram.c" /* yacc.c:1652  */
    break;

  case 2058:
#line 13552 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 40964 "gram.c" /* yacc.c:1652  */
    break;

  case 2059:
#line 13556 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40972 "gram.c" /* yacc.c:1652  */
    break;

  case 2060:
#line 13560 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40980 "gram.c" /* yacc.c:1652  */
    break;

  case 2061:
#line 13564 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40988 "gram.c" /* yacc.c:1652  */
    break;

  case 2062:
#line 13568 "gram.y" /* yacc.c:1652  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 41001 "gram.c" /* yacc.c:1652  */
    break;

  case 2063:
#line 13577 "gram.y" /* yacc.c:1652  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 41012 "gram.c" /* yacc.c:1652  */
    break;

  case 2064:
#line 13584 "gram.y" /* yacc.c:1652  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 41048 "gram.c" /* yacc.c:1652  */
    break;

  case 2065:
#line 13616 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 41056 "gram.c" /* yacc.c:1652  */
    break;

  case 2066:
#line 13620 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 41066 "gram.c" /* yacc.c:1652  */
    break;

  case 2067:
#line 13626 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 41077 "gram.c" /* yacc.c:1652  */
    break;

  case 2068:
#line 13633 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 41085 "gram.c" /* yacc.c:1652  */
    break;

  case 2069:
#line 13637 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 41093 "gram.c" /* yacc.c:1652  */
    break;

  case 2070:
#line 13641 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 41101 "gram.c" /* yacc.c:1652  */
    break;

  case 2071:
#line 13646 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 41107 "gram.c" /* yacc.c:1652  */
    break;

  case 2072:
#line 13647 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41113 "gram.c" /* yacc.c:1652  */
    break;

  case 2073:
#line 13649 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 41119 "gram.c" /* yacc.c:1652  */
    break;

  case 2074:
#line 13650 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 41125 "gram.c" /* yacc.c:1652  */
    break;

  case 2075:
#line 13651 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 41131 "gram.c" /* yacc.c:1652  */
    break;

  case 2076:
#line 13656 "gram.y" /* yacc.c:1652  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].node);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 41163 "gram.c" /* yacc.c:1652  */
    break;

  case 2077:
#line 13686 "gram.y" /* yacc.c:1652  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.node) = (Node *) n;
					}
#line 41194 "gram.c" /* yacc.c:1652  */
    break;

  case 2078:
#line 13713 "gram.y" /* yacc.c:1652  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 41202 "gram.c" /* yacc.c:1652  */
    break;

  case 2079:
#line 13717 "gram.y" /* yacc.c:1652  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 41210 "gram.c" /* yacc.c:1652  */
    break;

  case 2080:
#line 13723 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41216 "gram.c" /* yacc.c:1652  */
    break;

  case 2081:
#line 13725 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41222 "gram.c" /* yacc.c:1652  */
    break;

  case 2082:
#line 13741 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41228 "gram.c" /* yacc.c:1652  */
    break;

  case 2083:
#line 13742 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41234 "gram.c" /* yacc.c:1652  */
    break;

  case 2084:
#line 13743 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41240 "gram.c" /* yacc.c:1652  */
    break;

  case 2085:
#line 13748 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41246 "gram.c" /* yacc.c:1652  */
    break;

  case 2086:
#line 13749 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41252 "gram.c" /* yacc.c:1652  */
    break;

  case 2087:
#line 13750 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41258 "gram.c" /* yacc.c:1652  */
    break;

  case 2088:
#line 13755 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41264 "gram.c" /* yacc.c:1652  */
    break;

  case 2089:
#line 13756 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41270 "gram.c" /* yacc.c:1652  */
    break;

  case 2090:
#line 13757 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41276 "gram.c" /* yacc.c:1652  */
    break;

  case 2091:
#line 13758 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41282 "gram.c" /* yacc.c:1652  */
    break;

  case 2092:
#line 13764 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41288 "gram.c" /* yacc.c:1652  */
    break;

  case 2093:
#line 13765 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41294 "gram.c" /* yacc.c:1652  */
    break;

  case 2094:
#line 13766 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41300 "gram.c" /* yacc.c:1652  */
    break;

  case 2095:
#line 13767 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41306 "gram.c" /* yacc.c:1652  */
    break;

  case 2096:
#line 13768 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41312 "gram.c" /* yacc.c:1652  */
    break;


#line 41316 "gram.c" /* yacc.c:1652  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14244 "gram.y" /* yacc.c:1918  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static Node *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return (Node *) spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Value	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
